extends Node2D

var q_AudioStreamPlayer2D : AudioStreamPlayer2D = AudioStreamPlayer2D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_AudioStreamPlayer2D.queue_free()
		return

	add_child(q_AudioStreamPlayer2D)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AudioStreamPlayer2D.queue_free()
		q_AudioStreamPlayer2D = AudioStreamPlayer2D.new()
		add_child(q_AudioStreamPlayer2D)

	modify_object(q_AudioStreamPlayer2D)

static func modify_object(q_AudioStreamPlayer2D : AudioStreamPlayer2D) -> void:
	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer2D.set_stream")
		var variable1: AudioStreamOGGVorbis = AudioStreamOGGVorbis.new()
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer2D.set_stream(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer2D.get_stream")
		print("Parameters[]")
		q_AudioStreamPlayer2D.get_stream()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer2D.set_volume_db")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer2D.set_volume_db(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer2D.get_volume_db")
		print("Parameters[]")
		q_AudioStreamPlayer2D.get_volume_db()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer2D.set_pitch_scale")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer2D.set_pitch_scale(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer2D.get_pitch_scale")
		print("Parameters[]")
		q_AudioStreamPlayer2D.get_pitch_scale()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer2D.play")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer2D.play(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer2D.seek")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer2D.seek(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer2D.stop")
		print("Parameters[]")
		q_AudioStreamPlayer2D.stop()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer2D.is_playing")
		print("Parameters[]")
		q_AudioStreamPlayer2D.is_playing()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer2D.get_playback_position")
		print("Parameters[]")
		q_AudioStreamPlayer2D.get_playback_position()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer2D.set_bus")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer2D.set_bus(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer2D.get_bus")
		print("Parameters[]")
		q_AudioStreamPlayer2D.get_bus()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer2D.set_autoplay")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer2D.set_autoplay(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer2D.is_autoplay_enabled")
		print("Parameters[]")
		q_AudioStreamPlayer2D.is_autoplay_enabled()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer2D._set_playing")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer2D._set_playing(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer2D._is_active")
		print("Parameters[]")
		q_AudioStreamPlayer2D._is_active()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer2D.set_max_distance")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer2D.set_max_distance(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer2D.get_max_distance")
		print("Parameters[]")
		q_AudioStreamPlayer2D.get_max_distance()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer2D.set_attenuation")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer2D.set_attenuation(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer2D.get_attenuation")
		print("Parameters[]")
		q_AudioStreamPlayer2D.get_attenuation()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer2D.set_area_mask")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer2D.set_area_mask(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer2D.get_area_mask")
		print("Parameters[]")
		q_AudioStreamPlayer2D.get_area_mask()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer2D.set_stream_paused")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer2D.set_stream_paused(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer2D.get_stream_paused")
		print("Parameters[]")
		q_AudioStreamPlayer2D.get_stream_paused()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer2D.get_stream_playback")
		print("Parameters[]")
		q_AudioStreamPlayer2D.get_stream_playback()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer2D._bus_layout_changed")
		print("Parameters[]")
		q_AudioStreamPlayer2D._bus_layout_changed()

	pass

