extends Node2D

var q_Bone2D : Bone2D = Bone2D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Bone2D.queue_free()
		return

	add_child(q_Bone2D)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Bone2D.queue_free()
		q_Bone2D = Bone2D.new()
		add_child(q_Bone2D)

	modify_object(q_Bone2D)

static func modify_object(q_Bone2D : Bone2D) -> void:
	if randi() % 2 == 0:
		print("Executing Bone2D.set_rest")
		var variable1: Transform2D = Transform2D(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		print("Parameters[" + str(variable1) + "]")
		q_Bone2D.set_rest(variable1)

	if randi() % 2 == 0:
		print("Executing Bone2D.get_rest")
		print("Parameters[]")
		q_Bone2D.get_rest()

	if randi() % 2 == 0:
		print("Executing Bone2D.apply_rest")
		print("Parameters[]")
		q_Bone2D.apply_rest()

	if randi() % 2 == 0:
		print("Executing Bone2D.get_skeleton_rest")
		print("Parameters[]")
		q_Bone2D.get_skeleton_rest()

	if randi() % 2 == 0:
		print("Executing Bone2D.get_index_in_skeleton")
		print("Parameters[]")
		q_Bone2D.get_index_in_skeleton()

	if randi() % 2 == 0:
		print("Executing Bone2D.set_default_length")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Bone2D.set_default_length(variable1)

	if randi() % 2 == 0:
		print("Executing Bone2D.get_default_length")
		print("Parameters[]")
		q_Bone2D.get_default_length()

	pass

