extends Node2D

var q_CPUParticles2D : CPUParticles2D = CPUParticles2D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_CPUParticles2D.queue_free()
		return

	add_child(q_CPUParticles2D)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_CPUParticles2D.queue_free()
		q_CPUParticles2D = CPUParticles2D.new()
		add_child(q_CPUParticles2D)

	modify_object(q_CPUParticles2D)

static func modify_object(q_CPUParticles2D : CPUParticles2D) -> void:
	if randi() % 2 == 0:
		print("Executing CPUParticles2D.set_emitting")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles2D.set_emitting(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.set_lifetime")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles2D.set_lifetime(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.set_one_shot")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles2D.set_one_shot(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.set_pre_process_time")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles2D.set_pre_process_time(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.set_explosiveness_ratio")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles2D.set_explosiveness_ratio(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.set_randomness_ratio")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles2D.set_randomness_ratio(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.set_lifetime_randomness")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles2D.set_lifetime_randomness(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.set_use_local_coordinates")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles2D.set_use_local_coordinates(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.set_fixed_fps")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles2D.set_fixed_fps(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.set_fractional_delta")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles2D.set_fractional_delta(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.set_speed_scale")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles2D.set_speed_scale(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.is_emitting")
		print("Parameters[]")
		q_CPUParticles2D.is_emitting()

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.get_amount")
		print("Parameters[]")
		q_CPUParticles2D.get_amount()

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.get_lifetime")
		print("Parameters[]")
		q_CPUParticles2D.get_lifetime()

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.get_one_shot")
		print("Parameters[]")
		q_CPUParticles2D.get_one_shot()

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.get_pre_process_time")
		print("Parameters[]")
		q_CPUParticles2D.get_pre_process_time()

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.get_explosiveness_ratio")
		print("Parameters[]")
		q_CPUParticles2D.get_explosiveness_ratio()

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.get_randomness_ratio")
		print("Parameters[]")
		q_CPUParticles2D.get_randomness_ratio()

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.get_lifetime_randomness")
		print("Parameters[]")
		q_CPUParticles2D.get_lifetime_randomness()

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.get_use_local_coordinates")
		print("Parameters[]")
		q_CPUParticles2D.get_use_local_coordinates()

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.get_fixed_fps")
		print("Parameters[]")
		q_CPUParticles2D.get_fixed_fps()

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.get_fractional_delta")
		print("Parameters[]")
		q_CPUParticles2D.get_fractional_delta()

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.get_speed_scale")
		print("Parameters[]")
		q_CPUParticles2D.get_speed_scale()

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.set_draw_order")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles2D.set_draw_order(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.get_draw_order")
		print("Parameters[]")
		q_CPUParticles2D.get_draw_order()

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.set_texture")
		var variable1: ProxyTexture = ProxyTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles2D.set_texture(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.get_texture")
		print("Parameters[]")
		q_CPUParticles2D.get_texture()

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.set_normalmap")
		var variable1: GradientTexture = GradientTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles2D.set_normalmap(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.get_normalmap")
		print("Parameters[]")
		q_CPUParticles2D.get_normalmap()

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.restart")
		print("Parameters[]")
		q_CPUParticles2D.restart()

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.set_direction")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles2D.set_direction(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.get_direction")
		print("Parameters[]")
		q_CPUParticles2D.get_direction()

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.set_spread")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles2D.set_spread(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.get_spread")
		print("Parameters[]")
		q_CPUParticles2D.get_spread()

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.set_param")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_CPUParticles2D.set_param(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.get_param")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles2D.get_param(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.set_param_randomness")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_CPUParticles2D.set_param_randomness(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.get_param_randomness")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles2D.get_param_randomness(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.set_param_curve")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Curve = Curve.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_CPUParticles2D.set_param_curve(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.get_param_curve")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles2D.get_param_curve(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.set_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles2D.set_color(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.get_color")
		print("Parameters[]")
		q_CPUParticles2D.get_color()

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.set_color_ramp")
		var variable1: Gradient = Gradient.new()
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles2D.set_color_ramp(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.get_color_ramp")
		print("Parameters[]")
		q_CPUParticles2D.get_color_ramp()

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.set_particle_flag")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_CPUParticles2D.set_particle_flag(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.get_particle_flag")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles2D.get_particle_flag(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.set_emission_shape")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles2D.set_emission_shape(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.get_emission_shape")
		print("Parameters[]")
		q_CPUParticles2D.get_emission_shape()

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.set_emission_sphere_radius")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles2D.set_emission_sphere_radius(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.get_emission_sphere_radius")
		print("Parameters[]")
		q_CPUParticles2D.get_emission_sphere_radius()

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.set_emission_rect_extents")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles2D.set_emission_rect_extents(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.get_emission_rect_extents")
		print("Parameters[]")
		q_CPUParticles2D.get_emission_rect_extents()

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.set_emission_points")
		var variable1: PoolVector2Array = PoolVector2Array([])
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles2D.set_emission_points(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.get_emission_points")
		print("Parameters[]")
		q_CPUParticles2D.get_emission_points()

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.set_emission_normals")
		var variable1: PoolVector2Array = PoolVector2Array([])
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles2D.set_emission_normals(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.get_emission_normals")
		print("Parameters[]")
		q_CPUParticles2D.get_emission_normals()

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.set_emission_colors")
		var variable1: PoolColorArray = PoolColorArray([])
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles2D.set_emission_colors(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.get_emission_colors")
		print("Parameters[]")
		q_CPUParticles2D.get_emission_colors()

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.get_gravity")
		print("Parameters[]")
		q_CPUParticles2D.get_gravity()

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.set_gravity")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles2D.set_gravity(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles2D.convert_from_particles")
		var variable1: VSlider = VSlider.new()
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles2D.convert_from_particles(variable1)
		variable1.queue_free()

	if randi() % 2 == 0:
		print("Executing CPUParticles2D._update_render_thread")
		print("Parameters[]")
		q_CPUParticles2D._update_render_thread()

	if randi() % 2 == 0:
		print("Executing CPUParticles2D._texture_changed")
		print("Parameters[]")
		q_CPUParticles2D._texture_changed()

	pass

