extends Node2D

var q_Camera2D : Camera2D = Camera2D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Camera2D.queue_free()
		return

	add_child(q_Camera2D)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Camera2D.queue_free()
		q_Camera2D = Camera2D.new()
		add_child(q_Camera2D)

	modify_object(q_Camera2D)

static func modify_object(q_Camera2D : Camera2D) -> void:
	if randi() % 2 == 0:
		print("Executing Camera2D.set_offset")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Camera2D.set_offset(variable1)

	if randi() % 2 == 0:
		print("Executing Camera2D.get_offset")
		print("Parameters[]")
		q_Camera2D.get_offset()

	if randi() % 2 == 0:
		print("Executing Camera2D.set_anchor_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Camera2D.set_anchor_mode(variable1)

	if randi() % 2 == 0:
		print("Executing Camera2D.get_anchor_mode")
		print("Parameters[]")
		q_Camera2D.get_anchor_mode()

	if randi() % 2 == 0:
		print("Executing Camera2D.set_rotating")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Camera2D.set_rotating(variable1)

	if randi() % 2 == 0:
		print("Executing Camera2D.is_rotating")
		print("Parameters[]")
		q_Camera2D.is_rotating()

	if randi() % 2 == 0:
		print("Executing Camera2D.make_current")
		print("Parameters[]")
		q_Camera2D.make_current()

	if randi() % 2 == 0:
		print("Executing Camera2D.clear_current")
		print("Parameters[]")
		q_Camera2D.clear_current()

	if randi() % 2 == 0:
		print("Executing Camera2D._make_current")
		var variable1: VisualShaderNodeVec3Constant = VisualShaderNodeVec3Constant.new()
		print("Parameters[" + str(variable1) + "]")
		q_Camera2D._make_current(variable1)

	if randi() % 2 == 0:
		print("Executing Camera2D._update_scroll")
		print("Parameters[]")
		q_Camera2D._update_scroll()

	if randi() % 2 == 0:
		print("Executing Camera2D.set_process_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Camera2D.set_process_mode(variable1)

	if randi() % 2 == 0:
		print("Executing Camera2D.get_process_mode")
		print("Parameters[]")
		q_Camera2D.get_process_mode()

	if randi() % 2 == 0:
		print("Executing Camera2D._set_current")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Camera2D._set_current(variable1)

	if randi() % 2 == 0:
		print("Executing Camera2D.is_current")
		print("Parameters[]")
		q_Camera2D.is_current()

	if randi() % 2 == 0:
		print("Executing Camera2D.set_limit")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Camera2D.set_limit(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Camera2D.get_limit")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Camera2D.get_limit(variable1)

	if randi() % 2 == 0:
		print("Executing Camera2D.set_limit_smoothing_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Camera2D.set_limit_smoothing_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing Camera2D.is_limit_smoothing_enabled")
		print("Parameters[]")
		q_Camera2D.is_limit_smoothing_enabled()

	if randi() % 2 == 0:
		print("Executing Camera2D.set_v_drag_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Camera2D.set_v_drag_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing Camera2D.is_v_drag_enabled")
		print("Parameters[]")
		q_Camera2D.is_v_drag_enabled()

	if randi() % 2 == 0:
		print("Executing Camera2D.set_h_drag_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Camera2D.set_h_drag_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing Camera2D.is_h_drag_enabled")
		print("Parameters[]")
		q_Camera2D.is_h_drag_enabled()

	if randi() % 2 == 0:
		print("Executing Camera2D.set_v_offset")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Camera2D.set_v_offset(variable1)

	if randi() % 2 == 0:
		print("Executing Camera2D.get_v_offset")
		print("Parameters[]")
		q_Camera2D.get_v_offset()

	if randi() % 2 == 0:
		print("Executing Camera2D.set_h_offset")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Camera2D.set_h_offset(variable1)

	if randi() % 2 == 0:
		print("Executing Camera2D.get_h_offset")
		print("Parameters[]")
		q_Camera2D.get_h_offset()

	if randi() % 2 == 0:
		print("Executing Camera2D.set_drag_margin")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Camera2D.set_drag_margin(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Camera2D.get_drag_margin")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Camera2D.get_drag_margin(variable1)

	if randi() % 2 == 0:
		print("Executing Camera2D.get_camera_position")
		print("Parameters[]")
		q_Camera2D.get_camera_position()

	if randi() % 2 == 0:
		print("Executing Camera2D.get_camera_screen_center")
		print("Parameters[]")
		q_Camera2D.get_camera_screen_center()

	if randi() % 2 == 0:
		print("Executing Camera2D.set_zoom")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Camera2D.set_zoom(variable1)

	if randi() % 2 == 0:
		print("Executing Camera2D.get_zoom")
		print("Parameters[]")
		q_Camera2D.get_zoom()

	if randi() % 2 == 0:
		print("Executing Camera2D.set_custom_viewport")
		var variable1: Skeleton = Skeleton.new()
		print("Parameters[" + str(variable1) + "]")
		q_Camera2D.set_custom_viewport(variable1)
		variable1.queue_free()

	if randi() % 2 == 0:
		print("Executing Camera2D.get_custom_viewport")
		print("Parameters[]")
		q_Camera2D.get_custom_viewport()

	if randi() % 2 == 0:
		print("Executing Camera2D.set_follow_smoothing")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Camera2D.set_follow_smoothing(variable1)

	if randi() % 2 == 0:
		print("Executing Camera2D.get_follow_smoothing")
		print("Parameters[]")
		q_Camera2D.get_follow_smoothing()

	if randi() % 2 == 0:
		print("Executing Camera2D.set_enable_follow_smoothing")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Camera2D.set_enable_follow_smoothing(variable1)

	if randi() % 2 == 0:
		print("Executing Camera2D.is_follow_smoothing_enabled")
		print("Parameters[]")
		q_Camera2D.is_follow_smoothing_enabled()

	if randi() % 2 == 0:
		print("Executing Camera2D.force_update_scroll")
		print("Parameters[]")
		q_Camera2D.force_update_scroll()

	if randi() % 2 == 0:
		print("Executing Camera2D.reset_smoothing")
		print("Parameters[]")
		q_Camera2D.reset_smoothing()

	if randi() % 2 == 0:
		print("Executing Camera2D.align")
		print("Parameters[]")
		q_Camera2D.align()

	if randi() % 2 == 0:
		print("Executing Camera2D.set_screen_drawing_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Camera2D.set_screen_drawing_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing Camera2D.is_screen_drawing_enabled")
		print("Parameters[]")
		q_Camera2D.is_screen_drawing_enabled()

	if randi() % 2 == 0:
		print("Executing Camera2D.set_limit_drawing_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Camera2D.set_limit_drawing_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing Camera2D.is_limit_drawing_enabled")
		print("Parameters[]")
		q_Camera2D.is_limit_drawing_enabled()

	if randi() % 2 == 0:
		print("Executing Camera2D.set_margin_drawing_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Camera2D.set_margin_drawing_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing Camera2D.is_margin_drawing_enabled")
		print("Parameters[]")
		q_Camera2D.is_margin_drawing_enabled()

	pass

