extends Node2D

var q_CollisionPolygon2D : CollisionPolygon2D = CollisionPolygon2D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_CollisionPolygon2D.queue_free()
		return

	add_child(q_CollisionPolygon2D)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_CollisionPolygon2D.queue_free()
		q_CollisionPolygon2D = CollisionPolygon2D.new()
		add_child(q_CollisionPolygon2D)

	modify_object(q_CollisionPolygon2D)

static func modify_object(q_CollisionPolygon2D : CollisionPolygon2D) -> void:
	if randi() % 2 == 0:
		print("Executing CollisionPolygon2D.set_polygon")
		var variable1: PoolVector2Array = PoolVector2Array([])
		print("Parameters[" + str(variable1) + "]")
		q_CollisionPolygon2D.set_polygon(variable1)

	if randi() % 2 == 0:
		print("Executing CollisionPolygon2D.get_polygon")
		print("Parameters[]")
		q_CollisionPolygon2D.get_polygon()

	if randi() % 2 == 0:
		print("Executing CollisionPolygon2D.set_build_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CollisionPolygon2D.set_build_mode(variable1)

	if randi() % 2 == 0:
		print("Executing CollisionPolygon2D.get_build_mode")
		print("Parameters[]")
		q_CollisionPolygon2D.get_build_mode()

	if randi() % 2 == 0:
		print("Executing CollisionPolygon2D.set_disabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_CollisionPolygon2D.set_disabled(variable1)

	if randi() % 2 == 0:
		print("Executing CollisionPolygon2D.is_disabled")
		print("Parameters[]")
		q_CollisionPolygon2D.is_disabled()

	if randi() % 2 == 0:
		print("Executing CollisionPolygon2D.set_one_way_collision")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_CollisionPolygon2D.set_one_way_collision(variable1)

	if randi() % 2 == 0:
		print("Executing CollisionPolygon2D.is_one_way_collision_enabled")
		print("Parameters[]")
		q_CollisionPolygon2D.is_one_way_collision_enabled()

	if randi() % 2 == 0:
		print("Executing CollisionPolygon2D.set_one_way_collision_margin")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CollisionPolygon2D.set_one_way_collision_margin(variable1)

	if randi() % 2 == 0:
		print("Executing CollisionPolygon2D.get_one_way_collision_margin")
		print("Parameters[]")
		q_CollisionPolygon2D.get_one_way_collision_margin()

	pass

