extends Node2D

var q_CollisionShape2D : CollisionShape2D = CollisionShape2D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_CollisionShape2D.queue_free()
		return

	add_child(q_CollisionShape2D)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_CollisionShape2D.queue_free()
		q_CollisionShape2D = CollisionShape2D.new()
		add_child(q_CollisionShape2D)

	modify_object(q_CollisionShape2D)

static func modify_object(q_CollisionShape2D : CollisionShape2D) -> void:
	if randi() % 2 == 0:
		print("Executing CollisionShape2D.set_shape")
		var variable1: ConvexPolygonShape2D = ConvexPolygonShape2D.new()
		print("Parameters[" + str(variable1) + "]")
		q_CollisionShape2D.set_shape(variable1)

	if randi() % 2 == 0:
		print("Executing CollisionShape2D.get_shape")
		print("Parameters[]")
		q_CollisionShape2D.get_shape()

	if randi() % 2 == 0:
		print("Executing CollisionShape2D.set_disabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_CollisionShape2D.set_disabled(variable1)

	if randi() % 2 == 0:
		print("Executing CollisionShape2D.is_disabled")
		print("Parameters[]")
		q_CollisionShape2D.is_disabled()

	if randi() % 2 == 0:
		print("Executing CollisionShape2D.set_one_way_collision")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_CollisionShape2D.set_one_way_collision(variable1)

	if randi() % 2 == 0:
		print("Executing CollisionShape2D.is_one_way_collision_enabled")
		print("Parameters[]")
		q_CollisionShape2D.is_one_way_collision_enabled()

	if randi() % 2 == 0:
		print("Executing CollisionShape2D.set_one_way_collision_margin")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CollisionShape2D.set_one_way_collision_margin(variable1)

	if randi() % 2 == 0:
		print("Executing CollisionShape2D.get_one_way_collision_margin")
		print("Parameters[]")
		q_CollisionShape2D.get_one_way_collision_margin()

	if randi() % 2 == 0:
		print("Executing CollisionShape2D._shape_changed")
		print("Parameters[]")
		q_CollisionShape2D._shape_changed()

	pass

