extends Node2D

var q_Light2D : Light2D = Light2D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Light2D.queue_free()
		return

	add_child(q_Light2D)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Light2D.queue_free()
		q_Light2D = Light2D.new()
		add_child(q_Light2D)

	modify_object(q_Light2D)

static func modify_object(q_Light2D : Light2D) -> void:
	if randi() % 2 == 0:
		print("Executing Light2D.set_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Light2D.set_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing Light2D.is_enabled")
		print("Parameters[]")
		q_Light2D.is_enabled()

	if randi() % 2 == 0:
		print("Executing Light2D.set_editor_only")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Light2D.set_editor_only(variable1)

	if randi() % 2 == 0:
		print("Executing Light2D.is_editor_only")
		print("Parameters[]")
		q_Light2D.is_editor_only()

	if randi() % 2 == 0:
		print("Executing Light2D.set_texture")
		var variable1: CurveTexture = CurveTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_Light2D.set_texture(variable1)

	if randi() % 2 == 0:
		print("Executing Light2D.get_texture")
		print("Parameters[]")
		q_Light2D.get_texture()

	if randi() % 2 == 0:
		print("Executing Light2D.set_texture_offset")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Light2D.set_texture_offset(variable1)

	if randi() % 2 == 0:
		print("Executing Light2D.get_texture_offset")
		print("Parameters[]")
		q_Light2D.get_texture_offset()

	if randi() % 2 == 0:
		print("Executing Light2D.set_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Light2D.set_color(variable1)

	if randi() % 2 == 0:
		print("Executing Light2D.get_color")
		print("Parameters[]")
		q_Light2D.get_color()

	if randi() % 2 == 0:
		print("Executing Light2D.set_height")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Light2D.set_height(variable1)

	if randi() % 2 == 0:
		print("Executing Light2D.get_height")
		print("Parameters[]")
		q_Light2D.get_height()

	if randi() % 2 == 0:
		print("Executing Light2D.set_energy")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Light2D.set_energy(variable1)

	if randi() % 2 == 0:
		print("Executing Light2D.get_energy")
		print("Parameters[]")
		q_Light2D.get_energy()

	if randi() % 2 == 0:
		print("Executing Light2D.set_texture_scale")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Light2D.set_texture_scale(variable1)

	if randi() % 2 == 0:
		print("Executing Light2D.get_texture_scale")
		print("Parameters[]")
		q_Light2D.get_texture_scale()

	if randi() % 2 == 0:
		print("Executing Light2D.set_z_range_min")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Light2D.set_z_range_min(variable1)

	if randi() % 2 == 0:
		print("Executing Light2D.get_z_range_min")
		print("Parameters[]")
		q_Light2D.get_z_range_min()

	if randi() % 2 == 0:
		print("Executing Light2D.set_z_range_max")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Light2D.set_z_range_max(variable1)

	if randi() % 2 == 0:
		print("Executing Light2D.get_z_range_max")
		print("Parameters[]")
		q_Light2D.get_z_range_max()

	if randi() % 2 == 0:
		print("Executing Light2D.set_layer_range_min")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Light2D.set_layer_range_min(variable1)

	if randi() % 2 == 0:
		print("Executing Light2D.get_layer_range_min")
		print("Parameters[]")
		q_Light2D.get_layer_range_min()

	if randi() % 2 == 0:
		print("Executing Light2D.set_layer_range_max")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Light2D.set_layer_range_max(variable1)

	if randi() % 2 == 0:
		print("Executing Light2D.get_layer_range_max")
		print("Parameters[]")
		q_Light2D.get_layer_range_max()

	if randi() % 2 == 0:
		print("Executing Light2D.set_item_cull_mask")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Light2D.set_item_cull_mask(variable1)

	if randi() % 2 == 0:
		print("Executing Light2D.get_item_cull_mask")
		print("Parameters[]")
		q_Light2D.get_item_cull_mask()

	if randi() % 2 == 0:
		print("Executing Light2D.set_item_shadow_cull_mask")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Light2D.set_item_shadow_cull_mask(variable1)

	if randi() % 2 == 0:
		print("Executing Light2D.get_item_shadow_cull_mask")
		print("Parameters[]")
		q_Light2D.get_item_shadow_cull_mask()

	if randi() % 2 == 0:
		print("Executing Light2D.set_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Light2D.set_mode(variable1)

	if randi() % 2 == 0:
		print("Executing Light2D.get_mode")
		print("Parameters[]")
		q_Light2D.get_mode()

	if randi() % 2 == 0:
		print("Executing Light2D.set_shadow_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Light2D.set_shadow_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing Light2D.is_shadow_enabled")
		print("Parameters[]")
		q_Light2D.is_shadow_enabled()

	if randi() % 2 == 0:
		print("Executing Light2D.set_shadow_buffer_size")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Light2D.set_shadow_buffer_size(variable1)

	if randi() % 2 == 0:
		print("Executing Light2D.get_shadow_buffer_size")
		print("Parameters[]")
		q_Light2D.get_shadow_buffer_size()

	if randi() % 2 == 0:
		print("Executing Light2D.set_shadow_smooth")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Light2D.set_shadow_smooth(variable1)

	if randi() % 2 == 0:
		print("Executing Light2D.get_shadow_smooth")
		print("Parameters[]")
		q_Light2D.get_shadow_smooth()

	if randi() % 2 == 0:
		print("Executing Light2D.set_shadow_gradient_length")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Light2D.set_shadow_gradient_length(variable1)

	if randi() % 2 == 0:
		print("Executing Light2D.get_shadow_gradient_length")
		print("Parameters[]")
		q_Light2D.get_shadow_gradient_length()

	if randi() % 2 == 0:
		print("Executing Light2D.set_shadow_filter")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Light2D.set_shadow_filter(variable1)

	if randi() % 2 == 0:
		print("Executing Light2D.get_shadow_filter")
		print("Parameters[]")
		q_Light2D.get_shadow_filter()

	if randi() % 2 == 0:
		print("Executing Light2D.set_shadow_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Light2D.set_shadow_color(variable1)

	if randi() % 2 == 0:
		print("Executing Light2D.get_shadow_color")
		print("Parameters[]")
		q_Light2D.get_shadow_color()

	pass

