extends Node2D

var q_LightOccluder2D : LightOccluder2D = LightOccluder2D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_LightOccluder2D.queue_free()
		return

	add_child(q_LightOccluder2D)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_LightOccluder2D.queue_free()
		q_LightOccluder2D = LightOccluder2D.new()
		add_child(q_LightOccluder2D)

	modify_object(q_LightOccluder2D)

static func modify_object(q_LightOccluder2D : LightOccluder2D) -> void:
	if randi() % 2 == 0:
		print("Executing LightOccluder2D.set_occluder_polygon")
		var variable1: OccluderPolygon2D = OccluderPolygon2D.new()
		print("Parameters[" + str(variable1) + "]")
		q_LightOccluder2D.set_occluder_polygon(variable1)

	if randi() % 2 == 0:
		print("Executing LightOccluder2D.get_occluder_polygon")
		print("Parameters[]")
		q_LightOccluder2D.get_occluder_polygon()

	if randi() % 2 == 0:
		print("Executing LightOccluder2D.set_occluder_light_mask")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_LightOccluder2D.set_occluder_light_mask(variable1)

	if randi() % 2 == 0:
		print("Executing LightOccluder2D.get_occluder_light_mask")
		print("Parameters[]")
		q_LightOccluder2D.get_occluder_light_mask()

	if randi() % 2 == 0:
		print("Executing LightOccluder2D._poly_changed")
		print("Parameters[]")
		q_LightOccluder2D._poly_changed()

	pass

