extends Node2D

var q_Line2D : Line2D = Line2D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Line2D.queue_free()
		return

	add_child(q_Line2D)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Line2D.queue_free()
		q_Line2D = Line2D.new()
		add_child(q_Line2D)

	modify_object(q_Line2D)

static func modify_object(q_Line2D : Line2D) -> void:
	if randi() % 2 == 0:
		print("Executing Line2D.set_points")
		var variable1: PoolVector2Array = PoolVector2Array([])
		print("Parameters[" + str(variable1) + "]")
		q_Line2D.set_points(variable1)

	if randi() % 2 == 0:
		print("Executing Line2D.get_points")
		print("Parameters[]")
		q_Line2D.get_points()

	if randi() % 2 == 0:
		print("Executing Line2D.set_point_position")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Line2D.set_point_position(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Line2D.get_point_position")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Line2D.get_point_position(variable1)

	if randi() % 2 == 0:
		print("Executing Line2D.get_point_count")
		print("Parameters[]")
		q_Line2D.get_point_count()

	if randi() % 2 == 0:
		print("Executing Line2D.add_point")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Line2D.add_point(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Line2D.remove_point")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Line2D.remove_point(variable1)

	if randi() % 2 == 0:
		print("Executing Line2D.clear_points")
		print("Parameters[]")
		q_Line2D.clear_points()

	if randi() % 2 == 0:
		print("Executing Line2D.set_width")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Line2D.set_width(variable1)

	if randi() % 2 == 0:
		print("Executing Line2D.get_width")
		print("Parameters[]")
		q_Line2D.get_width()

	if randi() % 2 == 0:
		print("Executing Line2D.set_curve")
		var variable1: Curve = Curve.new()
		print("Parameters[" + str(variable1) + "]")
		q_Line2D.set_curve(variable1)

	if randi() % 2 == 0:
		print("Executing Line2D.get_curve")
		print("Parameters[]")
		q_Line2D.get_curve()

	if randi() % 2 == 0:
		print("Executing Line2D.set_default_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Line2D.set_default_color(variable1)

	if randi() % 2 == 0:
		print("Executing Line2D.get_default_color")
		print("Parameters[]")
		q_Line2D.get_default_color()

	if randi() % 2 == 0:
		print("Executing Line2D.set_gradient")
		var variable1: Gradient = Gradient.new()
		print("Parameters[" + str(variable1) + "]")
		q_Line2D.set_gradient(variable1)

	if randi() % 2 == 0:
		print("Executing Line2D.get_gradient")
		print("Parameters[]")
		q_Line2D.get_gradient()

	if randi() % 2 == 0:
		print("Executing Line2D.set_texture")
		var variable1: LargeTexture = LargeTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_Line2D.set_texture(variable1)

	if randi() % 2 == 0:
		print("Executing Line2D.get_texture")
		print("Parameters[]")
		q_Line2D.get_texture()

	if randi() % 2 == 0:
		print("Executing Line2D.set_texture_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Line2D.set_texture_mode(variable1)

	if randi() % 2 == 0:
		print("Executing Line2D.get_texture_mode")
		print("Parameters[]")
		q_Line2D.get_texture_mode()

	if randi() % 2 == 0:
		print("Executing Line2D.set_joint_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Line2D.set_joint_mode(variable1)

	if randi() % 2 == 0:
		print("Executing Line2D.get_joint_mode")
		print("Parameters[]")
		q_Line2D.get_joint_mode()

	if randi() % 2 == 0:
		print("Executing Line2D.set_begin_cap_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Line2D.set_begin_cap_mode(variable1)

	if randi() % 2 == 0:
		print("Executing Line2D.get_begin_cap_mode")
		print("Parameters[]")
		q_Line2D.get_begin_cap_mode()

	if randi() % 2 == 0:
		print("Executing Line2D.set_end_cap_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Line2D.set_end_cap_mode(variable1)

	if randi() % 2 == 0:
		print("Executing Line2D.get_end_cap_mode")
		print("Parameters[]")
		q_Line2D.get_end_cap_mode()

	if randi() % 2 == 0:
		print("Executing Line2D.set_sharp_limit")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Line2D.set_sharp_limit(variable1)

	if randi() % 2 == 0:
		print("Executing Line2D.get_sharp_limit")
		print("Parameters[]")
		q_Line2D.get_sharp_limit()

	if randi() % 2 == 0:
		print("Executing Line2D.set_round_precision")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Line2D.set_round_precision(variable1)

	if randi() % 2 == 0:
		print("Executing Line2D.get_round_precision")
		print("Parameters[]")
		q_Line2D.get_round_precision()

	if randi() % 2 == 0:
		print("Executing Line2D.set_antialiased")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Line2D.set_antialiased(variable1)

	if randi() % 2 == 0:
		print("Executing Line2D.get_antialiased")
		print("Parameters[]")
		q_Line2D.get_antialiased()

	if randi() % 2 == 0:
		print("Executing Line2D._gradient_changed")
		print("Parameters[]")
		q_Line2D._gradient_changed()

	if randi() % 2 == 0:
		print("Executing Line2D._curve_changed")
		print("Parameters[]")
		q_Line2D._curve_changed()

	pass

