extends Node2D

var q_MeshInstance2D : MeshInstance2D = MeshInstance2D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_MeshInstance2D.queue_free()
		return

	add_child(q_MeshInstance2D)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_MeshInstance2D.queue_free()
		q_MeshInstance2D = MeshInstance2D.new()
		add_child(q_MeshInstance2D)

	modify_object(q_MeshInstance2D)

static func modify_object(q_MeshInstance2D : MeshInstance2D) -> void:
	if randi() % 2 == 0:
		print("Executing MeshInstance2D.set_mesh")
		var variable1: PrismMesh = PrismMesh.new()
		print("Parameters[" + str(variable1) + "]")
		q_MeshInstance2D.set_mesh(variable1)

	if randi() % 2 == 0:
		print("Executing MeshInstance2D.get_mesh")
		print("Parameters[]")
		q_MeshInstance2D.get_mesh()

	if randi() % 2 == 0:
		print("Executing MeshInstance2D.set_texture")
		var variable1: LargeTexture = LargeTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_MeshInstance2D.set_texture(variable1)

	if randi() % 2 == 0:
		print("Executing MeshInstance2D.get_texture")
		print("Parameters[]")
		q_MeshInstance2D.get_texture()

	if randi() % 2 == 0:
		print("Executing MeshInstance2D.set_normal_map")
		var variable1: LargeTexture = LargeTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_MeshInstance2D.set_normal_map(variable1)

	if randi() % 2 == 0:
		print("Executing MeshInstance2D.get_normal_map")
		print("Parameters[]")
		q_MeshInstance2D.get_normal_map()

	pass

