extends Node2D

var q_Node2D : Node2D = Node2D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Node2D.queue_free()
		return

	add_child(q_Node2D)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Node2D.queue_free()
		q_Node2D = Node2D.new()
		add_child(q_Node2D)

	modify_object(q_Node2D)

static func modify_object(q_Node2D : Node2D) -> void:
	if randi() % 2 == 0:
		print("Executing Node2D.set_position")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Node2D.set_position(variable1)

	if randi() % 2 == 0:
		print("Executing Node2D.set_rotation")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Node2D.set_rotation(variable1)

	if randi() % 2 == 0:
		print("Executing Node2D.set_rotation_degrees")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Node2D.set_rotation_degrees(variable1)

	if randi() % 2 == 0:
		print("Executing Node2D.set_scale")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Node2D.set_scale(variable1)

	if randi() % 2 == 0:
		print("Executing Node2D.get_position")
		print("Parameters[]")
		q_Node2D.get_position()

	if randi() % 2 == 0:
		print("Executing Node2D.get_rotation")
		print("Parameters[]")
		q_Node2D.get_rotation()

	if randi() % 2 == 0:
		print("Executing Node2D.get_rotation_degrees")
		print("Parameters[]")
		q_Node2D.get_rotation_degrees()

	if randi() % 2 == 0:
		print("Executing Node2D.get_scale")
		print("Parameters[]")
		q_Node2D.get_scale()

	if randi() % 2 == 0:
		print("Executing Node2D.rotate")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Node2D.rotate(variable1)

	if randi() % 2 == 0:
		print("Executing Node2D.move_local_x")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Node2D.move_local_x(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Node2D.move_local_y")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Node2D.move_local_y(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Node2D.translate")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Node2D.translate(variable1)

	if randi() % 2 == 0:
		print("Executing Node2D.global_translate")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Node2D.global_translate(variable1)

	if randi() % 2 == 0:
		print("Executing Node2D.apply_scale")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Node2D.apply_scale(variable1)

	if randi() % 2 == 0:
		print("Executing Node2D.set_global_position")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Node2D.set_global_position(variable1)

	if randi() % 2 == 0:
		print("Executing Node2D.get_global_position")
		print("Parameters[]")
		q_Node2D.get_global_position()

	if randi() % 2 == 0:
		print("Executing Node2D.set_global_rotation")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Node2D.set_global_rotation(variable1)

	if randi() % 2 == 0:
		print("Executing Node2D.get_global_rotation")
		print("Parameters[]")
		q_Node2D.get_global_rotation()

	if randi() % 2 == 0:
		print("Executing Node2D.set_global_rotation_degrees")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Node2D.set_global_rotation_degrees(variable1)

	if randi() % 2 == 0:
		print("Executing Node2D.get_global_rotation_degrees")
		print("Parameters[]")
		q_Node2D.get_global_rotation_degrees()

	if randi() % 2 == 0:
		print("Executing Node2D.set_global_scale")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Node2D.set_global_scale(variable1)

	if randi() % 2 == 0:
		print("Executing Node2D.get_global_scale")
		print("Parameters[]")
		q_Node2D.get_global_scale()

	if randi() % 2 == 0:
		print("Executing Node2D.set_transform")
		var variable1: Transform2D = Transform2D(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		print("Parameters[" + str(variable1) + "]")
		q_Node2D.set_transform(variable1)

	if randi() % 2 == 0:
		print("Executing Node2D.set_global_transform")
		var variable1: Transform2D = Transform2D(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		print("Parameters[" + str(variable1) + "]")
		q_Node2D.set_global_transform(variable1)

	if randi() % 2 == 0:
		print("Executing Node2D.look_at")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Node2D.look_at(variable1)

	if randi() % 2 == 0:
		print("Executing Node2D.get_angle_to")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Node2D.get_angle_to(variable1)

	if randi() % 2 == 0:
		print("Executing Node2D.to_local")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Node2D.to_local(variable1)

	if randi() % 2 == 0:
		print("Executing Node2D.to_global")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Node2D.to_global(variable1)

	if randi() % 2 == 0:
		print("Executing Node2D.set_z_index")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Node2D.set_z_index(variable1)

	if randi() % 2 == 0:
		print("Executing Node2D.get_z_index")
		print("Parameters[]")
		q_Node2D.get_z_index()

	if randi() % 2 == 0:
		print("Executing Node2D.set_z_as_relative")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Node2D.set_z_as_relative(variable1)

	if randi() % 2 == 0:
		print("Executing Node2D.is_z_relative")
		print("Parameters[]")
		q_Node2D.is_z_relative()

	if randi() % 2 == 0:
		print("Executing Node2D.get_relative_transform_to_parent")
		var variable1: Particles2D = Particles2D.new()
		print("Parameters[" + str(variable1) + "]")
		q_Node2D.get_relative_transform_to_parent(variable1)
		variable1.queue_free()

	pass

