extends Node2D

var q_ParallaxLayer : ParallaxLayer = ParallaxLayer.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_ParallaxLayer.queue_free()
		return

	add_child(q_ParallaxLayer)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_ParallaxLayer.queue_free()
		q_ParallaxLayer = ParallaxLayer.new()
		add_child(q_ParallaxLayer)

	modify_object(q_ParallaxLayer)

static func modify_object(q_ParallaxLayer : ParallaxLayer) -> void:
	if randi() % 2 == 0:
		print("Executing ParallaxLayer.set_motion_scale")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_ParallaxLayer.set_motion_scale(variable1)

	if randi() % 2 == 0:
		print("Executing ParallaxLayer.get_motion_scale")
		print("Parameters[]")
		q_ParallaxLayer.get_motion_scale()

	if randi() % 2 == 0:
		print("Executing ParallaxLayer.set_motion_offset")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_ParallaxLayer.set_motion_offset(variable1)

	if randi() % 2 == 0:
		print("Executing ParallaxLayer.get_motion_offset")
		print("Parameters[]")
		q_ParallaxLayer.get_motion_offset()

	if randi() % 2 == 0:
		print("Executing ParallaxLayer.set_mirroring")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_ParallaxLayer.set_mirroring(variable1)

	if randi() % 2 == 0:
		print("Executing ParallaxLayer.get_mirroring")
		print("Parameters[]")
		q_ParallaxLayer.get_mirroring()

	pass

