extends Node2D

var q_Particles2D : Particles2D = Particles2D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Particles2D.queue_free()
		return

	add_child(q_Particles2D)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Particles2D.queue_free()
		q_Particles2D = Particles2D.new()
		add_child(q_Particles2D)

	modify_object(q_Particles2D)

static func modify_object(q_Particles2D : Particles2D) -> void:
	if randi() % 2 == 0:
		print("Executing Particles2D.set_emitting")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Particles2D.set_emitting(variable1)

	if randi() % 2 == 0:
		print("Executing Particles2D.set_lifetime")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Particles2D.set_lifetime(variable1)

	if randi() % 2 == 0:
		print("Executing Particles2D.set_one_shot")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Particles2D.set_one_shot(variable1)

	if randi() % 2 == 0:
		print("Executing Particles2D.set_pre_process_time")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Particles2D.set_pre_process_time(variable1)

	if randi() % 2 == 0:
		print("Executing Particles2D.set_explosiveness_ratio")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Particles2D.set_explosiveness_ratio(variable1)

	if randi() % 2 == 0:
		print("Executing Particles2D.set_randomness_ratio")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Particles2D.set_randomness_ratio(variable1)

	if randi() % 2 == 0:
		print("Executing Particles2D.set_visibility_rect")
		var variable1: Rect2 = Rect2(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		print("Parameters[" + str(variable1) + "]")
		q_Particles2D.set_visibility_rect(variable1)

	if randi() % 2 == 0:
		print("Executing Particles2D.set_use_local_coordinates")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Particles2D.set_use_local_coordinates(variable1)

	if randi() % 2 == 0:
		print("Executing Particles2D.set_fixed_fps")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Particles2D.set_fixed_fps(variable1)

	if randi() % 2 == 0:
		print("Executing Particles2D.set_fractional_delta")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Particles2D.set_fractional_delta(variable1)

	if randi() % 2 == 0:
		print("Executing Particles2D.set_process_material")
		var variable1: ParticlesMaterial = ParticlesMaterial.new()
		print("Parameters[" + str(variable1) + "]")
		q_Particles2D.set_process_material(variable1)

	if randi() % 2 == 0:
		print("Executing Particles2D.set_speed_scale")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Particles2D.set_speed_scale(variable1)

	if randi() % 2 == 0:
		print("Executing Particles2D.is_emitting")
		print("Parameters[]")
		q_Particles2D.is_emitting()

	if randi() % 2 == 0:
		print("Executing Particles2D.get_amount")
		print("Parameters[]")
		q_Particles2D.get_amount()

	if randi() % 2 == 0:
		print("Executing Particles2D.get_lifetime")
		print("Parameters[]")
		q_Particles2D.get_lifetime()

	if randi() % 2 == 0:
		print("Executing Particles2D.get_one_shot")
		print("Parameters[]")
		q_Particles2D.get_one_shot()

	if randi() % 2 == 0:
		print("Executing Particles2D.get_pre_process_time")
		print("Parameters[]")
		q_Particles2D.get_pre_process_time()

	if randi() % 2 == 0:
		print("Executing Particles2D.get_explosiveness_ratio")
		print("Parameters[]")
		q_Particles2D.get_explosiveness_ratio()

	if randi() % 2 == 0:
		print("Executing Particles2D.get_randomness_ratio")
		print("Parameters[]")
		q_Particles2D.get_randomness_ratio()

	if randi() % 2 == 0:
		print("Executing Particles2D.get_visibility_rect")
		print("Parameters[]")
		q_Particles2D.get_visibility_rect()

	if randi() % 2 == 0:
		print("Executing Particles2D.get_use_local_coordinates")
		print("Parameters[]")
		q_Particles2D.get_use_local_coordinates()

	if randi() % 2 == 0:
		print("Executing Particles2D.get_fixed_fps")
		print("Parameters[]")
		q_Particles2D.get_fixed_fps()

	if randi() % 2 == 0:
		print("Executing Particles2D.get_fractional_delta")
		print("Parameters[]")
		q_Particles2D.get_fractional_delta()

	if randi() % 2 == 0:
		print("Executing Particles2D.get_process_material")
		print("Parameters[]")
		q_Particles2D.get_process_material()

	if randi() % 2 == 0:
		print("Executing Particles2D.get_speed_scale")
		print("Parameters[]")
		q_Particles2D.get_speed_scale()

	if randi() % 2 == 0:
		print("Executing Particles2D.set_draw_order")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Particles2D.set_draw_order(variable1)

	if randi() % 2 == 0:
		print("Executing Particles2D.get_draw_order")
		print("Parameters[]")
		q_Particles2D.get_draw_order()

	if randi() % 2 == 0:
		print("Executing Particles2D.set_texture")
		var variable1: CameraTexture = CameraTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_Particles2D.set_texture(variable1)

	if randi() % 2 == 0:
		print("Executing Particles2D.get_texture")
		print("Parameters[]")
		q_Particles2D.get_texture()

	if randi() % 2 == 0:
		print("Executing Particles2D.set_normal_map")
		var variable1: ProxyTexture = ProxyTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_Particles2D.set_normal_map(variable1)

	if randi() % 2 == 0:
		print("Executing Particles2D.get_normal_map")
		print("Parameters[]")
		q_Particles2D.get_normal_map()

	if randi() % 2 == 0:
		print("Executing Particles2D.capture_rect")
		print("Parameters[]")
		q_Particles2D.capture_rect()

	if randi() % 2 == 0:
		print("Executing Particles2D.restart")
		print("Parameters[]")
		q_Particles2D.restart()

	pass

