extends Node2D

var q_PathFollow2D : PathFollow2D = PathFollow2D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_PathFollow2D.queue_free()
		return

	add_child(q_PathFollow2D)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_PathFollow2D.queue_free()
		q_PathFollow2D = PathFollow2D.new()
		add_child(q_PathFollow2D)

	modify_object(q_PathFollow2D)

static func modify_object(q_PathFollow2D : PathFollow2D) -> void:
	if randi() % 2 == 0:
		print("Executing PathFollow2D.set_offset")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PathFollow2D.set_offset(variable1)

	if randi() % 2 == 0:
		print("Executing PathFollow2D.get_offset")
		print("Parameters[]")
		q_PathFollow2D.get_offset()

	if randi() % 2 == 0:
		print("Executing PathFollow2D.set_h_offset")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PathFollow2D.set_h_offset(variable1)

	if randi() % 2 == 0:
		print("Executing PathFollow2D.get_h_offset")
		print("Parameters[]")
		q_PathFollow2D.get_h_offset()

	if randi() % 2 == 0:
		print("Executing PathFollow2D.set_v_offset")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PathFollow2D.set_v_offset(variable1)

	if randi() % 2 == 0:
		print("Executing PathFollow2D.get_v_offset")
		print("Parameters[]")
		q_PathFollow2D.get_v_offset()

	if randi() % 2 == 0:
		print("Executing PathFollow2D.set_unit_offset")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PathFollow2D.set_unit_offset(variable1)

	if randi() % 2 == 0:
		print("Executing PathFollow2D.get_unit_offset")
		print("Parameters[]")
		q_PathFollow2D.get_unit_offset()

	if randi() % 2 == 0:
		print("Executing PathFollow2D.set_rotate")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_PathFollow2D.set_rotate(variable1)

	if randi() % 2 == 0:
		print("Executing PathFollow2D.is_rotating")
		print("Parameters[]")
		q_PathFollow2D.is_rotating()

	if randi() % 2 == 0:
		print("Executing PathFollow2D.set_cubic_interpolation")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_PathFollow2D.set_cubic_interpolation(variable1)

	if randi() % 2 == 0:
		print("Executing PathFollow2D.get_cubic_interpolation")
		print("Parameters[]")
		q_PathFollow2D.get_cubic_interpolation()

	if randi() % 2 == 0:
		print("Executing PathFollow2D.set_loop")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_PathFollow2D.set_loop(variable1)

	if randi() % 2 == 0:
		print("Executing PathFollow2D.has_loop")
		print("Parameters[]")
		q_PathFollow2D.has_loop()

	if randi() % 2 == 0:
		print("Executing PathFollow2D.set_lookahead")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PathFollow2D.set_lookahead(variable1)

	if randi() % 2 == 0:
		print("Executing PathFollow2D.get_lookahead")
		print("Parameters[]")
		q_PathFollow2D.get_lookahead()

	pass

