extends Node2D

var q_RayCast2D : RayCast2D = RayCast2D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_RayCast2D.queue_free()
		return

	add_child(q_RayCast2D)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_RayCast2D.queue_free()
		q_RayCast2D = RayCast2D.new()
		add_child(q_RayCast2D)

	modify_object(q_RayCast2D)

static func modify_object(q_RayCast2D : RayCast2D) -> void:
	if randi() % 2 == 0:
		print("Executing RayCast2D.set_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RayCast2D.set_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing RayCast2D.is_enabled")
		print("Parameters[]")
		q_RayCast2D.is_enabled()

	if randi() % 2 == 0:
		print("Executing RayCast2D.set_cast_to")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_RayCast2D.set_cast_to(variable1)

	if randi() % 2 == 0:
		print("Executing RayCast2D.get_cast_to")
		print("Parameters[]")
		q_RayCast2D.get_cast_to()

	if randi() % 2 == 0:
		print("Executing RayCast2D.is_colliding")
		print("Parameters[]")
		q_RayCast2D.is_colliding()

	if randi() % 2 == 0:
		print("Executing RayCast2D.force_raycast_update")
		print("Parameters[]")
		q_RayCast2D.force_raycast_update()

	if randi() % 2 == 0:
		print("Executing RayCast2D.get_collider")
		print("Parameters[]")
		q_RayCast2D.get_collider()

	if randi() % 2 == 0:
		print("Executing RayCast2D.get_collider_shape")
		print("Parameters[]")
		q_RayCast2D.get_collider_shape()

	if randi() % 2 == 0:
		print("Executing RayCast2D.get_collision_point")
		print("Parameters[]")
		q_RayCast2D.get_collision_point()

	if randi() % 2 == 0:
		print("Executing RayCast2D.get_collision_normal")
		print("Parameters[]")
		q_RayCast2D.get_collision_normal()

	if randi() % 2 == 0:
		print("Executing RayCast2D.add_exception_rid")
		var variable1: RID = RID()
		print("Parameters[" + str(variable1) + "]")
		q_RayCast2D.add_exception_rid(variable1)

	if randi() % 2 == 0:
		print("Executing RayCast2D.add_exception")
		var variable1: VisualShaderNodeGlobalExpression = VisualShaderNodeGlobalExpression.new()
		print("Parameters[" + str(variable1) + "]")
		q_RayCast2D.add_exception(variable1)

	if randi() % 2 == 0:
		print("Executing RayCast2D.remove_exception_rid")
		var variable1: RID = RID()
		print("Parameters[" + str(variable1) + "]")
		q_RayCast2D.remove_exception_rid(variable1)

	if randi() % 2 == 0:
		print("Executing RayCast2D.remove_exception")
		var variable1: CSGBox = CSGBox.new()
		print("Parameters[" + str(variable1) + "]")
		q_RayCast2D.remove_exception(variable1)
		variable1.queue_free()

	if randi() % 2 == 0:
		print("Executing RayCast2D.clear_exceptions")
		print("Parameters[]")
		q_RayCast2D.clear_exceptions()

	if randi() % 2 == 0:
		print("Executing RayCast2D.set_collision_mask")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RayCast2D.set_collision_mask(variable1)

	if randi() % 2 == 0:
		print("Executing RayCast2D.get_collision_mask")
		print("Parameters[]")
		q_RayCast2D.get_collision_mask()

	if randi() % 2 == 0:
		print("Executing RayCast2D.set_collision_mask_bit")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_RayCast2D.set_collision_mask_bit(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing RayCast2D.get_collision_mask_bit")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RayCast2D.get_collision_mask_bit(variable1)

	if randi() % 2 == 0:
		print("Executing RayCast2D.set_exclude_parent_body")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RayCast2D.set_exclude_parent_body(variable1)

	if randi() % 2 == 0:
		print("Executing RayCast2D.get_exclude_parent_body")
		print("Parameters[]")
		q_RayCast2D.get_exclude_parent_body()

	if randi() % 2 == 0:
		print("Executing RayCast2D.set_collide_with_areas")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RayCast2D.set_collide_with_areas(variable1)

	if randi() % 2 == 0:
		print("Executing RayCast2D.is_collide_with_areas_enabled")
		print("Parameters[]")
		q_RayCast2D.is_collide_with_areas_enabled()

	if randi() % 2 == 0:
		print("Executing RayCast2D.set_collide_with_bodies")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RayCast2D.set_collide_with_bodies(variable1)

	if randi() % 2 == 0:
		print("Executing RayCast2D.is_collide_with_bodies_enabled")
		print("Parameters[]")
		q_RayCast2D.is_collide_with_bodies_enabled()

	pass

