extends Node2D

var q_TouchScreenButton : TouchScreenButton = TouchScreenButton.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_TouchScreenButton.queue_free()
		return

	add_child(q_TouchScreenButton)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_TouchScreenButton.queue_free()
		q_TouchScreenButton = TouchScreenButton.new()
		add_child(q_TouchScreenButton)

	modify_object(q_TouchScreenButton)

static func modify_object(q_TouchScreenButton : TouchScreenButton) -> void:
	if randi() % 2 == 0:
		print("Executing TouchScreenButton.set_texture")
		var variable1: AtlasTexture = AtlasTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_TouchScreenButton.set_texture(variable1)

	if randi() % 2 == 0:
		print("Executing TouchScreenButton.get_texture")
		print("Parameters[]")
		q_TouchScreenButton.get_texture()

	if randi() % 2 == 0:
		print("Executing TouchScreenButton.set_texture_pressed")
		var variable1: StreamTexture = StreamTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_TouchScreenButton.set_texture_pressed(variable1)

	if randi() % 2 == 0:
		print("Executing TouchScreenButton.get_texture_pressed")
		print("Parameters[]")
		q_TouchScreenButton.get_texture_pressed()

	if randi() % 2 == 0:
		print("Executing TouchScreenButton.set_bitmask")
		var variable1: BitMap = BitMap.new()
		print("Parameters[" + str(variable1) + "]")
		q_TouchScreenButton.set_bitmask(variable1)

	if randi() % 2 == 0:
		print("Executing TouchScreenButton.get_bitmask")
		print("Parameters[]")
		q_TouchScreenButton.get_bitmask()

	if randi() % 2 == 0:
		print("Executing TouchScreenButton.set_shape")
		var variable1: ConvexPolygonShape2D = ConvexPolygonShape2D.new()
		print("Parameters[" + str(variable1) + "]")
		q_TouchScreenButton.set_shape(variable1)

	if randi() % 2 == 0:
		print("Executing TouchScreenButton.get_shape")
		print("Parameters[]")
		q_TouchScreenButton.get_shape()

	if randi() % 2 == 0:
		print("Executing TouchScreenButton.set_shape_centered")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TouchScreenButton.set_shape_centered(variable1)

	if randi() % 2 == 0:
		print("Executing TouchScreenButton.is_shape_centered")
		print("Parameters[]")
		q_TouchScreenButton.is_shape_centered()

	if randi() % 2 == 0:
		print("Executing TouchScreenButton.set_shape_visible")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TouchScreenButton.set_shape_visible(variable1)

	if randi() % 2 == 0:
		print("Executing TouchScreenButton.is_shape_visible")
		print("Parameters[]")
		q_TouchScreenButton.is_shape_visible()

	if randi() % 2 == 0:
		print("Executing TouchScreenButton.set_action")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_TouchScreenButton.set_action(variable1)

	if randi() % 2 == 0:
		print("Executing TouchScreenButton.get_action")
		print("Parameters[]")
		q_TouchScreenButton.get_action()

	if randi() % 2 == 0:
		print("Executing TouchScreenButton.set_visibility_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TouchScreenButton.set_visibility_mode(variable1)

	if randi() % 2 == 0:
		print("Executing TouchScreenButton.get_visibility_mode")
		print("Parameters[]")
		q_TouchScreenButton.get_visibility_mode()

	if randi() % 2 == 0:
		print("Executing TouchScreenButton.set_passby_press")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TouchScreenButton.set_passby_press(variable1)

	if randi() % 2 == 0:
		print("Executing TouchScreenButton.is_passby_press_enabled")
		print("Parameters[]")
		q_TouchScreenButton.is_passby_press_enabled()

	if randi() % 2 == 0:
		print("Executing TouchScreenButton.is_pressed")
		print("Parameters[]")
		q_TouchScreenButton.is_pressed()

	pass

