extends Node2D

var q_YSort : YSort = YSort.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_YSort.queue_free()
		return

	add_child(q_YSort)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_YSort.queue_free()
		q_YSort = YSort.new()
		add_child(q_YSort)

	modify_object(q_YSort)

static func modify_object(q_YSort : YSort) -> void:
	if randi() % 2 == 0:
		print("Executing YSort.set_sort_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_YSort.set_sort_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing YSort.is_sort_enabled")
		print("Parameters[]")
		q_YSort.is_sort_enabled()

	pass

