extends Node2D

var q_ARVRAnchor : ARVRAnchor = ARVRAnchor.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_ARVRAnchor.queue_free()
		return

	add_child(q_ARVRAnchor)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_ARVRAnchor.queue_free()
		q_ARVRAnchor = ARVRAnchor.new()
		add_child(q_ARVRAnchor)

	modify_object(q_ARVRAnchor)

static func modify_object(q_ARVRAnchor : ARVRAnchor) -> void:
	if randi() % 2 == 0:
		print("Executing ARVRAnchor.set_anchor_id")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ARVRAnchor.set_anchor_id(variable1)

	if randi() % 2 == 0:
		print("Executing ARVRAnchor.get_anchor_id")
		print("Parameters[]")
		q_ARVRAnchor.get_anchor_id()

	if randi() % 2 == 0:
		print("Executing ARVRAnchor.get_anchor_name")
		print("Parameters[]")
		q_ARVRAnchor.get_anchor_name()

	if randi() % 2 == 0:
		print("Executing ARVRAnchor.get_is_active")
		print("Parameters[]")
		q_ARVRAnchor.get_is_active()

	if randi() % 2 == 0:
		print("Executing ARVRAnchor.get_size")
		print("Parameters[]")
		q_ARVRAnchor.get_size()

	if randi() % 2 == 0:
		print("Executing ARVRAnchor.get_plane")
		print("Parameters[]")
		q_ARVRAnchor.get_plane()

	if randi() % 2 == 0:
		print("Executing ARVRAnchor.get_mesh")
		print("Parameters[]")
		q_ARVRAnchor.get_mesh()

	pass

