extends Node2D

var q_ARVRController : ARVRController = ARVRController.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_ARVRController.queue_free()
		return

	add_child(q_ARVRController)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_ARVRController.queue_free()
		q_ARVRController = ARVRController.new()
		add_child(q_ARVRController)

	modify_object(q_ARVRController)

static func modify_object(q_ARVRController : ARVRController) -> void:
	if randi() % 2 == 0:
		print("Executing ARVRController.set_controller_id")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ARVRController.set_controller_id(variable1)

	if randi() % 2 == 0:
		print("Executing ARVRController.get_controller_id")
		print("Parameters[]")
		q_ARVRController.get_controller_id()

	if randi() % 2 == 0:
		print("Executing ARVRController.get_controller_name")
		print("Parameters[]")
		q_ARVRController.get_controller_name()

	if randi() % 2 == 0:
		print("Executing ARVRController.get_joystick_id")
		print("Parameters[]")
		q_ARVRController.get_joystick_id()

	if randi() % 2 == 0:
		print("Executing ARVRController.is_button_pressed")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ARVRController.is_button_pressed(variable1)

	if randi() % 2 == 0:
		print("Executing ARVRController.get_joystick_axis")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ARVRController.get_joystick_axis(variable1)

	if randi() % 2 == 0:
		print("Executing ARVRController.get_is_active")
		print("Parameters[]")
		q_ARVRController.get_is_active()

	if randi() % 2 == 0:
		print("Executing ARVRController.get_hand")
		print("Parameters[]")
		q_ARVRController.get_hand()

	if randi() % 2 == 0:
		print("Executing ARVRController.get_rumble")
		print("Parameters[]")
		q_ARVRController.get_rumble()

	if randi() % 2 == 0:
		print("Executing ARVRController.set_rumble")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ARVRController.set_rumble(variable1)

	if randi() % 2 == 0:
		print("Executing ARVRController.get_mesh")
		print("Parameters[]")
		q_ARVRController.get_mesh()

	pass

