extends Node2D

var q_AnimatedSprite3D : AnimatedSprite3D = AnimatedSprite3D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_AnimatedSprite3D.queue_free()
		return

	add_child(q_AnimatedSprite3D)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AnimatedSprite3D.queue_free()
		q_AnimatedSprite3D = AnimatedSprite3D.new()
		add_child(q_AnimatedSprite3D)

	modify_object(q_AnimatedSprite3D)

static func modify_object(q_AnimatedSprite3D : AnimatedSprite3D) -> void:
	if randi() % 2 == 0:
		print("Executing AnimatedSprite3D.set_sprite_frames")
		var variable1: SpriteFrames = SpriteFrames.new()
		print("Parameters[" + str(variable1) + "]")
		q_AnimatedSprite3D.set_sprite_frames(variable1)

	if randi() % 2 == 0:
		print("Executing AnimatedSprite3D.get_sprite_frames")
		print("Parameters[]")
		q_AnimatedSprite3D.get_sprite_frames()

	if randi() % 2 == 0:
		print("Executing AnimatedSprite3D.set_animation")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_AnimatedSprite3D.set_animation(variable1)

	if randi() % 2 == 0:
		print("Executing AnimatedSprite3D.get_animation")
		print("Parameters[]")
		q_AnimatedSprite3D.get_animation()

	if randi() % 2 == 0:
		print("Executing AnimatedSprite3D._set_playing")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AnimatedSprite3D._set_playing(variable1)

	if randi() % 2 == 0:
		print("Executing AnimatedSprite3D._is_playing")
		print("Parameters[]")
		q_AnimatedSprite3D._is_playing()

	if randi() % 2 == 0:
		print("Executing AnimatedSprite3D.play")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_AnimatedSprite3D.play(variable1)

	if randi() % 2 == 0:
		print("Executing AnimatedSprite3D.stop")
		print("Parameters[]")
		q_AnimatedSprite3D.stop()

	if randi() % 2 == 0:
		print("Executing AnimatedSprite3D.is_playing")
		print("Parameters[]")
		q_AnimatedSprite3D.is_playing()

	if randi() % 2 == 0:
		print("Executing AnimatedSprite3D.set_frame")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimatedSprite3D.set_frame(variable1)

	if randi() % 2 == 0:
		print("Executing AnimatedSprite3D.get_frame")
		print("Parameters[]")
		q_AnimatedSprite3D.get_frame()

	if randi() % 2 == 0:
		print("Executing AnimatedSprite3D._res_changed")
		print("Parameters[]")
		q_AnimatedSprite3D._res_changed()

	pass

