extends Node2D

var q_Area : Area = Area.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Area.queue_free()
		return

	add_child(q_Area)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Area.queue_free()
		q_Area = Area.new()
		add_child(q_Area)

	modify_object(q_Area)

static func modify_object(q_Area : Area) -> void:
	if randi() % 2 == 0:
		print("Executing Area._body_enter_tree")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Area._body_enter_tree(variable1)

	if randi() % 2 == 0:
		print("Executing Area._body_exit_tree")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Area._body_exit_tree(variable1)

	if randi() % 2 == 0:
		print("Executing Area._area_enter_tree")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Area._area_enter_tree(variable1)

	if randi() % 2 == 0:
		print("Executing Area._area_exit_tree")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Area._area_exit_tree(variable1)

	if randi() % 2 == 0:
		print("Executing Area.set_space_override_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Area.set_space_override_mode(variable1)

	if randi() % 2 == 0:
		print("Executing Area.get_space_override_mode")
		print("Parameters[]")
		q_Area.get_space_override_mode()

	if randi() % 2 == 0:
		print("Executing Area.set_gravity_is_point")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Area.set_gravity_is_point(variable1)

	if randi() % 2 == 0:
		print("Executing Area.is_gravity_a_point")
		print("Parameters[]")
		q_Area.is_gravity_a_point()

	if randi() % 2 == 0:
		print("Executing Area.set_gravity_distance_scale")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Area.set_gravity_distance_scale(variable1)

	if randi() % 2 == 0:
		print("Executing Area.get_gravity_distance_scale")
		print("Parameters[]")
		q_Area.get_gravity_distance_scale()

	if randi() % 2 == 0:
		print("Executing Area.set_gravity_vector")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Area.set_gravity_vector(variable1)

	if randi() % 2 == 0:
		print("Executing Area.get_gravity_vector")
		print("Parameters[]")
		q_Area.get_gravity_vector()

	if randi() % 2 == 0:
		print("Executing Area.set_gravity")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Area.set_gravity(variable1)

	if randi() % 2 == 0:
		print("Executing Area.get_gravity")
		print("Parameters[]")
		q_Area.get_gravity()

	if randi() % 2 == 0:
		print("Executing Area.set_angular_damp")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Area.set_angular_damp(variable1)

	if randi() % 2 == 0:
		print("Executing Area.get_angular_damp")
		print("Parameters[]")
		q_Area.get_angular_damp()

	if randi() % 2 == 0:
		print("Executing Area.set_linear_damp")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Area.set_linear_damp(variable1)

	if randi() % 2 == 0:
		print("Executing Area.get_linear_damp")
		print("Parameters[]")
		q_Area.get_linear_damp()

	if randi() % 2 == 0:
		print("Executing Area.set_priority")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Area.set_priority(variable1)

	if randi() % 2 == 0:
		print("Executing Area.get_priority")
		print("Parameters[]")
		q_Area.get_priority()

	if randi() % 2 == 0:
		print("Executing Area.set_monitorable")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Area.set_monitorable(variable1)

	if randi() % 2 == 0:
		print("Executing Area.is_monitorable")
		print("Parameters[]")
		q_Area.is_monitorable()

	if randi() % 2 == 0:
		print("Executing Area.set_monitoring")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Area.set_monitoring(variable1)

	if randi() % 2 == 0:
		print("Executing Area.is_monitoring")
		print("Parameters[]")
		q_Area.is_monitoring()

	if randi() % 2 == 0:
		print("Executing Area.get_overlapping_bodies")
		print("Parameters[]")
		q_Area.get_overlapping_bodies()

	if randi() % 2 == 0:
		print("Executing Area.get_overlapping_areas")
		print("Parameters[]")
		q_Area.get_overlapping_areas()

	if randi() % 2 == 0:
		print("Executing Area.overlaps_body")
		var variable1: KinematicBody = KinematicBody.new()
		print("Parameters[" + str(variable1) + "]")
		q_Area.overlaps_body(variable1)
		variable1.queue_free()

	if randi() % 2 == 0:
		print("Executing Area.overlaps_area")
		var variable1: SliderJoint = SliderJoint.new()
		print("Parameters[" + str(variable1) + "]")
		q_Area.overlaps_area(variable1)
		variable1.queue_free()

	if randi() % 2 == 0:
		print("Executing Area._body_inout")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: RID = RID()
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		var variable5: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_Area._body_inout(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing Area._area_inout")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: RID = RID()
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		var variable5: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_Area._area_inout(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing Area.set_audio_bus_override")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Area.set_audio_bus_override(variable1)

	if randi() % 2 == 0:
		print("Executing Area.is_overriding_audio_bus")
		print("Parameters[]")
		q_Area.is_overriding_audio_bus()

	if randi() % 2 == 0:
		print("Executing Area.set_audio_bus")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_Area.set_audio_bus(variable1)

	if randi() % 2 == 0:
		print("Executing Area.get_audio_bus")
		print("Parameters[]")
		q_Area.get_audio_bus()

	if randi() % 2 == 0:
		print("Executing Area.set_use_reverb_bus")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Area.set_use_reverb_bus(variable1)

	if randi() % 2 == 0:
		print("Executing Area.is_using_reverb_bus")
		print("Parameters[]")
		q_Area.is_using_reverb_bus()

	if randi() % 2 == 0:
		print("Executing Area.set_reverb_bus")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_Area.set_reverb_bus(variable1)

	if randi() % 2 == 0:
		print("Executing Area.get_reverb_bus")
		print("Parameters[]")
		q_Area.get_reverb_bus()

	if randi() % 2 == 0:
		print("Executing Area.set_reverb_amount")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Area.set_reverb_amount(variable1)

	if randi() % 2 == 0:
		print("Executing Area.get_reverb_amount")
		print("Parameters[]")
		q_Area.get_reverb_amount()

	if randi() % 2 == 0:
		print("Executing Area.set_reverb_uniformity")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Area.set_reverb_uniformity(variable1)

	if randi() % 2 == 0:
		print("Executing Area.get_reverb_uniformity")
		print("Parameters[]")
		q_Area.get_reverb_uniformity()

	pass

