extends Node2D

var q_BoneAttachment : BoneAttachment = BoneAttachment.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_BoneAttachment.queue_free()
		return

	add_child(q_BoneAttachment)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_BoneAttachment.queue_free()
		q_BoneAttachment = BoneAttachment.new()
		add_child(q_BoneAttachment)

	modify_object(q_BoneAttachment)

static func modify_object(q_BoneAttachment : BoneAttachment) -> void:
	if randi() % 2 == 0:
		print("Executing BoneAttachment.set_bone_name")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_BoneAttachment.set_bone_name(variable1)

	if randi() % 2 == 0:
		print("Executing BoneAttachment.get_bone_name")
		print("Parameters[]")
		q_BoneAttachment.get_bone_name()

	pass

