extends Node2D

var q_CSGBox : CSGBox = CSGBox.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_CSGBox.queue_free()
		return

	add_child(q_CSGBox)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_CSGBox.queue_free()
		q_CSGBox = CSGBox.new()
		add_child(q_CSGBox)

	modify_object(q_CSGBox)

static func modify_object(q_CSGBox : CSGBox) -> void:
	if randi() % 2 == 0:
		print("Executing CSGBox.set_width")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CSGBox.set_width(variable1)

	if randi() % 2 == 0:
		print("Executing CSGBox.get_width")
		print("Parameters[]")
		q_CSGBox.get_width()

	if randi() % 2 == 0:
		print("Executing CSGBox.set_height")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CSGBox.set_height(variable1)

	if randi() % 2 == 0:
		print("Executing CSGBox.get_height")
		print("Parameters[]")
		q_CSGBox.get_height()

	if randi() % 2 == 0:
		print("Executing CSGBox.set_depth")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CSGBox.set_depth(variable1)

	if randi() % 2 == 0:
		print("Executing CSGBox.get_depth")
		print("Parameters[]")
		q_CSGBox.get_depth()

	if randi() % 2 == 0:
		print("Executing CSGBox.set_material")
		var variable1: ParticlesMaterial = ParticlesMaterial.new()
		print("Parameters[" + str(variable1) + "]")
		q_CSGBox.set_material(variable1)

	if randi() % 2 == 0:
		print("Executing CSGBox.get_material")
		print("Parameters[]")
		q_CSGBox.get_material()

	pass

