extends Node2D

var q_CSGPolygon : CSGPolygon = CSGPolygon.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_CSGPolygon.queue_free()
		return

	add_child(q_CSGPolygon)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_CSGPolygon.queue_free()
		q_CSGPolygon = CSGPolygon.new()
		add_child(q_CSGPolygon)

	modify_object(q_CSGPolygon)

static func modify_object(q_CSGPolygon : CSGPolygon) -> void:
	if randi() % 2 == 0:
		print("Executing CSGPolygon.set_polygon")
		var variable1: PoolVector2Array = PoolVector2Array([])
		print("Parameters[" + str(variable1) + "]")
		q_CSGPolygon.set_polygon(variable1)

	if randi() % 2 == 0:
		print("Executing CSGPolygon.get_polygon")
		print("Parameters[]")
		q_CSGPolygon.get_polygon()

	if randi() % 2 == 0:
		print("Executing CSGPolygon.set_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CSGPolygon.set_mode(variable1)

	if randi() % 2 == 0:
		print("Executing CSGPolygon.get_mode")
		print("Parameters[]")
		q_CSGPolygon.get_mode()

	if randi() % 2 == 0:
		print("Executing CSGPolygon.set_depth")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CSGPolygon.set_depth(variable1)

	if randi() % 2 == 0:
		print("Executing CSGPolygon.get_depth")
		print("Parameters[]")
		q_CSGPolygon.get_depth()

	if randi() % 2 == 0:
		print("Executing CSGPolygon.set_spin_degrees")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CSGPolygon.set_spin_degrees(variable1)

	if randi() % 2 == 0:
		print("Executing CSGPolygon.get_spin_degrees")
		print("Parameters[]")
		q_CSGPolygon.get_spin_degrees()

	if randi() % 2 == 0:
		print("Executing CSGPolygon.set_spin_sides")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CSGPolygon.set_spin_sides(variable1)

	if randi() % 2 == 0:
		print("Executing CSGPolygon.get_spin_sides")
		print("Parameters[]")
		q_CSGPolygon.get_spin_sides()

	if randi() % 2 == 0:
		print("Executing CSGPolygon.set_path_node")
		var variable1: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + "]")
		q_CSGPolygon.set_path_node(variable1)

	if randi() % 2 == 0:
		print("Executing CSGPolygon.get_path_node")
		print("Parameters[]")
		q_CSGPolygon.get_path_node()

	if randi() % 2 == 0:
		print("Executing CSGPolygon.set_path_interval")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CSGPolygon.set_path_interval(variable1)

	if randi() % 2 == 0:
		print("Executing CSGPolygon.get_path_interval")
		print("Parameters[]")
		q_CSGPolygon.get_path_interval()

	if randi() % 2 == 0:
		print("Executing CSGPolygon.set_path_rotation")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CSGPolygon.set_path_rotation(variable1)

	if randi() % 2 == 0:
		print("Executing CSGPolygon.get_path_rotation")
		print("Parameters[]")
		q_CSGPolygon.get_path_rotation()

	if randi() % 2 == 0:
		print("Executing CSGPolygon.set_path_local")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_CSGPolygon.set_path_local(variable1)

	if randi() % 2 == 0:
		print("Executing CSGPolygon.is_path_local")
		print("Parameters[]")
		q_CSGPolygon.is_path_local()

	if randi() % 2 == 0:
		print("Executing CSGPolygon.set_path_continuous_u")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_CSGPolygon.set_path_continuous_u(variable1)

	if randi() % 2 == 0:
		print("Executing CSGPolygon.is_path_continuous_u")
		print("Parameters[]")
		q_CSGPolygon.is_path_continuous_u()

	if randi() % 2 == 0:
		print("Executing CSGPolygon.set_path_joined")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_CSGPolygon.set_path_joined(variable1)

	if randi() % 2 == 0:
		print("Executing CSGPolygon.is_path_joined")
		print("Parameters[]")
		q_CSGPolygon.is_path_joined()

	if randi() % 2 == 0:
		print("Executing CSGPolygon.set_material")
		var variable1: CanvasItemMaterial = CanvasItemMaterial.new()
		print("Parameters[" + str(variable1) + "]")
		q_CSGPolygon.set_material(variable1)

	if randi() % 2 == 0:
		print("Executing CSGPolygon.get_material")
		print("Parameters[]")
		q_CSGPolygon.get_material()

	if randi() % 2 == 0:
		print("Executing CSGPolygon.set_smooth_faces")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_CSGPolygon.set_smooth_faces(variable1)

	if randi() % 2 == 0:
		print("Executing CSGPolygon.get_smooth_faces")
		print("Parameters[]")
		q_CSGPolygon.get_smooth_faces()

	if randi() % 2 == 0:
		print("Executing CSGPolygon._is_editable_3d_polygon")
		print("Parameters[]")
		q_CSGPolygon._is_editable_3d_polygon()

	if randi() % 2 == 0:
		print("Executing CSGPolygon._has_editable_3d_polygon_no_depth")
		print("Parameters[]")
		q_CSGPolygon._has_editable_3d_polygon_no_depth()

	if randi() % 2 == 0:
		print("Executing CSGPolygon._path_exited")
		print("Parameters[]")
		q_CSGPolygon._path_exited()

	if randi() % 2 == 0:
		print("Executing CSGPolygon._path_changed")
		print("Parameters[]")
		q_CSGPolygon._path_changed()

	pass

