extends Node2D

var q_CSGSphere : CSGSphere = CSGSphere.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_CSGSphere.queue_free()
		return

	add_child(q_CSGSphere)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_CSGSphere.queue_free()
		q_CSGSphere = CSGSphere.new()
		add_child(q_CSGSphere)

	modify_object(q_CSGSphere)

static func modify_object(q_CSGSphere : CSGSphere) -> void:
	if randi() % 2 == 0:
		print("Executing CSGSphere.set_radius")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CSGSphere.set_radius(variable1)

	if randi() % 2 == 0:
		print("Executing CSGSphere.get_radius")
		print("Parameters[]")
		q_CSGSphere.get_radius()

	if randi() % 2 == 0:
		print("Executing CSGSphere.set_radial_segments")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CSGSphere.set_radial_segments(variable1)

	if randi() % 2 == 0:
		print("Executing CSGSphere.get_radial_segments")
		print("Parameters[]")
		q_CSGSphere.get_radial_segments()

	if randi() % 2 == 0:
		print("Executing CSGSphere.get_rings")
		print("Parameters[]")
		q_CSGSphere.get_rings()

	if randi() % 2 == 0:
		print("Executing CSGSphere.set_smooth_faces")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_CSGSphere.set_smooth_faces(variable1)

	if randi() % 2 == 0:
		print("Executing CSGSphere.get_smooth_faces")
		print("Parameters[]")
		q_CSGSphere.get_smooth_faces()

	if randi() % 2 == 0:
		print("Executing CSGSphere.set_material")
		var variable1: CanvasItemMaterial = CanvasItemMaterial.new()
		print("Parameters[" + str(variable1) + "]")
		q_CSGSphere.set_material(variable1)

	if randi() % 2 == 0:
		print("Executing CSGSphere.get_material")
		print("Parameters[]")
		q_CSGSphere.get_material()

	pass

