extends Node2D

var q_CSGTorus : CSGTorus = CSGTorus.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_CSGTorus.queue_free()
		return

	add_child(q_CSGTorus)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_CSGTorus.queue_free()
		q_CSGTorus = CSGTorus.new()
		add_child(q_CSGTorus)

	modify_object(q_CSGTorus)

static func modify_object(q_CSGTorus : CSGTorus) -> void:
	if randi() % 2 == 0:
		print("Executing CSGTorus.set_inner_radius")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CSGTorus.set_inner_radius(variable1)

	if randi() % 2 == 0:
		print("Executing CSGTorus.get_inner_radius")
		print("Parameters[]")
		q_CSGTorus.get_inner_radius()

	if randi() % 2 == 0:
		print("Executing CSGTorus.set_outer_radius")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CSGTorus.set_outer_radius(variable1)

	if randi() % 2 == 0:
		print("Executing CSGTorus.get_outer_radius")
		print("Parameters[]")
		q_CSGTorus.get_outer_radius()

	if randi() % 2 == 0:
		print("Executing CSGTorus.set_sides")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CSGTorus.set_sides(variable1)

	if randi() % 2 == 0:
		print("Executing CSGTorus.get_sides")
		print("Parameters[]")
		q_CSGTorus.get_sides()

	if randi() % 2 == 0:
		print("Executing CSGTorus.set_ring_sides")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CSGTorus.set_ring_sides(variable1)

	if randi() % 2 == 0:
		print("Executing CSGTorus.get_ring_sides")
		print("Parameters[]")
		q_CSGTorus.get_ring_sides()

	if randi() % 2 == 0:
		print("Executing CSGTorus.set_material")
		var variable1: CanvasItemMaterial = CanvasItemMaterial.new()
		print("Parameters[" + str(variable1) + "]")
		q_CSGTorus.set_material(variable1)

	if randi() % 2 == 0:
		print("Executing CSGTorus.get_material")
		print("Parameters[]")
		q_CSGTorus.get_material()

	if randi() % 2 == 0:
		print("Executing CSGTorus.set_smooth_faces")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_CSGTorus.set_smooth_faces(variable1)

	if randi() % 2 == 0:
		print("Executing CSGTorus.get_smooth_faces")
		print("Parameters[]")
		q_CSGTorus.get_smooth_faces()

	pass

