extends Node2D

var q_CollisionPolygon : CollisionPolygon = CollisionPolygon.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_CollisionPolygon.queue_free()
		return

	add_child(q_CollisionPolygon)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_CollisionPolygon.queue_free()
		q_CollisionPolygon = CollisionPolygon.new()
		add_child(q_CollisionPolygon)

	modify_object(q_CollisionPolygon)

static func modify_object(q_CollisionPolygon : CollisionPolygon) -> void:
	if randi() % 2 == 0:
		print("Executing CollisionPolygon.set_depth")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CollisionPolygon.set_depth(variable1)

	if randi() % 2 == 0:
		print("Executing CollisionPolygon.get_depth")
		print("Parameters[]")
		q_CollisionPolygon.get_depth()

	if randi() % 2 == 0:
		print("Executing CollisionPolygon.set_polygon")
		var variable1: PoolVector2Array = PoolVector2Array([])
		print("Parameters[" + str(variable1) + "]")
		q_CollisionPolygon.set_polygon(variable1)

	if randi() % 2 == 0:
		print("Executing CollisionPolygon.get_polygon")
		print("Parameters[]")
		q_CollisionPolygon.get_polygon()

	if randi() % 2 == 0:
		print("Executing CollisionPolygon.set_disabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_CollisionPolygon.set_disabled(variable1)

	if randi() % 2 == 0:
		print("Executing CollisionPolygon.is_disabled")
		print("Parameters[]")
		q_CollisionPolygon.is_disabled()

	if randi() % 2 == 0:
		print("Executing CollisionPolygon.set_margin")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CollisionPolygon.set_margin(variable1)

	if randi() % 2 == 0:
		print("Executing CollisionPolygon.get_margin")
		print("Parameters[]")
		q_CollisionPolygon.get_margin()

	if randi() % 2 == 0:
		print("Executing CollisionPolygon._is_editable_3d_polygon")
		print("Parameters[]")
		q_CollisionPolygon._is_editable_3d_polygon()

	pass

