extends Node2D

var q_GIProbe : GIProbe = GIProbe.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_GIProbe.queue_free()
		return

	add_child(q_GIProbe)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_GIProbe.queue_free()
		q_GIProbe = GIProbe.new()
		add_child(q_GIProbe)

	modify_object(q_GIProbe)

static func modify_object(q_GIProbe : GIProbe) -> void:
	if randi() % 2 == 0:
		print("Executing GIProbe.get_probe_data")
		print("Parameters[]")
		q_GIProbe.get_probe_data()

	if randi() % 2 == 0:
		print("Executing GIProbe.set_subdiv")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GIProbe.set_subdiv(variable1)

	if randi() % 2 == 0:
		print("Executing GIProbe.get_subdiv")
		print("Parameters[]")
		q_GIProbe.get_subdiv()

	if randi() % 2 == 0:
		print("Executing GIProbe.set_extents")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_GIProbe.set_extents(variable1)

	if randi() % 2 == 0:
		print("Executing GIProbe.get_extents")
		print("Parameters[]")
		q_GIProbe.get_extents()

	if randi() % 2 == 0:
		print("Executing GIProbe.set_dynamic_range")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GIProbe.set_dynamic_range(variable1)

	if randi() % 2 == 0:
		print("Executing GIProbe.get_dynamic_range")
		print("Parameters[]")
		q_GIProbe.get_dynamic_range()

	if randi() % 2 == 0:
		print("Executing GIProbe.set_energy")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GIProbe.set_energy(variable1)

	if randi() % 2 == 0:
		print("Executing GIProbe.get_energy")
		print("Parameters[]")
		q_GIProbe.get_energy()

	if randi() % 2 == 0:
		print("Executing GIProbe.set_bias")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GIProbe.set_bias(variable1)

	if randi() % 2 == 0:
		print("Executing GIProbe.get_bias")
		print("Parameters[]")
		q_GIProbe.get_bias()

	if randi() % 2 == 0:
		print("Executing GIProbe.set_normal_bias")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GIProbe.set_normal_bias(variable1)

	if randi() % 2 == 0:
		print("Executing GIProbe.get_normal_bias")
		print("Parameters[]")
		q_GIProbe.get_normal_bias()

	if randi() % 2 == 0:
		print("Executing GIProbe.set_propagation")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GIProbe.set_propagation(variable1)

	if randi() % 2 == 0:
		print("Executing GIProbe.get_propagation")
		print("Parameters[]")
		q_GIProbe.get_propagation()

	if randi() % 2 == 0:
		print("Executing GIProbe.set_interior")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_GIProbe.set_interior(variable1)

	if randi() % 2 == 0:
		print("Executing GIProbe.is_interior")
		print("Parameters[]")
		q_GIProbe.is_interior()

	if randi() % 2 == 0:
		print("Executing GIProbe.set_compress")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_GIProbe.set_compress(variable1)

	if randi() % 2 == 0:
		print("Executing GIProbe.is_compressed")
		print("Parameters[]")
		q_GIProbe.is_compressed()

	pass

