extends Node2D

var q_Generic6DOFJoint : Generic6DOFJoint = Generic6DOFJoint.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Generic6DOFJoint.queue_free()
		return

	add_child(q_Generic6DOFJoint)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Generic6DOFJoint.queue_free()
		q_Generic6DOFJoint = Generic6DOFJoint.new()
		add_child(q_Generic6DOFJoint)

	modify_object(q_Generic6DOFJoint)

static func modify_object(q_Generic6DOFJoint : Generic6DOFJoint) -> void:
	if randi() % 2 == 0:
		print("Executing Generic6DOFJoint._set_angular_hi_limit_x")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Generic6DOFJoint._set_angular_hi_limit_x(variable1)

	if randi() % 2 == 0:
		print("Executing Generic6DOFJoint._get_angular_hi_limit_x")
		print("Parameters[]")
		q_Generic6DOFJoint._get_angular_hi_limit_x()

	if randi() % 2 == 0:
		print("Executing Generic6DOFJoint._set_angular_lo_limit_x")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Generic6DOFJoint._set_angular_lo_limit_x(variable1)

	if randi() % 2 == 0:
		print("Executing Generic6DOFJoint._get_angular_lo_limit_x")
		print("Parameters[]")
		q_Generic6DOFJoint._get_angular_lo_limit_x()

	if randi() % 2 == 0:
		print("Executing Generic6DOFJoint._set_angular_hi_limit_y")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Generic6DOFJoint._set_angular_hi_limit_y(variable1)

	if randi() % 2 == 0:
		print("Executing Generic6DOFJoint._get_angular_hi_limit_y")
		print("Parameters[]")
		q_Generic6DOFJoint._get_angular_hi_limit_y()

	if randi() % 2 == 0:
		print("Executing Generic6DOFJoint._set_angular_lo_limit_y")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Generic6DOFJoint._set_angular_lo_limit_y(variable1)

	if randi() % 2 == 0:
		print("Executing Generic6DOFJoint._get_angular_lo_limit_y")
		print("Parameters[]")
		q_Generic6DOFJoint._get_angular_lo_limit_y()

	if randi() % 2 == 0:
		print("Executing Generic6DOFJoint._set_angular_hi_limit_z")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Generic6DOFJoint._set_angular_hi_limit_z(variable1)

	if randi() % 2 == 0:
		print("Executing Generic6DOFJoint._get_angular_hi_limit_z")
		print("Parameters[]")
		q_Generic6DOFJoint._get_angular_hi_limit_z()

	if randi() % 2 == 0:
		print("Executing Generic6DOFJoint._set_angular_lo_limit_z")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Generic6DOFJoint._set_angular_lo_limit_z(variable1)

	if randi() % 2 == 0:
		print("Executing Generic6DOFJoint._get_angular_lo_limit_z")
		print("Parameters[]")
		q_Generic6DOFJoint._get_angular_lo_limit_z()

	if randi() % 2 == 0:
		print("Executing Generic6DOFJoint.set_param_x")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Generic6DOFJoint.set_param_x(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Generic6DOFJoint.get_param_x")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Generic6DOFJoint.get_param_x(variable1)

	if randi() % 2 == 0:
		print("Executing Generic6DOFJoint.set_param_y")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Generic6DOFJoint.set_param_y(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Generic6DOFJoint.get_param_y")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Generic6DOFJoint.get_param_y(variable1)

	if randi() % 2 == 0:
		print("Executing Generic6DOFJoint.set_param_z")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Generic6DOFJoint.set_param_z(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Generic6DOFJoint.get_param_z")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Generic6DOFJoint.get_param_z(variable1)

	if randi() % 2 == 0:
		print("Executing Generic6DOFJoint.set_flag_x")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Generic6DOFJoint.set_flag_x(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Generic6DOFJoint.get_flag_x")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Generic6DOFJoint.get_flag_x(variable1)

	if randi() % 2 == 0:
		print("Executing Generic6DOFJoint.set_flag_y")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Generic6DOFJoint.set_flag_y(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Generic6DOFJoint.get_flag_y")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Generic6DOFJoint.get_flag_y(variable1)

	if randi() % 2 == 0:
		print("Executing Generic6DOFJoint.set_flag_z")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Generic6DOFJoint.set_flag_z(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Generic6DOFJoint.get_flag_z")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Generic6DOFJoint.get_flag_z(variable1)

	pass

