extends Node2D

var q_GridMap : GridMap = GridMap.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_GridMap.queue_free()
		return

	add_child(q_GridMap)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_GridMap.queue_free()
		q_GridMap = GridMap.new()
		add_child(q_GridMap)

	modify_object(q_GridMap)

static func modify_object(q_GridMap : GridMap) -> void:
	if randi() % 2 == 0:
		print("Executing GridMap.set_collision_layer")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GridMap.set_collision_layer(variable1)

	if randi() % 2 == 0:
		print("Executing GridMap.get_collision_layer")
		print("Parameters[]")
		q_GridMap.get_collision_layer()

	if randi() % 2 == 0:
		print("Executing GridMap.set_collision_mask")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GridMap.set_collision_mask(variable1)

	if randi() % 2 == 0:
		print("Executing GridMap.get_collision_mask")
		print("Parameters[]")
		q_GridMap.get_collision_mask()

	if randi() % 2 == 0:
		print("Executing GridMap.set_collision_mask_bit")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_GridMap.set_collision_mask_bit(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing GridMap.get_collision_mask_bit")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GridMap.get_collision_mask_bit(variable1)

	if randi() % 2 == 0:
		print("Executing GridMap.set_collision_layer_bit")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_GridMap.set_collision_layer_bit(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing GridMap.get_collision_layer_bit")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GridMap.get_collision_layer_bit(variable1)

	if randi() % 2 == 0:
		print("Executing GridMap.set_mesh_library")
		var variable1: MeshLibrary = MeshLibrary.new()
		print("Parameters[" + str(variable1) + "]")
		q_GridMap.set_mesh_library(variable1)

	if randi() % 2 == 0:
		print("Executing GridMap.get_mesh_library")
		print("Parameters[]")
		q_GridMap.get_mesh_library()

	if randi() % 2 == 0:
		print("Executing GridMap.set_cell_size")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_GridMap.set_cell_size(variable1)

	if randi() % 2 == 0:
		print("Executing GridMap.get_cell_size")
		print("Parameters[]")
		q_GridMap.get_cell_size()

	if randi() % 2 == 0:
		print("Executing GridMap.set_cell_scale")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GridMap.set_cell_scale(variable1)

	if randi() % 2 == 0:
		print("Executing GridMap.get_cell_scale")
		print("Parameters[]")
		q_GridMap.get_cell_scale()

	if randi() % 2 == 0:
		print("Executing GridMap.set_octant_size")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GridMap.set_octant_size(variable1)

	if randi() % 2 == 0:
		print("Executing GridMap.get_octant_size")
		print("Parameters[]")
		q_GridMap.get_octant_size()

	if randi() % 2 == 0:
		print("Executing GridMap.set_cell_item")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		var variable5: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_GridMap.set_cell_item(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing GridMap.get_cell_item")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_GridMap.get_cell_item(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing GridMap.get_cell_item_orientation")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_GridMap.get_cell_item_orientation(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing GridMap.world_to_map")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_GridMap.world_to_map(variable1)

	if randi() % 2 == 0:
		print("Executing GridMap.map_to_world")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_GridMap.map_to_world(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing GridMap._update_octants_callback")
		print("Parameters[]")
		q_GridMap._update_octants_callback()

	if randi() % 2 == 0:
		print("Executing GridMap.resource_changed")
		var variable1: VisualShaderNodeGroupBase = VisualShaderNodeGroupBase.new()
		print("Parameters[" + str(variable1) + "]")
		q_GridMap.resource_changed(variable1)

	if randi() % 2 == 0:
		print("Executing GridMap.set_center_x")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_GridMap.set_center_x(variable1)

	if randi() % 2 == 0:
		print("Executing GridMap.get_center_x")
		print("Parameters[]")
		q_GridMap.get_center_x()

	if randi() % 2 == 0:
		print("Executing GridMap.set_center_y")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_GridMap.set_center_y(variable1)

	if randi() % 2 == 0:
		print("Executing GridMap.get_center_y")
		print("Parameters[]")
		q_GridMap.get_center_y()

	if randi() % 2 == 0:
		print("Executing GridMap.set_center_z")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_GridMap.set_center_z(variable1)

	if randi() % 2 == 0:
		print("Executing GridMap.get_center_z")
		print("Parameters[]")
		q_GridMap.get_center_z()

	if randi() % 2 == 0:
		print("Executing GridMap.set_clip")
		var variable1: bool = bool(randi() % 2)
		var variable2: bool = bool(randi() % 2)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_GridMap.set_clip(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing GridMap.clear")
		print("Parameters[]")
		q_GridMap.clear()

	if randi() % 2 == 0:
		print("Executing GridMap.get_used_cells")
		print("Parameters[]")
		q_GridMap.get_used_cells()

	if randi() % 2 == 0:
		print("Executing GridMap.get_meshes")
		print("Parameters[]")
		q_GridMap.get_meshes()

	if randi() % 2 == 0:
		print("Executing GridMap.get_bake_meshes")
		print("Parameters[]")
		q_GridMap.get_bake_meshes()

	if randi() % 2 == 0:
		print("Executing GridMap.get_bake_mesh_instance")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GridMap.get_bake_mesh_instance(variable1)

	if randi() % 2 == 0:
		print("Executing GridMap.clear_baked_meshes")
		print("Parameters[]")
		q_GridMap.clear_baked_meshes()

	if randi() % 2 == 0:
		print("Executing GridMap.make_baked_meshes")
		var variable1: bool = bool(randi() % 2)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_GridMap.make_baked_meshes(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing GridMap.set_use_in_baked_light")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_GridMap.set_use_in_baked_light(variable1)

	if randi() % 2 == 0:
		print("Executing GridMap.get_use_in_baked_light")
		print("Parameters[]")
		q_GridMap.get_use_in_baked_light()

	pass

