extends Node2D

var q_InterpolatedCamera : InterpolatedCamera = InterpolatedCamera.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_InterpolatedCamera.queue_free()
		return

	add_child(q_InterpolatedCamera)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_InterpolatedCamera.queue_free()
		q_InterpolatedCamera = InterpolatedCamera.new()
		add_child(q_InterpolatedCamera)

	modify_object(q_InterpolatedCamera)

static func modify_object(q_InterpolatedCamera : InterpolatedCamera) -> void:
	if randi() % 2 == 0:
		print("Executing InterpolatedCamera.set_target_path")
		var variable1: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + "]")
		q_InterpolatedCamera.set_target_path(variable1)

	if randi() % 2 == 0:
		print("Executing InterpolatedCamera.get_target_path")
		print("Parameters[]")
		q_InterpolatedCamera.get_target_path()

	if randi() % 2 == 0:
		print("Executing InterpolatedCamera.set_target")
		var variable1: GIProbeData = GIProbeData.new()
		print("Parameters[" + str(variable1) + "]")
		q_InterpolatedCamera.set_target(variable1)

	if randi() % 2 == 0:
		print("Executing InterpolatedCamera.set_speed")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_InterpolatedCamera.set_speed(variable1)

	if randi() % 2 == 0:
		print("Executing InterpolatedCamera.get_speed")
		print("Parameters[]")
		q_InterpolatedCamera.get_speed()

	if randi() % 2 == 0:
		print("Executing InterpolatedCamera.set_interpolation_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_InterpolatedCamera.set_interpolation_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing InterpolatedCamera.is_interpolation_enabled")
		print("Parameters[]")
		q_InterpolatedCamera.is_interpolation_enabled()

	pass

