extends Node2D

var q_Listener : Listener = Listener.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Listener.queue_free()
		return

	add_child(q_Listener)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Listener.queue_free()
		q_Listener = Listener.new()
		add_child(q_Listener)

	modify_object(q_Listener)

static func modify_object(q_Listener : Listener) -> void:
	if randi() % 2 == 0:
		print("Executing Listener.make_current")
		print("Parameters[]")
		q_Listener.make_current()

	if randi() % 2 == 0:
		print("Executing Listener.clear_current")
		print("Parameters[]")
		q_Listener.clear_current()

	if randi() % 2 == 0:
		print("Executing Listener.is_current")
		print("Parameters[]")
		q_Listener.is_current()

	if randi() % 2 == 0:
		print("Executing Listener.get_listener_transform")
		print("Parameters[]")
		q_Listener.get_listener_transform()

	pass

