extends Node2D

var q_MeshInstance : MeshInstance = MeshInstance.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_MeshInstance.queue_free()
		return

	add_child(q_MeshInstance)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_MeshInstance.queue_free()
		q_MeshInstance = MeshInstance.new()
		add_child(q_MeshInstance)

	modify_object(q_MeshInstance)

static func modify_object(q_MeshInstance : MeshInstance) -> void:
	if randi() % 2 == 0:
		print("Executing MeshInstance.set_mesh")
		var variable1: PointMesh = PointMesh.new()
		print("Parameters[" + str(variable1) + "]")
		q_MeshInstance.set_mesh(variable1)

	if randi() % 2 == 0:
		print("Executing MeshInstance.get_mesh")
		print("Parameters[]")
		q_MeshInstance.get_mesh()

	if randi() % 2 == 0:
		print("Executing MeshInstance.set_skeleton_path")
		var variable1: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + "]")
		q_MeshInstance.set_skeleton_path(variable1)

	if randi() % 2 == 0:
		print("Executing MeshInstance.get_skeleton_path")
		print("Parameters[]")
		q_MeshInstance.get_skeleton_path()

	if randi() % 2 == 0:
		print("Executing MeshInstance.set_skin")
		var variable1: Skin = Skin.new()
		print("Parameters[" + str(variable1) + "]")
		q_MeshInstance.set_skin(variable1)

	if randi() % 2 == 0:
		print("Executing MeshInstance.get_skin")
		print("Parameters[]")
		q_MeshInstance.get_skin()

	if randi() % 2 == 0:
		print("Executing MeshInstance.get_surface_material_count")
		print("Parameters[]")
		q_MeshInstance.get_surface_material_count()

	if randi() % 2 == 0:
		print("Executing MeshInstance.set_surface_material")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: ShaderMaterial = ShaderMaterial.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_MeshInstance.set_surface_material(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing MeshInstance.get_surface_material")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MeshInstance.get_surface_material(variable1)

	if randi() % 2 == 0:
		print("Executing MeshInstance.get_active_material")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MeshInstance.get_active_material(variable1)

	if randi() % 2 == 0:
		print("Executing MeshInstance.set_software_skinning_transform_normals")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_MeshInstance.set_software_skinning_transform_normals(variable1)

	if randi() % 2 == 0:
		print("Executing MeshInstance.is_software_skinning_transform_normals_enabled")
		print("Parameters[]")
		q_MeshInstance.is_software_skinning_transform_normals_enabled()

	if randi() % 2 == 0:
		print("Executing MeshInstance.create_trimesh_collision")
		print("Parameters[]")
		q_MeshInstance.create_trimesh_collision()

	if randi() % 2 == 0:
		print("Executing MeshInstance.create_multiple_convex_collisions")
		print("Parameters[]")
		q_MeshInstance.create_multiple_convex_collisions()

	if randi() % 2 == 0:
		print("Executing MeshInstance.create_convex_collision")
		var variable1: bool = bool(randi() % 2)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_MeshInstance.create_convex_collision(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing MeshInstance._mesh_changed")
		print("Parameters[]")
		q_MeshInstance._mesh_changed()

	if randi() % 2 == 0:
		print("Executing MeshInstance._update_skinning")
		print("Parameters[]")
		q_MeshInstance._update_skinning()

	if randi() % 2 == 0:
		print("Executing MeshInstance.create_debug_tangents")
		print("Parameters[]")
		q_MeshInstance.create_debug_tangents()

	pass

