extends Node2D

var q_MultiMeshInstance : MultiMeshInstance = MultiMeshInstance.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_MultiMeshInstance.queue_free()
		return

	add_child(q_MultiMeshInstance)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_MultiMeshInstance.queue_free()
		q_MultiMeshInstance = MultiMeshInstance.new()
		add_child(q_MultiMeshInstance)

	modify_object(q_MultiMeshInstance)

static func modify_object(q_MultiMeshInstance : MultiMeshInstance) -> void:
	if randi() % 2 == 0:
		print("Executing MultiMeshInstance.set_multimesh")
		var variable1: MultiMesh = MultiMesh.new()
		print("Parameters[" + str(variable1) + "]")
		q_MultiMeshInstance.set_multimesh(variable1)

	if randi() % 2 == 0:
		print("Executing MultiMeshInstance.get_multimesh")
		print("Parameters[]")
		q_MultiMeshInstance.get_multimesh()

	pass

