extends Node2D

var q_PinJoint : PinJoint = PinJoint.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_PinJoint.queue_free()
		return

	add_child(q_PinJoint)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_PinJoint.queue_free()
		q_PinJoint = PinJoint.new()
		add_child(q_PinJoint)

	modify_object(q_PinJoint)

static func modify_object(q_PinJoint : PinJoint) -> void:
	if randi() % 2 == 0:
		print("Executing PinJoint.set_param")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_PinJoint.set_param(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing PinJoint.get_param")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PinJoint.get_param(variable1)

	pass

