extends Node2D

var q_Portal : Portal = Portal.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Portal.queue_free()
		return

	add_child(q_Portal)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Portal.queue_free()
		q_Portal = Portal.new()
		add_child(q_Portal)

	modify_object(q_Portal)

static func modify_object(q_Portal : Portal) -> void:
	if randi() % 2 == 0:
		print("Executing Portal.set_portal_active")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Portal.set_portal_active(variable1)

	if randi() % 2 == 0:
		print("Executing Portal.get_portal_active")
		print("Parameters[]")
		q_Portal.get_portal_active()

	if randi() % 2 == 0:
		print("Executing Portal.set_two_way")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Portal.set_two_way(variable1)

	if randi() % 2 == 0:
		print("Executing Portal.is_two_way")
		print("Parameters[]")
		q_Portal.is_two_way()

	if randi() % 2 == 0:
		print("Executing Portal.set_use_default_margin")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Portal.set_use_default_margin(variable1)

	if randi() % 2 == 0:
		print("Executing Portal.get_use_default_margin")
		print("Parameters[]")
		q_Portal.get_use_default_margin()

	if randi() % 2 == 0:
		print("Executing Portal.set_portal_margin")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Portal.set_portal_margin(variable1)

	if randi() % 2 == 0:
		print("Executing Portal.get_portal_margin")
		print("Parameters[]")
		q_Portal.get_portal_margin()

	if randi() % 2 == 0:
		print("Executing Portal.set_linked_room")
		var variable1: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + "]")
		q_Portal.set_linked_room(variable1)

	if randi() % 2 == 0:
		print("Executing Portal.get_linked_room")
		print("Parameters[]")
		q_Portal.get_linked_room()

	if randi() % 2 == 0:
		print("Executing Portal.set_points")
		var variable1: PoolVector2Array = PoolVector2Array([])
		print("Parameters[" + str(variable1) + "]")
		q_Portal.set_points(variable1)

	if randi() % 2 == 0:
		print("Executing Portal.get_points")
		print("Parameters[]")
		q_Portal.get_points()

	pass

