extends Node2D

var q_ProximityGroup : ProximityGroup = ProximityGroup.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_ProximityGroup.queue_free()
		return

	add_child(q_ProximityGroup)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_ProximityGroup.queue_free()
		q_ProximityGroup = ProximityGroup.new()
		add_child(q_ProximityGroup)

	modify_object(q_ProximityGroup)

static func modify_object(q_ProximityGroup : ProximityGroup) -> void:
	if randi() % 2 == 0:
		print("Executing ProximityGroup.set_group_name")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_ProximityGroup.set_group_name(variable1)

	if randi() % 2 == 0:
		print("Executing ProximityGroup.get_group_name")
		print("Parameters[]")
		q_ProximityGroup.get_group_name()

	if randi() % 2 == 0:
		print("Executing ProximityGroup.set_dispatch_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ProximityGroup.set_dispatch_mode(variable1)

	if randi() % 2 == 0:
		print("Executing ProximityGroup.get_dispatch_mode")
		print("Parameters[]")
		q_ProximityGroup.get_dispatch_mode()

	if randi() % 2 == 0:
		print("Executing ProximityGroup.set_grid_radius")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_ProximityGroup.set_grid_radius(variable1)

	if randi() % 2 == 0:
		print("Executing ProximityGroup.get_grid_radius")
		print("Parameters[]")
		q_ProximityGroup.get_grid_radius()

	if randi() % 2 == 0:
		print("Executing ProximityGroup.broadcast")
		var variable1: String = str(randi() / 100)
		var variable2 = false
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ProximityGroup.broadcast(variable1, variable2)

	pass

