extends Node2D

var q_RemoteTransform : RemoteTransform = RemoteTransform.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_RemoteTransform.queue_free()
		return

	add_child(q_RemoteTransform)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_RemoteTransform.queue_free()
		q_RemoteTransform = RemoteTransform.new()
		add_child(q_RemoteTransform)

	modify_object(q_RemoteTransform)

static func modify_object(q_RemoteTransform : RemoteTransform) -> void:
	if randi() % 2 == 0:
		print("Executing RemoteTransform.set_remote_node")
		var variable1: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + "]")
		q_RemoteTransform.set_remote_node(variable1)

	if randi() % 2 == 0:
		print("Executing RemoteTransform.get_remote_node")
		print("Parameters[]")
		q_RemoteTransform.get_remote_node()

	if randi() % 2 == 0:
		print("Executing RemoteTransform.force_update_cache")
		print("Parameters[]")
		q_RemoteTransform.force_update_cache()

	if randi() % 2 == 0:
		print("Executing RemoteTransform.set_use_global_coordinates")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RemoteTransform.set_use_global_coordinates(variable1)

	if randi() % 2 == 0:
		print("Executing RemoteTransform.get_use_global_coordinates")
		print("Parameters[]")
		q_RemoteTransform.get_use_global_coordinates()

	if randi() % 2 == 0:
		print("Executing RemoteTransform.set_update_position")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RemoteTransform.set_update_position(variable1)

	if randi() % 2 == 0:
		print("Executing RemoteTransform.get_update_position")
		print("Parameters[]")
		q_RemoteTransform.get_update_position()

	if randi() % 2 == 0:
		print("Executing RemoteTransform.set_update_rotation")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RemoteTransform.set_update_rotation(variable1)

	if randi() % 2 == 0:
		print("Executing RemoteTransform.get_update_rotation")
		print("Parameters[]")
		q_RemoteTransform.get_update_rotation()

	if randi() % 2 == 0:
		print("Executing RemoteTransform.set_update_scale")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RemoteTransform.set_update_scale(variable1)

	if randi() % 2 == 0:
		print("Executing RemoteTransform.get_update_scale")
		print("Parameters[]")
		q_RemoteTransform.get_update_scale()

	pass

