extends Node2D

var q_RigidBody : RigidBody = RigidBody.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_RigidBody.queue_free()
		return

	add_child(q_RigidBody)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_RigidBody.queue_free()
		q_RigidBody = RigidBody.new()
		add_child(q_RigidBody)

	modify_object(q_RigidBody)

static func modify_object(q_RigidBody : RigidBody) -> void:
	if randi() % 2 == 0:
		print("Executing RigidBody.set_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody.set_mode(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody.get_mode")
		print("Parameters[]")
		q_RigidBody.get_mode()

	if randi() % 2 == 0:
		print("Executing RigidBody.set_mass")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody.set_mass(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody.get_mass")
		print("Parameters[]")
		q_RigidBody.get_mass()

	if randi() % 2 == 0:
		print("Executing RigidBody.set_weight")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody.set_weight(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody.get_weight")
		print("Parameters[]")
		q_RigidBody.get_weight()

	if randi() % 2 == 0:
		print("Executing RigidBody.set_friction")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody.set_friction(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody.get_friction")
		print("Parameters[]")
		q_RigidBody.get_friction()

	if randi() % 2 == 0:
		print("Executing RigidBody.set_bounce")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody.set_bounce(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody.get_bounce")
		print("Parameters[]")
		q_RigidBody.get_bounce()

	if randi() % 2 == 0:
		print("Executing RigidBody.set_physics_material_override")
		var variable1: PhysicsMaterial = PhysicsMaterial.new()
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody.set_physics_material_override(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody.get_physics_material_override")
		print("Parameters[]")
		q_RigidBody.get_physics_material_override()

	if randi() % 2 == 0:
		print("Executing RigidBody._reload_physics_characteristics")
		print("Parameters[]")
		q_RigidBody._reload_physics_characteristics()

	if randi() % 2 == 0:
		print("Executing RigidBody.set_linear_velocity")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody.set_linear_velocity(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody.get_linear_velocity")
		print("Parameters[]")
		q_RigidBody.get_linear_velocity()

	if randi() % 2 == 0:
		print("Executing RigidBody.set_angular_velocity")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody.set_angular_velocity(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody.get_angular_velocity")
		print("Parameters[]")
		q_RigidBody.get_angular_velocity()

	if randi() % 2 == 0:
		print("Executing RigidBody.get_inverse_inertia_tensor")
		print("Parameters[]")
		q_RigidBody.get_inverse_inertia_tensor()

	if randi() % 2 == 0:
		print("Executing RigidBody.set_gravity_scale")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody.set_gravity_scale(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody.get_gravity_scale")
		print("Parameters[]")
		q_RigidBody.get_gravity_scale()

	if randi() % 2 == 0:
		print("Executing RigidBody.set_linear_damp")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody.set_linear_damp(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody.get_linear_damp")
		print("Parameters[]")
		q_RigidBody.get_linear_damp()

	if randi() % 2 == 0:
		print("Executing RigidBody.set_angular_damp")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody.set_angular_damp(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody.get_angular_damp")
		print("Parameters[]")
		q_RigidBody.get_angular_damp()

	if randi() % 2 == 0:
		print("Executing RigidBody.set_max_contacts_reported")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody.set_max_contacts_reported(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody.get_max_contacts_reported")
		print("Parameters[]")
		q_RigidBody.get_max_contacts_reported()

	if randi() % 2 == 0:
		print("Executing RigidBody.set_use_custom_integrator")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody.set_use_custom_integrator(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody.is_using_custom_integrator")
		print("Parameters[]")
		q_RigidBody.is_using_custom_integrator()

	if randi() % 2 == 0:
		print("Executing RigidBody.set_contact_monitor")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody.set_contact_monitor(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody.is_contact_monitor_enabled")
		print("Parameters[]")
		q_RigidBody.is_contact_monitor_enabled()

	if randi() % 2 == 0:
		print("Executing RigidBody.set_use_continuous_collision_detection")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody.set_use_continuous_collision_detection(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody.is_using_continuous_collision_detection")
		print("Parameters[]")
		q_RigidBody.is_using_continuous_collision_detection()

	if randi() % 2 == 0:
		print("Executing RigidBody.set_axis_velocity")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody.set_axis_velocity(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody.add_central_force")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody.add_central_force(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody.add_force")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable2: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_RigidBody.add_force(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing RigidBody.add_torque")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody.add_torque(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody.apply_central_impulse")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody.apply_central_impulse(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody.apply_impulse")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable2: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_RigidBody.apply_impulse(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing RigidBody.apply_torque_impulse")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody.apply_torque_impulse(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody.set_sleeping")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody.set_sleeping(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody.is_sleeping")
		print("Parameters[]")
		q_RigidBody.is_sleeping()

	if randi() % 2 == 0:
		print("Executing RigidBody.set_can_sleep")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody.set_can_sleep(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody.is_able_to_sleep")
		print("Parameters[]")
		q_RigidBody.is_able_to_sleep()

	if randi() % 2 == 0:
		print("Executing RigidBody._body_enter_tree")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody._body_enter_tree(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody._body_exit_tree")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody._body_exit_tree(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody.set_axis_lock")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_RigidBody.set_axis_lock(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing RigidBody.get_axis_lock")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody.get_axis_lock(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody.get_colliding_bodies")
		print("Parameters[]")
		q_RigidBody.get_colliding_bodies()

	pass

