extends Node2D

var q_Room : Room = Room.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Room.queue_free()
		return

	add_child(q_Room)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Room.queue_free()
		q_Room = Room.new()
		add_child(q_Room)

	modify_object(q_Room)

static func modify_object(q_Room : Room) -> void:
	if randi() % 2 == 0:
		print("Executing Room.set_use_default_simplify")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Room.set_use_default_simplify(variable1)

	if randi() % 2 == 0:
		print("Executing Room.get_use_default_simplify")
		print("Parameters[]")
		q_Room.get_use_default_simplify()

	if randi() % 2 == 0:
		print("Executing Room.set_room_simplify")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Room.set_room_simplify(variable1)

	if randi() % 2 == 0:
		print("Executing Room.get_room_simplify")
		print("Parameters[]")
		q_Room.get_room_simplify()

	if randi() % 2 == 0:
		print("Executing Room.set_points")
		var variable1: PoolVector3Array = PoolVector3Array([])
		print("Parameters[" + str(variable1) + "]")
		q_Room.set_points(variable1)

	if randi() % 2 == 0:
		print("Executing Room.get_points")
		print("Parameters[]")
		q_Room.get_points()

	pass

