extends Node2D

var q_RoomGroup : RoomGroup = RoomGroup.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_RoomGroup.queue_free()
		return

	add_child(q_RoomGroup)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_RoomGroup.queue_free()
		q_RoomGroup = RoomGroup.new()
		add_child(q_RoomGroup)

	modify_object(q_RoomGroup)

static func modify_object(q_RoomGroup : RoomGroup) -> void:
	if randi() % 2 == 0:
		print("Executing RoomGroup.set_roomgroup_priority")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RoomGroup.set_roomgroup_priority(variable1)

	if randi() % 2 == 0:
		print("Executing RoomGroup.get_roomgroup_priority")
		print("Parameters[]")
		q_RoomGroup.get_roomgroup_priority()

	pass

