extends Node2D

var q_Spatial : Spatial = Spatial.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Spatial.queue_free()
		return

	add_child(q_Spatial)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Spatial.queue_free()
		q_Spatial = Spatial.new()
		add_child(q_Spatial)

	modify_object(q_Spatial)

static func modify_object(q_Spatial : Spatial) -> void:
	if randi() % 2 == 0:
		print("Executing Spatial.set_transform")
		var variable1: Transform = Transform(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		print("Parameters[" + str(variable1) + "]")
		q_Spatial.set_transform(variable1)

	if randi() % 2 == 0:
		print("Executing Spatial.get_transform")
		print("Parameters[]")
		q_Spatial.get_transform()

	if randi() % 2 == 0:
		print("Executing Spatial.set_translation")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Spatial.set_translation(variable1)

	if randi() % 2 == 0:
		print("Executing Spatial.get_translation")
		print("Parameters[]")
		q_Spatial.get_translation()

	if randi() % 2 == 0:
		print("Executing Spatial.set_rotation")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Spatial.set_rotation(variable1)

	if randi() % 2 == 0:
		print("Executing Spatial.get_rotation")
		print("Parameters[]")
		q_Spatial.get_rotation()

	if randi() % 2 == 0:
		print("Executing Spatial.set_rotation_degrees")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Spatial.set_rotation_degrees(variable1)

	if randi() % 2 == 0:
		print("Executing Spatial.get_rotation_degrees")
		print("Parameters[]")
		q_Spatial.get_rotation_degrees()

	if randi() % 2 == 0:
		print("Executing Spatial.set_scale")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Spatial.set_scale(variable1)

	if randi() % 2 == 0:
		print("Executing Spatial.get_scale")
		print("Parameters[]")
		q_Spatial.get_scale()

	if randi() % 2 == 0:
		print("Executing Spatial.set_global_transform")
		var variable1: Transform = Transform(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		print("Parameters[" + str(variable1) + "]")
		q_Spatial.set_global_transform(variable1)

	if randi() % 2 == 0:
		print("Executing Spatial.get_global_transform")
		print("Parameters[]")
		q_Spatial.get_global_transform()

	if randi() % 2 == 0:
		print("Executing Spatial.get_parent_spatial")
		print("Parameters[]")
		q_Spatial.get_parent_spatial()

	if randi() % 2 == 0:
		print("Executing Spatial.set_ignore_transform_notification")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Spatial.set_ignore_transform_notification(variable1)

	if randi() % 2 == 0:
		print("Executing Spatial.set_as_toplevel")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Spatial.set_as_toplevel(variable1)

	if randi() % 2 == 0:
		print("Executing Spatial.is_set_as_toplevel")
		print("Parameters[]")
		q_Spatial.is_set_as_toplevel()

	if randi() % 2 == 0:
		print("Executing Spatial.set_disable_scale")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Spatial.set_disable_scale(variable1)

	if randi() % 2 == 0:
		print("Executing Spatial.is_scale_disabled")
		print("Parameters[]")
		q_Spatial.is_scale_disabled()

	if randi() % 2 == 0:
		print("Executing Spatial.get_world")
		print("Parameters[]")
		q_Spatial.get_world()

	if randi() % 2 == 0:
		print("Executing Spatial._update_gizmo")
		print("Parameters[]")
		q_Spatial._update_gizmo()

	if randi() % 2 == 0:
		print("Executing Spatial.update_gizmo")
		print("Parameters[]")
		q_Spatial.update_gizmo()

	if randi() % 2 == 0:
		print("Executing Spatial.get_gizmo")
		print("Parameters[]")
		q_Spatial.get_gizmo()

	if randi() % 2 == 0:
		print("Executing Spatial.set_visible")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Spatial.set_visible(variable1)

	if randi() % 2 == 0:
		print("Executing Spatial.is_visible")
		print("Parameters[]")
		q_Spatial.is_visible()

	if randi() % 2 == 0:
		print("Executing Spatial.is_visible_in_tree")
		print("Parameters[]")
		q_Spatial.is_visible_in_tree()

	if randi() % 2 == 0:
		print("Executing Spatial.show")
		print("Parameters[]")
		q_Spatial.show()

	if randi() % 2 == 0:
		print("Executing Spatial.hide")
		print("Parameters[]")
		q_Spatial.hide()

	if randi() % 2 == 0:
		print("Executing Spatial.set_notify_local_transform")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Spatial.set_notify_local_transform(variable1)

	if randi() % 2 == 0:
		print("Executing Spatial.is_local_transform_notification_enabled")
		print("Parameters[]")
		q_Spatial.is_local_transform_notification_enabled()

	if randi() % 2 == 0:
		print("Executing Spatial.set_notify_transform")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Spatial.set_notify_transform(variable1)

	if randi() % 2 == 0:
		print("Executing Spatial.is_transform_notification_enabled")
		print("Parameters[]")
		q_Spatial.is_transform_notification_enabled()

	if randi() % 2 == 0:
		print("Executing Spatial.rotate")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Spatial.rotate(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Spatial.global_rotate")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Spatial.global_rotate(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Spatial.global_scale")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Spatial.global_scale(variable1)

	if randi() % 2 == 0:
		print("Executing Spatial.global_translate")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Spatial.global_translate(variable1)

	if randi() % 2 == 0:
		print("Executing Spatial.rotate_object_local")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Spatial.rotate_object_local(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Spatial.scale_object_local")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Spatial.scale_object_local(variable1)

	if randi() % 2 == 0:
		print("Executing Spatial.translate_object_local")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Spatial.translate_object_local(variable1)

	if randi() % 2 == 0:
		print("Executing Spatial.rotate_x")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Spatial.rotate_x(variable1)

	if randi() % 2 == 0:
		print("Executing Spatial.rotate_y")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Spatial.rotate_y(variable1)

	if randi() % 2 == 0:
		print("Executing Spatial.rotate_z")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Spatial.rotate_z(variable1)

	if randi() % 2 == 0:
		print("Executing Spatial.translate")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Spatial.translate(variable1)

	if randi() % 2 == 0:
		print("Executing Spatial.orthonormalize")
		print("Parameters[]")
		q_Spatial.orthonormalize()

	if randi() % 2 == 0:
		print("Executing Spatial.set_identity")
		print("Parameters[]")
		q_Spatial.set_identity()

	if randi() % 2 == 0:
		print("Executing Spatial.look_at")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable2: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Spatial.look_at(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Spatial.look_at_from_position")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable2: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable3: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Spatial.look_at_from_position(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Spatial.to_local")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Spatial.to_local(variable1)

	if randi() % 2 == 0:
		print("Executing Spatial.to_global")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Spatial.to_global(variable1)

	pass

