extends Node2D

var q_VisibilityNotifier : VisibilityNotifier = VisibilityNotifier.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_VisibilityNotifier.queue_free()
		return

	add_child(q_VisibilityNotifier)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_VisibilityNotifier.queue_free()
		q_VisibilityNotifier = VisibilityNotifier.new()
		add_child(q_VisibilityNotifier)

	modify_object(q_VisibilityNotifier)

static func modify_object(q_VisibilityNotifier : VisibilityNotifier) -> void:
	pass

