extends Node2D

var q_AcceptDialog : AcceptDialog = AcceptDialog.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_AcceptDialog.queue_free()
		return

	add_child(q_AcceptDialog)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AcceptDialog.queue_free()
		q_AcceptDialog = AcceptDialog.new()
		add_child(q_AcceptDialog)

	modify_object(q_AcceptDialog)

static func modify_object(q_AcceptDialog : AcceptDialog) -> void:
	if randi() % 2 == 0:
		print("Executing AcceptDialog._ok")
		print("Parameters[]")
		q_AcceptDialog._ok()

	if randi() % 2 == 0:
		print("Executing AcceptDialog.get_ok")
		print("Parameters[]")
		q_AcceptDialog.get_ok()

	if randi() % 2 == 0:
		print("Executing AcceptDialog.get_label")
		print("Parameters[]")
		q_AcceptDialog.get_label()

	if randi() % 2 == 0:
		print("Executing AcceptDialog.set_hide_on_ok")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AcceptDialog.set_hide_on_ok(variable1)

	if randi() % 2 == 0:
		print("Executing AcceptDialog.get_hide_on_ok")
		print("Parameters[]")
		q_AcceptDialog.get_hide_on_ok()

	if randi() % 2 == 0:
		print("Executing AcceptDialog.add_button")
		var variable1: String = "."
		var variable2: bool = bool(randi() % 2)
		var variable3: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_AcceptDialog.add_button(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing AcceptDialog.add_cancel")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_AcceptDialog.add_cancel(variable1)

	if randi() % 2 == 0:
		print("Executing AcceptDialog.remove_button")
		var variable1: ToolButton = ToolButton.new()
		print("Parameters[" + str(variable1) + "]")
		q_AcceptDialog.remove_button(variable1)
		variable1.queue_free()

	if randi() % 2 == 0:
		print("Executing AcceptDialog._builtin_text_entered")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_AcceptDialog._builtin_text_entered(variable1)

	if randi() % 2 == 0:
		print("Executing AcceptDialog.register_text_enter")
		var variable1: SliderJoint = SliderJoint.new()
		print("Parameters[" + str(variable1) + "]")
		q_AcceptDialog.register_text_enter(variable1)
		variable1.queue_free()

	if randi() % 2 == 0:
		print("Executing AcceptDialog._custom_action")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_AcceptDialog._custom_action(variable1)

	if randi() % 2 == 0:
		print("Executing AcceptDialog.set_text")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_AcceptDialog.set_text(variable1)

	if randi() % 2 == 0:
		print("Executing AcceptDialog.get_text")
		print("Parameters[]")
		q_AcceptDialog.get_text()

	if randi() % 2 == 0:
		print("Executing AcceptDialog.set_autowrap")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AcceptDialog.set_autowrap(variable1)

	if randi() % 2 == 0:
		print("Executing AcceptDialog.has_autowrap")
		print("Parameters[]")
		q_AcceptDialog.has_autowrap()

	pass

