extends Node2D

var q_AspectRatioContainer : AspectRatioContainer = AspectRatioContainer.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_AspectRatioContainer.queue_free()
		return

	add_child(q_AspectRatioContainer)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AspectRatioContainer.queue_free()
		q_AspectRatioContainer = AspectRatioContainer.new()
		add_child(q_AspectRatioContainer)

	modify_object(q_AspectRatioContainer)

static func modify_object(q_AspectRatioContainer : AspectRatioContainer) -> void:
	if randi() % 2 == 0:
		print("Executing AspectRatioContainer.set_ratio")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AspectRatioContainer.set_ratio(variable1)

	if randi() % 2 == 0:
		print("Executing AspectRatioContainer.get_ratio")
		print("Parameters[]")
		q_AspectRatioContainer.get_ratio()

	if randi() % 2 == 0:
		print("Executing AspectRatioContainer.set_stretch_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AspectRatioContainer.set_stretch_mode(variable1)

	if randi() % 2 == 0:
		print("Executing AspectRatioContainer.get_stretch_mode")
		print("Parameters[]")
		q_AspectRatioContainer.get_stretch_mode()

	if randi() % 2 == 0:
		print("Executing AspectRatioContainer.set_alignment_horizontal")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AspectRatioContainer.set_alignment_horizontal(variable1)

	if randi() % 2 == 0:
		print("Executing AspectRatioContainer.get_alignment_horizontal")
		print("Parameters[]")
		q_AspectRatioContainer.get_alignment_horizontal()

	if randi() % 2 == 0:
		print("Executing AspectRatioContainer.set_alignment_vertical")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AspectRatioContainer.set_alignment_vertical(variable1)

	if randi() % 2 == 0:
		print("Executing AspectRatioContainer.get_alignment_vertical")
		print("Parameters[]")
		q_AspectRatioContainer.get_alignment_vertical()

	pass

