extends Node2D

var q_ColorPickerButton : ColorPickerButton = ColorPickerButton.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_ColorPickerButton.queue_free()
		return

	add_child(q_ColorPickerButton)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_ColorPickerButton.queue_free()
		q_ColorPickerButton = ColorPickerButton.new()
		add_child(q_ColorPickerButton)

	modify_object(q_ColorPickerButton)

static func modify_object(q_ColorPickerButton : ColorPickerButton) -> void:
	if randi() % 2 == 0:
		print("Executing ColorPickerButton.set_pick_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_ColorPickerButton.set_pick_color(variable1)

	if randi() % 2 == 0:
		print("Executing ColorPickerButton.get_pick_color")
		print("Parameters[]")
		q_ColorPickerButton.get_pick_color()

	if randi() % 2 == 0:
		print("Executing ColorPickerButton.get_picker")
		print("Parameters[]")
		q_ColorPickerButton.get_picker()

	if randi() % 2 == 0:
		print("Executing ColorPickerButton.get_popup")
		print("Parameters[]")
		q_ColorPickerButton.get_popup()

	if randi() % 2 == 0:
		print("Executing ColorPickerButton.set_edit_alpha")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_ColorPickerButton.set_edit_alpha(variable1)

	if randi() % 2 == 0:
		print("Executing ColorPickerButton.is_editing_alpha")
		print("Parameters[]")
		q_ColorPickerButton.is_editing_alpha()

	if randi() % 2 == 0:
		print("Executing ColorPickerButton._about_to_show")
		print("Parameters[]")
		q_ColorPickerButton._about_to_show()

	if randi() % 2 == 0:
		print("Executing ColorPickerButton._color_changed")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_ColorPickerButton._color_changed(variable1)

	if randi() % 2 == 0:
		print("Executing ColorPickerButton._modal_closed")
		print("Parameters[]")
		q_ColorPickerButton._modal_closed()

	pass

