extends Node2D

var q_Container : Container = Container.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Container.queue_free()
		return

	add_child(q_Container)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Container.queue_free()
		q_Container = Container.new()
		add_child(q_Container)

	modify_object(q_Container)

static func modify_object(q_Container : Container) -> void:
	if randi() % 2 == 0:
		print("Executing Container._sort_children")
		print("Parameters[]")
		q_Container._sort_children()

	if randi() % 2 == 0:
		print("Executing Container._child_minsize_changed")
		print("Parameters[]")
		q_Container._child_minsize_changed()

	if randi() % 2 == 0:
		print("Executing Container.queue_sort")
		print("Parameters[]")
		q_Container.queue_sort()

	if randi() % 2 == 0:
		print("Executing Container.fit_child_in_rect")
		var variable1: Tree = Tree.new()
		var variable2: Rect2 = Rect2(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Container.fit_child_in_rect(variable1, variable2)
		variable1.queue_free()

	pass

