extends Node2D

var q_Control : Control = Control.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Control.queue_free()
		return

	add_child(q_Control)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Control.queue_free()
		q_Control = Control.new()
		add_child(q_Control)

	modify_object(q_Control)

static func modify_object(q_Control : Control) -> void:
	if randi() % 2 == 0:
		print("Executing Control._size_changed")
		print("Parameters[]")
		q_Control._size_changed()

	if randi() % 2 == 0:
		print("Executing Control._update_minimum_size")
		print("Parameters[]")
		q_Control._update_minimum_size()

	if randi() % 2 == 0:
		print("Executing Control.accept_event")
		print("Parameters[]")
		q_Control.accept_event()

	if randi() % 2 == 0:
		print("Executing Control.get_minimum_size")
		print("Parameters[]")
		q_Control.get_minimum_size()

	if randi() % 2 == 0:
		print("Executing Control.get_combined_minimum_size")
		print("Parameters[]")
		q_Control.get_combined_minimum_size()

	if randi() % 2 == 0:
		print("Executing Control.set_anchors_preset")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Control.set_anchors_preset(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Control.set_margins_preset")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Control.set_margins_preset(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Control.set_anchors_and_margins_preset")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Control.set_anchors_and_margins_preset(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Control._set_anchor")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Control._set_anchor(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Control.set_anchor")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		var variable3: bool = bool(randi() % 2)
		var variable4: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_Control.set_anchor(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing Control.get_anchor")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Control.get_anchor(variable1)

	if randi() % 2 == 0:
		print("Executing Control.set_margin")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Control.set_margin(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Control.set_anchor_and_margin")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		var variable3: float = (randf() * 10) - (10 / 2.0)
		var variable4: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_Control.set_anchor_and_margin(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing Control.set_begin")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Control.set_begin(variable1)

	if randi() % 2 == 0:
		print("Executing Control.set_end")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Control.set_end(variable1)

	if randi() % 2 == 0:
		print("Executing Control.set_position")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Control.set_position(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Control._set_position")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Control._set_position(variable1)

	if randi() % 2 == 0:
		print("Executing Control.set_size")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Control.set_size(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Control._set_size")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Control._set_size(variable1)

	if randi() % 2 == 0:
		print("Executing Control.set_custom_minimum_size")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Control.set_custom_minimum_size(variable1)

	if randi() % 2 == 0:
		print("Executing Control.set_global_position")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Control.set_global_position(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Control._set_global_position")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Control._set_global_position(variable1)

	if randi() % 2 == 0:
		print("Executing Control.set_rotation")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Control.set_rotation(variable1)

	if randi() % 2 == 0:
		print("Executing Control.set_rotation_degrees")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Control.set_rotation_degrees(variable1)

	if randi() % 2 == 0:
		print("Executing Control.set_scale")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Control.set_scale(variable1)

	if randi() % 2 == 0:
		print("Executing Control.set_pivot_offset")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Control.set_pivot_offset(variable1)

	if randi() % 2 == 0:
		print("Executing Control.get_margin")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Control.get_margin(variable1)

	if randi() % 2 == 0:
		print("Executing Control.get_begin")
		print("Parameters[]")
		q_Control.get_begin()

	if randi() % 2 == 0:
		print("Executing Control.get_end")
		print("Parameters[]")
		q_Control.get_end()

	if randi() % 2 == 0:
		print("Executing Control.get_position")
		print("Parameters[]")
		q_Control.get_position()

	if randi() % 2 == 0:
		print("Executing Control.get_size")
		print("Parameters[]")
		q_Control.get_size()

	if randi() % 2 == 0:
		print("Executing Control.get_rotation")
		print("Parameters[]")
		q_Control.get_rotation()

	if randi() % 2 == 0:
		print("Executing Control.get_rotation_degrees")
		print("Parameters[]")
		q_Control.get_rotation_degrees()

	if randi() % 2 == 0:
		print("Executing Control.get_scale")
		print("Parameters[]")
		q_Control.get_scale()

	if randi() % 2 == 0:
		print("Executing Control.get_pivot_offset")
		print("Parameters[]")
		q_Control.get_pivot_offset()

	if randi() % 2 == 0:
		print("Executing Control.get_custom_minimum_size")
		print("Parameters[]")
		q_Control.get_custom_minimum_size()

	if randi() % 2 == 0:
		print("Executing Control.get_parent_area_size")
		print("Parameters[]")
		q_Control.get_parent_area_size()

	if randi() % 2 == 0:
		print("Executing Control.get_global_position")
		print("Parameters[]")
		q_Control.get_global_position()

	if randi() % 2 == 0:
		print("Executing Control.get_rect")
		print("Parameters[]")
		q_Control.get_rect()

	if randi() % 2 == 0:
		print("Executing Control.get_global_rect")
		print("Parameters[]")
		q_Control.get_global_rect()

	if randi() % 2 == 0:
		print("Executing Control.show_modal")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Control.show_modal(variable1)

	if randi() % 2 == 0:
		print("Executing Control.set_focus_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Control.set_focus_mode(variable1)

	if randi() % 2 == 0:
		print("Executing Control.get_focus_mode")
		print("Parameters[]")
		q_Control.get_focus_mode()

	if randi() % 2 == 0:
		print("Executing Control.has_focus")
		print("Parameters[]")
		q_Control.has_focus()

	if randi() % 2 == 0:
		print("Executing Control.grab_focus")
		print("Parameters[]")
		q_Control.grab_focus()

	if randi() % 2 == 0:
		print("Executing Control.release_focus")
		print("Parameters[]")
		q_Control.release_focus()

	if randi() % 2 == 0:
		print("Executing Control.find_prev_valid_focus")
		print("Parameters[]")
		q_Control.find_prev_valid_focus()

	if randi() % 2 == 0:
		print("Executing Control.find_next_valid_focus")
		print("Parameters[]")
		q_Control.find_next_valid_focus()

	if randi() % 2 == 0:
		print("Executing Control.get_focus_owner")
		print("Parameters[]")
		q_Control.get_focus_owner()

	if randi() % 2 == 0:
		print("Executing Control.set_h_size_flags")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Control.set_h_size_flags(variable1)

	if randi() % 2 == 0:
		print("Executing Control.get_h_size_flags")
		print("Parameters[]")
		q_Control.get_h_size_flags()

	if randi() % 2 == 0:
		print("Executing Control.set_stretch_ratio")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Control.set_stretch_ratio(variable1)

	if randi() % 2 == 0:
		print("Executing Control.get_stretch_ratio")
		print("Parameters[]")
		q_Control.get_stretch_ratio()

	if randi() % 2 == 0:
		print("Executing Control.set_v_size_flags")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Control.set_v_size_flags(variable1)

	if randi() % 2 == 0:
		print("Executing Control.get_v_size_flags")
		print("Parameters[]")
		q_Control.get_v_size_flags()

	if randi() % 2 == 0:
		print("Executing Control.set_theme")
		var variable1: Theme = Theme.new()
		print("Parameters[" + str(variable1) + "]")
		q_Control.set_theme(variable1)

	if randi() % 2 == 0:
		print("Executing Control.get_theme")
		print("Parameters[]")
		q_Control.get_theme()

	if randi() % 2 == 0:
		print("Executing Control.add_icon_override")
		var variable1: String = str(randi() / 100)
		var variable2: GradientTexture = GradientTexture.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Control.add_icon_override(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Control.add_shader_override")
		var variable1: String = str(randi() / 100)
		var variable2: Shader = Shader.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Control.add_shader_override(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Control.add_stylebox_override")
		var variable1: String = "."
		var variable2: StyleBoxFlat = StyleBoxFlat.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Control.add_stylebox_override(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Control.add_font_override")
		var variable1: String = "."
		var variable2: DynamicFont = DynamicFont.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Control.add_font_override(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Control.add_color_override")
		var variable1: String = "."
		var variable2: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Control.add_color_override(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Control.add_constant_override")
		var variable1: String = str(randi() / 100)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Control.add_constant_override(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Control.get_icon")
		var variable1: String = str(randi() / 100)
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Control.get_icon(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Control.get_stylebox")
		var variable1: String = str(randi() / 100)
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Control.get_stylebox(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Control.get_font")
		var variable1: String = ""
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Control.get_font(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Control.get_color")
		var variable1: String = "."
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Control.get_color(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Control.get_constant")
		var variable1: String = str(randi() / 100)
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Control.get_constant(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Control.has_icon_override")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_Control.has_icon_override(variable1)

	if randi() % 2 == 0:
		print("Executing Control.has_shader_override")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_Control.has_shader_override(variable1)

	if randi() % 2 == 0:
		print("Executing Control.has_stylebox_override")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_Control.has_stylebox_override(variable1)

	if randi() % 2 == 0:
		print("Executing Control.has_font_override")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_Control.has_font_override(variable1)

	if randi() % 2 == 0:
		print("Executing Control.has_color_override")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_Control.has_color_override(variable1)

	if randi() % 2 == 0:
		print("Executing Control.has_constant_override")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_Control.has_constant_override(variable1)

	if randi() % 2 == 0:
		print("Executing Control.has_icon")
		var variable1: String = "."
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Control.has_icon(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Control.has_stylebox")
		var variable1: String = str(randi() / 100)
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Control.has_stylebox(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Control.has_font")
		var variable1: String = ""
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Control.has_font(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Control.has_color")
		var variable1: String = "."
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Control.has_color(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Control.has_constant")
		var variable1: String = "."
		var variable2: String = ""
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Control.has_constant(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Control.get_parent_control")
		print("Parameters[]")
		q_Control.get_parent_control()

	if randi() % 2 == 0:
		print("Executing Control.set_h_grow_direction")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Control.set_h_grow_direction(variable1)

	if randi() % 2 == 0:
		print("Executing Control.get_h_grow_direction")
		print("Parameters[]")
		q_Control.get_h_grow_direction()

	if randi() % 2 == 0:
		print("Executing Control.set_v_grow_direction")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Control.set_v_grow_direction(variable1)

	if randi() % 2 == 0:
		print("Executing Control.get_v_grow_direction")
		print("Parameters[]")
		q_Control.get_v_grow_direction()

	if randi() % 2 == 0:
		print("Executing Control.set_tooltip")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_Control.set_tooltip(variable1)

	if randi() % 2 == 0:
		print("Executing Control.get_tooltip")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Control.get_tooltip(variable1)

	if randi() % 2 == 0:
		print("Executing Control._get_tooltip")
		print("Parameters[]")
		q_Control._get_tooltip()

	if randi() % 2 == 0:
		print("Executing Control.set_default_cursor_shape")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Control.set_default_cursor_shape(variable1)

	if randi() % 2 == 0:
		print("Executing Control.get_default_cursor_shape")
		print("Parameters[]")
		q_Control.get_default_cursor_shape()

	if randi() % 2 == 0:
		print("Executing Control.get_cursor_shape")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Control.get_cursor_shape(variable1)

	if randi() % 2 == 0:
		print("Executing Control.set_focus_neighbour")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Control.set_focus_neighbour(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Control.get_focus_neighbour")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Control.get_focus_neighbour(variable1)

	if randi() % 2 == 0:
		print("Executing Control.set_focus_next")
		var variable1: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + "]")
		q_Control.set_focus_next(variable1)

	if randi() % 2 == 0:
		print("Executing Control.get_focus_next")
		print("Parameters[]")
		q_Control.get_focus_next()

	if randi() % 2 == 0:
		print("Executing Control.set_focus_previous")
		var variable1: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + "]")
		q_Control.set_focus_previous(variable1)

	if randi() % 2 == 0:
		print("Executing Control.get_focus_previous")
		print("Parameters[]")
		q_Control.get_focus_previous()

	if randi() % 2 == 0:
		print("Executing Control.force_drag")
		var variable1 = false
		var variable2: FileDialog = FileDialog.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Control.force_drag(variable1, variable2)
		variable2.queue_free()

	if randi() % 2 == 0:
		print("Executing Control.set_mouse_filter")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Control.set_mouse_filter(variable1)

	if randi() % 2 == 0:
		print("Executing Control.get_mouse_filter")
		print("Parameters[]")
		q_Control.get_mouse_filter()

	if randi() % 2 == 0:
		print("Executing Control.set_pass_on_modal_close_click")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Control.set_pass_on_modal_close_click(variable1)

	if randi() % 2 == 0:
		print("Executing Control.get_pass_on_modal_close_click")
		print("Parameters[]")
		q_Control.get_pass_on_modal_close_click()

	if randi() % 2 == 0:
		print("Executing Control.set_clip_contents")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Control.set_clip_contents(variable1)

	if randi() % 2 == 0:
		print("Executing Control.is_clipping_contents")
		print("Parameters[]")
		q_Control.is_clipping_contents()

	if randi() % 2 == 0:
		print("Executing Control.grab_click_focus")
		print("Parameters[]")
		q_Control.grab_click_focus()

	if randi() % 2 == 0:
		print("Executing Control.set_drag_forwarding")
		var variable1: LineEdit = LineEdit.new()
		print("Parameters[" + str(variable1) + "]")
		q_Control.set_drag_forwarding(variable1)
		variable1.queue_free()

	if randi() % 2 == 0:
		print("Executing Control.set_drag_preview")
		var variable1: TabContainer = TabContainer.new()
		print("Parameters[" + str(variable1) + "]")
		q_Control.set_drag_preview(variable1)
		variable1.queue_free()

	if randi() % 2 == 0:
		print("Executing Control.minimum_size_changed")
		print("Parameters[]")
		q_Control.minimum_size_changed()

	if randi() % 2 == 0:
		print("Executing Control._theme_changed")
		print("Parameters[]")
		q_Control._theme_changed()

	if randi() % 2 == 0:
		print("Executing Control._override_changed")
		print("Parameters[]")
		q_Control._override_changed()

	pass

