extends Node2D

static func modify_object(q_FileSystemDock : FileSystemDock) -> void:
	if randi() % 2 == 0:
		print("Executing FileSystemDock._file_list_gui_input")
		var variable1: InputEventScreenDrag = InputEventScreenDrag.new()
		print("Parameters[" + str(variable1) + "]")
		q_FileSystemDock._file_list_gui_input(variable1)

	if randi() % 2 == 0:
		print("Executing FileSystemDock._tree_gui_input")
		var variable1: InputEventMIDI = InputEventMIDI.new()
		print("Parameters[" + str(variable1) + "]")
		q_FileSystemDock._tree_gui_input(variable1)

	if randi() % 2 == 0:
		print("Executing FileSystemDock._update_tree")
		var variable1: PoolStringArray = PoolStringArray([])
		var variable2: bool = bool(randi() % 2)
		var variable3: bool = bool(randi() % 2)
		var variable4: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_FileSystemDock._update_tree(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing FileSystemDock._rescan")
		print("Parameters[]")
		q_FileSystemDock._rescan()

	if randi() % 2 == 0:
		print("Executing FileSystemDock._file_sort_popup")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_FileSystemDock._file_sort_popup(variable1)

	if randi() % 2 == 0:
		print("Executing FileSystemDock._toggle_split_mode")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_FileSystemDock._toggle_split_mode(variable1)

	if randi() % 2 == 0:
		print("Executing FileSystemDock._tree_rmb_option")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_FileSystemDock._tree_rmb_option(variable1)

	if randi() % 2 == 0:
		print("Executing FileSystemDock._tree_rmb_select")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_FileSystemDock._tree_rmb_select(variable1)

	if randi() % 2 == 0:
		print("Executing FileSystemDock._tree_empty_selected")
		print("Parameters[]")
		q_FileSystemDock._tree_empty_selected()

	if randi() % 2 == 0:
		print("Executing FileSystemDock._file_list_rmb_option")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_FileSystemDock._file_list_rmb_option(variable1)

	if randi() % 2 == 0:
		print("Executing FileSystemDock._file_list_rmb_select")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_FileSystemDock._file_list_rmb_select(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing FileSystemDock._file_list_rmb_pressed")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_FileSystemDock._file_list_rmb_pressed(variable1)

	if randi() % 2 == 0:
		print("Executing FileSystemDock._tree_rmb_empty")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_FileSystemDock._tree_rmb_empty(variable1)

	if randi() % 2 == 0:
		print("Executing FileSystemDock._file_removed")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_FileSystemDock._file_removed(variable1)

	if randi() % 2 == 0:
		print("Executing FileSystemDock._folder_removed")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_FileSystemDock._folder_removed(variable1)

	if randi() % 2 == 0:
		print("Executing FileSystemDock._file_list_thumbnail_done")
		var variable1: String = "."
		var variable2: GradientTexture = GradientTexture.new()
		var variable3: StreamTexture = StreamTexture.new()
		var variable4 = false
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_FileSystemDock._file_list_thumbnail_done(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing FileSystemDock._tree_thumbnail_done")
		var variable1: String = ""
		var variable2: AtlasTexture = AtlasTexture.new()
		var variable3: NoiseTexture = NoiseTexture.new()
		var variable4 = false
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_FileSystemDock._tree_thumbnail_done(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing FileSystemDock._file_list_activate_file")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_FileSystemDock._file_list_activate_file(variable1)

	if randi() % 2 == 0:
		print("Executing FileSystemDock._tree_activate_file")
		print("Parameters[]")
		q_FileSystemDock._tree_activate_file()

	if randi() % 2 == 0:
		print("Executing FileSystemDock._select_file")
		var variable1: String = str(randi() / 100)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_FileSystemDock._select_file(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing FileSystemDock._navigate_to_path")
		var variable1: String = ""
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_FileSystemDock._navigate_to_path(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing FileSystemDock._toggle_file_display")
		print("Parameters[]")
		q_FileSystemDock._toggle_file_display()

	if randi() % 2 == 0:
		print("Executing FileSystemDock._fw_history")
		print("Parameters[]")
		q_FileSystemDock._fw_history()

	if randi() % 2 == 0:
		print("Executing FileSystemDock._bw_history")
		print("Parameters[]")
		q_FileSystemDock._bw_history()

	if randi() % 2 == 0:
		print("Executing FileSystemDock._fs_changed")
		print("Parameters[]")
		q_FileSystemDock._fs_changed()

	if randi() % 2 == 0:
		print("Executing FileSystemDock._tree_multi_selected")
		var variable1: Physics2DShapeQueryParameters = Physics2DShapeQueryParameters.new()
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_FileSystemDock._tree_multi_selected(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing FileSystemDock._make_dir_confirm")
		print("Parameters[]")
		q_FileSystemDock._make_dir_confirm()

	if randi() % 2 == 0:
		print("Executing FileSystemDock._make_scene_confirm")
		print("Parameters[]")
		q_FileSystemDock._make_scene_confirm()

	if randi() % 2 == 0:
		print("Executing FileSystemDock._resource_created")
		print("Parameters[]")
		q_FileSystemDock._resource_created()

	if randi() % 2 == 0:
		print("Executing FileSystemDock._move_operation_confirm")
		var variable1: String = str(randi() / 100)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_FileSystemDock._move_operation_confirm(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing FileSystemDock._move_with_overwrite")
		print("Parameters[]")
		q_FileSystemDock._move_with_overwrite()

	if randi() % 2 == 0:
		print("Executing FileSystemDock._rename_operation_confirm")
		print("Parameters[]")
		q_FileSystemDock._rename_operation_confirm()

	if randi() % 2 == 0:
		print("Executing FileSystemDock._duplicate_operation_confirm")
		print("Parameters[]")
		q_FileSystemDock._duplicate_operation_confirm()

	if randi() % 2 == 0:
		print("Executing FileSystemDock._search_changed")
		var variable1: String = str(randi() / 100)
		var variable2: TextureProgress = TextureProgress.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_FileSystemDock._search_changed(variable1, variable2)
		variable2.queue_free()

	if randi() % 2 == 0:
		print("Executing FileSystemDock.get_drag_data_fw")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: VSplitContainer = VSplitContainer.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_FileSystemDock.get_drag_data_fw(variable1, variable2)
		variable2.queue_free()

	if randi() % 2 == 0:
		print("Executing FileSystemDock.can_drop_data_fw")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable2 = false
		var variable3: ConfirmationDialog = ConfirmationDialog.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_FileSystemDock.can_drop_data_fw(variable1, variable2, variable3)
		variable3.queue_free()

	if randi() % 2 == 0:
		print("Executing FileSystemDock.drop_data_fw")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable2 = false
		var variable3: Popup = Popup.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_FileSystemDock.drop_data_fw(variable1, variable2, variable3)
		variable3.queue_free()

	if randi() % 2 == 0:
		print("Executing FileSystemDock.navigate_to_path")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_FileSystemDock.navigate_to_path(variable1)

	if randi() % 2 == 0:
		print("Executing FileSystemDock._preview_invalidated")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_FileSystemDock._preview_invalidated(variable1)

	if randi() % 2 == 0:
		print("Executing FileSystemDock._file_multi_selected")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_FileSystemDock._file_multi_selected(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing FileSystemDock._update_import_dock")
		print("Parameters[]")
		q_FileSystemDock._update_import_dock()

	if randi() % 2 == 0:
		print("Executing FileSystemDock._feature_profile_changed")
		print("Parameters[]")
		q_FileSystemDock._feature_profile_changed()

	pass

