extends Node2D

var q_GraphEdit : GraphEdit = GraphEdit.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_GraphEdit.queue_free()
		return

	add_child(q_GraphEdit)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_GraphEdit.queue_free()
		q_GraphEdit = GraphEdit.new()
		add_child(q_GraphEdit)

	modify_object(q_GraphEdit)

static func modify_object(q_GraphEdit : GraphEdit) -> void:
	if randi() % 2 == 0:
		print("Executing GraphEdit.connect_node")
		var variable1: String = ""
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: String = ""
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_GraphEdit.connect_node(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing GraphEdit.is_node_connected")
		var variable1: String = str(randi() / 100)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: String = str(randi() / 100)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_GraphEdit.is_node_connected(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing GraphEdit.disconnect_node")
		var variable1: String = str(randi() / 100)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: String = "."
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_GraphEdit.disconnect_node(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing GraphEdit.set_connection_activity")
		var variable1: String = ""
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: String = "."
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		var variable5: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_GraphEdit.set_connection_activity(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing GraphEdit.get_connection_list")
		print("Parameters[]")
		q_GraphEdit.get_connection_list()

	if randi() % 2 == 0:
		print("Executing GraphEdit.clear_connections")
		print("Parameters[]")
		q_GraphEdit.clear_connections()

	if randi() % 2 == 0:
		print("Executing GraphEdit.get_scroll_ofs")
		print("Parameters[]")
		q_GraphEdit.get_scroll_ofs()

	if randi() % 2 == 0:
		print("Executing GraphEdit.set_scroll_ofs")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_GraphEdit.set_scroll_ofs(variable1)

	if randi() % 2 == 0:
		print("Executing GraphEdit.add_valid_right_disconnect_type")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GraphEdit.add_valid_right_disconnect_type(variable1)

	if randi() % 2 == 0:
		print("Executing GraphEdit.remove_valid_right_disconnect_type")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GraphEdit.remove_valid_right_disconnect_type(variable1)

	if randi() % 2 == 0:
		print("Executing GraphEdit.add_valid_left_disconnect_type")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GraphEdit.add_valid_left_disconnect_type(variable1)

	if randi() % 2 == 0:
		print("Executing GraphEdit.remove_valid_left_disconnect_type")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GraphEdit.remove_valid_left_disconnect_type(variable1)

	if randi() % 2 == 0:
		print("Executing GraphEdit.add_valid_connection_type")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_GraphEdit.add_valid_connection_type(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing GraphEdit.remove_valid_connection_type")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_GraphEdit.remove_valid_connection_type(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing GraphEdit.is_valid_connection_type")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_GraphEdit.is_valid_connection_type(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing GraphEdit.set_zoom")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GraphEdit.set_zoom(variable1)

	if randi() % 2 == 0:
		print("Executing GraphEdit.get_zoom")
		print("Parameters[]")
		q_GraphEdit.get_zoom()

	if randi() % 2 == 0:
		print("Executing GraphEdit.set_zoom_min")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GraphEdit.set_zoom_min(variable1)

	if randi() % 2 == 0:
		print("Executing GraphEdit.get_zoom_min")
		print("Parameters[]")
		q_GraphEdit.get_zoom_min()

	if randi() % 2 == 0:
		print("Executing GraphEdit.set_zoom_max")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GraphEdit.set_zoom_max(variable1)

	if randi() % 2 == 0:
		print("Executing GraphEdit.get_zoom_max")
		print("Parameters[]")
		q_GraphEdit.get_zoom_max()

	if randi() % 2 == 0:
		print("Executing GraphEdit.set_zoom_step")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GraphEdit.set_zoom_step(variable1)

	if randi() % 2 == 0:
		print("Executing GraphEdit.get_zoom_step")
		print("Parameters[]")
		q_GraphEdit.get_zoom_step()

	if randi() % 2 == 0:
		print("Executing GraphEdit.set_show_zoom_label")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_GraphEdit.set_show_zoom_label(variable1)

	if randi() % 2 == 0:
		print("Executing GraphEdit.is_showing_zoom_label")
		print("Parameters[]")
		q_GraphEdit.is_showing_zoom_label()

	if randi() % 2 == 0:
		print("Executing GraphEdit.set_snap")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GraphEdit.set_snap(variable1)

	if randi() % 2 == 0:
		print("Executing GraphEdit.get_snap")
		print("Parameters[]")
		q_GraphEdit.get_snap()

	if randi() % 2 == 0:
		print("Executing GraphEdit.set_use_snap")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_GraphEdit.set_use_snap(variable1)

	if randi() % 2 == 0:
		print("Executing GraphEdit.is_using_snap")
		print("Parameters[]")
		q_GraphEdit.is_using_snap()

	if randi() % 2 == 0:
		print("Executing GraphEdit.set_minimap_size")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_GraphEdit.set_minimap_size(variable1)

	if randi() % 2 == 0:
		print("Executing GraphEdit.get_minimap_size")
		print("Parameters[]")
		q_GraphEdit.get_minimap_size()

	if randi() % 2 == 0:
		print("Executing GraphEdit.set_minimap_opacity")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GraphEdit.set_minimap_opacity(variable1)

	if randi() % 2 == 0:
		print("Executing GraphEdit.get_minimap_opacity")
		print("Parameters[]")
		q_GraphEdit.get_minimap_opacity()

	if randi() % 2 == 0:
		print("Executing GraphEdit.set_minimap_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_GraphEdit.set_minimap_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing GraphEdit.is_minimap_enabled")
		print("Parameters[]")
		q_GraphEdit.is_minimap_enabled()

	if randi() % 2 == 0:
		print("Executing GraphEdit._minimap_toggled")
		print("Parameters[]")
		q_GraphEdit._minimap_toggled()

	if randi() % 2 == 0:
		print("Executing GraphEdit._minimap_draw")
		print("Parameters[]")
		q_GraphEdit._minimap_draw()

	if randi() % 2 == 0:
		print("Executing GraphEdit.set_right_disconnects")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_GraphEdit.set_right_disconnects(variable1)

	if randi() % 2 == 0:
		print("Executing GraphEdit.is_right_disconnects_enabled")
		print("Parameters[]")
		q_GraphEdit.is_right_disconnects_enabled()

	if randi() % 2 == 0:
		print("Executing GraphEdit._graph_node_moved")
		var variable1: FileDialog = FileDialog.new()
		print("Parameters[" + str(variable1) + "]")
		q_GraphEdit._graph_node_moved(variable1)
		variable1.queue_free()

	if randi() % 2 == 0:
		print("Executing GraphEdit._graph_node_raised")
		var variable1: Area = Area.new()
		print("Parameters[" + str(variable1) + "]")
		q_GraphEdit._graph_node_raised(variable1)
		variable1.queue_free()

	if randi() % 2 == 0:
		print("Executing GraphEdit._graph_node_slot_updated")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: TabContainer = TabContainer.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_GraphEdit._graph_node_slot_updated(variable1, variable2)
		variable2.queue_free()

	if randi() % 2 == 0:
		print("Executing GraphEdit._top_layer_input")
		var variable1: InputEventKey = InputEventKey.new()
		print("Parameters[" + str(variable1) + "]")
		q_GraphEdit._top_layer_input(variable1)

	if randi() % 2 == 0:
		print("Executing GraphEdit._top_layer_draw")
		print("Parameters[]")
		q_GraphEdit._top_layer_draw()

	if randi() % 2 == 0:
		print("Executing GraphEdit._scroll_moved")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GraphEdit._scroll_moved(variable1)

	if randi() % 2 == 0:
		print("Executing GraphEdit._zoom_minus")
		print("Parameters[]")
		q_GraphEdit._zoom_minus()

	if randi() % 2 == 0:
		print("Executing GraphEdit._zoom_reset")
		print("Parameters[]")
		q_GraphEdit._zoom_reset()

	if randi() % 2 == 0:
		print("Executing GraphEdit._zoom_plus")
		print("Parameters[]")
		q_GraphEdit._zoom_plus()

	if randi() % 2 == 0:
		print("Executing GraphEdit._snap_toggled")
		print("Parameters[]")
		q_GraphEdit._snap_toggled()

	if randi() % 2 == 0:
		print("Executing GraphEdit._snap_value_changed")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GraphEdit._snap_value_changed(variable1)

	if randi() % 2 == 0:
		print("Executing GraphEdit._update_scroll_offset")
		print("Parameters[]")
		q_GraphEdit._update_scroll_offset()

	if randi() % 2 == 0:
		print("Executing GraphEdit._connections_layer_draw")
		print("Parameters[]")
		q_GraphEdit._connections_layer_draw()

	if randi() % 2 == 0:
		print("Executing GraphEdit.get_zoom_hbox")
		print("Parameters[]")
		q_GraphEdit.get_zoom_hbox()

	if randi() % 2 == 0:
		print("Executing GraphEdit.set_selected")
		var variable1: ResourcePreloader = ResourcePreloader.new()
		print("Parameters[" + str(variable1) + "]")
		q_GraphEdit.set_selected(variable1)
		variable1.queue_free()

	pass

