extends Node2D

var q_GraphNode : GraphNode = GraphNode.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_GraphNode.queue_free()
		return

	add_child(q_GraphNode)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_GraphNode.queue_free()
		q_GraphNode = GraphNode.new()
		add_child(q_GraphNode)

	modify_object(q_GraphNode)

static func modify_object(q_GraphNode : GraphNode) -> void:
	if randi() % 2 == 0:
		print("Executing GraphNode.set_title")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_GraphNode.set_title(variable1)

	if randi() % 2 == 0:
		print("Executing GraphNode.get_title")
		print("Parameters[]")
		q_GraphNode.get_title()

	if randi() % 2 == 0:
		print("Executing GraphNode.set_slot")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable5: bool = bool(randi() % 2)
		var variable6: int = (randi() % int(10)) - int(10 / 2.0)
		var variable7: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable8: GradientTexture = GradientTexture.new()
		var variable9: ImageTexture = ImageTexture.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + ", " + str(variable6) + ", " + str(variable7) + ", " + str(variable8) + ", " + str(variable9) + "]")
		q_GraphNode.set_slot(variable1, variable2, variable3, variable4, variable5, variable6, variable7, variable8, variable9)

	if randi() % 2 == 0:
		print("Executing GraphNode.clear_slot")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GraphNode.clear_slot(variable1)

	if randi() % 2 == 0:
		print("Executing GraphNode.clear_all_slots")
		print("Parameters[]")
		q_GraphNode.clear_all_slots()

	if randi() % 2 == 0:
		print("Executing GraphNode.is_slot_enabled_left")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GraphNode.is_slot_enabled_left(variable1)

	if randi() % 2 == 0:
		print("Executing GraphNode.set_slot_enabled_left")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_GraphNode.set_slot_enabled_left(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing GraphNode.set_slot_type_left")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_GraphNode.set_slot_type_left(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing GraphNode.get_slot_type_left")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GraphNode.get_slot_type_left(variable1)

	if randi() % 2 == 0:
		print("Executing GraphNode.set_slot_color_left")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_GraphNode.set_slot_color_left(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing GraphNode.get_slot_color_left")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GraphNode.get_slot_color_left(variable1)

	if randi() % 2 == 0:
		print("Executing GraphNode.is_slot_enabled_right")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GraphNode.is_slot_enabled_right(variable1)

	if randi() % 2 == 0:
		print("Executing GraphNode.set_slot_enabled_right")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_GraphNode.set_slot_enabled_right(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing GraphNode.set_slot_type_right")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_GraphNode.set_slot_type_right(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing GraphNode.get_slot_type_right")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GraphNode.get_slot_type_right(variable1)

	if randi() % 2 == 0:
		print("Executing GraphNode.set_slot_color_right")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_GraphNode.set_slot_color_right(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing GraphNode.get_slot_color_right")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GraphNode.get_slot_color_right(variable1)

	if randi() % 2 == 0:
		print("Executing GraphNode.set_offset")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_GraphNode.set_offset(variable1)

	if randi() % 2 == 0:
		print("Executing GraphNode.get_offset")
		print("Parameters[]")
		q_GraphNode.get_offset()

	if randi() % 2 == 0:
		print("Executing GraphNode.set_comment")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_GraphNode.set_comment(variable1)

	if randi() % 2 == 0:
		print("Executing GraphNode.is_comment")
		print("Parameters[]")
		q_GraphNode.is_comment()

	if randi() % 2 == 0:
		print("Executing GraphNode.set_resizable")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_GraphNode.set_resizable(variable1)

	if randi() % 2 == 0:
		print("Executing GraphNode.is_resizable")
		print("Parameters[]")
		q_GraphNode.is_resizable()

	if randi() % 2 == 0:
		print("Executing GraphNode.set_selected")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_GraphNode.set_selected(variable1)

	if randi() % 2 == 0:
		print("Executing GraphNode.is_selected")
		print("Parameters[]")
		q_GraphNode.is_selected()

	if randi() % 2 == 0:
		print("Executing GraphNode.get_connection_output_count")
		print("Parameters[]")
		q_GraphNode.get_connection_output_count()

	if randi() % 2 == 0:
		print("Executing GraphNode.get_connection_input_count")
		print("Parameters[]")
		q_GraphNode.get_connection_input_count()

	if randi() % 2 == 0:
		print("Executing GraphNode.get_connection_output_position")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GraphNode.get_connection_output_position(variable1)

	if randi() % 2 == 0:
		print("Executing GraphNode.get_connection_output_type")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GraphNode.get_connection_output_type(variable1)

	if randi() % 2 == 0:
		print("Executing GraphNode.get_connection_output_color")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GraphNode.get_connection_output_color(variable1)

	if randi() % 2 == 0:
		print("Executing GraphNode.get_connection_input_position")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GraphNode.get_connection_input_position(variable1)

	if randi() % 2 == 0:
		print("Executing GraphNode.get_connection_input_type")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GraphNode.get_connection_input_type(variable1)

	if randi() % 2 == 0:
		print("Executing GraphNode.get_connection_input_color")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GraphNode.get_connection_input_color(variable1)

	if randi() % 2 == 0:
		print("Executing GraphNode.set_show_close_button")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_GraphNode.set_show_close_button(variable1)

	if randi() % 2 == 0:
		print("Executing GraphNode.is_close_button_visible")
		print("Parameters[]")
		q_GraphNode.is_close_button_visible()

	if randi() % 2 == 0:
		print("Executing GraphNode.set_overlay")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GraphNode.set_overlay(variable1)

	if randi() % 2 == 0:
		print("Executing GraphNode.get_overlay")
		print("Parameters[]")
		q_GraphNode.get_overlay()

	pass

