extends Node2D

var q_GridContainer : GridContainer = GridContainer.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_GridContainer.queue_free()
		return

	add_child(q_GridContainer)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_GridContainer.queue_free()
		q_GridContainer = GridContainer.new()
		add_child(q_GridContainer)

	modify_object(q_GridContainer)

static func modify_object(q_GridContainer : GridContainer) -> void:
	if randi() % 2 == 0:
		print("Executing GridContainer.set_columns")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GridContainer.set_columns(variable1)

	if randi() % 2 == 0:
		print("Executing GridContainer.get_columns")
		print("Parameters[]")
		q_GridContainer.get_columns()

	pass

