extends Node2D

var q_OptionButton : OptionButton = OptionButton.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_OptionButton.queue_free()
		return

	add_child(q_OptionButton)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_OptionButton.queue_free()
		q_OptionButton = OptionButton.new()
		add_child(q_OptionButton)

	modify_object(q_OptionButton)

static func modify_object(q_OptionButton : OptionButton) -> void:
	if randi() % 2 == 0:
		print("Executing OptionButton._selected")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_OptionButton._selected(variable1)

	if randi() % 2 == 0:
		print("Executing OptionButton._focused")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_OptionButton._focused(variable1)

	if randi() % 2 == 0:
		print("Executing OptionButton.add_item")
		var variable1: String = "."
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_OptionButton.add_item(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing OptionButton.add_icon_item")
		var variable1: LargeTexture = LargeTexture.new()
		var variable2: String = ""
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_OptionButton.add_icon_item(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing OptionButton.set_item_text")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_OptionButton.set_item_text(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing OptionButton.set_item_icon")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: AtlasTexture = AtlasTexture.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_OptionButton.set_item_icon(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing OptionButton.set_item_disabled")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_OptionButton.set_item_disabled(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing OptionButton.set_item_id")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_OptionButton.set_item_id(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing OptionButton.set_item_metadata")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2 = false
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_OptionButton.set_item_metadata(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing OptionButton.get_item_text")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_OptionButton.get_item_text(variable1)

	if randi() % 2 == 0:
		print("Executing OptionButton.get_item_icon")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_OptionButton.get_item_icon(variable1)

	if randi() % 2 == 0:
		print("Executing OptionButton.get_item_id")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_OptionButton.get_item_id(variable1)

	if randi() % 2 == 0:
		print("Executing OptionButton.get_item_index")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_OptionButton.get_item_index(variable1)

	if randi() % 2 == 0:
		print("Executing OptionButton.get_item_metadata")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_OptionButton.get_item_metadata(variable1)

	if randi() % 2 == 0:
		print("Executing OptionButton.is_item_disabled")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_OptionButton.is_item_disabled(variable1)

	if randi() % 2 == 0:
		print("Executing OptionButton.get_item_count")
		print("Parameters[]")
		q_OptionButton.get_item_count()

	if randi() % 2 == 0:
		print("Executing OptionButton.add_separator")
		print("Parameters[]")
		q_OptionButton.add_separator()

	if randi() % 2 == 0:
		print("Executing OptionButton.clear")
		print("Parameters[]")
		q_OptionButton.clear()

	if randi() % 2 == 0:
		print("Executing OptionButton.select")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_OptionButton.select(variable1)

	if randi() % 2 == 0:
		print("Executing OptionButton.get_selected")
		print("Parameters[]")
		q_OptionButton.get_selected()

	if randi() % 2 == 0:
		print("Executing OptionButton.get_selected_id")
		print("Parameters[]")
		q_OptionButton.get_selected_id()

	if randi() % 2 == 0:
		print("Executing OptionButton.get_selected_metadata")
		print("Parameters[]")
		q_OptionButton.get_selected_metadata()

	if randi() % 2 == 0:
		print("Executing OptionButton.remove_item")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_OptionButton.remove_item(variable1)

	if randi() % 2 == 0:
		print("Executing OptionButton._select_int")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_OptionButton._select_int(variable1)

	if randi() % 2 == 0:
		print("Executing OptionButton.get_popup")
		print("Parameters[]")
		q_OptionButton.get_popup()

	if randi() % 2 == 0:
		print("Executing OptionButton._set_items")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_OptionButton._set_items(variable1)

	if randi() % 2 == 0:
		print("Executing OptionButton._get_items")
		print("Parameters[]")
		q_OptionButton._get_items()

	pass

