extends Node2D

var q_Popup : Popup = Popup.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Popup.queue_free()
		return

	add_child(q_Popup)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Popup.queue_free()
		q_Popup = Popup.new()
		add_child(q_Popup)

	modify_object(q_Popup)

static func modify_object(q_Popup : Popup) -> void:
	if randi() % 2 == 0:
		print("Executing Popup.set_as_minsize")
		print("Parameters[]")
		q_Popup.set_as_minsize()

	if randi() % 2 == 0:
		print("Executing Popup.popup_centered")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Popup.popup_centered(variable1)

	if randi() % 2 == 0:
		print("Executing Popup.popup_centered_ratio")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Popup.popup_centered_ratio(variable1)

	if randi() % 2 == 0:
		print("Executing Popup.popup_centered_minsize")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Popup.popup_centered_minsize(variable1)

	if randi() % 2 == 0:
		print("Executing Popup.popup_centered_clamped")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Popup.popup_centered_clamped(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Popup.popup")
		var variable1: Rect2 = Rect2(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		print("Parameters[" + str(variable1) + "]")
		q_Popup.popup(variable1)

	if randi() % 2 == 0:
		print("Executing Popup.set_exclusive")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Popup.set_exclusive(variable1)

	if randi() % 2 == 0:
		print("Executing Popup.is_exclusive")
		print("Parameters[]")
		q_Popup.is_exclusive()

	pass

