extends Node2D

var q_PopupMenu : PopupMenu = PopupMenu.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_PopupMenu.queue_free()
		return

	add_child(q_PopupMenu)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_PopupMenu.queue_free()
		q_PopupMenu = PopupMenu.new()
		add_child(q_PopupMenu)

	modify_object(q_PopupMenu)

static func modify_object(q_PopupMenu : PopupMenu) -> void:
	if randi() % 2 == 0:
		print("Executing PopupMenu.add_item")
		var variable1: String = str(randi() / 100)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_PopupMenu.add_item(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing PopupMenu.add_icon_item")
		var variable1: CameraTexture = CameraTexture.new()
		var variable2: String = str(randi() / 100)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_PopupMenu.add_icon_item(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing PopupMenu.add_check_item")
		var variable1: String = str(randi() / 100)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_PopupMenu.add_check_item(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing PopupMenu.add_icon_check_item")
		var variable1: AnimatedTexture = AnimatedTexture.new()
		var variable2: String = ""
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_PopupMenu.add_icon_check_item(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing PopupMenu.add_radio_check_item")
		var variable1: String = "."
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_PopupMenu.add_radio_check_item(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing PopupMenu.add_icon_radio_check_item")
		var variable1: MeshTexture = MeshTexture.new()
		var variable2: String = str(randi() / 100)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_PopupMenu.add_icon_radio_check_item(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing PopupMenu.add_multistate_item")
		var variable1: String = ""
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		var variable5: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_PopupMenu.add_multistate_item(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing PopupMenu.add_shortcut")
		var variable1: ShortCut = ShortCut.new()
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_PopupMenu.add_shortcut(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing PopupMenu.add_icon_shortcut")
		var variable1: AnimatedTexture = AnimatedTexture.new()
		var variable2: ShortCut = ShortCut.new()
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_PopupMenu.add_icon_shortcut(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing PopupMenu.add_check_shortcut")
		var variable1: ShortCut = ShortCut.new()
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_PopupMenu.add_check_shortcut(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing PopupMenu.add_icon_check_shortcut")
		var variable1: ProxyTexture = ProxyTexture.new()
		var variable2: ShortCut = ShortCut.new()
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_PopupMenu.add_icon_check_shortcut(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing PopupMenu.add_radio_check_shortcut")
		var variable1: ShortCut = ShortCut.new()
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_PopupMenu.add_radio_check_shortcut(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing PopupMenu.add_icon_radio_check_shortcut")
		var variable1: ViewportTexture = ViewportTexture.new()
		var variable2: ShortCut = ShortCut.new()
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_PopupMenu.add_icon_radio_check_shortcut(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing PopupMenu.add_submenu_item")
		var variable1: String = str(randi() / 100)
		var variable2: String = ""
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_PopupMenu.add_submenu_item(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing PopupMenu.set_item_text")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_PopupMenu.set_item_text(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing PopupMenu.set_item_icon")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: AtlasTexture = AtlasTexture.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_PopupMenu.set_item_icon(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing PopupMenu.set_item_checked")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_PopupMenu.set_item_checked(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing PopupMenu.set_item_id")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_PopupMenu.set_item_id(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing PopupMenu.set_item_accelerator")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_PopupMenu.set_item_accelerator(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing PopupMenu.set_item_metadata")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2 = false
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_PopupMenu.set_item_metadata(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing PopupMenu.set_item_disabled")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_PopupMenu.set_item_disabled(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing PopupMenu.set_item_submenu")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_PopupMenu.set_item_submenu(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing PopupMenu.set_item_as_separator")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_PopupMenu.set_item_as_separator(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing PopupMenu.set_item_as_checkable")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_PopupMenu.set_item_as_checkable(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing PopupMenu.set_item_as_radio_checkable")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_PopupMenu.set_item_as_radio_checkable(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing PopupMenu.set_item_tooltip")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_PopupMenu.set_item_tooltip(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing PopupMenu.set_item_shortcut")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: ShortCut = ShortCut.new()
		var variable3: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_PopupMenu.set_item_shortcut(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing PopupMenu.set_item_multistate")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_PopupMenu.set_item_multistate(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing PopupMenu.set_item_shortcut_disabled")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_PopupMenu.set_item_shortcut_disabled(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing PopupMenu.toggle_item_checked")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PopupMenu.toggle_item_checked(variable1)

	if randi() % 2 == 0:
		print("Executing PopupMenu.toggle_item_multistate")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PopupMenu.toggle_item_multistate(variable1)

	if randi() % 2 == 0:
		print("Executing PopupMenu.get_item_text")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PopupMenu.get_item_text(variable1)

	if randi() % 2 == 0:
		print("Executing PopupMenu.get_item_icon")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PopupMenu.get_item_icon(variable1)

	if randi() % 2 == 0:
		print("Executing PopupMenu.is_item_checked")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PopupMenu.is_item_checked(variable1)

	if randi() % 2 == 0:
		print("Executing PopupMenu.get_item_id")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PopupMenu.get_item_id(variable1)

	if randi() % 2 == 0:
		print("Executing PopupMenu.get_item_index")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PopupMenu.get_item_index(variable1)

	if randi() % 2 == 0:
		print("Executing PopupMenu.get_item_accelerator")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PopupMenu.get_item_accelerator(variable1)

	if randi() % 2 == 0:
		print("Executing PopupMenu.get_item_metadata")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PopupMenu.get_item_metadata(variable1)

	if randi() % 2 == 0:
		print("Executing PopupMenu.is_item_disabled")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PopupMenu.is_item_disabled(variable1)

	if randi() % 2 == 0:
		print("Executing PopupMenu.get_item_submenu")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PopupMenu.get_item_submenu(variable1)

	if randi() % 2 == 0:
		print("Executing PopupMenu.is_item_separator")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PopupMenu.is_item_separator(variable1)

	if randi() % 2 == 0:
		print("Executing PopupMenu.is_item_checkable")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PopupMenu.is_item_checkable(variable1)

	if randi() % 2 == 0:
		print("Executing PopupMenu.is_item_radio_checkable")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PopupMenu.is_item_radio_checkable(variable1)

	if randi() % 2 == 0:
		print("Executing PopupMenu.is_item_shortcut_disabled")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PopupMenu.is_item_shortcut_disabled(variable1)

	if randi() % 2 == 0:
		print("Executing PopupMenu.get_item_tooltip")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PopupMenu.get_item_tooltip(variable1)

	if randi() % 2 == 0:
		print("Executing PopupMenu.get_item_shortcut")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PopupMenu.get_item_shortcut(variable1)

	if randi() % 2 == 0:
		print("Executing PopupMenu.get_current_index")
		print("Parameters[]")
		q_PopupMenu.get_current_index()

	if randi() % 2 == 0:
		print("Executing PopupMenu.get_item_count")
		print("Parameters[]")
		q_PopupMenu.get_item_count()

	if randi() % 2 == 0:
		print("Executing PopupMenu.remove_item")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PopupMenu.remove_item(variable1)

	if randi() % 2 == 0:
		print("Executing PopupMenu.add_separator")
		var variable1: String = str(randi() / 100)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_PopupMenu.add_separator(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing PopupMenu.clear")
		print("Parameters[]")
		q_PopupMenu.clear()

	if randi() % 2 == 0:
		print("Executing PopupMenu._set_items")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_PopupMenu._set_items(variable1)

	if randi() % 2 == 0:
		print("Executing PopupMenu._get_items")
		print("Parameters[]")
		q_PopupMenu._get_items()

	if randi() % 2 == 0:
		print("Executing PopupMenu.set_hide_on_item_selection")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_PopupMenu.set_hide_on_item_selection(variable1)

	if randi() % 2 == 0:
		print("Executing PopupMenu.is_hide_on_item_selection")
		print("Parameters[]")
		q_PopupMenu.is_hide_on_item_selection()

	if randi() % 2 == 0:
		print("Executing PopupMenu.set_hide_on_checkable_item_selection")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_PopupMenu.set_hide_on_checkable_item_selection(variable1)

	if randi() % 2 == 0:
		print("Executing PopupMenu.is_hide_on_checkable_item_selection")
		print("Parameters[]")
		q_PopupMenu.is_hide_on_checkable_item_selection()

	if randi() % 2 == 0:
		print("Executing PopupMenu.set_hide_on_state_item_selection")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_PopupMenu.set_hide_on_state_item_selection(variable1)

	if randi() % 2 == 0:
		print("Executing PopupMenu.is_hide_on_state_item_selection")
		print("Parameters[]")
		q_PopupMenu.is_hide_on_state_item_selection()

	if randi() % 2 == 0:
		print("Executing PopupMenu.set_submenu_popup_delay")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PopupMenu.set_submenu_popup_delay(variable1)

	if randi() % 2 == 0:
		print("Executing PopupMenu.get_submenu_popup_delay")
		print("Parameters[]")
		q_PopupMenu.get_submenu_popup_delay()

	if randi() % 2 == 0:
		print("Executing PopupMenu.set_hide_on_window_lose_focus")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_PopupMenu.set_hide_on_window_lose_focus(variable1)

	if randi() % 2 == 0:
		print("Executing PopupMenu.is_hide_on_window_lose_focus")
		print("Parameters[]")
		q_PopupMenu.is_hide_on_window_lose_focus()

	if randi() % 2 == 0:
		print("Executing PopupMenu.set_allow_search")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_PopupMenu.set_allow_search(variable1)

	if randi() % 2 == 0:
		print("Executing PopupMenu.get_allow_search")
		print("Parameters[]")
		q_PopupMenu.get_allow_search()

	pass

