extends Node2D

var q_ReferenceRect : ReferenceRect = ReferenceRect.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_ReferenceRect.queue_free()
		return

	add_child(q_ReferenceRect)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_ReferenceRect.queue_free()
		q_ReferenceRect = ReferenceRect.new()
		add_child(q_ReferenceRect)

	modify_object(q_ReferenceRect)

static func modify_object(q_ReferenceRect : ReferenceRect) -> void:
	if randi() % 2 == 0:
		print("Executing ReferenceRect.get_border_color")
		print("Parameters[]")
		q_ReferenceRect.get_border_color()

	if randi() % 2 == 0:
		print("Executing ReferenceRect.set_border_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_ReferenceRect.set_border_color(variable1)

	if randi() % 2 == 0:
		print("Executing ReferenceRect.get_border_width")
		print("Parameters[]")
		q_ReferenceRect.get_border_width()

	if randi() % 2 == 0:
		print("Executing ReferenceRect.set_border_width")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ReferenceRect.set_border_width(variable1)

	if randi() % 2 == 0:
		print("Executing ReferenceRect.get_editor_only")
		print("Parameters[]")
		q_ReferenceRect.get_editor_only()

	if randi() % 2 == 0:
		print("Executing ReferenceRect.set_editor_only")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_ReferenceRect.set_editor_only(variable1)

	pass

