extends Node2D

var q_RichTextLabel : RichTextLabel = RichTextLabel.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_RichTextLabel.queue_free()
		return

	add_child(q_RichTextLabel)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_RichTextLabel.queue_free()
		q_RichTextLabel = RichTextLabel.new()
		add_child(q_RichTextLabel)

	modify_object(q_RichTextLabel)

static func modify_object(q_RichTextLabel : RichTextLabel) -> void:
	if randi() % 2 == 0:
		print("Executing RichTextLabel._scroll_changed")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RichTextLabel._scroll_changed(variable1)

	if randi() % 2 == 0:
		print("Executing RichTextLabel.get_text")
		print("Parameters[]")
		q_RichTextLabel.get_text()

	if randi() % 2 == 0:
		print("Executing RichTextLabel.add_text")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_RichTextLabel.add_text(variable1)

	if randi() % 2 == 0:
		print("Executing RichTextLabel.set_text")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_RichTextLabel.set_text(variable1)

	if randi() % 2 == 0:
		print("Executing RichTextLabel.add_image")
		var variable1: LargeTexture = LargeTexture.new()
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_RichTextLabel.add_image(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing RichTextLabel.newline")
		print("Parameters[]")
		q_RichTextLabel.newline()

	if randi() % 2 == 0:
		print("Executing RichTextLabel.remove_line")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RichTextLabel.remove_line(variable1)

	if randi() % 2 == 0:
		print("Executing RichTextLabel.push_font")
		var variable1: DynamicFont = DynamicFont.new()
		print("Parameters[" + str(variable1) + "]")
		q_RichTextLabel.push_font(variable1)

	if randi() % 2 == 0:
		print("Executing RichTextLabel.push_normal")
		print("Parameters[]")
		q_RichTextLabel.push_normal()

	if randi() % 2 == 0:
		print("Executing RichTextLabel.push_bold")
		print("Parameters[]")
		q_RichTextLabel.push_bold()

	if randi() % 2 == 0:
		print("Executing RichTextLabel.push_bold_italics")
		print("Parameters[]")
		q_RichTextLabel.push_bold_italics()

	if randi() % 2 == 0:
		print("Executing RichTextLabel.push_italics")
		print("Parameters[]")
		q_RichTextLabel.push_italics()

	if randi() % 2 == 0:
		print("Executing RichTextLabel.push_mono")
		print("Parameters[]")
		q_RichTextLabel.push_mono()

	if randi() % 2 == 0:
		print("Executing RichTextLabel.push_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_RichTextLabel.push_color(variable1)

	if randi() % 2 == 0:
		print("Executing RichTextLabel.push_align")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RichTextLabel.push_align(variable1)

	if randi() % 2 == 0:
		print("Executing RichTextLabel.push_indent")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RichTextLabel.push_indent(variable1)

	if randi() % 2 == 0:
		print("Executing RichTextLabel.push_list")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RichTextLabel.push_list(variable1)

	if randi() % 2 == 0:
		print("Executing RichTextLabel.push_meta")
		var variable1 = false
		print("Parameters[" + str(variable1) + "]")
		q_RichTextLabel.push_meta(variable1)

	if randi() % 2 == 0:
		print("Executing RichTextLabel.push_underline")
		print("Parameters[]")
		q_RichTextLabel.push_underline()

	if randi() % 2 == 0:
		print("Executing RichTextLabel.push_strikethrough")
		print("Parameters[]")
		q_RichTextLabel.push_strikethrough()

	if randi() % 2 == 0:
		print("Executing RichTextLabel.push_table")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RichTextLabel.push_table(variable1)

	if randi() % 2 == 0:
		print("Executing RichTextLabel.set_table_column_expand")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_RichTextLabel.set_table_column_expand(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing RichTextLabel.push_cell")
		print("Parameters[]")
		q_RichTextLabel.push_cell()

	if randi() % 2 == 0:
		print("Executing RichTextLabel.pop")
		print("Parameters[]")
		q_RichTextLabel.pop()

	if randi() % 2 == 0:
		print("Executing RichTextLabel.clear")
		print("Parameters[]")
		q_RichTextLabel.clear()

	if randi() % 2 == 0:
		print("Executing RichTextLabel.set_meta_underline")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RichTextLabel.set_meta_underline(variable1)

	if randi() % 2 == 0:
		print("Executing RichTextLabel.is_meta_underlined")
		print("Parameters[]")
		q_RichTextLabel.is_meta_underlined()

	if randi() % 2 == 0:
		print("Executing RichTextLabel.set_override_selected_font_color")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RichTextLabel.set_override_selected_font_color(variable1)

	if randi() % 2 == 0:
		print("Executing RichTextLabel.is_overriding_selected_font_color")
		print("Parameters[]")
		q_RichTextLabel.is_overriding_selected_font_color()

	if randi() % 2 == 0:
		print("Executing RichTextLabel.set_scroll_active")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RichTextLabel.set_scroll_active(variable1)

	if randi() % 2 == 0:
		print("Executing RichTextLabel.is_scroll_active")
		print("Parameters[]")
		q_RichTextLabel.is_scroll_active()

	if randi() % 2 == 0:
		print("Executing RichTextLabel.set_scroll_follow")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RichTextLabel.set_scroll_follow(variable1)

	if randi() % 2 == 0:
		print("Executing RichTextLabel.is_scroll_following")
		print("Parameters[]")
		q_RichTextLabel.is_scroll_following()

	if randi() % 2 == 0:
		print("Executing RichTextLabel.get_v_scroll")
		print("Parameters[]")
		q_RichTextLabel.get_v_scroll()

	if randi() % 2 == 0:
		print("Executing RichTextLabel.scroll_to_line")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RichTextLabel.scroll_to_line(variable1)

	if randi() % 2 == 0:
		print("Executing RichTextLabel.set_tab_size")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RichTextLabel.set_tab_size(variable1)

	if randi() % 2 == 0:
		print("Executing RichTextLabel.get_tab_size")
		print("Parameters[]")
		q_RichTextLabel.get_tab_size()

	if randi() % 2 == 0:
		print("Executing RichTextLabel.set_fit_content_height")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RichTextLabel.set_fit_content_height(variable1)

	if randi() % 2 == 0:
		print("Executing RichTextLabel.is_fit_content_height_enabled")
		print("Parameters[]")
		q_RichTextLabel.is_fit_content_height_enabled()

	if randi() % 2 == 0:
		print("Executing RichTextLabel.set_selection_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RichTextLabel.set_selection_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing RichTextLabel.is_selection_enabled")
		print("Parameters[]")
		q_RichTextLabel.is_selection_enabled()

	if randi() % 2 == 0:
		print("Executing RichTextLabel.parse_bbcode")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_RichTextLabel.parse_bbcode(variable1)

	if randi() % 2 == 0:
		print("Executing RichTextLabel.append_bbcode")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_RichTextLabel.append_bbcode(variable1)

	if randi() % 2 == 0:
		print("Executing RichTextLabel.set_bbcode")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_RichTextLabel.set_bbcode(variable1)

	if randi() % 2 == 0:
		print("Executing RichTextLabel.get_bbcode")
		print("Parameters[]")
		q_RichTextLabel.get_bbcode()

	if randi() % 2 == 0:
		print("Executing RichTextLabel.set_visible_characters")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RichTextLabel.set_visible_characters(variable1)

	if randi() % 2 == 0:
		print("Executing RichTextLabel.get_visible_characters")
		print("Parameters[]")
		q_RichTextLabel.get_visible_characters()

	if randi() % 2 == 0:
		print("Executing RichTextLabel.set_percent_visible")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RichTextLabel.set_percent_visible(variable1)

	if randi() % 2 == 0:
		print("Executing RichTextLabel.get_percent_visible")
		print("Parameters[]")
		q_RichTextLabel.get_percent_visible()

	if randi() % 2 == 0:
		print("Executing RichTextLabel.get_total_character_count")
		print("Parameters[]")
		q_RichTextLabel.get_total_character_count()

	if randi() % 2 == 0:
		print("Executing RichTextLabel.set_use_bbcode")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RichTextLabel.set_use_bbcode(variable1)

	if randi() % 2 == 0:
		print("Executing RichTextLabel.is_using_bbcode")
		print("Parameters[]")
		q_RichTextLabel.is_using_bbcode()

	if randi() % 2 == 0:
		print("Executing RichTextLabel.get_line_count")
		print("Parameters[]")
		q_RichTextLabel.get_line_count()

	if randi() % 2 == 0:
		print("Executing RichTextLabel.get_visible_line_count")
		print("Parameters[]")
		q_RichTextLabel.get_visible_line_count()

	if randi() % 2 == 0:
		print("Executing RichTextLabel.get_content_height")
		print("Parameters[]")
		q_RichTextLabel.get_content_height()

	if randi() % 2 == 0:
		print("Executing RichTextLabel.parse_expressions_for_values")
		var variable1: PoolStringArray = PoolStringArray([])
		print("Parameters[" + str(variable1) + "]")
		q_RichTextLabel.parse_expressions_for_values(variable1)

	if randi() % 2 == 0:
		print("Executing RichTextLabel.set_effects")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_RichTextLabel.set_effects(variable1)

	if randi() % 2 == 0:
		print("Executing RichTextLabel.get_effects")
		print("Parameters[]")
		q_RichTextLabel.get_effects()

	if randi() % 2 == 0:
		print("Executing RichTextLabel.install_effect")
		var variable1 = false
		print("Parameters[" + str(variable1) + "]")
		q_RichTextLabel.install_effect(variable1)

	pass

