extends Node2D

var q_ScrollContainer : ScrollContainer = ScrollContainer.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_ScrollContainer.queue_free()
		return

	add_child(q_ScrollContainer)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_ScrollContainer.queue_free()
		q_ScrollContainer = ScrollContainer.new()
		add_child(q_ScrollContainer)

	modify_object(q_ScrollContainer)

static func modify_object(q_ScrollContainer : ScrollContainer) -> void:
	if randi() % 2 == 0:
		print("Executing ScrollContainer._scroll_moved")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ScrollContainer._scroll_moved(variable1)

	if randi() % 2 == 0:
		print("Executing ScrollContainer._gui_focus_changed")
		var variable1: WindowDialog = WindowDialog.new()
		print("Parameters[" + str(variable1) + "]")
		q_ScrollContainer._gui_focus_changed(variable1)
		variable1.queue_free()

	if randi() % 2 == 0:
		print("Executing ScrollContainer.set_enable_h_scroll")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_ScrollContainer.set_enable_h_scroll(variable1)

	if randi() % 2 == 0:
		print("Executing ScrollContainer.is_h_scroll_enabled")
		print("Parameters[]")
		q_ScrollContainer.is_h_scroll_enabled()

	if randi() % 2 == 0:
		print("Executing ScrollContainer.set_enable_v_scroll")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_ScrollContainer.set_enable_v_scroll(variable1)

	if randi() % 2 == 0:
		print("Executing ScrollContainer.is_v_scroll_enabled")
		print("Parameters[]")
		q_ScrollContainer.is_v_scroll_enabled()

	if randi() % 2 == 0:
		print("Executing ScrollContainer._update_scrollbar_position")
		print("Parameters[]")
		q_ScrollContainer._update_scrollbar_position()

	if randi() % 2 == 0:
		print("Executing ScrollContainer.set_h_scroll")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ScrollContainer.set_h_scroll(variable1)

	if randi() % 2 == 0:
		print("Executing ScrollContainer.get_h_scroll")
		print("Parameters[]")
		q_ScrollContainer.get_h_scroll()

	if randi() % 2 == 0:
		print("Executing ScrollContainer.set_v_scroll")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ScrollContainer.set_v_scroll(variable1)

	if randi() % 2 == 0:
		print("Executing ScrollContainer.get_v_scroll")
		print("Parameters[]")
		q_ScrollContainer.get_v_scroll()

	if randi() % 2 == 0:
		print("Executing ScrollContainer.set_deadzone")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ScrollContainer.set_deadzone(variable1)

	if randi() % 2 == 0:
		print("Executing ScrollContainer.get_deadzone")
		print("Parameters[]")
		q_ScrollContainer.get_deadzone()

	if randi() % 2 == 0:
		print("Executing ScrollContainer.set_follow_focus")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_ScrollContainer.set_follow_focus(variable1)

	if randi() % 2 == 0:
		print("Executing ScrollContainer.is_following_focus")
		print("Parameters[]")
		q_ScrollContainer.is_following_focus()

	if randi() % 2 == 0:
		print("Executing ScrollContainer.get_h_scrollbar")
		print("Parameters[]")
		q_ScrollContainer.get_h_scrollbar()

	if randi() % 2 == 0:
		print("Executing ScrollContainer.get_v_scrollbar")
		print("Parameters[]")
		q_ScrollContainer.get_v_scrollbar()

	if randi() % 2 == 0:
		print("Executing ScrollContainer.ensure_control_visible")
		var variable1: Tabs = Tabs.new()
		print("Parameters[" + str(variable1) + "]")
		q_ScrollContainer.ensure_control_visible(variable1)
		variable1.queue_free()

	pass

