extends Node2D

var q_Tabs : Tabs = Tabs.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Tabs.queue_free()
		return

	add_child(q_Tabs)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Tabs.queue_free()
		q_Tabs = Tabs.new()
		add_child(q_Tabs)

	modify_object(q_Tabs)

static func modify_object(q_Tabs : Tabs) -> void:
	if randi() % 2 == 0:
		print("Executing Tabs._update_hover")
		print("Parameters[]")
		q_Tabs._update_hover()

	if randi() % 2 == 0:
		print("Executing Tabs._on_mouse_exited")
		print("Parameters[]")
		q_Tabs._on_mouse_exited()

	if randi() % 2 == 0:
		print("Executing Tabs.get_tab_count")
		print("Parameters[]")
		q_Tabs.get_tab_count()

	if randi() % 2 == 0:
		print("Executing Tabs.set_current_tab")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Tabs.set_current_tab(variable1)

	if randi() % 2 == 0:
		print("Executing Tabs.get_current_tab")
		print("Parameters[]")
		q_Tabs.get_current_tab()

	if randi() % 2 == 0:
		print("Executing Tabs.get_previous_tab")
		print("Parameters[]")
		q_Tabs.get_previous_tab()

	if randi() % 2 == 0:
		print("Executing Tabs.set_tab_title")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Tabs.set_tab_title(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Tabs.get_tab_title")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Tabs.get_tab_title(variable1)

	if randi() % 2 == 0:
		print("Executing Tabs.set_tab_icon")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: ProxyTexture = ProxyTexture.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Tabs.set_tab_icon(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Tabs.get_tab_icon")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Tabs.get_tab_icon(variable1)

	if randi() % 2 == 0:
		print("Executing Tabs.set_tab_disabled")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Tabs.set_tab_disabled(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Tabs.get_tab_disabled")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Tabs.get_tab_disabled(variable1)

	if randi() % 2 == 0:
		print("Executing Tabs.remove_tab")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Tabs.remove_tab(variable1)

	if randi() % 2 == 0:
		print("Executing Tabs.add_tab")
		var variable1: String = ""
		var variable2: AnimatedTexture = AnimatedTexture.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Tabs.add_tab(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Tabs.set_tab_align")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Tabs.set_tab_align(variable1)

	if randi() % 2 == 0:
		print("Executing Tabs.get_tab_align")
		print("Parameters[]")
		q_Tabs.get_tab_align()

	if randi() % 2 == 0:
		print("Executing Tabs.get_tab_offset")
		print("Parameters[]")
		q_Tabs.get_tab_offset()

	if randi() % 2 == 0:
		print("Executing Tabs.get_offset_buttons_visible")
		print("Parameters[]")
		q_Tabs.get_offset_buttons_visible()

	if randi() % 2 == 0:
		print("Executing Tabs.ensure_tab_visible")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Tabs.ensure_tab_visible(variable1)

	if randi() % 2 == 0:
		print("Executing Tabs.get_tab_rect")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Tabs.get_tab_rect(variable1)

	if randi() % 2 == 0:
		print("Executing Tabs.move_tab")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Tabs.move_tab(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Tabs.set_tab_close_display_policy")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Tabs.set_tab_close_display_policy(variable1)

	if randi() % 2 == 0:
		print("Executing Tabs.get_tab_close_display_policy")
		print("Parameters[]")
		q_Tabs.get_tab_close_display_policy()

	if randi() % 2 == 0:
		print("Executing Tabs.set_scrolling_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Tabs.set_scrolling_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing Tabs.get_scrolling_enabled")
		print("Parameters[]")
		q_Tabs.get_scrolling_enabled()

	if randi() % 2 == 0:
		print("Executing Tabs.set_drag_to_rearrange_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Tabs.set_drag_to_rearrange_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing Tabs.get_drag_to_rearrange_enabled")
		print("Parameters[]")
		q_Tabs.get_drag_to_rearrange_enabled()

	if randi() % 2 == 0:
		print("Executing Tabs.set_tabs_rearrange_group")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Tabs.set_tabs_rearrange_group(variable1)

	if randi() % 2 == 0:
		print("Executing Tabs.get_tabs_rearrange_group")
		print("Parameters[]")
		q_Tabs.get_tabs_rearrange_group()

	if randi() % 2 == 0:
		print("Executing Tabs.set_select_with_rmb")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Tabs.set_select_with_rmb(variable1)

	if randi() % 2 == 0:
		print("Executing Tabs.get_select_with_rmb")
		print("Parameters[]")
		q_Tabs.get_select_with_rmb()

	pass

