extends Node2D

var q_TextureProgress : TextureProgress = TextureProgress.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_TextureProgress.queue_free()
		return

	add_child(q_TextureProgress)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_TextureProgress.queue_free()
		q_TextureProgress = TextureProgress.new()
		add_child(q_TextureProgress)

	modify_object(q_TextureProgress)

static func modify_object(q_TextureProgress : TextureProgress) -> void:
	if randi() % 2 == 0:
		print("Executing TextureProgress.set_under_texture")
		var variable1: NoiseTexture = NoiseTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_TextureProgress.set_under_texture(variable1)

	if randi() % 2 == 0:
		print("Executing TextureProgress.get_under_texture")
		print("Parameters[]")
		q_TextureProgress.get_under_texture()

	if randi() % 2 == 0:
		print("Executing TextureProgress.set_progress_texture")
		var variable1: AtlasTexture = AtlasTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_TextureProgress.set_progress_texture(variable1)

	if randi() % 2 == 0:
		print("Executing TextureProgress.get_progress_texture")
		print("Parameters[]")
		q_TextureProgress.get_progress_texture()

	if randi() % 2 == 0:
		print("Executing TextureProgress.set_over_texture")
		var variable1: NoiseTexture = NoiseTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_TextureProgress.set_over_texture(variable1)

	if randi() % 2 == 0:
		print("Executing TextureProgress.get_over_texture")
		print("Parameters[]")
		q_TextureProgress.get_over_texture()

	if randi() % 2 == 0:
		print("Executing TextureProgress.set_fill_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TextureProgress.set_fill_mode(variable1)

	if randi() % 2 == 0:
		print("Executing TextureProgress.get_fill_mode")
		print("Parameters[]")
		q_TextureProgress.get_fill_mode()

	if randi() % 2 == 0:
		print("Executing TextureProgress.set_tint_under")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_TextureProgress.set_tint_under(variable1)

	if randi() % 2 == 0:
		print("Executing TextureProgress.get_tint_under")
		print("Parameters[]")
		q_TextureProgress.get_tint_under()

	if randi() % 2 == 0:
		print("Executing TextureProgress.set_tint_progress")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_TextureProgress.set_tint_progress(variable1)

	if randi() % 2 == 0:
		print("Executing TextureProgress.get_tint_progress")
		print("Parameters[]")
		q_TextureProgress.get_tint_progress()

	if randi() % 2 == 0:
		print("Executing TextureProgress.set_tint_over")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_TextureProgress.set_tint_over(variable1)

	if randi() % 2 == 0:
		print("Executing TextureProgress.get_tint_over")
		print("Parameters[]")
		q_TextureProgress.get_tint_over()

	if randi() % 2 == 0:
		print("Executing TextureProgress.set_radial_initial_angle")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TextureProgress.set_radial_initial_angle(variable1)

	if randi() % 2 == 0:
		print("Executing TextureProgress.get_radial_initial_angle")
		print("Parameters[]")
		q_TextureProgress.get_radial_initial_angle()

	if randi() % 2 == 0:
		print("Executing TextureProgress.set_radial_center_offset")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_TextureProgress.set_radial_center_offset(variable1)

	if randi() % 2 == 0:
		print("Executing TextureProgress.get_radial_center_offset")
		print("Parameters[]")
		q_TextureProgress.get_radial_center_offset()

	if randi() % 2 == 0:
		print("Executing TextureProgress.set_fill_degrees")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TextureProgress.set_fill_degrees(variable1)

	if randi() % 2 == 0:
		print("Executing TextureProgress.get_fill_degrees")
		print("Parameters[]")
		q_TextureProgress.get_fill_degrees()

	if randi() % 2 == 0:
		print("Executing TextureProgress.set_stretch_margin")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TextureProgress.set_stretch_margin(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TextureProgress.get_stretch_margin")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TextureProgress.get_stretch_margin(variable1)

	if randi() % 2 == 0:
		print("Executing TextureProgress.set_nine_patch_stretch")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TextureProgress.set_nine_patch_stretch(variable1)

	if randi() % 2 == 0:
		print("Executing TextureProgress.get_nine_patch_stretch")
		print("Parameters[]")
		q_TextureProgress.get_nine_patch_stretch()

	pass

