extends Node2D

var q_ViewportContainer : ViewportContainer = ViewportContainer.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_ViewportContainer.queue_free()
		return

	add_child(q_ViewportContainer)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_ViewportContainer.queue_free()
		q_ViewportContainer = ViewportContainer.new()
		add_child(q_ViewportContainer)

	modify_object(q_ViewportContainer)

static func modify_object(q_ViewportContainer : ViewportContainer) -> void:
	if randi() % 2 == 0:
		print("Executing ViewportContainer.set_stretch")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_ViewportContainer.set_stretch(variable1)

	if randi() % 2 == 0:
		print("Executing ViewportContainer.is_stretch_enabled")
		print("Parameters[]")
		q_ViewportContainer.is_stretch_enabled()

	if randi() % 2 == 0:
		print("Executing ViewportContainer.set_stretch_shrink")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ViewportContainer.set_stretch_shrink(variable1)

	if randi() % 2 == 0:
		print("Executing ViewportContainer.get_stretch_shrink")
		print("Parameters[]")
		q_ViewportContainer.get_stretch_shrink()

	pass

