extends Node2D

var q_AnimationTreePlayer : AnimationTreePlayer = AnimationTreePlayer.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_AnimationTreePlayer.queue_free()
		return

	add_child(q_AnimationTreePlayer)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AnimationTreePlayer.queue_free()
		q_AnimationTreePlayer = AnimationTreePlayer.new()
		add_child(q_AnimationTreePlayer)

	modify_object(q_AnimationTreePlayer)

static func modify_object(q_AnimationTreePlayer : AnimationTreePlayer) -> void:
	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.add_node")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationTreePlayer.add_node(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.node_exists")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTreePlayer.node_exists(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.node_rename")
		var variable1: String = ""
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationTreePlayer.node_rename(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.node_get_type")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTreePlayer.node_get_type(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.node_get_input_count")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTreePlayer.node_get_input_count(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.node_get_input_source")
		var variable1: String = "."
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationTreePlayer.node_get_input_source(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.animation_node_set_animation")
		var variable1: String = str(randi() / 100)
		var variable2: Animation = Animation.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationTreePlayer.animation_node_set_animation(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.animation_node_get_animation")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTreePlayer.animation_node_get_animation(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.animation_node_set_master_animation")
		var variable1: String = str(randi() / 100)
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationTreePlayer.animation_node_set_master_animation(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.animation_node_get_master_animation")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTreePlayer.animation_node_get_master_animation(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.animation_node_get_position")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTreePlayer.animation_node_get_position(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.animation_node_set_filter_path")
		var variable1: String = str(randi() / 100)
		var variable2: NodePath = NodePath(".")
		var variable3: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_AnimationTreePlayer.animation_node_set_filter_path(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.oneshot_node_set_fadein_time")
		var variable1: String = "."
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationTreePlayer.oneshot_node_set_fadein_time(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.oneshot_node_get_fadein_time")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTreePlayer.oneshot_node_get_fadein_time(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.oneshot_node_set_fadeout_time")
		var variable1: String = "."
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationTreePlayer.oneshot_node_set_fadeout_time(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.oneshot_node_get_fadeout_time")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTreePlayer.oneshot_node_get_fadeout_time(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.oneshot_node_set_autorestart")
		var variable1: String = str(randi() / 100)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationTreePlayer.oneshot_node_set_autorestart(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.oneshot_node_set_autorestart_delay")
		var variable1: String = "."
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationTreePlayer.oneshot_node_set_autorestart_delay(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.oneshot_node_set_autorestart_random_delay")
		var variable1: String = str(randi() / 100)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationTreePlayer.oneshot_node_set_autorestart_random_delay(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.oneshot_node_has_autorestart")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTreePlayer.oneshot_node_has_autorestart(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.oneshot_node_get_autorestart_delay")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTreePlayer.oneshot_node_get_autorestart_delay(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.oneshot_node_get_autorestart_random_delay")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTreePlayer.oneshot_node_get_autorestart_random_delay(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.oneshot_node_start")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTreePlayer.oneshot_node_start(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.oneshot_node_stop")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTreePlayer.oneshot_node_stop(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.oneshot_node_is_active")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTreePlayer.oneshot_node_is_active(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.oneshot_node_set_filter_path")
		var variable1: String = "."
		var variable2: NodePath = NodePath(".")
		var variable3: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_AnimationTreePlayer.oneshot_node_set_filter_path(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.mix_node_set_amount")
		var variable1: String = "."
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationTreePlayer.mix_node_set_amount(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.mix_node_get_amount")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTreePlayer.mix_node_get_amount(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.blend2_node_set_amount")
		var variable1: String = str(randi() / 100)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationTreePlayer.blend2_node_set_amount(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.blend2_node_get_amount")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTreePlayer.blend2_node_get_amount(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.blend2_node_set_filter_path")
		var variable1: String = str(randi() / 100)
		var variable2: NodePath = NodePath(".")
		var variable3: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_AnimationTreePlayer.blend2_node_set_filter_path(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.blend3_node_set_amount")
		var variable1: String = "."
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationTreePlayer.blend3_node_set_amount(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.blend3_node_get_amount")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTreePlayer.blend3_node_get_amount(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.blend4_node_set_amount")
		var variable1: String = "."
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationTreePlayer.blend4_node_set_amount(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.blend4_node_get_amount")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTreePlayer.blend4_node_get_amount(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.timescale_node_set_scale")
		var variable1: String = "."
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationTreePlayer.timescale_node_set_scale(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.timescale_node_get_scale")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTreePlayer.timescale_node_get_scale(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.timeseek_node_seek")
		var variable1: String = str(randi() / 100)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationTreePlayer.timeseek_node_seek(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.transition_node_set_input_count")
		var variable1: String = "."
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationTreePlayer.transition_node_set_input_count(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.transition_node_get_input_count")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTreePlayer.transition_node_get_input_count(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.transition_node_delete_input")
		var variable1: String = "."
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationTreePlayer.transition_node_delete_input(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.transition_node_set_input_auto_advance")
		var variable1: String = str(randi() / 100)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_AnimationTreePlayer.transition_node_set_input_auto_advance(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.transition_node_has_input_auto_advance")
		var variable1: String = ""
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationTreePlayer.transition_node_has_input_auto_advance(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.transition_node_set_xfade_time")
		var variable1: String = "."
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationTreePlayer.transition_node_set_xfade_time(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.transition_node_get_xfade_time")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTreePlayer.transition_node_get_xfade_time(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.transition_node_set_current")
		var variable1: String = ""
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationTreePlayer.transition_node_set_current(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.transition_node_get_current")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTreePlayer.transition_node_get_current(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.node_set_position")
		var variable1: String = "."
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationTreePlayer.node_set_position(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.node_get_position")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTreePlayer.node_get_position(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.remove_node")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTreePlayer.remove_node(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.connect_nodes")
		var variable1: String = "."
		var variable2: String = str(randi() / 100)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_AnimationTreePlayer.connect_nodes(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.are_nodes_connected")
		var variable1: String = str(randi() / 100)
		var variable2: String = "."
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_AnimationTreePlayer.are_nodes_connected(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.disconnect_nodes")
		var variable1: String = str(randi() / 100)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationTreePlayer.disconnect_nodes(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.set_active")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTreePlayer.set_active(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.is_active")
		print("Parameters[]")
		q_AnimationTreePlayer.is_active()

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.set_base_path")
		var variable1: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTreePlayer.set_base_path(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.get_base_path")
		print("Parameters[]")
		q_AnimationTreePlayer.get_base_path()

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.set_master_player")
		var variable1: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTreePlayer.set_master_player(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.get_master_player")
		print("Parameters[]")
		q_AnimationTreePlayer.get_master_player()

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.get_node_list")
		print("Parameters[]")
		q_AnimationTreePlayer.get_node_list()

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.set_animation_process_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTreePlayer.set_animation_process_mode(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.get_animation_process_mode")
		print("Parameters[]")
		q_AnimationTreePlayer.get_animation_process_mode()

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.advance")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTreePlayer.advance(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.reset")
		print("Parameters[]")
		q_AnimationTreePlayer.reset()

	if randi() % 2 == 0:
		print("Executing AnimationTreePlayer.recompute_caches")
		print("Parameters[]")
		q_AnimationTreePlayer.recompute_caches()

	pass

