extends Node2D

var q_HTTPRequest : HTTPRequest = HTTPRequest.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_HTTPRequest.queue_free()
		return

	add_child(q_HTTPRequest)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_HTTPRequest.queue_free()
		q_HTTPRequest = HTTPRequest.new()
		add_child(q_HTTPRequest)

	modify_object(q_HTTPRequest)

static func modify_object(q_HTTPRequest : HTTPRequest) -> void:
	if randi() % 2 == 0:
		print("Executing HTTPRequest.request")
		var variable1: String = ""
		var variable2: PoolStringArray = PoolStringArray([])
		var variable3: bool = bool(randi() % 2)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		var variable5: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_HTTPRequest.request(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing HTTPRequest.request_raw")
		var variable1: String = "."
		var variable2: PoolStringArray = PoolStringArray([])
		var variable3: bool = bool(randi() % 2)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		var variable5: PoolByteArray = PoolByteArray([])
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_HTTPRequest.request_raw(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing HTTPRequest.cancel_request")
		print("Parameters[]")
		q_HTTPRequest.cancel_request()

	if randi() % 2 == 0:
		print("Executing HTTPRequest.get_http_client_status")
		print("Parameters[]")
		q_HTTPRequest.get_http_client_status()

	if randi() % 2 == 0:
		print("Executing HTTPRequest.set_use_threads")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_HTTPRequest.set_use_threads(variable1)

	if randi() % 2 == 0:
		print("Executing HTTPRequest.is_using_threads")
		print("Parameters[]")
		q_HTTPRequest.is_using_threads()

	if randi() % 2 == 0:
		print("Executing HTTPRequest.set_accept_gzip")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_HTTPRequest.set_accept_gzip(variable1)

	if randi() % 2 == 0:
		print("Executing HTTPRequest.is_accepting_gzip")
		print("Parameters[]")
		q_HTTPRequest.is_accepting_gzip()

	if randi() % 2 == 0:
		print("Executing HTTPRequest.set_body_size_limit")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_HTTPRequest.set_body_size_limit(variable1)

	if randi() % 2 == 0:
		print("Executing HTTPRequest.get_body_size_limit")
		print("Parameters[]")
		q_HTTPRequest.get_body_size_limit()

	if randi() % 2 == 0:
		print("Executing HTTPRequest.set_max_redirects")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_HTTPRequest.set_max_redirects(variable1)

	if randi() % 2 == 0:
		print("Executing HTTPRequest.get_max_redirects")
		print("Parameters[]")
		q_HTTPRequest.get_max_redirects()

	if randi() % 2 == 0:
		print("Executing HTTPRequest.set_download_file")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_HTTPRequest.set_download_file(variable1)

	if randi() % 2 == 0:
		print("Executing HTTPRequest.get_download_file")
		print("Parameters[]")
		q_HTTPRequest.get_download_file()

	if randi() % 2 == 0:
		print("Executing HTTPRequest.get_downloaded_bytes")
		print("Parameters[]")
		q_HTTPRequest.get_downloaded_bytes()

	if randi() % 2 == 0:
		print("Executing HTTPRequest.get_body_size")
		print("Parameters[]")
		q_HTTPRequest.get_body_size()

	if randi() % 2 == 0:
		print("Executing HTTPRequest._redirect_request")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_HTTPRequest._redirect_request(variable1)

	if randi() % 2 == 0:
		print("Executing HTTPRequest._request_done")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: PoolStringArray = PoolStringArray([])
		var variable4: PoolByteArray = PoolByteArray([])
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_HTTPRequest._request_done(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing HTTPRequest.set_timeout")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_HTTPRequest.set_timeout(variable1)

	if randi() % 2 == 0:
		print("Executing HTTPRequest.get_timeout")
		print("Parameters[]")
		q_HTTPRequest.get_timeout()

	if randi() % 2 == 0:
		print("Executing HTTPRequest.set_download_chunk_size")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_HTTPRequest.set_download_chunk_size(variable1)

	if randi() % 2 == 0:
		print("Executing HTTPRequest.get_download_chunk_size")
		print("Parameters[]")
		q_HTTPRequest.get_download_chunk_size()

	if randi() % 2 == 0:
		print("Executing HTTPRequest._timeout")
		print("Parameters[]")
		q_HTTPRequest._timeout()

	pass

