extends Node2D

var q_SkeletonIK : SkeletonIK = SkeletonIK.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_SkeletonIK.queue_free()
		return

	add_child(q_SkeletonIK)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_SkeletonIK.queue_free()
		q_SkeletonIK = SkeletonIK.new()
		add_child(q_SkeletonIK)

	modify_object(q_SkeletonIK)

static func modify_object(q_SkeletonIK : SkeletonIK) -> void:
	if randi() % 2 == 0:
		print("Executing SkeletonIK.set_root_bone")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_SkeletonIK.set_root_bone(variable1)

	if randi() % 2 == 0:
		print("Executing SkeletonIK.get_root_bone")
		print("Parameters[]")
		q_SkeletonIK.get_root_bone()

	if randi() % 2 == 0:
		print("Executing SkeletonIK.set_tip_bone")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_SkeletonIK.set_tip_bone(variable1)

	if randi() % 2 == 0:
		print("Executing SkeletonIK.get_tip_bone")
		print("Parameters[]")
		q_SkeletonIK.get_tip_bone()

	if randi() % 2 == 0:
		print("Executing SkeletonIK.set_interpolation")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SkeletonIK.set_interpolation(variable1)

	if randi() % 2 == 0:
		print("Executing SkeletonIK.get_interpolation")
		print("Parameters[]")
		q_SkeletonIK.get_interpolation()

	if randi() % 2 == 0:
		print("Executing SkeletonIK.set_target_transform")
		var variable1: Transform = Transform(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		print("Parameters[" + str(variable1) + "]")
		q_SkeletonIK.set_target_transform(variable1)

	if randi() % 2 == 0:
		print("Executing SkeletonIK.get_target_transform")
		print("Parameters[]")
		q_SkeletonIK.get_target_transform()

	if randi() % 2 == 0:
		print("Executing SkeletonIK.set_target_node")
		var variable1: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + "]")
		q_SkeletonIK.set_target_node(variable1)

	if randi() % 2 == 0:
		print("Executing SkeletonIK.get_target_node")
		print("Parameters[]")
		q_SkeletonIK.get_target_node()

	if randi() % 2 == 0:
		print("Executing SkeletonIK.set_override_tip_basis")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_SkeletonIK.set_override_tip_basis(variable1)

	if randi() % 2 == 0:
		print("Executing SkeletonIK.is_override_tip_basis")
		print("Parameters[]")
		q_SkeletonIK.is_override_tip_basis()

	if randi() % 2 == 0:
		print("Executing SkeletonIK.set_use_magnet")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_SkeletonIK.set_use_magnet(variable1)

	if randi() % 2 == 0:
		print("Executing SkeletonIK.is_using_magnet")
		print("Parameters[]")
		q_SkeletonIK.is_using_magnet()

	if randi() % 2 == 0:
		print("Executing SkeletonIK.set_magnet_position")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_SkeletonIK.set_magnet_position(variable1)

	if randi() % 2 == 0:
		print("Executing SkeletonIK.get_magnet_position")
		print("Parameters[]")
		q_SkeletonIK.get_magnet_position()

	if randi() % 2 == 0:
		print("Executing SkeletonIK.get_parent_skeleton")
		print("Parameters[]")
		q_SkeletonIK.get_parent_skeleton()

	if randi() % 2 == 0:
		print("Executing SkeletonIK.is_running")
		print("Parameters[]")
		q_SkeletonIK.is_running()

	if randi() % 2 == 0:
		print("Executing SkeletonIK.set_min_distance")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SkeletonIK.set_min_distance(variable1)

	if randi() % 2 == 0:
		print("Executing SkeletonIK.get_min_distance")
		print("Parameters[]")
		q_SkeletonIK.get_min_distance()

	if randi() % 2 == 0:
		print("Executing SkeletonIK.set_max_iterations")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SkeletonIK.set_max_iterations(variable1)

	if randi() % 2 == 0:
		print("Executing SkeletonIK.get_max_iterations")
		print("Parameters[]")
		q_SkeletonIK.get_max_iterations()

	if randi() % 2 == 0:
		print("Executing SkeletonIK.stop")
		print("Parameters[]")
		q_SkeletonIK.stop()

	pass

