extends Node2D

var q_Tween : Tween = Tween.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Tween.queue_free()
		return

	add_child(q_Tween)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Tween.queue_free()
		q_Tween = Tween.new()
		add_child(q_Tween)

	modify_object(q_Tween)

static func modify_object(q_Tween : Tween) -> void:
	if randi() % 2 == 0:
		print("Executing Tween.is_active")
		print("Parameters[]")
		q_Tween.is_active()

	if randi() % 2 == 0:
		print("Executing Tween.set_active")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Tween.set_active(variable1)

	if randi() % 2 == 0:
		print("Executing Tween.is_repeat")
		print("Parameters[]")
		q_Tween.is_repeat()

	if randi() % 2 == 0:
		print("Executing Tween.set_repeat")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Tween.set_repeat(variable1)

	if randi() % 2 == 0:
		print("Executing Tween.set_speed_scale")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Tween.set_speed_scale(variable1)

	if randi() % 2 == 0:
		print("Executing Tween.get_speed_scale")
		print("Parameters[]")
		q_Tween.get_speed_scale()

	if randi() % 2 == 0:
		print("Executing Tween.set_tween_process_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Tween.set_tween_process_mode(variable1)

	if randi() % 2 == 0:
		print("Executing Tween.get_tween_process_mode")
		print("Parameters[]")
		q_Tween.get_tween_process_mode()

	if randi() % 2 == 0:
		print("Executing Tween.reset")
		var variable1: CircleShape2D = CircleShape2D.new()
		var variable2: String = ""
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Tween.reset(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Tween.reset_all")
		print("Parameters[]")
		q_Tween.reset_all()

	if randi() % 2 == 0:
		print("Executing Tween.stop")
		var variable1: VisualShaderNodeGroupBase = VisualShaderNodeGroupBase.new()
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Tween.stop(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Tween.stop_all")
		print("Parameters[]")
		q_Tween.stop_all()

	if randi() % 2 == 0:
		print("Executing Tween.resume")
		var variable1: StaticBody2D = StaticBody2D.new()
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Tween.resume(variable1, variable2)
		variable1.queue_free()

	if randi() % 2 == 0:
		print("Executing Tween.resume_all")
		print("Parameters[]")
		q_Tween.resume_all()

	if randi() % 2 == 0:
		print("Executing Tween.remove")
		var variable1: GLTFTexture = GLTFTexture.new()
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Tween.remove(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Tween._remove_by_uid")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Tween._remove_by_uid(variable1)

	if randi() % 2 == 0:
		print("Executing Tween.remove_all")
		print("Parameters[]")
		q_Tween.remove_all()

	if randi() % 2 == 0:
		print("Executing Tween.seek")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Tween.seek(variable1)

	if randi() % 2 == 0:
		print("Executing Tween.tell")
		print("Parameters[]")
		q_Tween.tell()

	if randi() % 2 == 0:
		print("Executing Tween.get_runtime")
		print("Parameters[]")
		q_Tween.get_runtime()

	if randi() % 2 == 0:
		print("Executing Tween.interpolate_property")
		var variable1: SurfaceTool = SurfaceTool.new()
		var variable2: NodePath = NodePath(".")
		var variable3 = false
		var variable4 = false
		var variable5: float = (randf() * 10) - (10 / 2.0)
		var variable6: int = (randi() % int(10)) - int(10 / 2.0)
		var variable7: int = (randi() % int(10)) - int(10 / 2.0)
		var variable8: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + ", " + str(variable6) + ", " + str(variable7) + ", " + str(variable8) + "]")
		q_Tween.interpolate_property(variable1, variable2, variable3, variable4, variable5, variable6, variable7, variable8)

	if randi() % 2 == 0:
		print("Executing Tween.interpolate_method")
		var variable1: VisualShaderNodeVectorRefract = VisualShaderNodeVectorRefract.new()
		var variable2: String = "."
		var variable3 = false
		var variable4 = false
		var variable5: float = (randf() * 10) - (10 / 2.0)
		var variable6: int = (randi() % int(10)) - int(10 / 2.0)
		var variable7: int = (randi() % int(10)) - int(10 / 2.0)
		var variable8: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + ", " + str(variable6) + ", " + str(variable7) + ", " + str(variable8) + "]")
		q_Tween.interpolate_method(variable1, variable2, variable3, variable4, variable5, variable6, variable7, variable8)

	if randi() % 2 == 0:
		print("Executing Tween.interpolate_callback")
		var variable1: RegEx = RegEx.new()
		var variable2: float = (randf() * 10) - (10 / 2.0)
		var variable3: String = "."
		var variable4 = false
		var variable5 = false
		var variable6 = false
		var variable7 = false
		var variable8 = false
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + ", " + str(variable6) + ", " + str(variable7) + ", " + str(variable8) + "]")
		q_Tween.interpolate_callback(variable1, variable2, variable3, variable4, variable5, variable6, variable7, variable8)

	if randi() % 2 == 0:
		print("Executing Tween.interpolate_deferred_callback")
		var variable1: AudioStreamMicrophone = AudioStreamMicrophone.new()
		var variable2: float = (randf() * 10) - (10 / 2.0)
		var variable3: String = "."
		var variable4 = false
		var variable5 = false
		var variable6 = false
		var variable7 = false
		var variable8 = false
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + ", " + str(variable6) + ", " + str(variable7) + ", " + str(variable8) + "]")
		q_Tween.interpolate_deferred_callback(variable1, variable2, variable3, variable4, variable5, variable6, variable7, variable8)

	if randi() % 2 == 0:
		print("Executing Tween.follow_property")
		var variable1: PHashTranslation = PHashTranslation.new()
		var variable2: NodePath = NodePath(".")
		var variable3 = false
		var variable4: AudioEffectBandLimitFilter = AudioEffectBandLimitFilter.new()
		var variable5: NodePath = NodePath(".")
		var variable6: float = (randf() * 10) - (10 / 2.0)
		var variable7: int = (randi() % int(10)) - int(10 / 2.0)
		var variable8: int = (randi() % int(10)) - int(10 / 2.0)
		var variable9: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + ", " + str(variable6) + ", " + str(variable7) + ", " + str(variable8) + ", " + str(variable9) + "]")
		q_Tween.follow_property(variable1, variable2, variable3, variable4, variable5, variable6, variable7, variable8, variable9)

	if randi() % 2 == 0:
		print("Executing Tween.follow_method")
		var variable1: AudioStreamMP3 = AudioStreamMP3.new()
		var variable2: String = "."
		var variable3 = false
		var variable4: VisualScriptCondition = VisualScriptCondition.new()
		var variable5: String = str(randi() / 100)
		var variable6: float = (randf() * 10) - (10 / 2.0)
		var variable7: int = (randi() % int(10)) - int(10 / 2.0)
		var variable8: int = (randi() % int(10)) - int(10 / 2.0)
		var variable9: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + ", " + str(variable6) + ", " + str(variable7) + ", " + str(variable8) + ", " + str(variable9) + "]")
		q_Tween.follow_method(variable1, variable2, variable3, variable4, variable5, variable6, variable7, variable8, variable9)

	if randi() % 2 == 0:
		print("Executing Tween.targeting_property")
		var variable1: WebRTCPeerConnection = WebRTCPeerConnection.new()
		var variable2: NodePath = NodePath(".")
		var variable3: VisualShaderNodeScalarOp = VisualShaderNodeScalarOp.new()
		var variable4: NodePath = NodePath(".")
		var variable5 = false
		var variable6: float = (randf() * 10) - (10 / 2.0)
		var variable7: int = (randi() % int(10)) - int(10 / 2.0)
		var variable8: int = (randi() % int(10)) - int(10 / 2.0)
		var variable9: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + ", " + str(variable6) + ", " + str(variable7) + ", " + str(variable8) + ", " + str(variable9) + "]")
		q_Tween.targeting_property(variable1, variable2, variable3, variable4, variable5, variable6, variable7, variable8, variable9)

	if randi() % 2 == 0:
		print("Executing Tween.targeting_method")
		var variable1: PlaneShape = PlaneShape.new()
		var variable2: String = "."
		var variable3: VideoPlayer = VideoPlayer.new()
		var variable4: String = "."
		var variable5 = false
		var variable6: float = (randf() * 10) - (10 / 2.0)
		var variable7: int = (randi() % int(10)) - int(10 / 2.0)
		var variable8: int = (randi() % int(10)) - int(10 / 2.0)
		var variable9: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + ", " + str(variable6) + ", " + str(variable7) + ", " + str(variable8) + ", " + str(variable9) + "]")
		q_Tween.targeting_method(variable1, variable2, variable3, variable4, variable5, variable6, variable7, variable8, variable9)
		variable3.queue_free()

	pass

