extends Node2D

var q_WorldEnvironment : WorldEnvironment = WorldEnvironment.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_WorldEnvironment.queue_free()
		return

	add_child(q_WorldEnvironment)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_WorldEnvironment.queue_free()
		q_WorldEnvironment = WorldEnvironment.new()
		add_child(q_WorldEnvironment)

	modify_object(q_WorldEnvironment)

static func modify_object(q_WorldEnvironment : WorldEnvironment) -> void:
	if randi() % 2 == 0:
		print("Executing WorldEnvironment.set_environment")
		var variable1: Environment = Environment.new()
		print("Parameters[" + str(variable1) + "]")
		q_WorldEnvironment.set_environment(variable1)

	if randi() % 2 == 0:
		print("Executing WorldEnvironment.get_environment")
		print("Parameters[]")
		q_WorldEnvironment.get_environment()

	pass

