extends Node2D

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	modify_object()

static func modify_object() -> void:
	if randi() % 2 == 0:
		print("Executing IP.resolve_hostname")
		var variable1: String = ""
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		IP.resolve_hostname(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing IP.resolve_hostname_addresses")
		var variable1: String = str(randi() / 100)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		IP.resolve_hostname_addresses(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing IP.resolve_hostname_queue_item")
		var variable1: String = ""
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		IP.resolve_hostname_queue_item(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing IP.get_resolve_item_status")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		IP.get_resolve_item_status(variable1)

	if randi() % 2 == 0:
		print("Executing IP.get_resolve_item_address")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		IP.get_resolve_item_address(variable1)

	if randi() % 2 == 0:
		print("Executing IP.get_resolve_item_addresses")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		IP.get_resolve_item_addresses(variable1)

	if randi() % 2 == 0:
		print("Executing IP.erase_resolve_item")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		IP.erase_resolve_item(variable1)

	if randi() % 2 == 0:
		print("Executing IP.get_local_addresses")
		print("Parameters[]")
		IP.get_local_addresses()

	if randi() % 2 == 0:
		print("Executing IP.get_local_interfaces")
		print("Parameters[]")
		IP.get_local_interfaces()

	if randi() % 2 == 0:
		print("Executing IP.clear_cache")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		IP.clear_cache(variable1)

	pass

