extends Node2D

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	modify_object()

static func modify_object() -> void:
	if randi() % 2 == 0:
		print("Executing Input.is_key_pressed")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		Input.is_key_pressed(variable1)

	if randi() % 2 == 0:
		print("Executing Input.is_mouse_button_pressed")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		Input.is_mouse_button_pressed(variable1)

	if randi() % 2 == 0:
		print("Executing Input.is_joy_button_pressed")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		Input.is_joy_button_pressed(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Input.is_action_pressed")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		Input.is_action_pressed(variable1)

	if randi() % 2 == 0:
		print("Executing Input.is_action_just_pressed")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		Input.is_action_just_pressed(variable1)

	if randi() % 2 == 0:
		print("Executing Input.is_action_just_released")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		Input.is_action_just_released(variable1)

	if randi() % 2 == 0:
		print("Executing Input.get_action_strength")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		Input.get_action_strength(variable1)

	if randi() % 2 == 0:
		print("Executing Input.add_joy_mapping")
		var variable1: String = "."
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		Input.add_joy_mapping(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Input.remove_joy_mapping")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		Input.remove_joy_mapping(variable1)

	if randi() % 2 == 0:
		print("Executing Input.joy_connection_changed")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		var variable3: String = str(randi() / 100)
		var variable4: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		Input.joy_connection_changed(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing Input.is_joy_known")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		Input.is_joy_known(variable1)

	if randi() % 2 == 0:
		print("Executing Input.get_joy_axis")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		Input.get_joy_axis(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Input.get_joy_name")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		Input.get_joy_name(variable1)

	if randi() % 2 == 0:
		print("Executing Input.get_joy_guid")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		Input.get_joy_guid(variable1)

	if randi() % 2 == 0:
		print("Executing Input.get_connected_joypads")
		print("Parameters[]")
		Input.get_connected_joypads()

	if randi() % 2 == 0:
		print("Executing Input.get_joy_vibration_strength")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		Input.get_joy_vibration_strength(variable1)

	if randi() % 2 == 0:
		print("Executing Input.get_joy_vibration_duration")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		Input.get_joy_vibration_duration(variable1)

	if randi() % 2 == 0:
		print("Executing Input.get_joy_button_string")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		Input.get_joy_button_string(variable1)

	if randi() % 2 == 0:
		print("Executing Input.get_joy_button_index_from_string")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		Input.get_joy_button_index_from_string(variable1)

	if randi() % 2 == 0:
		print("Executing Input.get_joy_axis_string")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		Input.get_joy_axis_string(variable1)

	if randi() % 2 == 0:
		print("Executing Input.get_joy_axis_index_from_string")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		Input.get_joy_axis_index_from_string(variable1)

	if randi() % 2 == 0:
		print("Executing Input.start_joy_vibration")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		var variable3: float = (randf() * 10) - (10 / 2.0)
		var variable4: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		Input.start_joy_vibration(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing Input.stop_joy_vibration")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		Input.stop_joy_vibration(variable1)

	if randi() % 2 == 0:
		print("Executing Input.vibrate_handheld")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		Input.vibrate_handheld(variable1)

	if randi() % 2 == 0:
		print("Executing Input.get_gravity")
		print("Parameters[]")
		Input.get_gravity()

	if randi() % 2 == 0:
		print("Executing Input.get_accelerometer")
		print("Parameters[]")
		Input.get_accelerometer()

	if randi() % 2 == 0:
		print("Executing Input.get_magnetometer")
		print("Parameters[]")
		Input.get_magnetometer()

	if randi() % 2 == 0:
		print("Executing Input.get_gyroscope")
		print("Parameters[]")
		Input.get_gyroscope()

	if randi() % 2 == 0:
		print("Executing Input.get_last_mouse_speed")
		print("Parameters[]")
		Input.get_last_mouse_speed()

	if randi() % 2 == 0:
		print("Executing Input.get_mouse_button_mask")
		print("Parameters[]")
		Input.get_mouse_button_mask()

	if randi() % 2 == 0:
		print("Executing Input.set_mouse_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		Input.set_mouse_mode(variable1)

	if randi() % 2 == 0:
		print("Executing Input.get_mouse_mode")
		print("Parameters[]")
		Input.get_mouse_mode()

	if randi() % 2 == 0:
		print("Executing Input.action_press")
		var variable1: String = "."
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		Input.action_press(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Input.action_release")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		Input.action_release(variable1)

	if randi() % 2 == 0:
		print("Executing Input.set_default_cursor_shape")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		Input.set_default_cursor_shape(variable1)

	if randi() % 2 == 0:
		print("Executing Input.get_current_cursor_shape")
		print("Parameters[]")
		Input.get_current_cursor_shape()

	if randi() % 2 == 0:
		print("Executing Input.set_custom_mouse_cursor")
		var variable1: AudioEffectHighPassFilter = AudioEffectHighPassFilter.new()
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		Input.set_custom_mouse_cursor(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Input.parse_input_event")
		var variable1: InputEventMIDI = InputEventMIDI.new()
		print("Parameters[" + str(variable1) + "]")
		Input.parse_input_event(variable1)

	if randi() % 2 == 0:
		print("Executing Input.set_use_accumulated_input")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		Input.set_use_accumulated_input(variable1)

	pass

