extends Node2D

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	modify_object()

static func modify_object() -> void:
	if randi() % 2 == 0:
		print("Executing InputMap.has_action")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		InputMap.has_action(variable1)

	if randi() % 2 == 0:
		print("Executing InputMap.get_actions")
		print("Parameters[]")
		InputMap.get_actions()

	if randi() % 2 == 0:
		print("Executing InputMap.add_action")
		var variable1: String = str(randi() / 100)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		InputMap.add_action(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing InputMap.erase_action")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		InputMap.erase_action(variable1)

	if randi() % 2 == 0:
		print("Executing InputMap.action_set_deadzone")
		var variable1: String = str(randi() / 100)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		InputMap.action_set_deadzone(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing InputMap.action_get_deadzone")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		InputMap.action_get_deadzone(variable1)

	if randi() % 2 == 0:
		print("Executing InputMap.action_add_event")
		var variable1: String = ""
		var variable2: InputEventMouseButton = InputEventMouseButton.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		InputMap.action_add_event(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing InputMap.action_has_event")
		var variable1: String = str(randi() / 100)
		var variable2: InputEventJoypadMotion = InputEventJoypadMotion.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		InputMap.action_has_event(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing InputMap.action_erase_event")
		var variable1: String = str(randi() / 100)
		var variable2: InputEventScreenDrag = InputEventScreenDrag.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		InputMap.action_erase_event(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing InputMap.action_erase_events")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		InputMap.action_erase_events(variable1)

	if randi() % 2 == 0:
		print("Executing InputMap.get_action_list")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		InputMap.get_action_list(variable1)

	if randi() % 2 == 0:
		print("Executing InputMap.event_is_action")
		var variable1: InputEventMouseButton = InputEventMouseButton.new()
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		InputMap.event_is_action(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing InputMap.load_from_globals")
		print("Parameters[]")
		InputMap.load_from_globals()

	pass

