extends Node2D

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	modify_object()

static func modify_object() -> void:
	if randi() % 2 == 0:
		print("Executing JavaScript.eval")
		var variable1: String = str(randi() / 100)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		JavaScript.eval(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing JavaScript.get_interface")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		JavaScript.get_interface(variable1)

	if randi() % 2 == 0:
		print("Executing JavaScript.create_callback")
		var variable1: AESContext = AESContext.new()
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		JavaScript.create_callback(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing JavaScript.download_buffer")
		var variable1: PoolByteArray = PoolByteArray([])
		var variable2: String = "."
		var variable3: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		JavaScript.download_buffer(variable1, variable2, variable3)

	pass

