extends Node2D

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	modify_object()

static func modify_object() -> void:
	if randi() % 2 == 0:
		print("Executing ClassDB.get_class_list")
		print("Parameters[]")
		ClassDB.get_class_list()

	if randi() % 2 == 0:
		print("Executing ClassDB.get_inheriters_from_class")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		ClassDB.get_inheriters_from_class(variable1)

	if randi() % 2 == 0:
		print("Executing ClassDB.get_parent_class")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		ClassDB.get_parent_class(variable1)

	if randi() % 2 == 0:
		print("Executing ClassDB.class_exists")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		ClassDB.class_exists(variable1)

	if randi() % 2 == 0:
		print("Executing ClassDB.is_parent_class")
		var variable1: String = "."
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		ClassDB.is_parent_class(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ClassDB.can_instance")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		ClassDB.can_instance(variable1)

	if randi() % 2 == 0:
		print("Executing ClassDB.class_has_signal")
		var variable1: String = "."
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		ClassDB.class_has_signal(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ClassDB.class_get_signal")
		var variable1: String = str(randi() / 100)
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		ClassDB.class_get_signal(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ClassDB.class_get_signal_list")
		var variable1: String = "."
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		ClassDB.class_get_signal_list(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ClassDB.class_get_property_list")
		var variable1: String = "."
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		ClassDB.class_get_property_list(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ClassDB.class_get_property")
		var variable1: VisualScriptSceneTree = VisualScriptSceneTree.new()
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		ClassDB.class_get_property(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ClassDB.class_set_property")
		var variable1: VisualShaderNodeVectorScalarStep = VisualShaderNodeVectorScalarStep.new()
		var variable2: String = str(randi() / 100)
		var variable3 = false
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		ClassDB.class_set_property(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing ClassDB.class_has_method")
		var variable1: String = "."
		var variable2: String = str(randi() / 100)
		var variable3: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		ClassDB.class_has_method(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing ClassDB.class_get_method_list")
		var variable1: String = str(randi() / 100)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		ClassDB.class_get_method_list(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ClassDB.class_get_integer_constant_list")
		var variable1: String = "."
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		ClassDB.class_get_integer_constant_list(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ClassDB.class_has_integer_constant")
		var variable1: String = str(randi() / 100)
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		ClassDB.class_has_integer_constant(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ClassDB.class_get_integer_constant")
		var variable1: String = str(randi() / 100)
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		ClassDB.class_get_integer_constant(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ClassDB.class_get_category")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		ClassDB.class_get_category(variable1)

	if randi() % 2 == 0:
		print("Executing ClassDB.is_class_enabled")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		ClassDB.is_class_enabled(variable1)

	pass

