extends Node2D

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	modify_object()

static func modify_object() -> void:
	if randi() % 2 == 0:
		print("Executing Engine.set_iterations_per_second")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		Engine.set_iterations_per_second(variable1)

	if randi() % 2 == 0:
		print("Executing Engine.get_iterations_per_second")
		print("Parameters[]")
		Engine.get_iterations_per_second()

	if randi() % 2 == 0:
		print("Executing Engine.set_physics_jitter_fix")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		Engine.set_physics_jitter_fix(variable1)

	if randi() % 2 == 0:
		print("Executing Engine.get_physics_jitter_fix")
		print("Parameters[]")
		Engine.get_physics_jitter_fix()

	if randi() % 2 == 0:
		print("Executing Engine.get_physics_interpolation_fraction")
		print("Parameters[]")
		Engine.get_physics_interpolation_fraction()

	if randi() % 2 == 0:
		print("Executing Engine.set_target_fps")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		Engine.set_target_fps(variable1)

	if randi() % 2 == 0:
		print("Executing Engine.get_target_fps")
		print("Parameters[]")
		Engine.get_target_fps()

	if randi() % 2 == 0:
		print("Executing Engine.set_time_scale")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		Engine.set_time_scale(variable1)

	if randi() % 2 == 0:
		print("Executing Engine.get_time_scale")
		print("Parameters[]")
		Engine.get_time_scale()

	if randi() % 2 == 0:
		print("Executing Engine.get_frames_drawn")
		print("Parameters[]")
		Engine.get_frames_drawn()

	if randi() % 2 == 0:
		print("Executing Engine.get_frames_per_second")
		print("Parameters[]")
		Engine.get_frames_per_second()

	if randi() % 2 == 0:
		print("Executing Engine.get_physics_frames")
		print("Parameters[]")
		Engine.get_physics_frames()

	if randi() % 2 == 0:
		print("Executing Engine.get_idle_frames")
		print("Parameters[]")
		Engine.get_idle_frames()

	if randi() % 2 == 0:
		print("Executing Engine.get_main_loop")
		print("Parameters[]")
		Engine.get_main_loop()

	if randi() % 2 == 0:
		print("Executing Engine.get_version_info")
		print("Parameters[]")
		Engine.get_version_info()

	if randi() % 2 == 0:
		print("Executing Engine.get_author_info")
		print("Parameters[]")
		Engine.get_author_info()

	if randi() % 2 == 0:
		print("Executing Engine.get_copyright_info")
		print("Parameters[]")
		Engine.get_copyright_info()

	if randi() % 2 == 0:
		print("Executing Engine.get_donor_info")
		print("Parameters[]")
		Engine.get_donor_info()

	if randi() % 2 == 0:
		print("Executing Engine.get_license_info")
		print("Parameters[]")
		Engine.get_license_info()

	if randi() % 2 == 0:
		print("Executing Engine.get_license_text")
		print("Parameters[]")
		Engine.get_license_text()

	if randi() % 2 == 0:
		print("Executing Engine.is_in_physics_frame")
		print("Parameters[]")
		Engine.is_in_physics_frame()

	if randi() % 2 == 0:
		print("Executing Engine.has_singleton")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		Engine.has_singleton(variable1)

	if randi() % 2 == 0:
		print("Executing Engine.get_singleton")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		Engine.get_singleton(variable1)

	if randi() % 2 == 0:
		print("Executing Engine.is_editor_hint")
		print("Parameters[]")
		Engine.is_editor_hint()

	if randi() % 2 == 0:
		print("Executing Engine.set_print_error_messages")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		Engine.set_print_error_messages(variable1)

	if randi() % 2 == 0:
		print("Executing Engine.is_printing_error_messages")
		print("Parameters[]")
		Engine.is_printing_error_messages()

	pass

