extends Node2D

var q_AStar2D : AStar2D = AStar2D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AStar2D = AStar2D.new()
	modify_object(q_AStar2D)

static func modify_object(q_AStar2D : AStar2D) -> void:
	if randi() % 2 == 0:
		print("Executing AStar2D.get_available_point_id")
		print("Parameters[]")
		q_AStar2D.get_available_point_id()

	if randi() % 2 == 0:
		print("Executing AStar2D.add_point")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable3: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_AStar2D.add_point(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing AStar2D.get_point_position")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AStar2D.get_point_position(variable1)

	if randi() % 2 == 0:
		print("Executing AStar2D.set_point_position")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AStar2D.set_point_position(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AStar2D.get_point_weight_scale")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AStar2D.get_point_weight_scale(variable1)

	if randi() % 2 == 0:
		print("Executing AStar2D.set_point_weight_scale")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AStar2D.set_point_weight_scale(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AStar2D.remove_point")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AStar2D.remove_point(variable1)

	if randi() % 2 == 0:
		print("Executing AStar2D.has_point")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AStar2D.has_point(variable1)

	if randi() % 2 == 0:
		print("Executing AStar2D.get_point_connections")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AStar2D.get_point_connections(variable1)

	if randi() % 2 == 0:
		print("Executing AStar2D.get_points")
		print("Parameters[]")
		q_AStar2D.get_points()

	if randi() % 2 == 0:
		print("Executing AStar2D.set_point_disabled")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AStar2D.set_point_disabled(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AStar2D.is_point_disabled")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AStar2D.is_point_disabled(variable1)

	if randi() % 2 == 0:
		print("Executing AStar2D.connect_points")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_AStar2D.connect_points(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing AStar2D.disconnect_points")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AStar2D.disconnect_points(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AStar2D.are_points_connected")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AStar2D.are_points_connected(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AStar2D.get_point_count")
		print("Parameters[]")
		q_AStar2D.get_point_count()

	if randi() % 2 == 0:
		print("Executing AStar2D.get_point_capacity")
		print("Parameters[]")
		q_AStar2D.get_point_capacity()

	if randi() % 2 == 0:
		print("Executing AStar2D.reserve_space")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AStar2D.reserve_space(variable1)

	if randi() % 2 == 0:
		print("Executing AStar2D.clear")
		print("Parameters[]")
		q_AStar2D.clear()

	if randi() % 2 == 0:
		print("Executing AStar2D.get_closest_position_in_segment")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_AStar2D.get_closest_position_in_segment(variable1)

	if randi() % 2 == 0:
		print("Executing AStar2D.get_point_path")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AStar2D.get_point_path(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AStar2D.get_id_path")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AStar2D.get_id_path(variable1, variable2)

	pass

