extends Node2D

var q_CameraFeed : CameraFeed = CameraFeed.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_CameraFeed = CameraFeed.new()
	modify_object(q_CameraFeed)

static func modify_object(q_CameraFeed : CameraFeed) -> void:
	if randi() % 2 == 0:
		print("Executing CameraFeed.get_id")
		print("Parameters[]")
		q_CameraFeed.get_id()

	if randi() % 2 == 0:
		print("Executing CameraFeed.get_name")
		print("Parameters[]")
		q_CameraFeed.get_name()

	if randi() % 2 == 0:
		print("Executing CameraFeed._set_name")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_CameraFeed._set_name(variable1)

	if randi() % 2 == 0:
		print("Executing CameraFeed.is_active")
		print("Parameters[]")
		q_CameraFeed.is_active()

	if randi() % 2 == 0:
		print("Executing CameraFeed.set_active")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_CameraFeed.set_active(variable1)

	if randi() % 2 == 0:
		print("Executing CameraFeed.get_position")
		print("Parameters[]")
		q_CameraFeed.get_position()

	if randi() % 2 == 0:
		print("Executing CameraFeed._set_position")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CameraFeed._set_position(variable1)

	if randi() % 2 == 0:
		print("Executing CameraFeed.get_transform")
		print("Parameters[]")
		q_CameraFeed.get_transform()

	if randi() % 2 == 0:
		print("Executing CameraFeed.set_transform")
		var variable1: Transform2D = Transform2D(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		print("Parameters[" + str(variable1) + "]")
		q_CameraFeed.set_transform(variable1)

	if randi() % 2 == 0:
		print("Executing CameraFeed._set_RGB_img")
		var variable1: Image = Image.new()
		print("Parameters[" + str(variable1) + "]")
		q_CameraFeed._set_RGB_img(variable1)

	if randi() % 2 == 0:
		print("Executing CameraFeed._set_YCbCr_img")
		var variable1: Image = Image.new()
		print("Parameters[" + str(variable1) + "]")
		q_CameraFeed._set_YCbCr_img(variable1)

	if randi() % 2 == 0:
		print("Executing CameraFeed._set_YCbCr_imgs")
		var variable1: Image = Image.new()
		var variable2: Image = Image.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_CameraFeed._set_YCbCr_imgs(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing CameraFeed._allocate_texture")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		var variable5: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_CameraFeed._allocate_texture(variable1, variable2, variable3, variable4, variable5)

	pass

