extends Node2D

var q_GDNative : GDNative = GDNative.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_GDNative = GDNative.new()
	modify_object(q_GDNative)

static func modify_object(q_GDNative : GDNative) -> void:
	if randi() % 2 == 0:
		print("Executing GDNative.set_library")
		var variable1: GDNativeLibrary = GDNativeLibrary.new()
		print("Parameters[" + str(variable1) + "]")
		q_GDNative.set_library(variable1)

	if randi() % 2 == 0:
		print("Executing GDNative.get_library")
		print("Parameters[]")
		q_GDNative.get_library()

	if randi() % 2 == 0:
		print("Executing GDNative.initialize")
		print("Parameters[]")
		q_GDNative.initialize()

	if randi() % 2 == 0:
		print("Executing GDNative.terminate")
		print("Parameters[]")
		q_GDNative.terminate()

	if randi() % 2 == 0:
		print("Executing GDNative.call_native")
		var variable1: String = ""
		var variable2: String = str(randi() / 100)
		var variable3: Array = []
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_GDNative.call_native(variable1, variable2, variable3)

	pass

