extends Node2D

var q_HTTPClient : HTTPClient = HTTPClient.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_HTTPClient = HTTPClient.new()
	modify_object(q_HTTPClient)

static func modify_object(q_HTTPClient : HTTPClient) -> void:
	if randi() % 2 == 0:
		print("Executing HTTPClient.connect_to_host")
		var variable1: String = ""
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: bool = bool(randi() % 2)
		var variable4: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_HTTPClient.connect_to_host(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing HTTPClient.set_connection")
		var variable1: StreamPeerGDNative = StreamPeerGDNative.new()
		print("Parameters[" + str(variable1) + "]")
		q_HTTPClient.set_connection(variable1)

	if randi() % 2 == 0:
		print("Executing HTTPClient.get_connection")
		print("Parameters[]")
		q_HTTPClient.get_connection()

	if randi() % 2 == 0:
		print("Executing HTTPClient.request_raw")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = "."
		var variable3: PoolStringArray = PoolStringArray([])
		var variable4: PoolByteArray = PoolByteArray([])
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_HTTPClient.request_raw(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing HTTPClient.request")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = str(randi() / 100)
		var variable3: PoolStringArray = PoolStringArray([])
		var variable4: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_HTTPClient.request(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing HTTPClient.close")
		print("Parameters[]")
		q_HTTPClient.close()

	if randi() % 2 == 0:
		print("Executing HTTPClient.has_response")
		print("Parameters[]")
		q_HTTPClient.has_response()

	if randi() % 2 == 0:
		print("Executing HTTPClient.is_response_chunked")
		print("Parameters[]")
		q_HTTPClient.is_response_chunked()

	if randi() % 2 == 0:
		print("Executing HTTPClient.get_response_code")
		print("Parameters[]")
		q_HTTPClient.get_response_code()

	if randi() % 2 == 0:
		print("Executing HTTPClient.get_response_headers")
		print("Parameters[]")
		q_HTTPClient.get_response_headers()

	if randi() % 2 == 0:
		print("Executing HTTPClient.get_response_headers_as_dictionary")
		print("Parameters[]")
		q_HTTPClient.get_response_headers_as_dictionary()

	if randi() % 2 == 0:
		print("Executing HTTPClient.get_response_body_length")
		print("Parameters[]")
		q_HTTPClient.get_response_body_length()

	if randi() % 2 == 0:
		print("Executing HTTPClient.read_response_body_chunk")
		print("Parameters[]")
		q_HTTPClient.read_response_body_chunk()

	if randi() % 2 == 0:
		print("Executing HTTPClient.set_read_chunk_size")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_HTTPClient.set_read_chunk_size(variable1)

	if randi() % 2 == 0:
		print("Executing HTTPClient.get_read_chunk_size")
		print("Parameters[]")
		q_HTTPClient.get_read_chunk_size()

	if randi() % 2 == 0:
		print("Executing HTTPClient.set_blocking_mode")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_HTTPClient.set_blocking_mode(variable1)

	if randi() % 2 == 0:
		print("Executing HTTPClient.is_blocking_mode_enabled")
		print("Parameters[]")
		q_HTTPClient.is_blocking_mode_enabled()

	if randi() % 2 == 0:
		print("Executing HTTPClient.get_status")
		print("Parameters[]")
		q_HTTPClient.get_status()

	if randi() % 2 == 0:
		print("Executing HTTPClient.poll")
		print("Parameters[]")
		q_HTTPClient.poll()

	if randi() % 2 == 0:
		print("Executing HTTPClient.query_string_from_dict")
		var variable1: Dictionary = {}
		print("Parameters[" + str(variable1) + "]")
		q_HTTPClient.query_string_from_dict(variable1)

	pass

