extends Node2D

var q_NetworkedMultiplayerENet : NetworkedMultiplayerENet = NetworkedMultiplayerENet.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_NetworkedMultiplayerENet = NetworkedMultiplayerENet.new()
	modify_object(q_NetworkedMultiplayerENet)

static func modify_object(q_NetworkedMultiplayerENet : NetworkedMultiplayerENet) -> void:
	if randi() % 2 == 0:
		print("Executing NetworkedMultiplayerENet.create_server")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_NetworkedMultiplayerENet.create_server(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing NetworkedMultiplayerENet.create_client")
		var variable1: String = str(randi() / 100)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		var variable5: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_NetworkedMultiplayerENet.create_client(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing NetworkedMultiplayerENet.close_connection")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NetworkedMultiplayerENet.close_connection(variable1)

	if randi() % 2 == 0:
		print("Executing NetworkedMultiplayerENet.disconnect_peer")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_NetworkedMultiplayerENet.disconnect_peer(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing NetworkedMultiplayerENet.set_compression_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NetworkedMultiplayerENet.set_compression_mode(variable1)

	if randi() % 2 == 0:
		print("Executing NetworkedMultiplayerENet.get_compression_mode")
		print("Parameters[]")
		q_NetworkedMultiplayerENet.get_compression_mode()

	if randi() % 2 == 0:
		print("Executing NetworkedMultiplayerENet.set_bind_ip")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_NetworkedMultiplayerENet.set_bind_ip(variable1)

	if randi() % 2 == 0:
		print("Executing NetworkedMultiplayerENet.set_dtls_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_NetworkedMultiplayerENet.set_dtls_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing NetworkedMultiplayerENet.is_dtls_enabled")
		print("Parameters[]")
		q_NetworkedMultiplayerENet.is_dtls_enabled()

	if randi() % 2 == 0:
		print("Executing NetworkedMultiplayerENet.set_dtls_key")
		var variable1: CryptoKey = CryptoKey.new()
		print("Parameters[" + str(variable1) + "]")
		q_NetworkedMultiplayerENet.set_dtls_key(variable1)

	if randi() % 2 == 0:
		print("Executing NetworkedMultiplayerENet.set_dtls_certificate")
		var variable1: X509Certificate = X509Certificate.new()
		print("Parameters[" + str(variable1) + "]")
		q_NetworkedMultiplayerENet.set_dtls_certificate(variable1)

	if randi() % 2 == 0:
		print("Executing NetworkedMultiplayerENet.set_dtls_verify_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_NetworkedMultiplayerENet.set_dtls_verify_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing NetworkedMultiplayerENet.is_dtls_verify_enabled")
		print("Parameters[]")
		q_NetworkedMultiplayerENet.is_dtls_verify_enabled()

	if randi() % 2 == 0:
		print("Executing NetworkedMultiplayerENet.get_peer_address")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NetworkedMultiplayerENet.get_peer_address(variable1)

	if randi() % 2 == 0:
		print("Executing NetworkedMultiplayerENet.get_peer_port")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NetworkedMultiplayerENet.get_peer_port(variable1)

	if randi() % 2 == 0:
		print("Executing NetworkedMultiplayerENet.set_peer_timeout")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_NetworkedMultiplayerENet.set_peer_timeout(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing NetworkedMultiplayerENet.get_packet_channel")
		print("Parameters[]")
		q_NetworkedMultiplayerENet.get_packet_channel()

	if randi() % 2 == 0:
		print("Executing NetworkedMultiplayerENet.get_last_packet_channel")
		print("Parameters[]")
		q_NetworkedMultiplayerENet.get_last_packet_channel()

	if randi() % 2 == 0:
		print("Executing NetworkedMultiplayerENet.set_transfer_channel")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NetworkedMultiplayerENet.set_transfer_channel(variable1)

	if randi() % 2 == 0:
		print("Executing NetworkedMultiplayerENet.get_transfer_channel")
		print("Parameters[]")
		q_NetworkedMultiplayerENet.get_transfer_channel()

	if randi() % 2 == 0:
		print("Executing NetworkedMultiplayerENet.set_channel_count")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NetworkedMultiplayerENet.set_channel_count(variable1)

	if randi() % 2 == 0:
		print("Executing NetworkedMultiplayerENet.get_channel_count")
		print("Parameters[]")
		q_NetworkedMultiplayerENet.get_channel_count()

	if randi() % 2 == 0:
		print("Executing NetworkedMultiplayerENet.set_always_ordered")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_NetworkedMultiplayerENet.set_always_ordered(variable1)

	if randi() % 2 == 0:
		print("Executing NetworkedMultiplayerENet.is_always_ordered")
		print("Parameters[]")
		q_NetworkedMultiplayerENet.is_always_ordered()

	if randi() % 2 == 0:
		print("Executing NetworkedMultiplayerENet.set_server_relay_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_NetworkedMultiplayerENet.set_server_relay_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing NetworkedMultiplayerENet.is_server_relay_enabled")
		print("Parameters[]")
		q_NetworkedMultiplayerENet.is_server_relay_enabled()

	pass

