extends Node2D

var q_PacketPeerDTLS : PacketPeerDTLS = PacketPeerDTLS.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_PacketPeerDTLS = PacketPeerDTLS.new()
	modify_object(q_PacketPeerDTLS)

static func modify_object(q_PacketPeerDTLS : PacketPeerDTLS) -> void:
	if randi() % 2 == 0:
		print("Executing PacketPeerDTLS.poll")
		print("Parameters[]")
		q_PacketPeerDTLS.poll()

	if randi() % 2 == 0:
		print("Executing PacketPeerDTLS.connect_to_peer")
		var variable1: PacketPeerUDP = PacketPeerUDP.new()
		var variable2: bool = bool(randi() % 2)
		var variable3: String = "."
		var variable4: X509Certificate = X509Certificate.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_PacketPeerDTLS.connect_to_peer(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing PacketPeerDTLS.get_status")
		print("Parameters[]")
		q_PacketPeerDTLS.get_status()

	if randi() % 2 == 0:
		print("Executing PacketPeerDTLS.disconnect_from_peer")
		print("Parameters[]")
		q_PacketPeerDTLS.disconnect_from_peer()

	pass

