extends Node2D

var q_PacketPeerUDP : PacketPeerUDP = PacketPeerUDP.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_PacketPeerUDP = PacketPeerUDP.new()
	modify_object(q_PacketPeerUDP)

static func modify_object(q_PacketPeerUDP : PacketPeerUDP) -> void:
	if randi() % 2 == 0:
		print("Executing PacketPeerUDP.listen")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = str(randi() / 100)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_PacketPeerUDP.listen(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing PacketPeerUDP.close")
		print("Parameters[]")
		q_PacketPeerUDP.close()

	if randi() % 2 == 0:
		print("Executing PacketPeerUDP.is_listening")
		print("Parameters[]")
		q_PacketPeerUDP.is_listening()

	if randi() % 2 == 0:
		print("Executing PacketPeerUDP.connect_to_host")
		var variable1: String = str(randi() / 100)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_PacketPeerUDP.connect_to_host(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing PacketPeerUDP.is_connected_to_host")
		print("Parameters[]")
		q_PacketPeerUDP.is_connected_to_host()

	if randi() % 2 == 0:
		print("Executing PacketPeerUDP.get_packet_ip")
		print("Parameters[]")
		q_PacketPeerUDP.get_packet_ip()

	if randi() % 2 == 0:
		print("Executing PacketPeerUDP.get_packet_port")
		print("Parameters[]")
		q_PacketPeerUDP.get_packet_port()

	if randi() % 2 == 0:
		print("Executing PacketPeerUDP.set_dest_address")
		var variable1: String = "."
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_PacketPeerUDP.set_dest_address(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing PacketPeerUDP.set_broadcast_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_PacketPeerUDP.set_broadcast_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing PacketPeerUDP.join_multicast_group")
		var variable1: String = str(randi() / 100)
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_PacketPeerUDP.join_multicast_group(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing PacketPeerUDP.leave_multicast_group")
		var variable1: String = "."
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_PacketPeerUDP.leave_multicast_group(variable1, variable2)

	pass

