extends Node2D

var q_Physics2DShapeQueryParameters : Physics2DShapeQueryParameters = Physics2DShapeQueryParameters.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Physics2DShapeQueryParameters = Physics2DShapeQueryParameters.new()
	modify_object(q_Physics2DShapeQueryParameters)

static func modify_object(q_Physics2DShapeQueryParameters : Physics2DShapeQueryParameters) -> void:
	if randi() % 2 == 0:
		print("Executing Physics2DShapeQueryParameters.set_shape")
		var variable1: VisualScriptConstructor = VisualScriptConstructor.new()
		print("Parameters[" + str(variable1) + "]")
		q_Physics2DShapeQueryParameters.set_shape(variable1)

	if randi() % 2 == 0:
		print("Executing Physics2DShapeQueryParameters.set_shape_rid")
		var variable1: RID = RID()
		print("Parameters[" + str(variable1) + "]")
		q_Physics2DShapeQueryParameters.set_shape_rid(variable1)

	if randi() % 2 == 0:
		print("Executing Physics2DShapeQueryParameters.get_shape_rid")
		print("Parameters[]")
		q_Physics2DShapeQueryParameters.get_shape_rid()

	if randi() % 2 == 0:
		print("Executing Physics2DShapeQueryParameters.set_transform")
		var variable1: Transform2D = Transform2D(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		print("Parameters[" + str(variable1) + "]")
		q_Physics2DShapeQueryParameters.set_transform(variable1)

	if randi() % 2 == 0:
		print("Executing Physics2DShapeQueryParameters.get_transform")
		print("Parameters[]")
		q_Physics2DShapeQueryParameters.get_transform()

	if randi() % 2 == 0:
		print("Executing Physics2DShapeQueryParameters.set_motion")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Physics2DShapeQueryParameters.set_motion(variable1)

	if randi() % 2 == 0:
		print("Executing Physics2DShapeQueryParameters.get_motion")
		print("Parameters[]")
		q_Physics2DShapeQueryParameters.get_motion()

	if randi() % 2 == 0:
		print("Executing Physics2DShapeQueryParameters.set_margin")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Physics2DShapeQueryParameters.set_margin(variable1)

	if randi() % 2 == 0:
		print("Executing Physics2DShapeQueryParameters.get_margin")
		print("Parameters[]")
		q_Physics2DShapeQueryParameters.get_margin()

	if randi() % 2 == 0:
		print("Executing Physics2DShapeQueryParameters.set_collision_layer")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Physics2DShapeQueryParameters.set_collision_layer(variable1)

	if randi() % 2 == 0:
		print("Executing Physics2DShapeQueryParameters.get_collision_layer")
		print("Parameters[]")
		q_Physics2DShapeQueryParameters.get_collision_layer()

	if randi() % 2 == 0:
		print("Executing Physics2DShapeQueryParameters.set_exclude")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_Physics2DShapeQueryParameters.set_exclude(variable1)

	if randi() % 2 == 0:
		print("Executing Physics2DShapeQueryParameters.get_exclude")
		print("Parameters[]")
		q_Physics2DShapeQueryParameters.get_exclude()

	if randi() % 2 == 0:
		print("Executing Physics2DShapeQueryParameters.set_collide_with_bodies")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Physics2DShapeQueryParameters.set_collide_with_bodies(variable1)

	if randi() % 2 == 0:
		print("Executing Physics2DShapeQueryParameters.is_collide_with_bodies_enabled")
		print("Parameters[]")
		q_Physics2DShapeQueryParameters.is_collide_with_bodies_enabled()

	if randi() % 2 == 0:
		print("Executing Physics2DShapeQueryParameters.set_collide_with_areas")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Physics2DShapeQueryParameters.set_collide_with_areas(variable1)

	if randi() % 2 == 0:
		print("Executing Physics2DShapeQueryParameters.is_collide_with_areas_enabled")
		print("Parameters[]")
		q_Physics2DShapeQueryParameters.is_collide_with_areas_enabled()

	pass

