extends Node2D

var q_PhysicsShapeQueryParameters : PhysicsShapeQueryParameters = PhysicsShapeQueryParameters.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_PhysicsShapeQueryParameters = PhysicsShapeQueryParameters.new()
	modify_object(q_PhysicsShapeQueryParameters)

static func modify_object(q_PhysicsShapeQueryParameters : PhysicsShapeQueryParameters) -> void:
	if randi() % 2 == 0:
		print("Executing PhysicsShapeQueryParameters.set_shape")
		var variable1: VisualShaderNodeTexture = VisualShaderNodeTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_PhysicsShapeQueryParameters.set_shape(variable1)

	if randi() % 2 == 0:
		print("Executing PhysicsShapeQueryParameters.set_shape_rid")
		var variable1: RID = RID()
		print("Parameters[" + str(variable1) + "]")
		q_PhysicsShapeQueryParameters.set_shape_rid(variable1)

	if randi() % 2 == 0:
		print("Executing PhysicsShapeQueryParameters.get_shape_rid")
		print("Parameters[]")
		q_PhysicsShapeQueryParameters.get_shape_rid()

	if randi() % 2 == 0:
		print("Executing PhysicsShapeQueryParameters.set_transform")
		var variable1: Transform = Transform(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		print("Parameters[" + str(variable1) + "]")
		q_PhysicsShapeQueryParameters.set_transform(variable1)

	if randi() % 2 == 0:
		print("Executing PhysicsShapeQueryParameters.get_transform")
		print("Parameters[]")
		q_PhysicsShapeQueryParameters.get_transform()

	if randi() % 2 == 0:
		print("Executing PhysicsShapeQueryParameters.set_margin")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PhysicsShapeQueryParameters.set_margin(variable1)

	if randi() % 2 == 0:
		print("Executing PhysicsShapeQueryParameters.get_margin")
		print("Parameters[]")
		q_PhysicsShapeQueryParameters.get_margin()

	if randi() % 2 == 0:
		print("Executing PhysicsShapeQueryParameters.set_collision_mask")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PhysicsShapeQueryParameters.set_collision_mask(variable1)

	if randi() % 2 == 0:
		print("Executing PhysicsShapeQueryParameters.get_collision_mask")
		print("Parameters[]")
		q_PhysicsShapeQueryParameters.get_collision_mask()

	if randi() % 2 == 0:
		print("Executing PhysicsShapeQueryParameters.set_exclude")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_PhysicsShapeQueryParameters.set_exclude(variable1)

	if randi() % 2 == 0:
		print("Executing PhysicsShapeQueryParameters.get_exclude")
		print("Parameters[]")
		q_PhysicsShapeQueryParameters.get_exclude()

	if randi() % 2 == 0:
		print("Executing PhysicsShapeQueryParameters.set_collide_with_bodies")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_PhysicsShapeQueryParameters.set_collide_with_bodies(variable1)

	if randi() % 2 == 0:
		print("Executing PhysicsShapeQueryParameters.is_collide_with_bodies_enabled")
		print("Parameters[]")
		q_PhysicsShapeQueryParameters.is_collide_with_bodies_enabled()

	if randi() % 2 == 0:
		print("Executing PhysicsShapeQueryParameters.set_collide_with_areas")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_PhysicsShapeQueryParameters.set_collide_with_areas(variable1)

	if randi() % 2 == 0:
		print("Executing PhysicsShapeQueryParameters.is_collide_with_areas_enabled")
		print("Parameters[]")
		q_PhysicsShapeQueryParameters.is_collide_with_areas_enabled()

	pass

