extends Node2D

var q_RandomNumberGenerator : RandomNumberGenerator = RandomNumberGenerator.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_RandomNumberGenerator = RandomNumberGenerator.new()
	modify_object(q_RandomNumberGenerator)

static func modify_object(q_RandomNumberGenerator : RandomNumberGenerator) -> void:
	if randi() % 2 == 0:
		print("Executing RandomNumberGenerator.set_seed")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RandomNumberGenerator.set_seed(variable1)

	if randi() % 2 == 0:
		print("Executing RandomNumberGenerator.get_seed")
		print("Parameters[]")
		q_RandomNumberGenerator.get_seed()

	if randi() % 2 == 0:
		print("Executing RandomNumberGenerator.set_state")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RandomNumberGenerator.set_state(variable1)

	if randi() % 2 == 0:
		print("Executing RandomNumberGenerator.get_state")
		print("Parameters[]")
		q_RandomNumberGenerator.get_state()

	if randi() % 2 == 0:
		print("Executing RandomNumberGenerator.randi")
		print("Parameters[]")
		q_RandomNumberGenerator.randi()

	if randi() % 2 == 0:
		print("Executing RandomNumberGenerator.randf")
		print("Parameters[]")
		q_RandomNumberGenerator.randf()

	if randi() % 2 == 0:
		print("Executing RandomNumberGenerator.randfn")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_RandomNumberGenerator.randfn(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing RandomNumberGenerator.randf_range")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_RandomNumberGenerator.randf_range(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing RandomNumberGenerator.randi_range")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_RandomNumberGenerator.randi_range(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing RandomNumberGenerator.randomize")
		print("Parameters[]")
		q_RandomNumberGenerator.randomize()

	pass

