extends Node2D

var q_StreamPeerBuffer : StreamPeerBuffer = StreamPeerBuffer.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_StreamPeerBuffer = StreamPeerBuffer.new()
	modify_object(q_StreamPeerBuffer)

static func modify_object(q_StreamPeerBuffer : StreamPeerBuffer) -> void:
	if randi() % 2 == 0:
		print("Executing StreamPeerBuffer.seek")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StreamPeerBuffer.seek(variable1)

	if randi() % 2 == 0:
		print("Executing StreamPeerBuffer.get_size")
		print("Parameters[]")
		q_StreamPeerBuffer.get_size()

	if randi() % 2 == 0:
		print("Executing StreamPeerBuffer.get_position")
		print("Parameters[]")
		q_StreamPeerBuffer.get_position()

	if randi() % 2 == 0:
		print("Executing StreamPeerBuffer.resize")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StreamPeerBuffer.resize(variable1)

	if randi() % 2 == 0:
		print("Executing StreamPeerBuffer.set_data_array")
		var variable1: PoolByteArray = PoolByteArray([])
		print("Parameters[" + str(variable1) + "]")
		q_StreamPeerBuffer.set_data_array(variable1)

	if randi() % 2 == 0:
		print("Executing StreamPeerBuffer.get_data_array")
		print("Parameters[]")
		q_StreamPeerBuffer.get_data_array()

	if randi() % 2 == 0:
		print("Executing StreamPeerBuffer.clear")
		print("Parameters[]")
		q_StreamPeerBuffer.clear()

	pass

