extends Node2D

var q_TCP_Server : TCP_Server = TCP_Server.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_TCP_Server = TCP_Server.new()
	modify_object(q_TCP_Server)

static func modify_object(q_TCP_Server : TCP_Server) -> void:
	if randi() % 2 == 0:
		print("Executing TCP_Server.listen")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TCP_Server.listen(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TCP_Server.is_connection_available")
		print("Parameters[]")
		q_TCP_Server.is_connection_available()

	if randi() % 2 == 0:
		print("Executing TCP_Server.is_listening")
		print("Parameters[]")
		q_TCP_Server.is_listening()

	if randi() % 2 == 0:
		print("Executing TCP_Server.take_connection")
		print("Parameters[]")
		q_TCP_Server.take_connection()

	if randi() % 2 == 0:
		print("Executing TCP_Server.stop")
		print("Parameters[]")
		q_TCP_Server.stop()

	pass

