extends Node2D

var q_UPNPDevice : UPNPDevice = UPNPDevice.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_UPNPDevice = UPNPDevice.new()
	modify_object(q_UPNPDevice)

static func modify_object(q_UPNPDevice : UPNPDevice) -> void:
	if randi() % 2 == 0:
		print("Executing UPNPDevice.is_valid_gateway")
		print("Parameters[]")
		q_UPNPDevice.is_valid_gateway()

	if randi() % 2 == 0:
		print("Executing UPNPDevice.query_external_address")
		print("Parameters[]")
		q_UPNPDevice.query_external_address()

	if randi() % 2 == 0:
		print("Executing UPNPDevice.add_port_mapping")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: String = str(randi() / 100)
		var variable4: String = str(randi() / 100)
		var variable5: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_UPNPDevice.add_port_mapping(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing UPNPDevice.delete_port_mapping")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_UPNPDevice.delete_port_mapping(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing UPNPDevice.set_description_url")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_UPNPDevice.set_description_url(variable1)

	if randi() % 2 == 0:
		print("Executing UPNPDevice.get_description_url")
		print("Parameters[]")
		q_UPNPDevice.get_description_url()

	if randi() % 2 == 0:
		print("Executing UPNPDevice.set_service_type")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_UPNPDevice.set_service_type(variable1)

	if randi() % 2 == 0:
		print("Executing UPNPDevice.get_service_type")
		print("Parameters[]")
		q_UPNPDevice.get_service_type()

	if randi() % 2 == 0:
		print("Executing UPNPDevice.set_igd_control_url")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_UPNPDevice.set_igd_control_url(variable1)

	if randi() % 2 == 0:
		print("Executing UPNPDevice.get_igd_control_url")
		print("Parameters[]")
		q_UPNPDevice.get_igd_control_url()

	if randi() % 2 == 0:
		print("Executing UPNPDevice.set_igd_service_type")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_UPNPDevice.set_igd_service_type(variable1)

	if randi() % 2 == 0:
		print("Executing UPNPDevice.get_igd_service_type")
		print("Parameters[]")
		q_UPNPDevice.get_igd_service_type()

	if randi() % 2 == 0:
		print("Executing UPNPDevice.set_igd_our_addr")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_UPNPDevice.set_igd_our_addr(variable1)

	if randi() % 2 == 0:
		print("Executing UPNPDevice.get_igd_our_addr")
		print("Parameters[]")
		q_UPNPDevice.get_igd_our_addr()

	if randi() % 2 == 0:
		print("Executing UPNPDevice.set_igd_status")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_UPNPDevice.set_igd_status(variable1)

	if randi() % 2 == 0:
		print("Executing UPNPDevice.get_igd_status")
		print("Parameters[]")
		q_UPNPDevice.get_igd_status()

	pass

