extends Node2D

var q_WebRTCMultiplayer : WebRTCMultiplayer = WebRTCMultiplayer.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_WebRTCMultiplayer = WebRTCMultiplayer.new()
	modify_object(q_WebRTCMultiplayer)

static func modify_object(q_WebRTCMultiplayer : WebRTCMultiplayer) -> void:
	if randi() % 2 == 0:
		print("Executing WebRTCMultiplayer.initialize")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_WebRTCMultiplayer.initialize(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing WebRTCMultiplayer.add_peer")
		var variable1: WebRTCPeerConnectionGDNative = WebRTCPeerConnectionGDNative.new()
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_WebRTCMultiplayer.add_peer(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing WebRTCMultiplayer.remove_peer")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_WebRTCMultiplayer.remove_peer(variable1)

	if randi() % 2 == 0:
		print("Executing WebRTCMultiplayer.has_peer")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_WebRTCMultiplayer.has_peer(variable1)

	if randi() % 2 == 0:
		print("Executing WebRTCMultiplayer.get_peer")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_WebRTCMultiplayer.get_peer(variable1)

	if randi() % 2 == 0:
		print("Executing WebRTCMultiplayer.get_peers")
		print("Parameters[]")
		q_WebRTCMultiplayer.get_peers()

	if randi() % 2 == 0:
		print("Executing WebRTCMultiplayer.close")
		print("Parameters[]")
		q_WebRTCMultiplayer.close()

	pass

