extends Node2D

var q_WebSocketClient : WebSocketClient = WebSocketClient.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_WebSocketClient = WebSocketClient.new()
	modify_object(q_WebSocketClient)

static func modify_object(q_WebSocketClient : WebSocketClient) -> void:
	if randi() % 2 == 0:
		print("Executing WebSocketClient.connect_to_url")
		var variable1: String = "."
		var variable2: PoolStringArray = PoolStringArray([])
		var variable3: bool = bool(randi() % 2)
		var variable4: PoolStringArray = PoolStringArray([])
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_WebSocketClient.connect_to_url(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing WebSocketClient.disconnect_from_host")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_WebSocketClient.disconnect_from_host(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing WebSocketClient.get_connected_host")
		print("Parameters[]")
		q_WebSocketClient.get_connected_host()

	if randi() % 2 == 0:
		print("Executing WebSocketClient.get_connected_port")
		print("Parameters[]")
		q_WebSocketClient.get_connected_port()

	if randi() % 2 == 0:
		print("Executing WebSocketClient.set_verify_ssl_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_WebSocketClient.set_verify_ssl_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing WebSocketClient.is_verify_ssl_enabled")
		print("Parameters[]")
		q_WebSocketClient.is_verify_ssl_enabled()

	if randi() % 2 == 0:
		print("Executing WebSocketClient.get_trusted_ssl_certificate")
		print("Parameters[]")
		q_WebSocketClient.get_trusted_ssl_certificate()

	if randi() % 2 == 0:
		print("Executing WebSocketClient.set_trusted_ssl_certificate")
		var variable1: X509Certificate = X509Certificate.new()
		print("Parameters[" + str(variable1) + "]")
		q_WebSocketClient.set_trusted_ssl_certificate(variable1)

	pass

