extends Node2D

var q_WebSocketPeer : WebSocketPeer = WebSocketPeer.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_WebSocketPeer = WebSocketPeer.new()
	modify_object(q_WebSocketPeer)

static func modify_object(q_WebSocketPeer : WebSocketPeer) -> void:
	if randi() % 2 == 0:
		print("Executing WebSocketPeer.get_write_mode")
		print("Parameters[]")
		q_WebSocketPeer.get_write_mode()

	if randi() % 2 == 0:
		print("Executing WebSocketPeer.set_write_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_WebSocketPeer.set_write_mode(variable1)

	if randi() % 2 == 0:
		print("Executing WebSocketPeer.is_connected_to_host")
		print("Parameters[]")
		q_WebSocketPeer.is_connected_to_host()

	if randi() % 2 == 0:
		print("Executing WebSocketPeer.was_string_packet")
		print("Parameters[]")
		q_WebSocketPeer.was_string_packet()

	if randi() % 2 == 0:
		print("Executing WebSocketPeer.close")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_WebSocketPeer.close(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing WebSocketPeer.get_connected_host")
		print("Parameters[]")
		q_WebSocketPeer.get_connected_host()

	if randi() % 2 == 0:
		print("Executing WebSocketPeer.get_connected_port")
		print("Parameters[]")
		q_WebSocketPeer.get_connected_port()

	if randi() % 2 == 0:
		print("Executing WebSocketPeer.set_no_delay")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_WebSocketPeer.set_no_delay(variable1)

	pass

