extends Node2D

var q_WebSocketServer : WebSocketServer = WebSocketServer.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_WebSocketServer = WebSocketServer.new()
	modify_object(q_WebSocketServer)

static func modify_object(q_WebSocketServer : WebSocketServer) -> void:
	if randi() % 2 == 0:
		print("Executing WebSocketServer.is_listening")
		print("Parameters[]")
		q_WebSocketServer.is_listening()

	if randi() % 2 == 0:
		print("Executing WebSocketServer.listen")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: PoolStringArray = PoolStringArray([])
		var variable3: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_WebSocketServer.listen(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing WebSocketServer.stop")
		print("Parameters[]")
		q_WebSocketServer.stop()

	if randi() % 2 == 0:
		print("Executing WebSocketServer.has_peer")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_WebSocketServer.has_peer(variable1)

	if randi() % 2 == 0:
		print("Executing WebSocketServer.get_peer_address")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_WebSocketServer.get_peer_address(variable1)

	if randi() % 2 == 0:
		print("Executing WebSocketServer.get_peer_port")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_WebSocketServer.get_peer_port(variable1)

	if randi() % 2 == 0:
		print("Executing WebSocketServer.disconnect_peer")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_WebSocketServer.disconnect_peer(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing WebSocketServer.get_bind_ip")
		print("Parameters[]")
		q_WebSocketServer.get_bind_ip()

	if randi() % 2 == 0:
		print("Executing WebSocketServer.set_bind_ip")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_WebSocketServer.set_bind_ip(variable1)

	if randi() % 2 == 0:
		print("Executing WebSocketServer.get_private_key")
		print("Parameters[]")
		q_WebSocketServer.get_private_key()

	if randi() % 2 == 0:
		print("Executing WebSocketServer.set_private_key")
		var variable1: CryptoKey = CryptoKey.new()
		print("Parameters[" + str(variable1) + "]")
		q_WebSocketServer.set_private_key(variable1)

	if randi() % 2 == 0:
		print("Executing WebSocketServer.get_ssl_certificate")
		print("Parameters[]")
		q_WebSocketServer.get_ssl_certificate()

	if randi() % 2 == 0:
		print("Executing WebSocketServer.set_ssl_certificate")
		var variable1: X509Certificate = X509Certificate.new()
		print("Parameters[" + str(variable1) + "]")
		q_WebSocketServer.set_ssl_certificate(variable1)

	if randi() % 2 == 0:
		print("Executing WebSocketServer.get_ca_chain")
		print("Parameters[]")
		q_WebSocketServer.get_ca_chain()

	if randi() % 2 == 0:
		print("Executing WebSocketServer.set_ca_chain")
		var variable1: X509Certificate = X509Certificate.new()
		print("Parameters[" + str(variable1) + "]")
		q_WebSocketServer.set_ca_chain(variable1)

	if randi() % 2 == 0:
		print("Executing WebSocketServer.get_handshake_timeout")
		print("Parameters[]")
		q_WebSocketServer.get_handshake_timeout()

	if randi() % 2 == 0:
		print("Executing WebSocketServer.set_handshake_timeout")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_WebSocketServer.set_handshake_timeout(variable1)

	pass

