extends Node2D

var q_File : File = File.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_File = File.new()
	modify_object(q_File)

static func modify_object(q_File : File) -> void:
	if randi() % 2 == 0:
		print("Executing File.flush")
		print("Parameters[]")
		q_File.flush()

	if randi() % 2 == 0:
		print("Executing File.close")
		print("Parameters[]")
		q_File.close()

	if randi() % 2 == 0:
		print("Executing File.get_path")
		print("Parameters[]")
		q_File.get_path()

	if randi() % 2 == 0:
		print("Executing File.get_path_absolute")
		print("Parameters[]")
		q_File.get_path_absolute()

	if randi() % 2 == 0:
		print("Executing File.is_open")
		print("Parameters[]")
		q_File.is_open()

	if randi() % 2 == 0:
		print("Executing File.seek")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_File.seek(variable1)

	if randi() % 2 == 0:
		print("Executing File.seek_end")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_File.seek_end(variable1)

	if randi() % 2 == 0:
		print("Executing File.get_position")
		print("Parameters[]")
		q_File.get_position()

	if randi() % 2 == 0:
		print("Executing File.get_len")
		print("Parameters[]")
		q_File.get_len()

	if randi() % 2 == 0:
		print("Executing File.eof_reached")
		print("Parameters[]")
		q_File.eof_reached()

	if randi() % 2 == 0:
		print("Executing File.get_8")
		print("Parameters[]")
		q_File.get_8()

	if randi() % 2 == 0:
		print("Executing File.get_16")
		print("Parameters[]")
		q_File.get_16()

	if randi() % 2 == 0:
		print("Executing File.get_32")
		print("Parameters[]")
		q_File.get_32()

	if randi() % 2 == 0:
		print("Executing File.get_64")
		print("Parameters[]")
		q_File.get_64()

	if randi() % 2 == 0:
		print("Executing File.get_float")
		print("Parameters[]")
		q_File.get_float()

	if randi() % 2 == 0:
		print("Executing File.get_double")
		print("Parameters[]")
		q_File.get_double()

	if randi() % 2 == 0:
		print("Executing File.get_real")
		print("Parameters[]")
		q_File.get_real()

	if randi() % 2 == 0:
		print("Executing File.get_buffer")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_File.get_buffer(variable1)

	if randi() % 2 == 0:
		print("Executing File.get_line")
		print("Parameters[]")
		q_File.get_line()

	if randi() % 2 == 0:
		print("Executing File.get_csv_line")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_File.get_csv_line(variable1)

	if randi() % 2 == 0:
		print("Executing File.get_as_text")
		print("Parameters[]")
		q_File.get_as_text()

	if randi() % 2 == 0:
		print("Executing File.get_md5")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_File.get_md5(variable1)

	if randi() % 2 == 0:
		print("Executing File.get_sha256")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_File.get_sha256(variable1)

	if randi() % 2 == 0:
		print("Executing File.get_endian_swap")
		print("Parameters[]")
		q_File.get_endian_swap()

	if randi() % 2 == 0:
		print("Executing File.set_endian_swap")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_File.set_endian_swap(variable1)

	if randi() % 2 == 0:
		print("Executing File.get_error")
		print("Parameters[]")
		q_File.get_error()

	if randi() % 2 == 0:
		print("Executing File.get_var")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_File.get_var(variable1)

	if randi() % 2 == 0:
		print("Executing File.store_8")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_File.store_8(variable1)

	if randi() % 2 == 0:
		print("Executing File.store_16")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_File.store_16(variable1)

	if randi() % 2 == 0:
		print("Executing File.store_32")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_File.store_32(variable1)

	if randi() % 2 == 0:
		print("Executing File.store_64")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_File.store_64(variable1)

	if randi() % 2 == 0:
		print("Executing File.store_float")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_File.store_float(variable1)

	if randi() % 2 == 0:
		print("Executing File.store_double")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_File.store_double(variable1)

	if randi() % 2 == 0:
		print("Executing File.store_real")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_File.store_real(variable1)

	if randi() % 2 == 0:
		print("Executing File.store_buffer")
		var variable1: PoolByteArray = PoolByteArray([])
		print("Parameters[" + str(variable1) + "]")
		q_File.store_buffer(variable1)

	if randi() % 2 == 0:
		print("Executing File.store_line")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_File.store_line(variable1)

	if randi() % 2 == 0:
		print("Executing File.store_csv_line")
		var variable1: PoolStringArray = PoolStringArray([])
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_File.store_csv_line(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing File.store_string")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_File.store_string(variable1)

	if randi() % 2 == 0:
		print("Executing File.store_var")
		var variable1 = false
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_File.store_var(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing File.store_pascal_string")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_File.store_pascal_string(variable1)

	if randi() % 2 == 0:
		print("Executing File.get_pascal_string")
		print("Parameters[]")
		q_File.get_pascal_string()

	if randi() % 2 == 0:
		print("Executing File.file_exists")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_File.file_exists(variable1)

	if randi() % 2 == 0:
		print("Executing File.get_modified_time")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_File.get_modified_time(variable1)

	pass

