extends Node2D

var q_AnimationNodeBlendSpace2D : AnimationNodeBlendSpace2D = AnimationNodeBlendSpace2D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AnimationNodeBlendSpace2D = AnimationNodeBlendSpace2D.new()
	modify_object(q_AnimationNodeBlendSpace2D)

static func modify_object(q_AnimationNodeBlendSpace2D : AnimationNodeBlendSpace2D) -> void:
	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace2D.add_blend_point")
		var variable1: AnimationNodeStateMachine = AnimationNodeStateMachine.new()
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_AnimationNodeBlendSpace2D.add_blend_point(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace2D.set_blend_point_position")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationNodeBlendSpace2D.set_blend_point_position(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace2D.get_blend_point_position")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeBlendSpace2D.get_blend_point_position(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace2D.set_blend_point_node")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: AnimationNodeAnimation = AnimationNodeAnimation.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationNodeBlendSpace2D.set_blend_point_node(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace2D.get_blend_point_node")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeBlendSpace2D.get_blend_point_node(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace2D.remove_blend_point")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeBlendSpace2D.remove_blend_point(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace2D.get_blend_point_count")
		print("Parameters[]")
		q_AnimationNodeBlendSpace2D.get_blend_point_count()

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace2D.add_triangle")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_AnimationNodeBlendSpace2D.add_triangle(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace2D.get_triangle_point")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationNodeBlendSpace2D.get_triangle_point(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace2D.remove_triangle")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeBlendSpace2D.remove_triangle(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace2D.get_triangle_count")
		print("Parameters[]")
		q_AnimationNodeBlendSpace2D.get_triangle_count()

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace2D.set_min_space")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeBlendSpace2D.set_min_space(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace2D.get_min_space")
		print("Parameters[]")
		q_AnimationNodeBlendSpace2D.get_min_space()

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace2D.set_max_space")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeBlendSpace2D.set_max_space(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace2D.get_max_space")
		print("Parameters[]")
		q_AnimationNodeBlendSpace2D.get_max_space()

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace2D.set_snap")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeBlendSpace2D.set_snap(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace2D.get_snap")
		print("Parameters[]")
		q_AnimationNodeBlendSpace2D.get_snap()

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace2D.set_x_label")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeBlendSpace2D.set_x_label(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace2D.get_x_label")
		print("Parameters[]")
		q_AnimationNodeBlendSpace2D.get_x_label()

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace2D.set_y_label")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeBlendSpace2D.set_y_label(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace2D.get_y_label")
		print("Parameters[]")
		q_AnimationNodeBlendSpace2D.get_y_label()

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace2D._add_blend_point")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: AnimationNodeBlendSpace1D = AnimationNodeBlendSpace1D.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationNodeBlendSpace2D._add_blend_point(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace2D._set_triangles")
		var variable1: PoolIntArray = PoolIntArray([])
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeBlendSpace2D._set_triangles(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace2D._get_triangles")
		print("Parameters[]")
		q_AnimationNodeBlendSpace2D._get_triangles()

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace2D.set_auto_triangles")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeBlendSpace2D.set_auto_triangles(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace2D.get_auto_triangles")
		print("Parameters[]")
		q_AnimationNodeBlendSpace2D.get_auto_triangles()

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace2D.set_blend_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeBlendSpace2D.set_blend_mode(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace2D.get_blend_mode")
		print("Parameters[]")
		q_AnimationNodeBlendSpace2D.get_blend_mode()

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace2D._tree_changed")
		print("Parameters[]")
		q_AnimationNodeBlendSpace2D._tree_changed()

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace2D._update_triangles")
		print("Parameters[]")
		q_AnimationNodeBlendSpace2D._update_triangles()

	pass

