extends Node2D

var q_AnimationNodeStateMachine : AnimationNodeStateMachine = AnimationNodeStateMachine.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AnimationNodeStateMachine = AnimationNodeStateMachine.new()
	modify_object(q_AnimationNodeStateMachine)

static func modify_object(q_AnimationNodeStateMachine : AnimationNodeStateMachine) -> void:
	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachine.add_node")
		var variable1: String = "."
		var variable2: AnimationNodeBlendTree = AnimationNodeBlendTree.new()
		var variable3: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_AnimationNodeStateMachine.add_node(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachine.replace_node")
		var variable1: String = "."
		var variable2: AnimationNode = AnimationNode.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationNodeStateMachine.replace_node(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachine.get_node")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeStateMachine.get_node(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachine.remove_node")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeStateMachine.remove_node(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachine.rename_node")
		var variable1: String = "."
		var variable2: String = ""
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationNodeStateMachine.rename_node(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachine.has_node")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeStateMachine.has_node(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachine.get_node_name")
		var variable1: AnimationNodeAdd2 = AnimationNodeAdd2.new()
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeStateMachine.get_node_name(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachine.set_node_position")
		var variable1: String = ""
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationNodeStateMachine.set_node_position(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachine.get_node_position")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeStateMachine.get_node_position(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachine.has_transition")
		var variable1: String = "."
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationNodeStateMachine.has_transition(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachine.add_transition")
		var variable1: String = "."
		var variable2: String = ""
		var variable3: AnimationNodeStateMachineTransition = AnimationNodeStateMachineTransition.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_AnimationNodeStateMachine.add_transition(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachine.get_transition")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeStateMachine.get_transition(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachine.get_transition_from")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeStateMachine.get_transition_from(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachine.get_transition_to")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeStateMachine.get_transition_to(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachine.get_transition_count")
		print("Parameters[]")
		q_AnimationNodeStateMachine.get_transition_count()

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachine.remove_transition_by_index")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeStateMachine.remove_transition_by_index(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachine.remove_transition")
		var variable1: String = "."
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationNodeStateMachine.remove_transition(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachine.set_start_node")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeStateMachine.set_start_node(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachine.get_start_node")
		print("Parameters[]")
		q_AnimationNodeStateMachine.get_start_node()

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachine.set_end_node")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeStateMachine.set_end_node(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachine.get_end_node")
		print("Parameters[]")
		q_AnimationNodeStateMachine.get_end_node()

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachine.set_graph_offset")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeStateMachine.set_graph_offset(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachine.get_graph_offset")
		print("Parameters[]")
		q_AnimationNodeStateMachine.get_graph_offset()

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachine._tree_changed")
		print("Parameters[]")
		q_AnimationNodeStateMachine._tree_changed()

	pass

