extends Node2D

var q_AnimationNodeStateMachineTransition : AnimationNodeStateMachineTransition = AnimationNodeStateMachineTransition.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AnimationNodeStateMachineTransition = AnimationNodeStateMachineTransition.new()
	modify_object(q_AnimationNodeStateMachineTransition)

static func modify_object(q_AnimationNodeStateMachineTransition : AnimationNodeStateMachineTransition) -> void:
	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachineTransition.set_switch_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeStateMachineTransition.set_switch_mode(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachineTransition.get_switch_mode")
		print("Parameters[]")
		q_AnimationNodeStateMachineTransition.get_switch_mode()

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachineTransition.set_auto_advance")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeStateMachineTransition.set_auto_advance(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachineTransition.has_auto_advance")
		print("Parameters[]")
		q_AnimationNodeStateMachineTransition.has_auto_advance()

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachineTransition.set_advance_condition")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeStateMachineTransition.set_advance_condition(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachineTransition.get_advance_condition")
		print("Parameters[]")
		q_AnimationNodeStateMachineTransition.get_advance_condition()

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachineTransition.set_xfade_time")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeStateMachineTransition.set_xfade_time(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachineTransition.get_xfade_time")
		print("Parameters[]")
		q_AnimationNodeStateMachineTransition.get_xfade_time()

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachineTransition.set_disabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeStateMachineTransition.set_disabled(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachineTransition.is_disabled")
		print("Parameters[]")
		q_AnimationNodeStateMachineTransition.is_disabled()

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachineTransition.set_priority")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeStateMachineTransition.set_priority(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeStateMachineTransition.get_priority")
		print("Parameters[]")
		q_AnimationNodeStateMachineTransition.get_priority()

	pass

