extends Node2D

var q_AnimationNodeTransition : AnimationNodeTransition = AnimationNodeTransition.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AnimationNodeTransition = AnimationNodeTransition.new()
	modify_object(q_AnimationNodeTransition)

static func modify_object(q_AnimationNodeTransition : AnimationNodeTransition) -> void:
	if randi() % 2 == 0:
		print("Executing AnimationNodeTransition.get_enabled_inputs")
		print("Parameters[]")
		q_AnimationNodeTransition.get_enabled_inputs()

	if randi() % 2 == 0:
		print("Executing AnimationNodeTransition.set_input_as_auto_advance")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationNodeTransition.set_input_as_auto_advance(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationNodeTransition.is_input_set_as_auto_advance")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeTransition.is_input_set_as_auto_advance(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeTransition.set_input_caption")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationNodeTransition.set_input_caption(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationNodeTransition.get_input_caption")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeTransition.get_input_caption(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeTransition.set_cross_fade_time")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeTransition.set_cross_fade_time(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeTransition.get_cross_fade_time")
		print("Parameters[]")
		q_AnimationNodeTransition.get_cross_fade_time()

	pass

