extends Node2D

var q_AudioEffectCapture : AudioEffectCapture = AudioEffectCapture.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AudioEffectCapture = AudioEffectCapture.new()
	modify_object(q_AudioEffectCapture)

static func modify_object(q_AudioEffectCapture : AudioEffectCapture) -> void:
	if randi() % 2 == 0:
		print("Executing AudioEffectCapture.can_get_buffer")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectCapture.can_get_buffer(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectCapture.get_buffer")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectCapture.get_buffer(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectCapture.clear_buffer")
		print("Parameters[]")
		q_AudioEffectCapture.clear_buffer()

	if randi() % 2 == 0:
		print("Executing AudioEffectCapture.set_buffer_length")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectCapture.set_buffer_length(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectCapture.get_buffer_length")
		print("Parameters[]")
		q_AudioEffectCapture.get_buffer_length()

	if randi() % 2 == 0:
		print("Executing AudioEffectCapture.get_frames_available")
		print("Parameters[]")
		q_AudioEffectCapture.get_frames_available()

	if randi() % 2 == 0:
		print("Executing AudioEffectCapture.get_discarded_frames")
		print("Parameters[]")
		q_AudioEffectCapture.get_discarded_frames()

	if randi() % 2 == 0:
		print("Executing AudioEffectCapture.get_buffer_length_frames")
		print("Parameters[]")
		q_AudioEffectCapture.get_buffer_length_frames()

	if randi() % 2 == 0:
		print("Executing AudioEffectCapture.get_pushed_frames")
		print("Parameters[]")
		q_AudioEffectCapture.get_pushed_frames()

	pass

