extends Node2D

var q_AudioEffectDelay : AudioEffectDelay = AudioEffectDelay.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AudioEffectDelay = AudioEffectDelay.new()
	modify_object(q_AudioEffectDelay)

static func modify_object(q_AudioEffectDelay : AudioEffectDelay) -> void:
	if randi() % 2 == 0:
		print("Executing AudioEffectDelay.set_dry")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectDelay.set_dry(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectDelay.get_dry")
		print("Parameters[]")
		q_AudioEffectDelay.get_dry()

	if randi() % 2 == 0:
		print("Executing AudioEffectDelay.set_tap1_active")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectDelay.set_tap1_active(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectDelay.is_tap1_active")
		print("Parameters[]")
		q_AudioEffectDelay.is_tap1_active()

	if randi() % 2 == 0:
		print("Executing AudioEffectDelay.set_tap1_delay_ms")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectDelay.set_tap1_delay_ms(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectDelay.get_tap1_delay_ms")
		print("Parameters[]")
		q_AudioEffectDelay.get_tap1_delay_ms()

	if randi() % 2 == 0:
		print("Executing AudioEffectDelay.set_tap1_level_db")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectDelay.set_tap1_level_db(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectDelay.get_tap1_level_db")
		print("Parameters[]")
		q_AudioEffectDelay.get_tap1_level_db()

	if randi() % 2 == 0:
		print("Executing AudioEffectDelay.set_tap1_pan")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectDelay.set_tap1_pan(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectDelay.get_tap1_pan")
		print("Parameters[]")
		q_AudioEffectDelay.get_tap1_pan()

	if randi() % 2 == 0:
		print("Executing AudioEffectDelay.set_tap2_active")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectDelay.set_tap2_active(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectDelay.is_tap2_active")
		print("Parameters[]")
		q_AudioEffectDelay.is_tap2_active()

	if randi() % 2 == 0:
		print("Executing AudioEffectDelay.set_tap2_delay_ms")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectDelay.set_tap2_delay_ms(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectDelay.get_tap2_delay_ms")
		print("Parameters[]")
		q_AudioEffectDelay.get_tap2_delay_ms()

	if randi() % 2 == 0:
		print("Executing AudioEffectDelay.set_tap2_level_db")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectDelay.set_tap2_level_db(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectDelay.get_tap2_level_db")
		print("Parameters[]")
		q_AudioEffectDelay.get_tap2_level_db()

	if randi() % 2 == 0:
		print("Executing AudioEffectDelay.set_tap2_pan")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectDelay.set_tap2_pan(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectDelay.get_tap2_pan")
		print("Parameters[]")
		q_AudioEffectDelay.get_tap2_pan()

	if randi() % 2 == 0:
		print("Executing AudioEffectDelay.set_feedback_active")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectDelay.set_feedback_active(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectDelay.is_feedback_active")
		print("Parameters[]")
		q_AudioEffectDelay.is_feedback_active()

	if randi() % 2 == 0:
		print("Executing AudioEffectDelay.set_feedback_delay_ms")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectDelay.set_feedback_delay_ms(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectDelay.get_feedback_delay_ms")
		print("Parameters[]")
		q_AudioEffectDelay.get_feedback_delay_ms()

	if randi() % 2 == 0:
		print("Executing AudioEffectDelay.set_feedback_level_db")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectDelay.set_feedback_level_db(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectDelay.get_feedback_level_db")
		print("Parameters[]")
		q_AudioEffectDelay.get_feedback_level_db()

	if randi() % 2 == 0:
		print("Executing AudioEffectDelay.set_feedback_lowpass")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectDelay.set_feedback_lowpass(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectDelay.get_feedback_lowpass")
		print("Parameters[]")
		q_AudioEffectDelay.get_feedback_lowpass()

	pass

