extends Node2D

var q_AudioEffectDistortion : AudioEffectDistortion = AudioEffectDistortion.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AudioEffectDistortion = AudioEffectDistortion.new()
	modify_object(q_AudioEffectDistortion)

static func modify_object(q_AudioEffectDistortion : AudioEffectDistortion) -> void:
	if randi() % 2 == 0:
		print("Executing AudioEffectDistortion.set_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectDistortion.set_mode(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectDistortion.get_mode")
		print("Parameters[]")
		q_AudioEffectDistortion.get_mode()

	if randi() % 2 == 0:
		print("Executing AudioEffectDistortion.set_pre_gain")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectDistortion.set_pre_gain(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectDistortion.get_pre_gain")
		print("Parameters[]")
		q_AudioEffectDistortion.get_pre_gain()

	if randi() % 2 == 0:
		print("Executing AudioEffectDistortion.set_keep_hf_hz")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectDistortion.set_keep_hf_hz(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectDistortion.get_keep_hf_hz")
		print("Parameters[]")
		q_AudioEffectDistortion.get_keep_hf_hz()

	if randi() % 2 == 0:
		print("Executing AudioEffectDistortion.set_drive")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectDistortion.set_drive(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectDistortion.get_drive")
		print("Parameters[]")
		q_AudioEffectDistortion.get_drive()

	if randi() % 2 == 0:
		print("Executing AudioEffectDistortion.set_post_gain")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectDistortion.set_post_gain(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectDistortion.get_post_gain")
		print("Parameters[]")
		q_AudioEffectDistortion.get_post_gain()

	pass

