extends Node2D

var q_AudioEffectFilter : AudioEffectFilter = AudioEffectFilter.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AudioEffectFilter = AudioEffectFilter.new()
	modify_object(q_AudioEffectFilter)

static func modify_object(q_AudioEffectFilter : AudioEffectFilter) -> void:
	if randi() % 2 == 0:
		print("Executing AudioEffectFilter.set_cutoff")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectFilter.set_cutoff(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectFilter.get_cutoff")
		print("Parameters[]")
		q_AudioEffectFilter.get_cutoff()

	if randi() % 2 == 0:
		print("Executing AudioEffectFilter.set_resonance")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectFilter.set_resonance(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectFilter.get_resonance")
		print("Parameters[]")
		q_AudioEffectFilter.get_resonance()

	if randi() % 2 == 0:
		print("Executing AudioEffectFilter.set_gain")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectFilter.set_gain(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectFilter.get_gain")
		print("Parameters[]")
		q_AudioEffectFilter.get_gain()

	if randi() % 2 == 0:
		print("Executing AudioEffectFilter.set_db")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectFilter.set_db(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectFilter.get_db")
		print("Parameters[]")
		q_AudioEffectFilter.get_db()

	pass

