extends Node2D

var q_AudioEffectLimiter : AudioEffectLimiter = AudioEffectLimiter.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AudioEffectLimiter = AudioEffectLimiter.new()
	modify_object(q_AudioEffectLimiter)

static func modify_object(q_AudioEffectLimiter : AudioEffectLimiter) -> void:
	if randi() % 2 == 0:
		print("Executing AudioEffectLimiter.set_ceiling_db")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectLimiter.set_ceiling_db(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectLimiter.get_ceiling_db")
		print("Parameters[]")
		q_AudioEffectLimiter.get_ceiling_db()

	if randi() % 2 == 0:
		print("Executing AudioEffectLimiter.set_threshold_db")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectLimiter.set_threshold_db(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectLimiter.get_threshold_db")
		print("Parameters[]")
		q_AudioEffectLimiter.get_threshold_db()

	if randi() % 2 == 0:
		print("Executing AudioEffectLimiter.set_soft_clip_db")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectLimiter.set_soft_clip_db(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectLimiter.get_soft_clip_db")
		print("Parameters[]")
		q_AudioEffectLimiter.get_soft_clip_db()

	if randi() % 2 == 0:
		print("Executing AudioEffectLimiter.set_soft_clip_ratio")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectLimiter.set_soft_clip_ratio(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectLimiter.get_soft_clip_ratio")
		print("Parameters[]")
		q_AudioEffectLimiter.get_soft_clip_ratio()

	pass

