extends Node2D

var q_AudioEffectPanner : AudioEffectPanner = AudioEffectPanner.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AudioEffectPanner = AudioEffectPanner.new()
	modify_object(q_AudioEffectPanner)

static func modify_object(q_AudioEffectPanner : AudioEffectPanner) -> void:
	if randi() % 2 == 0:
		print("Executing AudioEffectPanner.set_pan")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectPanner.set_pan(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectPanner.get_pan")
		print("Parameters[]")
		q_AudioEffectPanner.get_pan()

	pass

