extends Node2D

var q_AudioEffectSpectrumAnalyzer : AudioEffectSpectrumAnalyzer = AudioEffectSpectrumAnalyzer.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AudioEffectSpectrumAnalyzer = AudioEffectSpectrumAnalyzer.new()
	modify_object(q_AudioEffectSpectrumAnalyzer)

static func modify_object(q_AudioEffectSpectrumAnalyzer : AudioEffectSpectrumAnalyzer) -> void:
	if randi() % 2 == 0:
		print("Executing AudioEffectSpectrumAnalyzer.set_buffer_length")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectSpectrumAnalyzer.set_buffer_length(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectSpectrumAnalyzer.get_buffer_length")
		print("Parameters[]")
		q_AudioEffectSpectrumAnalyzer.get_buffer_length()

	if randi() % 2 == 0:
		print("Executing AudioEffectSpectrumAnalyzer.set_tap_back_pos")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectSpectrumAnalyzer.set_tap_back_pos(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectSpectrumAnalyzer.get_tap_back_pos")
		print("Parameters[]")
		q_AudioEffectSpectrumAnalyzer.get_tap_back_pos()

	if randi() % 2 == 0:
		print("Executing AudioEffectSpectrumAnalyzer.set_fft_size")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectSpectrumAnalyzer.set_fft_size(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectSpectrumAnalyzer.get_fft_size")
		print("Parameters[]")
		q_AudioEffectSpectrumAnalyzer.get_fft_size()

	pass

