extends Node2D

var q_AudioStreamRandomPitch : AudioStreamRandomPitch = AudioStreamRandomPitch.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AudioStreamRandomPitch = AudioStreamRandomPitch.new()
	modify_object(q_AudioStreamRandomPitch)

static func modify_object(q_AudioStreamRandomPitch : AudioStreamRandomPitch) -> void:
	if randi() % 2 == 0:
		print("Executing AudioStreamRandomPitch.set_audio_stream")
		var variable1: AudioStreamGenerator = AudioStreamGenerator.new()
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamRandomPitch.set_audio_stream(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamRandomPitch.get_audio_stream")
		print("Parameters[]")
		q_AudioStreamRandomPitch.get_audio_stream()

	if randi() % 2 == 0:
		print("Executing AudioStreamRandomPitch.set_random_pitch")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamRandomPitch.set_random_pitch(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamRandomPitch.get_random_pitch")
		print("Parameters[]")
		q_AudioStreamRandomPitch.get_random_pitch()

	pass

