extends Node2D

var q_AudioStreamSample : AudioStreamSample = AudioStreamSample.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AudioStreamSample = AudioStreamSample.new()
	modify_object(q_AudioStreamSample)

static func modify_object(q_AudioStreamSample : AudioStreamSample) -> void:
	if randi() % 2 == 0:
		print("Executing AudioStreamSample.set_data")
		var variable1: PoolByteArray = PoolByteArray([])
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamSample.set_data(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamSample.get_data")
		print("Parameters[]")
		q_AudioStreamSample.get_data()

	if randi() % 2 == 0:
		print("Executing AudioStreamSample.set_format")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamSample.set_format(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamSample.get_format")
		print("Parameters[]")
		q_AudioStreamSample.get_format()

	if randi() % 2 == 0:
		print("Executing AudioStreamSample.set_loop_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamSample.set_loop_mode(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamSample.get_loop_mode")
		print("Parameters[]")
		q_AudioStreamSample.get_loop_mode()

	if randi() % 2 == 0:
		print("Executing AudioStreamSample.set_loop_begin")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamSample.set_loop_begin(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamSample.get_loop_begin")
		print("Parameters[]")
		q_AudioStreamSample.get_loop_begin()

	if randi() % 2 == 0:
		print("Executing AudioStreamSample.set_loop_end")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamSample.set_loop_end(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamSample.get_loop_end")
		print("Parameters[]")
		q_AudioStreamSample.get_loop_end()

	if randi() % 2 == 0:
		print("Executing AudioStreamSample.set_mix_rate")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamSample.set_mix_rate(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamSample.get_mix_rate")
		print("Parameters[]")
		q_AudioStreamSample.get_mix_rate()

	if randi() % 2 == 0:
		print("Executing AudioStreamSample.set_stereo")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamSample.set_stereo(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamSample.is_stereo")
		print("Parameters[]")
		q_AudioStreamSample.is_stereo()

	pass

