extends Node2D

var q_BitMap : BitMap = BitMap.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_BitMap = BitMap.new()
	modify_object(q_BitMap)

static func modify_object(q_BitMap : BitMap) -> void:
	if randi() % 2 == 0:
		print("Executing BitMap.create")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_BitMap.create(variable1)

	if randi() % 2 == 0:
		print("Executing BitMap.create_from_image_alpha")
		var variable1: Image = Image.new()
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_BitMap.create_from_image_alpha(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing BitMap.set_bit")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_BitMap.set_bit(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing BitMap.get_bit")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_BitMap.get_bit(variable1)

	if randi() % 2 == 0:
		print("Executing BitMap.set_bit_rect")
		var variable1: Rect2 = Rect2(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_BitMap.set_bit_rect(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing BitMap.get_true_bit_count")
		print("Parameters[]")
		q_BitMap.get_true_bit_count()

	if randi() % 2 == 0:
		print("Executing BitMap.get_size")
		print("Parameters[]")
		q_BitMap.get_size()

	if randi() % 2 == 0:
		print("Executing BitMap._set_data")
		var variable1: Dictionary = {}
		print("Parameters[" + str(variable1) + "]")
		q_BitMap._set_data(variable1)

	if randi() % 2 == 0:
		print("Executing BitMap._get_data")
		print("Parameters[]")
		q_BitMap._get_data()

	if randi() % 2 == 0:
		print("Executing BitMap.opaque_to_polygons")
		var variable1: Rect2 = Rect2(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_BitMap.opaque_to_polygons(variable1, variable2)

	pass

