extends Node2D

var q_CanvasItemMaterial : CanvasItemMaterial = CanvasItemMaterial.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_CanvasItemMaterial = CanvasItemMaterial.new()
	modify_object(q_CanvasItemMaterial)

static func modify_object(q_CanvasItemMaterial : CanvasItemMaterial) -> void:
	if randi() % 2 == 0:
		print("Executing CanvasItemMaterial.set_blend_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CanvasItemMaterial.set_blend_mode(variable1)

	if randi() % 2 == 0:
		print("Executing CanvasItemMaterial.get_blend_mode")
		print("Parameters[]")
		q_CanvasItemMaterial.get_blend_mode()

	if randi() % 2 == 0:
		print("Executing CanvasItemMaterial.set_light_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CanvasItemMaterial.set_light_mode(variable1)

	if randi() % 2 == 0:
		print("Executing CanvasItemMaterial.get_light_mode")
		print("Parameters[]")
		q_CanvasItemMaterial.get_light_mode()

	if randi() % 2 == 0:
		print("Executing CanvasItemMaterial.set_particles_animation")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_CanvasItemMaterial.set_particles_animation(variable1)

	if randi() % 2 == 0:
		print("Executing CanvasItemMaterial.get_particles_animation")
		print("Parameters[]")
		q_CanvasItemMaterial.get_particles_animation()

	if randi() % 2 == 0:
		print("Executing CanvasItemMaterial.set_particles_anim_h_frames")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CanvasItemMaterial.set_particles_anim_h_frames(variable1)

	if randi() % 2 == 0:
		print("Executing CanvasItemMaterial.get_particles_anim_h_frames")
		print("Parameters[]")
		q_CanvasItemMaterial.get_particles_anim_h_frames()

	if randi() % 2 == 0:
		print("Executing CanvasItemMaterial.set_particles_anim_v_frames")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CanvasItemMaterial.set_particles_anim_v_frames(variable1)

	if randi() % 2 == 0:
		print("Executing CanvasItemMaterial.get_particles_anim_v_frames")
		print("Parameters[]")
		q_CanvasItemMaterial.get_particles_anim_v_frames()

	if randi() % 2 == 0:
		print("Executing CanvasItemMaterial.set_particles_anim_loop")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_CanvasItemMaterial.set_particles_anim_loop(variable1)

	if randi() % 2 == 0:
		print("Executing CanvasItemMaterial.get_particles_anim_loop")
		print("Parameters[]")
		q_CanvasItemMaterial.get_particles_anim_loop()

	pass

