extends Node2D

var q_CapsuleMesh : CapsuleMesh = CapsuleMesh.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_CapsuleMesh = CapsuleMesh.new()
	modify_object(q_CapsuleMesh)

static func modify_object(q_CapsuleMesh : CapsuleMesh) -> void:
	if randi() % 2 == 0:
		print("Executing CapsuleMesh.set_radius")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CapsuleMesh.set_radius(variable1)

	if randi() % 2 == 0:
		print("Executing CapsuleMesh.get_radius")
		print("Parameters[]")
		q_CapsuleMesh.get_radius()

	if randi() % 2 == 0:
		print("Executing CapsuleMesh.set_mid_height")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CapsuleMesh.set_mid_height(variable1)

	if randi() % 2 == 0:
		print("Executing CapsuleMesh.get_mid_height")
		print("Parameters[]")
		q_CapsuleMesh.get_mid_height()

	if randi() % 2 == 0:
		print("Executing CapsuleMesh.set_radial_segments")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CapsuleMesh.set_radial_segments(variable1)

	if randi() % 2 == 0:
		print("Executing CapsuleMesh.get_radial_segments")
		print("Parameters[]")
		q_CapsuleMesh.get_radial_segments()

	if randi() % 2 == 0:
		print("Executing CapsuleMesh.get_rings")
		print("Parameters[]")
		q_CapsuleMesh.get_rings()

	pass

