extends Node2D

var q_CryptoKey : CryptoKey = CryptoKey.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_CryptoKey = CryptoKey.new()
	modify_object(q_CryptoKey)

static func modify_object(q_CryptoKey : CryptoKey) -> void:
	if randi() % 2 == 0:
		print("Executing CryptoKey.load")
		var variable1: String = "."
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_CryptoKey.load(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing CryptoKey.is_public_only")
		print("Parameters[]")
		q_CryptoKey.is_public_only()

	if randi() % 2 == 0:
		print("Executing CryptoKey.save_to_string")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_CryptoKey.save_to_string(variable1)

	if randi() % 2 == 0:
		print("Executing CryptoKey.load_from_string")
		var variable1: String = ""
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_CryptoKey.load_from_string(variable1, variable2)

	pass

