extends Node2D

var q_CubeMap : CubeMap = CubeMap.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_CubeMap = CubeMap.new()
	modify_object(q_CubeMap)

static func modify_object(q_CubeMap : CubeMap) -> void:
	if randi() % 2 == 0:
		print("Executing CubeMap.get_width")
		print("Parameters[]")
		q_CubeMap.get_width()

	if randi() % 2 == 0:
		print("Executing CubeMap.get_height")
		print("Parameters[]")
		q_CubeMap.get_height()

	if randi() % 2 == 0:
		print("Executing CubeMap.set_flags")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CubeMap.set_flags(variable1)

	if randi() % 2 == 0:
		print("Executing CubeMap.get_flags")
		print("Parameters[]")
		q_CubeMap.get_flags()

	if randi() % 2 == 0:
		print("Executing CubeMap.set_side")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Image = Image.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_CubeMap.set_side(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing CubeMap.get_side")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CubeMap.get_side(variable1)

	if randi() % 2 == 0:
		print("Executing CubeMap.set_storage")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CubeMap.set_storage(variable1)

	if randi() % 2 == 0:
		print("Executing CubeMap.get_storage")
		print("Parameters[]")
		q_CubeMap.get_storage()

	if randi() % 2 == 0:
		print("Executing CubeMap.set_lossy_storage_quality")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CubeMap.set_lossy_storage_quality(variable1)

	if randi() % 2 == 0:
		print("Executing CubeMap.get_lossy_storage_quality")
		print("Parameters[]")
		q_CubeMap.get_lossy_storage_quality()

	pass

