extends Node2D

var q_CubeMesh : CubeMesh = CubeMesh.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_CubeMesh = CubeMesh.new()
	modify_object(q_CubeMesh)

static func modify_object(q_CubeMesh : CubeMesh) -> void:
	if randi() % 2 == 0:
		print("Executing CubeMesh.set_size")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_CubeMesh.set_size(variable1)

	if randi() % 2 == 0:
		print("Executing CubeMesh.get_size")
		print("Parameters[]")
		q_CubeMesh.get_size()

	if randi() % 2 == 0:
		print("Executing CubeMesh.set_subdivide_width")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CubeMesh.set_subdivide_width(variable1)

	if randi() % 2 == 0:
		print("Executing CubeMesh.get_subdivide_width")
		print("Parameters[]")
		q_CubeMesh.get_subdivide_width()

	if randi() % 2 == 0:
		print("Executing CubeMesh.set_subdivide_height")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CubeMesh.set_subdivide_height(variable1)

	if randi() % 2 == 0:
		print("Executing CubeMesh.get_subdivide_height")
		print("Parameters[]")
		q_CubeMesh.get_subdivide_height()

	if randi() % 2 == 0:
		print("Executing CubeMesh.set_subdivide_depth")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CubeMesh.set_subdivide_depth(variable1)

	if randi() % 2 == 0:
		print("Executing CubeMesh.get_subdivide_depth")
		print("Parameters[]")
		q_CubeMesh.get_subdivide_depth()

	pass

