extends Node2D

var q_Curve : Curve = Curve.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Curve = Curve.new()
	modify_object(q_Curve)

static func modify_object(q_Curve : Curve) -> void:
	if randi() % 2 == 0:
		print("Executing Curve.get_point_count")
		print("Parameters[]")
		q_Curve.get_point_count()

	if randi() % 2 == 0:
		print("Executing Curve.add_point")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: float = (randf() * 10) - (10 / 2.0)
		var variable3: float = (randf() * 10) - (10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		var variable5: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_Curve.add_point(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing Curve.remove_point")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Curve.remove_point(variable1)

	if randi() % 2 == 0:
		print("Executing Curve.clear_points")
		print("Parameters[]")
		q_Curve.clear_points()

	if randi() % 2 == 0:
		print("Executing Curve.get_point_position")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Curve.get_point_position(variable1)

	if randi() % 2 == 0:
		print("Executing Curve.set_point_value")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Curve.set_point_value(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Curve.set_point_offset")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Curve.set_point_offset(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Curve.interpolate")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Curve.interpolate(variable1)

	if randi() % 2 == 0:
		print("Executing Curve.get_point_left_tangent")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Curve.get_point_left_tangent(variable1)

	if randi() % 2 == 0:
		print("Executing Curve.get_point_right_tangent")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Curve.get_point_right_tangent(variable1)

	if randi() % 2 == 0:
		print("Executing Curve.get_point_left_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Curve.get_point_left_mode(variable1)

	if randi() % 2 == 0:
		print("Executing Curve.get_point_right_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Curve.get_point_right_mode(variable1)

	if randi() % 2 == 0:
		print("Executing Curve.set_point_left_tangent")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Curve.set_point_left_tangent(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Curve.set_point_right_tangent")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Curve.set_point_right_tangent(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Curve.set_point_left_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Curve.set_point_left_mode(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Curve.set_point_right_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Curve.set_point_right_mode(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Curve.get_min_value")
		print("Parameters[]")
		q_Curve.get_min_value()

	if randi() % 2 == 0:
		print("Executing Curve.set_min_value")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Curve.set_min_value(variable1)

	if randi() % 2 == 0:
		print("Executing Curve.get_max_value")
		print("Parameters[]")
		q_Curve.get_max_value()

	if randi() % 2 == 0:
		print("Executing Curve.set_max_value")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Curve.set_max_value(variable1)

	if randi() % 2 == 0:
		print("Executing Curve.clean_dupes")
		print("Parameters[]")
		q_Curve.clean_dupes()

	if randi() % 2 == 0:
		print("Executing Curve.get_bake_resolution")
		print("Parameters[]")
		q_Curve.get_bake_resolution()

	if randi() % 2 == 0:
		print("Executing Curve.set_bake_resolution")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Curve.set_bake_resolution(variable1)

	if randi() % 2 == 0:
		print("Executing Curve._get_data")
		print("Parameters[]")
		q_Curve._get_data()

	if randi() % 2 == 0:
		print("Executing Curve._set_data")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_Curve._set_data(variable1)

	pass

