extends Node2D

var q_CurveTexture : CurveTexture = CurveTexture.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_CurveTexture = CurveTexture.new()
	modify_object(q_CurveTexture)

static func modify_object(q_CurveTexture : CurveTexture) -> void:
	if randi() % 2 == 0:
		print("Executing CurveTexture.set_width")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CurveTexture.set_width(variable1)

	if randi() % 2 == 0:
		print("Executing CurveTexture.set_curve")
		var variable1: Curve = Curve.new()
		print("Parameters[" + str(variable1) + "]")
		q_CurveTexture.set_curve(variable1)

	if randi() % 2 == 0:
		print("Executing CurveTexture.get_curve")
		print("Parameters[]")
		q_CurveTexture.get_curve()

	if randi() % 2 == 0:
		print("Executing CurveTexture._update")
		print("Parameters[]")
		q_CurveTexture._update()

	pass

