extends Node2D

var q_CylinderMesh : CylinderMesh = CylinderMesh.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_CylinderMesh = CylinderMesh.new()
	modify_object(q_CylinderMesh)

static func modify_object(q_CylinderMesh : CylinderMesh) -> void:
	if randi() % 2 == 0:
		print("Executing CylinderMesh.set_top_radius")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CylinderMesh.set_top_radius(variable1)

	if randi() % 2 == 0:
		print("Executing CylinderMesh.get_top_radius")
		print("Parameters[]")
		q_CylinderMesh.get_top_radius()

	if randi() % 2 == 0:
		print("Executing CylinderMesh.set_bottom_radius")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CylinderMesh.set_bottom_radius(variable1)

	if randi() % 2 == 0:
		print("Executing CylinderMesh.get_bottom_radius")
		print("Parameters[]")
		q_CylinderMesh.get_bottom_radius()

	if randi() % 2 == 0:
		print("Executing CylinderMesh.set_height")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CylinderMesh.set_height(variable1)

	if randi() % 2 == 0:
		print("Executing CylinderMesh.get_height")
		print("Parameters[]")
		q_CylinderMesh.get_height()

	if randi() % 2 == 0:
		print("Executing CylinderMesh.set_radial_segments")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CylinderMesh.set_radial_segments(variable1)

	if randi() % 2 == 0:
		print("Executing CylinderMesh.get_radial_segments")
		print("Parameters[]")
		q_CylinderMesh.get_radial_segments()

	if randi() % 2 == 0:
		print("Executing CylinderMesh.get_rings")
		print("Parameters[]")
		q_CylinderMesh.get_rings()

	pass

