extends Node2D

var q_DynamicFont : DynamicFont = DynamicFont.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_DynamicFont = DynamicFont.new()
	modify_object(q_DynamicFont)

static func modify_object(q_DynamicFont : DynamicFont) -> void:
	if randi() % 2 == 0:
		print("Executing DynamicFont.set_font_data")
		var variable1: DynamicFontData = DynamicFontData.new()
		print("Parameters[" + str(variable1) + "]")
		q_DynamicFont.set_font_data(variable1)

	if randi() % 2 == 0:
		print("Executing DynamicFont.get_font_data")
		print("Parameters[]")
		q_DynamicFont.get_font_data()

	if randi() % 2 == 0:
		print("Executing DynamicFont.get_available_chars")
		print("Parameters[]")
		q_DynamicFont.get_available_chars()

	if randi() % 2 == 0:
		print("Executing DynamicFont.set_size")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_DynamicFont.set_size(variable1)

	if randi() % 2 == 0:
		print("Executing DynamicFont.get_size")
		print("Parameters[]")
		q_DynamicFont.get_size()

	if randi() % 2 == 0:
		print("Executing DynamicFont.set_outline_size")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_DynamicFont.set_outline_size(variable1)

	if randi() % 2 == 0:
		print("Executing DynamicFont.get_outline_size")
		print("Parameters[]")
		q_DynamicFont.get_outline_size()

	if randi() % 2 == 0:
		print("Executing DynamicFont.set_outline_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_DynamicFont.set_outline_color(variable1)

	if randi() % 2 == 0:
		print("Executing DynamicFont.get_outline_color")
		print("Parameters[]")
		q_DynamicFont.get_outline_color()

	if randi() % 2 == 0:
		print("Executing DynamicFont.set_use_mipmaps")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_DynamicFont.set_use_mipmaps(variable1)

	if randi() % 2 == 0:
		print("Executing DynamicFont.get_use_mipmaps")
		print("Parameters[]")
		q_DynamicFont.get_use_mipmaps()

	if randi() % 2 == 0:
		print("Executing DynamicFont.set_use_filter")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_DynamicFont.set_use_filter(variable1)

	if randi() % 2 == 0:
		print("Executing DynamicFont.get_use_filter")
		print("Parameters[]")
		q_DynamicFont.get_use_filter()

	if randi() % 2 == 0:
		print("Executing DynamicFont.set_spacing")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_DynamicFont.set_spacing(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing DynamicFont.get_spacing")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_DynamicFont.get_spacing(variable1)

	if randi() % 2 == 0:
		print("Executing DynamicFont.add_fallback")
		var variable1: DynamicFontData = DynamicFontData.new()
		print("Parameters[" + str(variable1) + "]")
		q_DynamicFont.add_fallback(variable1)

	if randi() % 2 == 0:
		print("Executing DynamicFont.set_fallback")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: DynamicFontData = DynamicFontData.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_DynamicFont.set_fallback(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing DynamicFont.get_fallback")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_DynamicFont.get_fallback(variable1)

	if randi() % 2 == 0:
		print("Executing DynamicFont.remove_fallback")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_DynamicFont.remove_fallback(variable1)

	if randi() % 2 == 0:
		print("Executing DynamicFont.get_fallback_count")
		print("Parameters[]")
		q_DynamicFont.get_fallback_count()

	pass

