extends Node2D

var q_GDNativeLibrary : GDNativeLibrary = GDNativeLibrary.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_GDNativeLibrary = GDNativeLibrary.new()
	modify_object(q_GDNativeLibrary)

static func modify_object(q_GDNativeLibrary : GDNativeLibrary) -> void:
	if randi() % 2 == 0:
		print("Executing GDNativeLibrary.get_config_file")
		print("Parameters[]")
		q_GDNativeLibrary.get_config_file()

	if randi() % 2 == 0:
		print("Executing GDNativeLibrary.set_config_file")
		var variable1: ConfigFile = ConfigFile.new()
		print("Parameters[" + str(variable1) + "]")
		q_GDNativeLibrary.set_config_file(variable1)

	if randi() % 2 == 0:
		print("Executing GDNativeLibrary.get_current_library_path")
		print("Parameters[]")
		q_GDNativeLibrary.get_current_library_path()

	if randi() % 2 == 0:
		print("Executing GDNativeLibrary.get_current_dependencies")
		print("Parameters[]")
		q_GDNativeLibrary.get_current_dependencies()

	if randi() % 2 == 0:
		print("Executing GDNativeLibrary.should_load_once")
		print("Parameters[]")
		q_GDNativeLibrary.should_load_once()

	if randi() % 2 == 0:
		print("Executing GDNativeLibrary.is_singleton")
		print("Parameters[]")
		q_GDNativeLibrary.is_singleton()

	if randi() % 2 == 0:
		print("Executing GDNativeLibrary.get_symbol_prefix")
		print("Parameters[]")
		q_GDNativeLibrary.get_symbol_prefix()

	if randi() % 2 == 0:
		print("Executing GDNativeLibrary.is_reloadable")
		print("Parameters[]")
		q_GDNativeLibrary.is_reloadable()

	if randi() % 2 == 0:
		print("Executing GDNativeLibrary.set_load_once")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_GDNativeLibrary.set_load_once(variable1)

	if randi() % 2 == 0:
		print("Executing GDNativeLibrary.set_singleton")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_GDNativeLibrary.set_singleton(variable1)

	if randi() % 2 == 0:
		print("Executing GDNativeLibrary.set_symbol_prefix")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_GDNativeLibrary.set_symbol_prefix(variable1)

	if randi() % 2 == 0:
		print("Executing GDNativeLibrary.set_reloadable")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_GDNativeLibrary.set_reloadable(variable1)

	pass

