extends Node2D

var q_GIProbeData : GIProbeData = GIProbeData.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_GIProbeData = GIProbeData.new()
	modify_object(q_GIProbeData)

static func modify_object(q_GIProbeData : GIProbeData) -> void:
	if randi() % 2 == 0:
		print("Executing GIProbeData.set_bounds")
		var variable1: AABB = AABB(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		print("Parameters[" + str(variable1) + "]")
		q_GIProbeData.set_bounds(variable1)

	if randi() % 2 == 0:
		print("Executing GIProbeData.get_bounds")
		print("Parameters[]")
		q_GIProbeData.get_bounds()

	if randi() % 2 == 0:
		print("Executing GIProbeData.set_cell_size")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GIProbeData.set_cell_size(variable1)

	if randi() % 2 == 0:
		print("Executing GIProbeData.get_cell_size")
		print("Parameters[]")
		q_GIProbeData.get_cell_size()

	if randi() % 2 == 0:
		print("Executing GIProbeData.set_to_cell_xform")
		var variable1: Transform = Transform(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		print("Parameters[" + str(variable1) + "]")
		q_GIProbeData.set_to_cell_xform(variable1)

	if randi() % 2 == 0:
		print("Executing GIProbeData.get_to_cell_xform")
		print("Parameters[]")
		q_GIProbeData.get_to_cell_xform()

	if randi() % 2 == 0:
		print("Executing GIProbeData.set_dynamic_data")
		var variable1: PoolIntArray = PoolIntArray([])
		print("Parameters[" + str(variable1) + "]")
		q_GIProbeData.set_dynamic_data(variable1)

	if randi() % 2 == 0:
		print("Executing GIProbeData.get_dynamic_data")
		print("Parameters[]")
		q_GIProbeData.get_dynamic_data()

	if randi() % 2 == 0:
		print("Executing GIProbeData.set_dynamic_range")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GIProbeData.set_dynamic_range(variable1)

	if randi() % 2 == 0:
		print("Executing GIProbeData.get_dynamic_range")
		print("Parameters[]")
		q_GIProbeData.get_dynamic_range()

	if randi() % 2 == 0:
		print("Executing GIProbeData.set_energy")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GIProbeData.set_energy(variable1)

	if randi() % 2 == 0:
		print("Executing GIProbeData.get_energy")
		print("Parameters[]")
		q_GIProbeData.get_energy()

	if randi() % 2 == 0:
		print("Executing GIProbeData.set_bias")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GIProbeData.set_bias(variable1)

	if randi() % 2 == 0:
		print("Executing GIProbeData.get_bias")
		print("Parameters[]")
		q_GIProbeData.get_bias()

	if randi() % 2 == 0:
		print("Executing GIProbeData.set_normal_bias")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GIProbeData.set_normal_bias(variable1)

	if randi() % 2 == 0:
		print("Executing GIProbeData.get_normal_bias")
		print("Parameters[]")
		q_GIProbeData.get_normal_bias()

	if randi() % 2 == 0:
		print("Executing GIProbeData.set_propagation")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GIProbeData.set_propagation(variable1)

	if randi() % 2 == 0:
		print("Executing GIProbeData.get_propagation")
		print("Parameters[]")
		q_GIProbeData.get_propagation()

	if randi() % 2 == 0:
		print("Executing GIProbeData.set_interior")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_GIProbeData.set_interior(variable1)

	if randi() % 2 == 0:
		print("Executing GIProbeData.is_interior")
		print("Parameters[]")
		q_GIProbeData.is_interior()

	if randi() % 2 == 0:
		print("Executing GIProbeData.set_compress")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_GIProbeData.set_compress(variable1)

	if randi() % 2 == 0:
		print("Executing GIProbeData.is_compressed")
		print("Parameters[]")
		q_GIProbeData.is_compressed()

	pass

