extends Node2D

var q_GLTFNode : GLTFNode = GLTFNode.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_GLTFNode = GLTFNode.new()
	modify_object(q_GLTFNode)

static func modify_object(q_GLTFNode : GLTFNode) -> void:
	if randi() % 2 == 0:
		print("Executing GLTFNode.get_parent")
		print("Parameters[]")
		q_GLTFNode.get_parent()

	if randi() % 2 == 0:
		print("Executing GLTFNode.set_parent")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFNode.set_parent(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFNode.get_height")
		print("Parameters[]")
		q_GLTFNode.get_height()

	if randi() % 2 == 0:
		print("Executing GLTFNode.set_height")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFNode.set_height(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFNode.get_xform")
		print("Parameters[]")
		q_GLTFNode.get_xform()

	if randi() % 2 == 0:
		print("Executing GLTFNode.set_xform")
		var variable1: Transform = Transform(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		print("Parameters[" + str(variable1) + "]")
		q_GLTFNode.set_xform(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFNode.get_mesh")
		print("Parameters[]")
		q_GLTFNode.get_mesh()

	if randi() % 2 == 0:
		print("Executing GLTFNode.set_mesh")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFNode.set_mesh(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFNode.get_camera")
		print("Parameters[]")
		q_GLTFNode.get_camera()

	if randi() % 2 == 0:
		print("Executing GLTFNode.set_camera")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFNode.set_camera(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFNode.get_skin")
		print("Parameters[]")
		q_GLTFNode.get_skin()

	if randi() % 2 == 0:
		print("Executing GLTFNode.set_skin")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFNode.set_skin(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFNode.get_skeleton")
		print("Parameters[]")
		q_GLTFNode.get_skeleton()

	if randi() % 2 == 0:
		print("Executing GLTFNode.set_skeleton")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFNode.set_skeleton(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFNode.get_joint")
		print("Parameters[]")
		q_GLTFNode.get_joint()

	if randi() % 2 == 0:
		print("Executing GLTFNode.set_joint")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFNode.set_joint(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFNode.get_translation")
		print("Parameters[]")
		q_GLTFNode.get_translation()

	if randi() % 2 == 0:
		print("Executing GLTFNode.set_translation")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_GLTFNode.set_translation(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFNode.get_rotation")
		print("Parameters[]")
		q_GLTFNode.get_rotation()

	if randi() % 2 == 0:
		print("Executing GLTFNode.set_rotation")
		var variable1: Quat = Quat(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		print("Parameters[" + str(variable1) + "]")
		q_GLTFNode.set_rotation(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFNode.get_scale")
		print("Parameters[]")
		q_GLTFNode.get_scale()

	if randi() % 2 == 0:
		print("Executing GLTFNode.set_scale")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_GLTFNode.set_scale(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFNode.get_children")
		print("Parameters[]")
		q_GLTFNode.get_children()

	if randi() % 2 == 0:
		print("Executing GLTFNode.set_children")
		var variable1: PoolIntArray = PoolIntArray([])
		print("Parameters[" + str(variable1) + "]")
		q_GLTFNode.set_children(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFNode.get_light")
		print("Parameters[]")
		q_GLTFNode.get_light()

	if randi() % 2 == 0:
		print("Executing GLTFNode.set_light")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFNode.set_light(variable1)

	pass

