extends Node2D

var q_GLTFSkin : GLTFSkin = GLTFSkin.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_GLTFSkin = GLTFSkin.new()
	modify_object(q_GLTFSkin)

static func modify_object(q_GLTFSkin : GLTFSkin) -> void:
	if randi() % 2 == 0:
		print("Executing GLTFSkin.get_skin_root")
		print("Parameters[]")
		q_GLTFSkin.get_skin_root()

	if randi() % 2 == 0:
		print("Executing GLTFSkin.set_skin_root")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFSkin.set_skin_root(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFSkin.get_joints_original")
		print("Parameters[]")
		q_GLTFSkin.get_joints_original()

	if randi() % 2 == 0:
		print("Executing GLTFSkin.set_joints_original")
		var variable1: PoolIntArray = PoolIntArray([])
		print("Parameters[" + str(variable1) + "]")
		q_GLTFSkin.set_joints_original(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFSkin.get_inverse_binds")
		print("Parameters[]")
		q_GLTFSkin.get_inverse_binds()

	if randi() % 2 == 0:
		print("Executing GLTFSkin.set_inverse_binds")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_GLTFSkin.set_inverse_binds(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFSkin.get_joints")
		print("Parameters[]")
		q_GLTFSkin.get_joints()

	if randi() % 2 == 0:
		print("Executing GLTFSkin.set_joints")
		var variable1: PoolIntArray = PoolIntArray([])
		print("Parameters[" + str(variable1) + "]")
		q_GLTFSkin.set_joints(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFSkin.get_non_joints")
		print("Parameters[]")
		q_GLTFSkin.get_non_joints()

	if randi() % 2 == 0:
		print("Executing GLTFSkin.set_non_joints")
		var variable1: PoolIntArray = PoolIntArray([])
		print("Parameters[" + str(variable1) + "]")
		q_GLTFSkin.set_non_joints(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFSkin.get_roots")
		print("Parameters[]")
		q_GLTFSkin.get_roots()

	if randi() % 2 == 0:
		print("Executing GLTFSkin.set_roots")
		var variable1: PoolIntArray = PoolIntArray([])
		print("Parameters[" + str(variable1) + "]")
		q_GLTFSkin.set_roots(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFSkin.get_skeleton")
		print("Parameters[]")
		q_GLTFSkin.get_skeleton()

	if randi() % 2 == 0:
		print("Executing GLTFSkin.set_skeleton")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFSkin.set_skeleton(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFSkin.get_joint_i_to_bone_i")
		print("Parameters[]")
		q_GLTFSkin.get_joint_i_to_bone_i()

	if randi() % 2 == 0:
		print("Executing GLTFSkin.set_joint_i_to_bone_i")
		var variable1: Dictionary = {}
		print("Parameters[" + str(variable1) + "]")
		q_GLTFSkin.set_joint_i_to_bone_i(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFSkin.get_joint_i_to_name")
		print("Parameters[]")
		q_GLTFSkin.get_joint_i_to_name()

	if randi() % 2 == 0:
		print("Executing GLTFSkin.set_joint_i_to_name")
		var variable1: Dictionary = {}
		print("Parameters[" + str(variable1) + "]")
		q_GLTFSkin.set_joint_i_to_name(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFSkin.get_godot_skin")
		print("Parameters[]")
		q_GLTFSkin.get_godot_skin()

	if randi() % 2 == 0:
		print("Executing GLTFSkin.set_godot_skin")
		var variable1: Skin = Skin.new()
		print("Parameters[" + str(variable1) + "]")
		q_GLTFSkin.set_godot_skin(variable1)

	pass

