extends Node2D

var q_GradientTexture : GradientTexture = GradientTexture.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_GradientTexture = GradientTexture.new()
	modify_object(q_GradientTexture)

static func modify_object(q_GradientTexture : GradientTexture) -> void:
	if randi() % 2 == 0:
		print("Executing GradientTexture.set_gradient")
		var variable1: Gradient = Gradient.new()
		print("Parameters[" + str(variable1) + "]")
		q_GradientTexture.set_gradient(variable1)

	if randi() % 2 == 0:
		print("Executing GradientTexture.get_gradient")
		print("Parameters[]")
		q_GradientTexture.get_gradient()

	if randi() % 2 == 0:
		print("Executing GradientTexture.set_width")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GradientTexture.set_width(variable1)

	if randi() % 2 == 0:
		print("Executing GradientTexture._update")
		print("Parameters[]")
		q_GradientTexture._update()

	pass

