extends Node2D

var q_ImageTexture : ImageTexture = ImageTexture.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_ImageTexture = ImageTexture.new()
	modify_object(q_ImageTexture)

static func modify_object(q_ImageTexture : ImageTexture) -> void:
	if randi() % 2 == 0:
		print("Executing ImageTexture.create")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_ImageTexture.create(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing ImageTexture.create_from_image")
		var variable1: Image = Image.new()
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ImageTexture.create_from_image(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ImageTexture.get_format")
		print("Parameters[]")
		q_ImageTexture.get_format()

	if randi() % 2 == 0:
		print("Executing ImageTexture.load")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_ImageTexture.load(variable1)

	if randi() % 2 == 0:
		print("Executing ImageTexture.set_data")
		var variable1: Image = Image.new()
		print("Parameters[" + str(variable1) + "]")
		q_ImageTexture.set_data(variable1)

	if randi() % 2 == 0:
		print("Executing ImageTexture.set_storage")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ImageTexture.set_storage(variable1)

	if randi() % 2 == 0:
		print("Executing ImageTexture.get_storage")
		print("Parameters[]")
		q_ImageTexture.get_storage()

	if randi() % 2 == 0:
		print("Executing ImageTexture.set_lossy_storage_quality")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ImageTexture.set_lossy_storage_quality(variable1)

	if randi() % 2 == 0:
		print("Executing ImageTexture.get_lossy_storage_quality")
		print("Parameters[]")
		q_ImageTexture.get_lossy_storage_quality()

	if randi() % 2 == 0:
		print("Executing ImageTexture.set_size_override")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_ImageTexture.set_size_override(variable1)

	if randi() % 2 == 0:
		print("Executing ImageTexture._reload_hook")
		var variable1: RID = RID()
		print("Parameters[" + str(variable1) + "]")
		q_ImageTexture._reload_hook(variable1)

	pass

