extends Node2D

var q_InputEventAction : InputEventAction = InputEventAction.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_InputEventAction = InputEventAction.new()
	modify_object(q_InputEventAction)

static func modify_object(q_InputEventAction : InputEventAction) -> void:
	if randi() % 2 == 0:
		print("Executing InputEventAction.set_action")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_InputEventAction.set_action(variable1)

	if randi() % 2 == 0:
		print("Executing InputEventAction.get_action")
		print("Parameters[]")
		q_InputEventAction.get_action()

	if randi() % 2 == 0:
		print("Executing InputEventAction.set_pressed")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_InputEventAction.set_pressed(variable1)

	if randi() % 2 == 0:
		print("Executing InputEventAction.set_strength")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_InputEventAction.set_strength(variable1)

	if randi() % 2 == 0:
		print("Executing InputEventAction.get_strength")
		print("Parameters[]")
		q_InputEventAction.get_strength()

	pass

