extends Node2D

var q_LargeTexture : LargeTexture = LargeTexture.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_LargeTexture = LargeTexture.new()
	modify_object(q_LargeTexture)

static func modify_object(q_LargeTexture : LargeTexture) -> void:
	if randi() % 2 == 0:
		print("Executing LargeTexture.add_piece")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable2: GradientTexture = GradientTexture.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_LargeTexture.add_piece(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing LargeTexture.set_piece_offset")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_LargeTexture.set_piece_offset(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing LargeTexture.set_piece_texture")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: ImageTexture = ImageTexture.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_LargeTexture.set_piece_texture(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing LargeTexture.set_size")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_LargeTexture.set_size(variable1)

	if randi() % 2 == 0:
		print("Executing LargeTexture.clear")
		print("Parameters[]")
		q_LargeTexture.clear()

	if randi() % 2 == 0:
		print("Executing LargeTexture.get_piece_count")
		print("Parameters[]")
		q_LargeTexture.get_piece_count()

	if randi() % 2 == 0:
		print("Executing LargeTexture.get_piece_offset")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_LargeTexture.get_piece_offset(variable1)

	if randi() % 2 == 0:
		print("Executing LargeTexture.get_piece_texture")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_LargeTexture.get_piece_texture(variable1)

	if randi() % 2 == 0:
		print("Executing LargeTexture._set_data")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_LargeTexture._set_data(variable1)

	if randi() % 2 == 0:
		print("Executing LargeTexture._get_data")
		print("Parameters[]")
		q_LargeTexture._get_data()

	pass

