extends Node2D

var q_MeshTexture : MeshTexture = MeshTexture.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_MeshTexture = MeshTexture.new()
	modify_object(q_MeshTexture)

static func modify_object(q_MeshTexture : MeshTexture) -> void:
	if randi() % 2 == 0:
		print("Executing MeshTexture.set_mesh")
		var variable1: CapsuleMesh = CapsuleMesh.new()
		print("Parameters[" + str(variable1) + "]")
		q_MeshTexture.set_mesh(variable1)

	if randi() % 2 == 0:
		print("Executing MeshTexture.get_mesh")
		print("Parameters[]")
		q_MeshTexture.get_mesh()

	if randi() % 2 == 0:
		print("Executing MeshTexture.set_image_size")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_MeshTexture.set_image_size(variable1)

	if randi() % 2 == 0:
		print("Executing MeshTexture.get_image_size")
		print("Parameters[]")
		q_MeshTexture.get_image_size()

	if randi() % 2 == 0:
		print("Executing MeshTexture.set_base_texture")
		var variable1: GradientTexture = GradientTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_MeshTexture.set_base_texture(variable1)

	if randi() % 2 == 0:
		print("Executing MeshTexture.get_base_texture")
		print("Parameters[]")
		q_MeshTexture.get_base_texture()

	pass

