extends Node2D

var q_NativeScript : NativeScript = NativeScript.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_NativeScript = NativeScript.new()
	modify_object(q_NativeScript)

static func modify_object(q_NativeScript : NativeScript) -> void:
	if randi() % 2 == 0:
		print("Executing NativeScript.set_class_name")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_NativeScript.set_class_name(variable1)

	if randi() % 2 == 0:
		print("Executing NativeScript.get_class_name")
		print("Parameters[]")
		q_NativeScript.get_class_name()

	if randi() % 2 == 0:
		print("Executing NativeScript.set_library")
		var variable1: GDNativeLibrary = GDNativeLibrary.new()
		print("Parameters[" + str(variable1) + "]")
		q_NativeScript.set_library(variable1)

	if randi() % 2 == 0:
		print("Executing NativeScript.get_library")
		print("Parameters[]")
		q_NativeScript.get_library()

	if randi() % 2 == 0:
		print("Executing NativeScript.set_script_class_name")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_NativeScript.set_script_class_name(variable1)

	if randi() % 2 == 0:
		print("Executing NativeScript.get_script_class_name")
		print("Parameters[]")
		q_NativeScript.get_script_class_name()

	if randi() % 2 == 0:
		print("Executing NativeScript.set_script_class_icon_path")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_NativeScript.set_script_class_icon_path(variable1)

	if randi() % 2 == 0:
		print("Executing NativeScript.get_script_class_icon_path")
		print("Parameters[]")
		q_NativeScript.get_script_class_icon_path()

	if randi() % 2 == 0:
		print("Executing NativeScript.get_class_documentation")
		print("Parameters[]")
		q_NativeScript.get_class_documentation()

	if randi() % 2 == 0:
		print("Executing NativeScript.get_method_documentation")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_NativeScript.get_method_documentation(variable1)

	if randi() % 2 == 0:
		print("Executing NativeScript.get_signal_documentation")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_NativeScript.get_signal_documentation(variable1)

	if randi() % 2 == 0:
		print("Executing NativeScript.get_property_documentation")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_NativeScript.get_property_documentation(variable1)

	pass

