extends Node2D

var q_NavigationMesh : NavigationMesh = NavigationMesh.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_NavigationMesh = NavigationMesh.new()
	modify_object(q_NavigationMesh)

static func modify_object(q_NavigationMesh : NavigationMesh) -> void:
	if randi() % 2 == 0:
		print("Executing NavigationMesh.set_sample_partition_type")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NavigationMesh.set_sample_partition_type(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationMesh.get_sample_partition_type")
		print("Parameters[]")
		q_NavigationMesh.get_sample_partition_type()

	if randi() % 2 == 0:
		print("Executing NavigationMesh.set_parsed_geometry_type")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NavigationMesh.set_parsed_geometry_type(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationMesh.get_parsed_geometry_type")
		print("Parameters[]")
		q_NavigationMesh.get_parsed_geometry_type()

	if randi() % 2 == 0:
		print("Executing NavigationMesh.set_collision_mask")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NavigationMesh.set_collision_mask(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationMesh.get_collision_mask")
		print("Parameters[]")
		q_NavigationMesh.get_collision_mask()

	if randi() % 2 == 0:
		print("Executing NavigationMesh.set_collision_mask_bit")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_NavigationMesh.set_collision_mask_bit(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing NavigationMesh.get_collision_mask_bit")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NavigationMesh.get_collision_mask_bit(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationMesh.set_source_geometry_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NavigationMesh.set_source_geometry_mode(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationMesh.get_source_geometry_mode")
		print("Parameters[]")
		q_NavigationMesh.get_source_geometry_mode()

	if randi() % 2 == 0:
		print("Executing NavigationMesh.set_source_group_name")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_NavigationMesh.set_source_group_name(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationMesh.get_source_group_name")
		print("Parameters[]")
		q_NavigationMesh.get_source_group_name()

	if randi() % 2 == 0:
		print("Executing NavigationMesh.set_cell_size")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NavigationMesh.set_cell_size(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationMesh.get_cell_size")
		print("Parameters[]")
		q_NavigationMesh.get_cell_size()

	if randi() % 2 == 0:
		print("Executing NavigationMesh.set_cell_height")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NavigationMesh.set_cell_height(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationMesh.get_cell_height")
		print("Parameters[]")
		q_NavigationMesh.get_cell_height()

	if randi() % 2 == 0:
		print("Executing NavigationMesh.set_agent_height")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NavigationMesh.set_agent_height(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationMesh.get_agent_height")
		print("Parameters[]")
		q_NavigationMesh.get_agent_height()

	if randi() % 2 == 0:
		print("Executing NavigationMesh.set_agent_radius")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NavigationMesh.set_agent_radius(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationMesh.get_agent_radius")
		print("Parameters[]")
		q_NavigationMesh.get_agent_radius()

	if randi() % 2 == 0:
		print("Executing NavigationMesh.set_agent_max_climb")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NavigationMesh.set_agent_max_climb(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationMesh.get_agent_max_climb")
		print("Parameters[]")
		q_NavigationMesh.get_agent_max_climb()

	if randi() % 2 == 0:
		print("Executing NavigationMesh.set_agent_max_slope")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NavigationMesh.set_agent_max_slope(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationMesh.get_agent_max_slope")
		print("Parameters[]")
		q_NavigationMesh.get_agent_max_slope()

	if randi() % 2 == 0:
		print("Executing NavigationMesh.set_region_min_size")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NavigationMesh.set_region_min_size(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationMesh.get_region_min_size")
		print("Parameters[]")
		q_NavigationMesh.get_region_min_size()

	if randi() % 2 == 0:
		print("Executing NavigationMesh.set_region_merge_size")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NavigationMesh.set_region_merge_size(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationMesh.get_region_merge_size")
		print("Parameters[]")
		q_NavigationMesh.get_region_merge_size()

	if randi() % 2 == 0:
		print("Executing NavigationMesh.set_edge_max_length")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NavigationMesh.set_edge_max_length(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationMesh.get_edge_max_length")
		print("Parameters[]")
		q_NavigationMesh.get_edge_max_length()

	if randi() % 2 == 0:
		print("Executing NavigationMesh.set_edge_max_error")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NavigationMesh.set_edge_max_error(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationMesh.get_edge_max_error")
		print("Parameters[]")
		q_NavigationMesh.get_edge_max_error()

	if randi() % 2 == 0:
		print("Executing NavigationMesh.set_verts_per_poly")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NavigationMesh.set_verts_per_poly(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationMesh.get_verts_per_poly")
		print("Parameters[]")
		q_NavigationMesh.get_verts_per_poly()

	if randi() % 2 == 0:
		print("Executing NavigationMesh.set_detail_sample_distance")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NavigationMesh.set_detail_sample_distance(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationMesh.get_detail_sample_distance")
		print("Parameters[]")
		q_NavigationMesh.get_detail_sample_distance()

	if randi() % 2 == 0:
		print("Executing NavigationMesh.set_detail_sample_max_error")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NavigationMesh.set_detail_sample_max_error(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationMesh.get_detail_sample_max_error")
		print("Parameters[]")
		q_NavigationMesh.get_detail_sample_max_error()

	if randi() % 2 == 0:
		print("Executing NavigationMesh.set_filter_low_hanging_obstacles")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_NavigationMesh.set_filter_low_hanging_obstacles(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationMesh.get_filter_low_hanging_obstacles")
		print("Parameters[]")
		q_NavigationMesh.get_filter_low_hanging_obstacles()

	if randi() % 2 == 0:
		print("Executing NavigationMesh.set_filter_ledge_spans")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_NavigationMesh.set_filter_ledge_spans(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationMesh.get_filter_ledge_spans")
		print("Parameters[]")
		q_NavigationMesh.get_filter_ledge_spans()

	if randi() % 2 == 0:
		print("Executing NavigationMesh.set_filter_walkable_low_height_spans")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_NavigationMesh.set_filter_walkable_low_height_spans(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationMesh.get_filter_walkable_low_height_spans")
		print("Parameters[]")
		q_NavigationMesh.get_filter_walkable_low_height_spans()

	if randi() % 2 == 0:
		print("Executing NavigationMesh.set_vertices")
		var variable1: PoolVector3Array = PoolVector3Array([])
		print("Parameters[" + str(variable1) + "]")
		q_NavigationMesh.set_vertices(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationMesh.get_vertices")
		print("Parameters[]")
		q_NavigationMesh.get_vertices()

	if randi() % 2 == 0:
		print("Executing NavigationMesh.add_polygon")
		var variable1: PoolIntArray = PoolIntArray([])
		print("Parameters[" + str(variable1) + "]")
		q_NavigationMesh.add_polygon(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationMesh.get_polygon_count")
		print("Parameters[]")
		q_NavigationMesh.get_polygon_count()

	if randi() % 2 == 0:
		print("Executing NavigationMesh.get_polygon")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NavigationMesh.get_polygon(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationMesh.clear_polygons")
		print("Parameters[]")
		q_NavigationMesh.clear_polygons()

	if randi() % 2 == 0:
		print("Executing NavigationMesh.create_from_mesh")
		var variable1: PointMesh = PointMesh.new()
		print("Parameters[" + str(variable1) + "]")
		q_NavigationMesh.create_from_mesh(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationMesh._set_polygons")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_NavigationMesh._set_polygons(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationMesh._get_polygons")
		print("Parameters[]")
		q_NavigationMesh._get_polygons()

	pass

