extends Node2D

var q_NoiseTexture : NoiseTexture = NoiseTexture.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_NoiseTexture = NoiseTexture.new()
	modify_object(q_NoiseTexture)

static func modify_object(q_NoiseTexture : NoiseTexture) -> void:
	if randi() % 2 == 0:
		print("Executing NoiseTexture.set_width")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NoiseTexture.set_width(variable1)

	if randi() % 2 == 0:
		print("Executing NoiseTexture.set_height")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NoiseTexture.set_height(variable1)

	if randi() % 2 == 0:
		print("Executing NoiseTexture.set_noise")
		var variable1: OpenSimplexNoise = OpenSimplexNoise.new()
		print("Parameters[" + str(variable1) + "]")
		q_NoiseTexture.set_noise(variable1)

	if randi() % 2 == 0:
		print("Executing NoiseTexture.get_noise")
		print("Parameters[]")
		q_NoiseTexture.get_noise()

	if randi() % 2 == 0:
		print("Executing NoiseTexture.set_noise_offset")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_NoiseTexture.set_noise_offset(variable1)

	if randi() % 2 == 0:
		print("Executing NoiseTexture.get_noise_offset")
		print("Parameters[]")
		q_NoiseTexture.get_noise_offset()

	if randi() % 2 == 0:
		print("Executing NoiseTexture.set_seamless")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_NoiseTexture.set_seamless(variable1)

	if randi() % 2 == 0:
		print("Executing NoiseTexture.get_seamless")
		print("Parameters[]")
		q_NoiseTexture.get_seamless()

	if randi() % 2 == 0:
		print("Executing NoiseTexture.set_as_normalmap")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_NoiseTexture.set_as_normalmap(variable1)

	if randi() % 2 == 0:
		print("Executing NoiseTexture.is_normalmap")
		print("Parameters[]")
		q_NoiseTexture.is_normalmap()

	if randi() % 2 == 0:
		print("Executing NoiseTexture.set_bump_strength")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NoiseTexture.set_bump_strength(variable1)

	if randi() % 2 == 0:
		print("Executing NoiseTexture.get_bump_strength")
		print("Parameters[]")
		q_NoiseTexture.get_bump_strength()

	if randi() % 2 == 0:
		print("Executing NoiseTexture._update_texture")
		print("Parameters[]")
		q_NoiseTexture._update_texture()

	if randi() % 2 == 0:
		print("Executing NoiseTexture._queue_update")
		print("Parameters[]")
		q_NoiseTexture._queue_update()

	if randi() % 2 == 0:
		print("Executing NoiseTexture._generate_texture")
		print("Parameters[]")
		q_NoiseTexture._generate_texture()

	pass

