extends Node2D

var q_OpenSimplexNoise : OpenSimplexNoise = OpenSimplexNoise.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_OpenSimplexNoise = OpenSimplexNoise.new()
	modify_object(q_OpenSimplexNoise)

static func modify_object(q_OpenSimplexNoise : OpenSimplexNoise) -> void:
	if randi() % 2 == 0:
		print("Executing OpenSimplexNoise.get_seed")
		print("Parameters[]")
		q_OpenSimplexNoise.get_seed()

	if randi() % 2 == 0:
		print("Executing OpenSimplexNoise.set_seed")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_OpenSimplexNoise.set_seed(variable1)

	if randi() % 2 == 0:
		print("Executing OpenSimplexNoise.set_octaves")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_OpenSimplexNoise.set_octaves(variable1)

	if randi() % 2 == 0:
		print("Executing OpenSimplexNoise.get_octaves")
		print("Parameters[]")
		q_OpenSimplexNoise.get_octaves()

	if randi() % 2 == 0:
		print("Executing OpenSimplexNoise.set_period")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_OpenSimplexNoise.set_period(variable1)

	if randi() % 2 == 0:
		print("Executing OpenSimplexNoise.get_period")
		print("Parameters[]")
		q_OpenSimplexNoise.get_period()

	if randi() % 2 == 0:
		print("Executing OpenSimplexNoise.set_persistence")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_OpenSimplexNoise.set_persistence(variable1)

	if randi() % 2 == 0:
		print("Executing OpenSimplexNoise.get_persistence")
		print("Parameters[]")
		q_OpenSimplexNoise.get_persistence()

	if randi() % 2 == 0:
		print("Executing OpenSimplexNoise.set_lacunarity")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_OpenSimplexNoise.set_lacunarity(variable1)

	if randi() % 2 == 0:
		print("Executing OpenSimplexNoise.get_lacunarity")
		print("Parameters[]")
		q_OpenSimplexNoise.get_lacunarity()

	if randi() % 2 == 0:
		print("Executing OpenSimplexNoise.get_image")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_OpenSimplexNoise.get_image(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing OpenSimplexNoise.get_seamless_image")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_OpenSimplexNoise.get_seamless_image(variable1)

	if randi() % 2 == 0:
		print("Executing OpenSimplexNoise.get_noise_1d")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_OpenSimplexNoise.get_noise_1d(variable1)

	if randi() % 2 == 0:
		print("Executing OpenSimplexNoise.get_noise_2d")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_OpenSimplexNoise.get_noise_2d(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing OpenSimplexNoise.get_noise_3d")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		var variable3: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_OpenSimplexNoise.get_noise_3d(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing OpenSimplexNoise.get_noise_4d")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		var variable3: float = (randf() * 10) - (10 / 2.0)
		var variable4: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_OpenSimplexNoise.get_noise_4d(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing OpenSimplexNoise.get_noise_2dv")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_OpenSimplexNoise.get_noise_2dv(variable1)

	if randi() % 2 == 0:
		print("Executing OpenSimplexNoise.get_noise_3dv")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_OpenSimplexNoise.get_noise_3dv(variable1)

	pass

