extends Node2D

var q_ParticlesMaterial : ParticlesMaterial = ParticlesMaterial.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_ParticlesMaterial = ParticlesMaterial.new()
	modify_object(q_ParticlesMaterial)

static func modify_object(q_ParticlesMaterial : ParticlesMaterial) -> void:
	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.set_direction")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_ParticlesMaterial.set_direction(variable1)

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.get_direction")
		print("Parameters[]")
		q_ParticlesMaterial.get_direction()

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.set_spread")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ParticlesMaterial.set_spread(variable1)

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.get_spread")
		print("Parameters[]")
		q_ParticlesMaterial.get_spread()

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.set_flatness")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ParticlesMaterial.set_flatness(variable1)

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.get_flatness")
		print("Parameters[]")
		q_ParticlesMaterial.get_flatness()

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.set_param")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ParticlesMaterial.set_param(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.get_param")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ParticlesMaterial.get_param(variable1)

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.set_param_randomness")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ParticlesMaterial.set_param_randomness(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.get_param_randomness")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ParticlesMaterial.get_param_randomness(variable1)

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.set_param_texture")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: CurveTexture = CurveTexture.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ParticlesMaterial.set_param_texture(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.get_param_texture")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ParticlesMaterial.get_param_texture(variable1)

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.set_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_ParticlesMaterial.set_color(variable1)

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.get_color")
		print("Parameters[]")
		q_ParticlesMaterial.get_color()

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.set_color_ramp")
		var variable1: CurveTexture = CurveTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_ParticlesMaterial.set_color_ramp(variable1)

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.get_color_ramp")
		print("Parameters[]")
		q_ParticlesMaterial.get_color_ramp()

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.set_flag")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ParticlesMaterial.set_flag(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.get_flag")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ParticlesMaterial.get_flag(variable1)

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.set_emission_shape")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ParticlesMaterial.set_emission_shape(variable1)

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.get_emission_shape")
		print("Parameters[]")
		q_ParticlesMaterial.get_emission_shape()

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.set_emission_sphere_radius")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ParticlesMaterial.set_emission_sphere_radius(variable1)

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.get_emission_sphere_radius")
		print("Parameters[]")
		q_ParticlesMaterial.get_emission_sphere_radius()

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.set_emission_box_extents")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_ParticlesMaterial.set_emission_box_extents(variable1)

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.get_emission_box_extents")
		print("Parameters[]")
		q_ParticlesMaterial.get_emission_box_extents()

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.set_emission_point_texture")
		var variable1: LargeTexture = LargeTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_ParticlesMaterial.set_emission_point_texture(variable1)

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.get_emission_point_texture")
		print("Parameters[]")
		q_ParticlesMaterial.get_emission_point_texture()

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.set_emission_normal_texture")
		var variable1: AtlasTexture = AtlasTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_ParticlesMaterial.set_emission_normal_texture(variable1)

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.get_emission_normal_texture")
		print("Parameters[]")
		q_ParticlesMaterial.get_emission_normal_texture()

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.set_emission_color_texture")
		var variable1: MeshTexture = MeshTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_ParticlesMaterial.set_emission_color_texture(variable1)

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.get_emission_color_texture")
		print("Parameters[]")
		q_ParticlesMaterial.get_emission_color_texture()

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.set_emission_point_count")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ParticlesMaterial.set_emission_point_count(variable1)

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.get_emission_point_count")
		print("Parameters[]")
		q_ParticlesMaterial.get_emission_point_count()

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.set_emission_ring_radius")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ParticlesMaterial.set_emission_ring_radius(variable1)

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.get_emission_ring_radius")
		print("Parameters[]")
		q_ParticlesMaterial.get_emission_ring_radius()

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.set_emission_ring_inner_radius")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ParticlesMaterial.set_emission_ring_inner_radius(variable1)

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.get_emission_ring_inner_radius")
		print("Parameters[]")
		q_ParticlesMaterial.get_emission_ring_inner_radius()

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.set_emission_ring_height")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ParticlesMaterial.set_emission_ring_height(variable1)

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.get_emission_ring_height")
		print("Parameters[]")
		q_ParticlesMaterial.get_emission_ring_height()

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.set_emission_ring_axis")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_ParticlesMaterial.set_emission_ring_axis(variable1)

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.get_emission_ring_axis")
		print("Parameters[]")
		q_ParticlesMaterial.get_emission_ring_axis()

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.set_trail_divisor")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ParticlesMaterial.set_trail_divisor(variable1)

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.get_trail_divisor")
		print("Parameters[]")
		q_ParticlesMaterial.get_trail_divisor()

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.set_trail_size_modifier")
		var variable1: CurveTexture = CurveTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_ParticlesMaterial.set_trail_size_modifier(variable1)

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.get_trail_size_modifier")
		print("Parameters[]")
		q_ParticlesMaterial.get_trail_size_modifier()

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.set_trail_color_modifier")
		var variable1: GradientTexture = GradientTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_ParticlesMaterial.set_trail_color_modifier(variable1)

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.get_trail_color_modifier")
		print("Parameters[]")
		q_ParticlesMaterial.get_trail_color_modifier()

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.get_gravity")
		print("Parameters[]")
		q_ParticlesMaterial.get_gravity()

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.set_gravity")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_ParticlesMaterial.set_gravity(variable1)

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.set_lifetime_randomness")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ParticlesMaterial.set_lifetime_randomness(variable1)

	if randi() % 2 == 0:
		print("Executing ParticlesMaterial.get_lifetime_randomness")
		print("Parameters[]")
		q_ParticlesMaterial.get_lifetime_randomness()

	pass

