extends Node2D

var q_PhysicsMaterial : PhysicsMaterial = PhysicsMaterial.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_PhysicsMaterial = PhysicsMaterial.new()
	modify_object(q_PhysicsMaterial)

static func modify_object(q_PhysicsMaterial : PhysicsMaterial) -> void:
	if randi() % 2 == 0:
		print("Executing PhysicsMaterial.set_friction")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PhysicsMaterial.set_friction(variable1)

	if randi() % 2 == 0:
		print("Executing PhysicsMaterial.get_friction")
		print("Parameters[]")
		q_PhysicsMaterial.get_friction()

	if randi() % 2 == 0:
		print("Executing PhysicsMaterial.set_rough")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_PhysicsMaterial.set_rough(variable1)

	if randi() % 2 == 0:
		print("Executing PhysicsMaterial.is_rough")
		print("Parameters[]")
		q_PhysicsMaterial.is_rough()

	if randi() % 2 == 0:
		print("Executing PhysicsMaterial.set_bounce")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PhysicsMaterial.set_bounce(variable1)

	if randi() % 2 == 0:
		print("Executing PhysicsMaterial.get_bounce")
		print("Parameters[]")
		q_PhysicsMaterial.get_bounce()

	if randi() % 2 == 0:
		print("Executing PhysicsMaterial.set_absorbent")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_PhysicsMaterial.set_absorbent(variable1)

	if randi() % 2 == 0:
		print("Executing PhysicsMaterial.is_absorbent")
		print("Parameters[]")
		q_PhysicsMaterial.is_absorbent()

	pass

