extends Node2D

var q_PlaneMesh : PlaneMesh = PlaneMesh.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_PlaneMesh = PlaneMesh.new()
	modify_object(q_PlaneMesh)

static func modify_object(q_PlaneMesh : PlaneMesh) -> void:
	if randi() % 2 == 0:
		print("Executing PlaneMesh.set_size")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_PlaneMesh.set_size(variable1)

	if randi() % 2 == 0:
		print("Executing PlaneMesh.get_size")
		print("Parameters[]")
		q_PlaneMesh.get_size()

	if randi() % 2 == 0:
		print("Executing PlaneMesh.set_subdivide_width")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PlaneMesh.set_subdivide_width(variable1)

	if randi() % 2 == 0:
		print("Executing PlaneMesh.get_subdivide_width")
		print("Parameters[]")
		q_PlaneMesh.get_subdivide_width()

	if randi() % 2 == 0:
		print("Executing PlaneMesh.set_subdivide_depth")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PlaneMesh.set_subdivide_depth(variable1)

	if randi() % 2 == 0:
		print("Executing PlaneMesh.get_subdivide_depth")
		print("Parameters[]")
		q_PlaneMesh.get_subdivide_depth()

	if randi() % 2 == 0:
		print("Executing PlaneMesh.set_center_offset")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_PlaneMesh.set_center_offset(variable1)

	if randi() % 2 == 0:
		print("Executing PlaneMesh.get_center_offset")
		print("Parameters[]")
		q_PlaneMesh.get_center_offset()

	pass

