extends Node2D

var q_PrismMesh : PrismMesh = PrismMesh.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_PrismMesh = PrismMesh.new()
	modify_object(q_PrismMesh)

static func modify_object(q_PrismMesh : PrismMesh) -> void:
	if randi() % 2 == 0:
		print("Executing PrismMesh.set_left_to_right")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PrismMesh.set_left_to_right(variable1)

	if randi() % 2 == 0:
		print("Executing PrismMesh.get_left_to_right")
		print("Parameters[]")
		q_PrismMesh.get_left_to_right()

	if randi() % 2 == 0:
		print("Executing PrismMesh.set_size")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_PrismMesh.set_size(variable1)

	if randi() % 2 == 0:
		print("Executing PrismMesh.get_size")
		print("Parameters[]")
		q_PrismMesh.get_size()

	if randi() % 2 == 0:
		print("Executing PrismMesh.set_subdivide_width")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PrismMesh.set_subdivide_width(variable1)

	if randi() % 2 == 0:
		print("Executing PrismMesh.get_subdivide_width")
		print("Parameters[]")
		q_PrismMesh.get_subdivide_width()

	if randi() % 2 == 0:
		print("Executing PrismMesh.set_subdivide_height")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PrismMesh.set_subdivide_height(variable1)

	if randi() % 2 == 0:
		print("Executing PrismMesh.get_subdivide_height")
		print("Parameters[]")
		q_PrismMesh.get_subdivide_height()

	if randi() % 2 == 0:
		print("Executing PrismMesh.set_subdivide_depth")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PrismMesh.set_subdivide_depth(variable1)

	if randi() % 2 == 0:
		print("Executing PrismMesh.get_subdivide_depth")
		print("Parameters[]")
		q_PrismMesh.get_subdivide_depth()

	pass

