extends Node2D

var q_ProceduralSky : ProceduralSky = ProceduralSky.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_ProceduralSky = ProceduralSky.new()
	modify_object(q_ProceduralSky)

static func modify_object(q_ProceduralSky : ProceduralSky) -> void:
	if randi() % 2 == 0:
		print("Executing ProceduralSky.set_sky_top_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_ProceduralSky.set_sky_top_color(variable1)

	if randi() % 2 == 0:
		print("Executing ProceduralSky.get_sky_top_color")
		print("Parameters[]")
		q_ProceduralSky.get_sky_top_color()

	if randi() % 2 == 0:
		print("Executing ProceduralSky.set_sky_horizon_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_ProceduralSky.set_sky_horizon_color(variable1)

	if randi() % 2 == 0:
		print("Executing ProceduralSky.get_sky_horizon_color")
		print("Parameters[]")
		q_ProceduralSky.get_sky_horizon_color()

	if randi() % 2 == 0:
		print("Executing ProceduralSky.set_sky_curve")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ProceduralSky.set_sky_curve(variable1)

	if randi() % 2 == 0:
		print("Executing ProceduralSky.get_sky_curve")
		print("Parameters[]")
		q_ProceduralSky.get_sky_curve()

	if randi() % 2 == 0:
		print("Executing ProceduralSky.set_sky_energy")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ProceduralSky.set_sky_energy(variable1)

	if randi() % 2 == 0:
		print("Executing ProceduralSky.get_sky_energy")
		print("Parameters[]")
		q_ProceduralSky.get_sky_energy()

	if randi() % 2 == 0:
		print("Executing ProceduralSky.set_ground_bottom_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_ProceduralSky.set_ground_bottom_color(variable1)

	if randi() % 2 == 0:
		print("Executing ProceduralSky.get_ground_bottom_color")
		print("Parameters[]")
		q_ProceduralSky.get_ground_bottom_color()

	if randi() % 2 == 0:
		print("Executing ProceduralSky.set_ground_horizon_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_ProceduralSky.set_ground_horizon_color(variable1)

	if randi() % 2 == 0:
		print("Executing ProceduralSky.get_ground_horizon_color")
		print("Parameters[]")
		q_ProceduralSky.get_ground_horizon_color()

	if randi() % 2 == 0:
		print("Executing ProceduralSky.set_ground_curve")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ProceduralSky.set_ground_curve(variable1)

	if randi() % 2 == 0:
		print("Executing ProceduralSky.get_ground_curve")
		print("Parameters[]")
		q_ProceduralSky.get_ground_curve()

	if randi() % 2 == 0:
		print("Executing ProceduralSky.set_ground_energy")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ProceduralSky.set_ground_energy(variable1)

	if randi() % 2 == 0:
		print("Executing ProceduralSky.get_ground_energy")
		print("Parameters[]")
		q_ProceduralSky.get_ground_energy()

	if randi() % 2 == 0:
		print("Executing ProceduralSky.set_sun_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_ProceduralSky.set_sun_color(variable1)

	if randi() % 2 == 0:
		print("Executing ProceduralSky.get_sun_color")
		print("Parameters[]")
		q_ProceduralSky.get_sun_color()

	if randi() % 2 == 0:
		print("Executing ProceduralSky.set_sun_latitude")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ProceduralSky.set_sun_latitude(variable1)

	if randi() % 2 == 0:
		print("Executing ProceduralSky.get_sun_latitude")
		print("Parameters[]")
		q_ProceduralSky.get_sun_latitude()

	if randi() % 2 == 0:
		print("Executing ProceduralSky.set_sun_longitude")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ProceduralSky.set_sun_longitude(variable1)

	if randi() % 2 == 0:
		print("Executing ProceduralSky.get_sun_longitude")
		print("Parameters[]")
		q_ProceduralSky.get_sun_longitude()

	if randi() % 2 == 0:
		print("Executing ProceduralSky.set_sun_angle_min")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ProceduralSky.set_sun_angle_min(variable1)

	if randi() % 2 == 0:
		print("Executing ProceduralSky.get_sun_angle_min")
		print("Parameters[]")
		q_ProceduralSky.get_sun_angle_min()

	if randi() % 2 == 0:
		print("Executing ProceduralSky.set_sun_angle_max")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ProceduralSky.set_sun_angle_max(variable1)

	if randi() % 2 == 0:
		print("Executing ProceduralSky.get_sun_angle_max")
		print("Parameters[]")
		q_ProceduralSky.get_sun_angle_max()

	if randi() % 2 == 0:
		print("Executing ProceduralSky.set_sun_curve")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ProceduralSky.set_sun_curve(variable1)

	if randi() % 2 == 0:
		print("Executing ProceduralSky.get_sun_curve")
		print("Parameters[]")
		q_ProceduralSky.get_sun_curve()

	if randi() % 2 == 0:
		print("Executing ProceduralSky.set_sun_energy")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ProceduralSky.set_sun_energy(variable1)

	if randi() % 2 == 0:
		print("Executing ProceduralSky.get_sun_energy")
		print("Parameters[]")
		q_ProceduralSky.get_sun_energy()

	if randi() % 2 == 0:
		print("Executing ProceduralSky.set_texture_size")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ProceduralSky.set_texture_size(variable1)

	if randi() % 2 == 0:
		print("Executing ProceduralSky.get_texture_size")
		print("Parameters[]")
		q_ProceduralSky.get_texture_size()

	pass

