extends Node2D

var q_Shader : Shader = Shader.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Shader = Shader.new()
	modify_object(q_Shader)

static func modify_object(q_Shader : Shader) -> void:
	if randi() % 2 == 0:
		print("Executing Shader.get_mode")
		print("Parameters[]")
		q_Shader.get_mode()

	if randi() % 2 == 0:
		print("Executing Shader.set_code")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_Shader.set_code(variable1)

	if randi() % 2 == 0:
		print("Executing Shader.get_code")
		print("Parameters[]")
		q_Shader.get_code()

	if randi() % 2 == 0:
		print("Executing Shader.set_default_texture_param")
		var variable1: String = ""
		var variable2: NoiseTexture = NoiseTexture.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Shader.set_default_texture_param(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Shader.get_default_texture_param")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_Shader.get_default_texture_param(variable1)

	if randi() % 2 == 0:
		print("Executing Shader.set_custom_defines")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_Shader.set_custom_defines(variable1)

	if randi() % 2 == 0:
		print("Executing Shader.get_custom_defines")
		print("Parameters[]")
		q_Shader.get_custom_defines()

	if randi() % 2 == 0:
		print("Executing Shader.has_param")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_Shader.has_param(variable1)

	pass

