extends Node2D

var q_ShaderMaterial : ShaderMaterial = ShaderMaterial.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_ShaderMaterial = ShaderMaterial.new()
	modify_object(q_ShaderMaterial)

static func modify_object(q_ShaderMaterial : ShaderMaterial) -> void:
	if randi() % 2 == 0:
		print("Executing ShaderMaterial.set_shader")
		var variable1: VisualShader = VisualShader.new()
		print("Parameters[" + str(variable1) + "]")
		q_ShaderMaterial.set_shader(variable1)

	if randi() % 2 == 0:
		print("Executing ShaderMaterial.get_shader")
		print("Parameters[]")
		q_ShaderMaterial.get_shader()

	if randi() % 2 == 0:
		print("Executing ShaderMaterial.set_shader_param")
		var variable1: String = "."
		var variable2 = false
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ShaderMaterial.set_shader_param(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ShaderMaterial.get_shader_param")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_ShaderMaterial.get_shader_param(variable1)

	if randi() % 2 == 0:
		print("Executing ShaderMaterial._shader_changed")
		print("Parameters[]")
		q_ShaderMaterial._shader_changed()

	if randi() % 2 == 0:
		print("Executing ShaderMaterial.property_can_revert")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_ShaderMaterial.property_can_revert(variable1)

	if randi() % 2 == 0:
		print("Executing ShaderMaterial.property_get_revert")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_ShaderMaterial.property_get_revert(variable1)

	pass

