extends Node2D

static func modify_object(q_Shape2D : Shape2D) -> void:
	if randi() % 2 == 0:
		print("Executing Shape2D.set_custom_solver_bias")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Shape2D.set_custom_solver_bias(variable1)

	if randi() % 2 == 0:
		print("Executing Shape2D.get_custom_solver_bias")
		print("Parameters[]")
		q_Shape2D.get_custom_solver_bias()

	if randi() % 2 == 0:
		print("Executing Shape2D.collide")
		var variable1: Transform2D = Transform2D(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		var variable2: RayShape2D = RayShape2D.new()
		var variable3: Transform2D = Transform2D(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Shape2D.collide(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Shape2D.collide_with_motion")
		var variable1: Transform2D = Transform2D(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable3: LineShape2D = LineShape2D.new()
		var variable4: Transform2D = Transform2D(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		var variable5: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_Shape2D.collide_with_motion(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing Shape2D.collide_and_get_contacts")
		var variable1: Transform2D = Transform2D(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		var variable2: CapsuleShape2D = CapsuleShape2D.new()
		var variable3: Transform2D = Transform2D(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Shape2D.collide_and_get_contacts(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Shape2D.collide_with_motion_and_get_contacts")
		var variable1: Transform2D = Transform2D(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable3: CapsuleShape2D = CapsuleShape2D.new()
		var variable4: Transform2D = Transform2D(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		var variable5: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_Shape2D.collide_with_motion_and_get_contacts(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing Shape2D.draw")
		var variable1: RID = RID()
		var variable2: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Shape2D.draw(variable1, variable2)

	pass

