extends Node2D

var q_StyleBoxFlat : StyleBoxFlat = StyleBoxFlat.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_StyleBoxFlat = StyleBoxFlat.new()
	modify_object(q_StyleBoxFlat)

static func modify_object(q_StyleBoxFlat : StyleBoxFlat) -> void:
	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.set_bg_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_StyleBoxFlat.set_bg_color(variable1)

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.get_bg_color")
		print("Parameters[]")
		q_StyleBoxFlat.get_bg_color()

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.set_border_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_StyleBoxFlat.set_border_color(variable1)

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.get_border_color")
		print("Parameters[]")
		q_StyleBoxFlat.get_border_color()

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.set_border_width_all")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StyleBoxFlat.set_border_width_all(variable1)

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.get_border_width_min")
		print("Parameters[]")
		q_StyleBoxFlat.get_border_width_min()

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.set_border_width")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_StyleBoxFlat.set_border_width(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.get_border_width")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StyleBoxFlat.get_border_width(variable1)

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.set_border_blend")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_StyleBoxFlat.set_border_blend(variable1)

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.get_border_blend")
		print("Parameters[]")
		q_StyleBoxFlat.get_border_blend()

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.set_corner_radius_individual")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_StyleBoxFlat.set_corner_radius_individual(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.set_corner_radius_all")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StyleBoxFlat.set_corner_radius_all(variable1)

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.set_corner_radius")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_StyleBoxFlat.set_corner_radius(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.get_corner_radius")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StyleBoxFlat.get_corner_radius(variable1)

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.set_expand_margin")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_StyleBoxFlat.set_expand_margin(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.set_expand_margin_all")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StyleBoxFlat.set_expand_margin_all(variable1)

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.set_expand_margin_individual")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		var variable3: float = (randf() * 10) - (10 / 2.0)
		var variable4: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_StyleBoxFlat.set_expand_margin_individual(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.get_expand_margin")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StyleBoxFlat.get_expand_margin(variable1)

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.set_draw_center")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_StyleBoxFlat.set_draw_center(variable1)

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.is_draw_center_enabled")
		print("Parameters[]")
		q_StyleBoxFlat.is_draw_center_enabled()

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.set_shadow_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_StyleBoxFlat.set_shadow_color(variable1)

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.get_shadow_color")
		print("Parameters[]")
		q_StyleBoxFlat.get_shadow_color()

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.set_shadow_size")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StyleBoxFlat.set_shadow_size(variable1)

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.get_shadow_size")
		print("Parameters[]")
		q_StyleBoxFlat.get_shadow_size()

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.set_shadow_offset")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_StyleBoxFlat.set_shadow_offset(variable1)

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.get_shadow_offset")
		print("Parameters[]")
		q_StyleBoxFlat.get_shadow_offset()

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.set_anti_aliased")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_StyleBoxFlat.set_anti_aliased(variable1)

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.is_anti_aliased")
		print("Parameters[]")
		q_StyleBoxFlat.is_anti_aliased()

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.set_aa_size")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StyleBoxFlat.set_aa_size(variable1)

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.get_aa_size")
		print("Parameters[]")
		q_StyleBoxFlat.get_aa_size()

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.set_corner_detail")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StyleBoxFlat.set_corner_detail(variable1)

	if randi() % 2 == 0:
		print("Executing StyleBoxFlat.get_corner_detail")
		print("Parameters[]")
		q_StyleBoxFlat.get_corner_detail()

	pass

