extends Node2D

var q_Theme : Theme = Theme.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Theme = Theme.new()
	modify_object(q_Theme)

static func modify_object(q_Theme : Theme) -> void:
	if randi() % 2 == 0:
		print("Executing Theme.get_icon")
		var variable1: String = "."
		var variable2: String = ""
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Theme.get_icon(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Theme.has_icon")
		var variable1: String = ""
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Theme.has_icon(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Theme.rename_icon")
		var variable1: String = ""
		var variable2: String = ""
		var variable3: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Theme.rename_icon(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Theme.clear_icon")
		var variable1: String = str(randi() / 100)
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Theme.clear_icon(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Theme.get_icon_list")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_Theme.get_icon_list(variable1)

	if randi() % 2 == 0:
		print("Executing Theme.get_icon_types")
		print("Parameters[]")
		q_Theme.get_icon_types()

	if randi() % 2 == 0:
		print("Executing Theme.set_stylebox")
		var variable1: String = str(randi() / 100)
		var variable2: String = "."
		var variable3: StyleBoxTexture = StyleBoxTexture.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Theme.set_stylebox(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Theme.get_stylebox")
		var variable1: String = str(randi() / 100)
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Theme.get_stylebox(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Theme.has_stylebox")
		var variable1: String = "."
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Theme.has_stylebox(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Theme.rename_stylebox")
		var variable1: String = "."
		var variable2: String = ""
		var variable3: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Theme.rename_stylebox(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Theme.clear_stylebox")
		var variable1: String = str(randi() / 100)
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Theme.clear_stylebox(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Theme.get_stylebox_list")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_Theme.get_stylebox_list(variable1)

	if randi() % 2 == 0:
		print("Executing Theme.get_stylebox_types")
		print("Parameters[]")
		q_Theme.get_stylebox_types()

	if randi() % 2 == 0:
		print("Executing Theme.set_font")
		var variable1: String = ""
		var variable2: String = "."
		var variable3: DynamicFont = DynamicFont.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Theme.set_font(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Theme.get_font")
		var variable1: String = ""
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Theme.get_font(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Theme.has_font")
		var variable1: String = "."
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Theme.has_font(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Theme.rename_font")
		var variable1: String = "."
		var variable2: String = "."
		var variable3: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Theme.rename_font(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Theme.clear_font")
		var variable1: String = "."
		var variable2: String = ""
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Theme.clear_font(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Theme.get_font_list")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_Theme.get_font_list(variable1)

	if randi() % 2 == 0:
		print("Executing Theme.get_font_types")
		print("Parameters[]")
		q_Theme.get_font_types()

	if randi() % 2 == 0:
		print("Executing Theme.set_color")
		var variable1: String = ""
		var variable2: String = str(randi() / 100)
		var variable3: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Theme.set_color(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Theme.get_color")
		var variable1: String = str(randi() / 100)
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Theme.get_color(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Theme.has_color")
		var variable1: String = ""
		var variable2: String = ""
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Theme.has_color(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Theme.rename_color")
		var variable1: String = str(randi() / 100)
		var variable2: String = "."
		var variable3: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Theme.rename_color(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Theme.clear_color")
		var variable1: String = str(randi() / 100)
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Theme.clear_color(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Theme.get_color_list")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_Theme.get_color_list(variable1)

	if randi() % 2 == 0:
		print("Executing Theme.get_color_types")
		print("Parameters[]")
		q_Theme.get_color_types()

	if randi() % 2 == 0:
		print("Executing Theme.set_constant")
		var variable1: String = str(randi() / 100)
		var variable2: String = ""
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Theme.set_constant(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Theme.get_constant")
		var variable1: String = str(randi() / 100)
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Theme.get_constant(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Theme.has_constant")
		var variable1: String = ""
		var variable2: String = ""
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Theme.has_constant(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Theme.rename_constant")
		var variable1: String = str(randi() / 100)
		var variable2: String = str(randi() / 100)
		var variable3: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Theme.rename_constant(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Theme.clear_constant")
		var variable1: String = str(randi() / 100)
		var variable2: String = ""
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Theme.clear_constant(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Theme.get_constant_list")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_Theme.get_constant_list(variable1)

	if randi() % 2 == 0:
		print("Executing Theme.get_constant_types")
		print("Parameters[]")
		q_Theme.get_constant_types()

	if randi() % 2 == 0:
		print("Executing Theme.clear")
		print("Parameters[]")
		q_Theme.clear()

	if randi() % 2 == 0:
		print("Executing Theme.set_default_font")
		var variable1: BitmapFont = BitmapFont.new()
		print("Parameters[" + str(variable1) + "]")
		q_Theme.set_default_font(variable1)

	if randi() % 2 == 0:
		print("Executing Theme.get_default_font")
		print("Parameters[]")
		q_Theme.get_default_font()

	if randi() % 2 == 0:
		print("Executing Theme.set_theme_item")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = str(randi() / 100)
		var variable3: String = ""
		var variable4 = false
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_Theme.set_theme_item(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing Theme.get_theme_item")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = str(randi() / 100)
		var variable3: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Theme.get_theme_item(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Theme.has_theme_item")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = str(randi() / 100)
		var variable3: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Theme.has_theme_item(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Theme.rename_theme_item")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = "."
		var variable3: String = "."
		var variable4: String = ""
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_Theme.rename_theme_item(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing Theme.clear_theme_item")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = ""
		var variable3: String = ""
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Theme.clear_theme_item(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Theme.get_theme_item_list")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Theme.get_theme_item_list(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Theme.get_theme_item_types")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Theme.get_theme_item_types(variable1)

	if randi() % 2 == 0:
		print("Executing Theme.get_type_list")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_Theme.get_type_list(variable1)

	if randi() % 2 == 0:
		print("Executing Theme._emit_theme_changed")
		print("Parameters[]")
		q_Theme._emit_theme_changed()

	if randi() % 2 == 0:
		print("Executing Theme.copy_default_theme")
		print("Parameters[]")
		q_Theme.copy_default_theme()

	if randi() % 2 == 0:
		print("Executing Theme.copy_theme")
		var variable1: Theme = Theme.new()
		print("Parameters[" + str(variable1) + "]")
		q_Theme.copy_theme(variable1)

	pass

