extends Node2D

var q_VisualScript : VisualScript = VisualScript.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_VisualScript = VisualScript.new()
	modify_object(q_VisualScript)

static func modify_object(q_VisualScript : VisualScript) -> void:
	if randi() % 2 == 0:
		print("Executing VisualScript._node_ports_changed")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VisualScript._node_ports_changed(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScript.add_function")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_VisualScript.add_function(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScript.has_function")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_VisualScript.has_function(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScript.remove_function")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_VisualScript.remove_function(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScript.rename_function")
		var variable1: String = "."
		var variable2: String = ""
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_VisualScript.rename_function(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing VisualScript.set_function_scroll")
		var variable1: String = str(randi() / 100)
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_VisualScript.set_function_scroll(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing VisualScript.get_function_scroll")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_VisualScript.get_function_scroll(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScript.add_node")
		var variable1: String = str(randi() / 100)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: VisualScriptClassConstant = VisualScriptClassConstant.new()
		var variable4: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_VisualScript.add_node(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing VisualScript.remove_node")
		var variable1: String = ""
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_VisualScript.remove_node(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing VisualScript.get_function_node_id")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_VisualScript.get_function_node_id(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScript.get_node")
		var variable1: String = str(randi() / 100)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_VisualScript.get_node(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing VisualScript.has_node")
		var variable1: String = "."
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_VisualScript.has_node(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing VisualScript.set_node_position")
		var variable1: String = ""
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_VisualScript.set_node_position(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing VisualScript.get_node_position")
		var variable1: String = ""
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_VisualScript.get_node_position(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing VisualScript.sequence_connect")
		var variable1: String = str(randi() / 100)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_VisualScript.sequence_connect(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing VisualScript.sequence_disconnect")
		var variable1: String = str(randi() / 100)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_VisualScript.sequence_disconnect(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing VisualScript.has_sequence_connection")
		var variable1: String = "."
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_VisualScript.has_sequence_connection(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing VisualScript.data_connect")
		var variable1: String = ""
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		var variable5: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_VisualScript.data_connect(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing VisualScript.data_disconnect")
		var variable1: String = "."
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		var variable5: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_VisualScript.data_disconnect(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing VisualScript.has_data_connection")
		var variable1: String = ""
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		var variable5: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_VisualScript.has_data_connection(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing VisualScript.add_variable")
		var variable1: String = "."
		var variable2 = false
		var variable3: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_VisualScript.add_variable(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing VisualScript.has_variable")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_VisualScript.has_variable(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScript.remove_variable")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_VisualScript.remove_variable(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScript.set_variable_default_value")
		var variable1: String = str(randi() / 100)
		var variable2 = false
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_VisualScript.set_variable_default_value(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing VisualScript.get_variable_default_value")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_VisualScript.get_variable_default_value(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScript.set_variable_info")
		var variable1: String = "."
		var variable2: Dictionary = {}
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_VisualScript.set_variable_info(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing VisualScript.get_variable_info")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_VisualScript.get_variable_info(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScript.set_variable_export")
		var variable1: String = str(randi() / 100)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_VisualScript.set_variable_export(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing VisualScript.get_variable_export")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_VisualScript.get_variable_export(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScript.rename_variable")
		var variable1: String = str(randi() / 100)
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_VisualScript.rename_variable(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing VisualScript.add_custom_signal")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_VisualScript.add_custom_signal(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScript.has_custom_signal")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_VisualScript.has_custom_signal(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScript.custom_signal_add_argument")
		var variable1: String = str(randi() / 100)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: String = "."
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_VisualScript.custom_signal_add_argument(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing VisualScript.custom_signal_set_argument_type")
		var variable1: String = str(randi() / 100)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_VisualScript.custom_signal_set_argument_type(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing VisualScript.custom_signal_get_argument_type")
		var variable1: String = "."
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_VisualScript.custom_signal_get_argument_type(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing VisualScript.custom_signal_set_argument_name")
		var variable1: String = str(randi() / 100)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_VisualScript.custom_signal_set_argument_name(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing VisualScript.custom_signal_get_argument_name")
		var variable1: String = str(randi() / 100)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_VisualScript.custom_signal_get_argument_name(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing VisualScript.custom_signal_remove_argument")
		var variable1: String = str(randi() / 100)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_VisualScript.custom_signal_remove_argument(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing VisualScript.custom_signal_get_argument_count")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_VisualScript.custom_signal_get_argument_count(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScript.custom_signal_swap_argument")
		var variable1: String = ""
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_VisualScript.custom_signal_swap_argument(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing VisualScript.remove_custom_signal")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_VisualScript.remove_custom_signal(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScript.rename_custom_signal")
		var variable1: String = str(randi() / 100)
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_VisualScript.rename_custom_signal(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing VisualScript.set_instance_base_type")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_VisualScript.set_instance_base_type(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScript._set_data")
		var variable1: Dictionary = {}
		print("Parameters[" + str(variable1) + "]")
		q_VisualScript._set_data(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScript._get_data")
		print("Parameters[]")
		q_VisualScript._get_data()

	pass

