extends Node2D

var q_VisualScriptYieldSignal : VisualScriptYieldSignal = VisualScriptYieldSignal.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_VisualScriptYieldSignal = VisualScriptYieldSignal.new()
	modify_object(q_VisualScriptYieldSignal)

static func modify_object(q_VisualScriptYieldSignal : VisualScriptYieldSignal) -> void:
	if randi() % 2 == 0:
		print("Executing VisualScriptYieldSignal.set_base_type")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_VisualScriptYieldSignal.set_base_type(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScriptYieldSignal.get_base_type")
		print("Parameters[]")
		q_VisualScriptYieldSignal.get_base_type()

	if randi() % 2 == 0:
		print("Executing VisualScriptYieldSignal.set_signal")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_VisualScriptYieldSignal.set_signal(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScriptYieldSignal.get_signal")
		print("Parameters[]")
		q_VisualScriptYieldSignal.get_signal()

	if randi() % 2 == 0:
		print("Executing VisualScriptYieldSignal.set_call_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VisualScriptYieldSignal.set_call_mode(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScriptYieldSignal.get_call_mode")
		print("Parameters[]")
		q_VisualScriptYieldSignal.get_call_mode()

	if randi() % 2 == 0:
		print("Executing VisualScriptYieldSignal.set_base_path")
		var variable1: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + "]")
		q_VisualScriptYieldSignal.set_base_path(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScriptYieldSignal.get_base_path")
		print("Parameters[]")
		q_VisualScriptYieldSignal.get_base_path()

	pass

