extends Node2D

var q_VisualShader : VisualShader = VisualShader.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_VisualShader = VisualShader.new()
	modify_object(q_VisualShader)

static func modify_object(q_VisualShader : VisualShader) -> void:
	if randi() % 2 == 0:
		print("Executing VisualShader.set_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VisualShader.set_mode(variable1)

	if randi() % 2 == 0:
		print("Executing VisualShader.add_node")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: VisualShaderNodeVectorCompose = VisualShaderNodeVectorCompose.new()
		var variable3: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_VisualShader.add_node(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing VisualShader.get_node")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_VisualShader.get_node(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing VisualShader.set_node_position")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_VisualShader.set_node_position(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing VisualShader.get_node_position")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_VisualShader.get_node_position(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing VisualShader.get_node_list")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VisualShader.get_node_list(variable1)

	if randi() % 2 == 0:
		print("Executing VisualShader.get_valid_node_id")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VisualShader.get_valid_node_id(variable1)

	if randi() % 2 == 0:
		print("Executing VisualShader.remove_node")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_VisualShader.remove_node(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing VisualShader.is_node_connection")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		var variable5: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_VisualShader.is_node_connection(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing VisualShader.can_connect_nodes")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		var variable5: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_VisualShader.can_connect_nodes(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing VisualShader.connect_nodes")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		var variable5: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_VisualShader.connect_nodes(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing VisualShader.disconnect_nodes")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		var variable5: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_VisualShader.disconnect_nodes(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing VisualShader.connect_nodes_forced")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		var variable5: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_VisualShader.connect_nodes_forced(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing VisualShader.get_node_connections")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VisualShader.get_node_connections(variable1)

	if randi() % 2 == 0:
		print("Executing VisualShader.set_graph_offset")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_VisualShader.set_graph_offset(variable1)

	if randi() % 2 == 0:
		print("Executing VisualShader.get_graph_offset")
		print("Parameters[]")
		q_VisualShader.get_graph_offset()

	if randi() % 2 == 0:
		print("Executing VisualShader._queue_update")
		print("Parameters[]")
		q_VisualShader._queue_update()

	if randi() % 2 == 0:
		print("Executing VisualShader._update_shader")
		print("Parameters[]")
		q_VisualShader._update_shader()

	if randi() % 2 == 0:
		print("Executing VisualShader._input_type_changed")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_VisualShader._input_type_changed(variable1, variable2)

	pass

