extends Node2D

var q_VisualShaderNodeCubeMap : VisualShaderNodeCubeMap = VisualShaderNodeCubeMap.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_VisualShaderNodeCubeMap = VisualShaderNodeCubeMap.new()
	modify_object(q_VisualShaderNodeCubeMap)

static func modify_object(q_VisualShaderNodeCubeMap : VisualShaderNodeCubeMap) -> void:
	if randi() % 2 == 0:
		print("Executing VisualShaderNodeCubeMap.set_source")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VisualShaderNodeCubeMap.set_source(variable1)

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeCubeMap.get_source")
		print("Parameters[]")
		q_VisualShaderNodeCubeMap.get_source()

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeCubeMap.set_cube_map")
		var variable1: CubeMap = CubeMap.new()
		print("Parameters[" + str(variable1) + "]")
		q_VisualShaderNodeCubeMap.set_cube_map(variable1)

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeCubeMap.get_cube_map")
		print("Parameters[]")
		q_VisualShaderNodeCubeMap.get_cube_map()

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeCubeMap.set_texture_type")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VisualShaderNodeCubeMap.set_texture_type(variable1)

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeCubeMap.get_texture_type")
		print("Parameters[]")
		q_VisualShaderNodeCubeMap.get_texture_type()

	pass

