extends Node2D

var q_VisualShaderNodeGroupBase : VisualShaderNodeGroupBase = VisualShaderNodeGroupBase.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_VisualShaderNodeGroupBase = VisualShaderNodeGroupBase.new()
	modify_object(q_VisualShaderNodeGroupBase)

static func modify_object(q_VisualShaderNodeGroupBase : VisualShaderNodeGroupBase) -> void:
	if randi() % 2 == 0:
		print("Executing VisualShaderNodeGroupBase.set_size")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_VisualShaderNodeGroupBase.set_size(variable1)

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeGroupBase.get_size")
		print("Parameters[]")
		q_VisualShaderNodeGroupBase.get_size()

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeGroupBase.set_inputs")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_VisualShaderNodeGroupBase.set_inputs(variable1)

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeGroupBase.get_inputs")
		print("Parameters[]")
		q_VisualShaderNodeGroupBase.get_inputs()

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeGroupBase.set_outputs")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_VisualShaderNodeGroupBase.set_outputs(variable1)

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeGroupBase.get_outputs")
		print("Parameters[]")
		q_VisualShaderNodeGroupBase.get_outputs()

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeGroupBase.is_valid_port_name")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_VisualShaderNodeGroupBase.is_valid_port_name(variable1)

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeGroupBase.add_input_port")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_VisualShaderNodeGroupBase.add_input_port(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeGroupBase.remove_input_port")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VisualShaderNodeGroupBase.remove_input_port(variable1)

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeGroupBase.get_input_port_count")
		print("Parameters[]")
		q_VisualShaderNodeGroupBase.get_input_port_count()

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeGroupBase.has_input_port")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VisualShaderNodeGroupBase.has_input_port(variable1)

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeGroupBase.clear_input_ports")
		print("Parameters[]")
		q_VisualShaderNodeGroupBase.clear_input_ports()

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeGroupBase.add_output_port")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_VisualShaderNodeGroupBase.add_output_port(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeGroupBase.remove_output_port")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VisualShaderNodeGroupBase.remove_output_port(variable1)

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeGroupBase.get_output_port_count")
		print("Parameters[]")
		q_VisualShaderNodeGroupBase.get_output_port_count()

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeGroupBase.has_output_port")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VisualShaderNodeGroupBase.has_output_port(variable1)

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeGroupBase.clear_output_ports")
		print("Parameters[]")
		q_VisualShaderNodeGroupBase.clear_output_ports()

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeGroupBase.set_input_port_name")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = ""
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_VisualShaderNodeGroupBase.set_input_port_name(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeGroupBase.set_input_port_type")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_VisualShaderNodeGroupBase.set_input_port_type(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeGroupBase.set_output_port_name")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = ""
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_VisualShaderNodeGroupBase.set_output_port_name(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeGroupBase.set_output_port_type")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_VisualShaderNodeGroupBase.set_output_port_type(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeGroupBase.get_free_input_port_id")
		print("Parameters[]")
		q_VisualShaderNodeGroupBase.get_free_input_port_id()

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeGroupBase.get_free_output_port_id")
		print("Parameters[]")
		q_VisualShaderNodeGroupBase.get_free_output_port_id()

	pass

