extends Node2D

var q_VisualShaderNodeTexture : VisualShaderNodeTexture = VisualShaderNodeTexture.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_VisualShaderNodeTexture = VisualShaderNodeTexture.new()
	modify_object(q_VisualShaderNodeTexture)

static func modify_object(q_VisualShaderNodeTexture : VisualShaderNodeTexture) -> void:
	if randi() % 2 == 0:
		print("Executing VisualShaderNodeTexture.set_source")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VisualShaderNodeTexture.set_source(variable1)

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeTexture.get_source")
		print("Parameters[]")
		q_VisualShaderNodeTexture.get_source()

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeTexture.set_texture")
		var variable1: ProxyTexture = ProxyTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_VisualShaderNodeTexture.set_texture(variable1)

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeTexture.get_texture")
		print("Parameters[]")
		q_VisualShaderNodeTexture.get_texture()

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeTexture.set_texture_type")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VisualShaderNodeTexture.set_texture_type(variable1)

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeTexture.get_texture_type")
		print("Parameters[]")
		q_VisualShaderNodeTexture.get_texture_type()

	pass

