extends Node2D

var q_VisualShaderNodeVec3Constant : VisualShaderNodeVec3Constant = VisualShaderNodeVec3Constant.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_VisualShaderNodeVec3Constant = VisualShaderNodeVec3Constant.new()
	modify_object(q_VisualShaderNodeVec3Constant)

static func modify_object(q_VisualShaderNodeVec3Constant : VisualShaderNodeVec3Constant) -> void:
	if randi() % 2 == 0:
		print("Executing VisualShaderNodeVec3Constant.set_constant")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_VisualShaderNodeVec3Constant.set_constant(variable1)

	if randi() % 2 == 0:
		print("Executing VisualShaderNodeVec3Constant.get_constant")
		print("Parameters[]")
		q_VisualShaderNodeVec3Constant.get_constant()

	pass

