extends Node2D

var q_World : World = World.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_World = World.new()
	modify_object(q_World)

static func modify_object(q_World : World) -> void:
	if randi() % 2 == 0:
		print("Executing World.get_space")
		print("Parameters[]")
		q_World.get_space()

	if randi() % 2 == 0:
		print("Executing World.get_scenario")
		print("Parameters[]")
		q_World.get_scenario()

	if randi() % 2 == 0:
		print("Executing World.set_environment")
		var variable1: Environment = Environment.new()
		print("Parameters[" + str(variable1) + "]")
		q_World.set_environment(variable1)

	if randi() % 2 == 0:
		print("Executing World.get_environment")
		print("Parameters[]")
		q_World.get_environment()

	if randi() % 2 == 0:
		print("Executing World.set_fallback_environment")
		var variable1: Environment = Environment.new()
		print("Parameters[" + str(variable1) + "]")
		q_World.set_fallback_environment(variable1)

	if randi() % 2 == 0:
		print("Executing World.get_fallback_environment")
		print("Parameters[]")
		q_World.get_fallback_environment()

	if randi() % 2 == 0:
		print("Executing World.get_direct_space_state")
		print("Parameters[]")
		q_World.get_direct_space_state()

	pass

