extends Node2D

var q_AnimatedSprite : AnimatedSprite = AnimatedSprite.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_AnimatedSprite.queue_free()
		return

	add_child(q_AnimatedSprite)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AnimatedSprite.queue_free()
		q_AnimatedSprite = AnimatedSprite.new()
		add_child(q_AnimatedSprite)

	modify_object(q_AnimatedSprite)

static func modify_object(q_AnimatedSprite : AnimatedSprite) -> void:
	if randi() % 2 == 0:
		print("Executing AnimatedSprite.set_sprite_frames")
		var variable1: SpriteFrames = SpriteFrames.new()
		print("Parameters[" + str(variable1) + "]")
		q_AnimatedSprite.set_sprite_frames(variable1)

	if randi() % 2 == 0:
		print("Executing AnimatedSprite.get_sprite_frames")
		print("Parameters[]")
		q_AnimatedSprite.get_sprite_frames()

	if randi() % 2 == 0:
		print("Executing AnimatedSprite.set_animation")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_AnimatedSprite.set_animation(variable1)

	if randi() % 2 == 0:
		print("Executing AnimatedSprite.get_animation")
		print("Parameters[]")
		q_AnimatedSprite.get_animation()

	if randi() % 2 == 0:
		print("Executing AnimatedSprite._set_playing")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AnimatedSprite._set_playing(variable1)

	if randi() % 2 == 0:
		print("Executing AnimatedSprite._is_playing")
		print("Parameters[]")
		q_AnimatedSprite._is_playing()

	if randi() % 2 == 0:
		print("Executing AnimatedSprite.play")
		var variable1: String = "."
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimatedSprite.play(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimatedSprite.stop")
		print("Parameters[]")
		q_AnimatedSprite.stop()

	if randi() % 2 == 0:
		print("Executing AnimatedSprite.is_playing")
		print("Parameters[]")
		q_AnimatedSprite.is_playing()

	if randi() % 2 == 0:
		print("Executing AnimatedSprite.set_centered")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AnimatedSprite.set_centered(variable1)

	if randi() % 2 == 0:
		print("Executing AnimatedSprite.is_centered")
		print("Parameters[]")
		q_AnimatedSprite.is_centered()

	if randi() % 2 == 0:
		print("Executing AnimatedSprite.set_offset")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_AnimatedSprite.set_offset(variable1)

	if randi() % 2 == 0:
		print("Executing AnimatedSprite.get_offset")
		print("Parameters[]")
		q_AnimatedSprite.get_offset()

	if randi() % 2 == 0:
		print("Executing AnimatedSprite.set_flip_h")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AnimatedSprite.set_flip_h(variable1)

	if randi() % 2 == 0:
		print("Executing AnimatedSprite.is_flipped_h")
		print("Parameters[]")
		q_AnimatedSprite.is_flipped_h()

	if randi() % 2 == 0:
		print("Executing AnimatedSprite.set_flip_v")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AnimatedSprite.set_flip_v(variable1)

	if randi() % 2 == 0:
		print("Executing AnimatedSprite.is_flipped_v")
		print("Parameters[]")
		q_AnimatedSprite.is_flipped_v()

	if randi() % 2 == 0:
		print("Executing AnimatedSprite.set_frame")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimatedSprite.set_frame(variable1)

	if randi() % 2 == 0:
		print("Executing AnimatedSprite.get_frame")
		print("Parameters[]")
		q_AnimatedSprite.get_frame()

	if randi() % 2 == 0:
		print("Executing AnimatedSprite.set_speed_scale")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimatedSprite.set_speed_scale(variable1)

	if randi() % 2 == 0:
		print("Executing AnimatedSprite.get_speed_scale")
		print("Parameters[]")
		q_AnimatedSprite.get_speed_scale()

	if randi() % 2 == 0:
		print("Executing AnimatedSprite._res_changed")
		print("Parameters[]")
		q_AnimatedSprite._res_changed()

	pass

