extends Node2D

var q_BackBufferCopy : BackBufferCopy = BackBufferCopy.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_BackBufferCopy.queue_free()
		return

	add_child(q_BackBufferCopy)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_BackBufferCopy.queue_free()
		q_BackBufferCopy = BackBufferCopy.new()
		add_child(q_BackBufferCopy)

	modify_object(q_BackBufferCopy)

static func modify_object(q_BackBufferCopy : BackBufferCopy) -> void:
	if randi() % 2 == 0:
		print("Executing BackBufferCopy.set_rect")
		var variable1: Rect2 = Rect2(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		print("Parameters[" + str(variable1) + "]")
		q_BackBufferCopy.set_rect(variable1)

	if randi() % 2 == 0:
		print("Executing BackBufferCopy.get_rect")
		print("Parameters[]")
		q_BackBufferCopy.get_rect()

	if randi() % 2 == 0:
		print("Executing BackBufferCopy.set_copy_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_BackBufferCopy.set_copy_mode(variable1)

	if randi() % 2 == 0:
		print("Executing BackBufferCopy.get_copy_mode")
		print("Parameters[]")
		q_BackBufferCopy.get_copy_mode()

	pass

