extends Node2D

var q_CanvasModulate : CanvasModulate = CanvasModulate.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_CanvasModulate.queue_free()
		return

	add_child(q_CanvasModulate)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_CanvasModulate.queue_free()
		q_CanvasModulate = CanvasModulate.new()
		add_child(q_CanvasModulate)

	modify_object(q_CanvasModulate)

static func modify_object(q_CanvasModulate : CanvasModulate) -> void:
	if randi() % 2 == 0:
		print("Executing CanvasModulate.set_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_CanvasModulate.set_color(variable1)

	if randi() % 2 == 0:
		print("Executing CanvasModulate.get_color")
		print("Parameters[]")
		q_CanvasModulate.get_color()

	pass

