extends Node2D

var q_DampedSpringJoint2D : DampedSpringJoint2D = DampedSpringJoint2D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_DampedSpringJoint2D.queue_free()
		return

	add_child(q_DampedSpringJoint2D)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_DampedSpringJoint2D.queue_free()
		q_DampedSpringJoint2D = DampedSpringJoint2D.new()
		add_child(q_DampedSpringJoint2D)

	modify_object(q_DampedSpringJoint2D)

static func modify_object(q_DampedSpringJoint2D : DampedSpringJoint2D) -> void:
	if randi() % 2 == 0:
		print("Executing DampedSpringJoint2D.set_length")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_DampedSpringJoint2D.set_length(variable1)

	if randi() % 2 == 0:
		print("Executing DampedSpringJoint2D.get_length")
		print("Parameters[]")
		q_DampedSpringJoint2D.get_length()

	if randi() % 2 == 0:
		print("Executing DampedSpringJoint2D.set_rest_length")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_DampedSpringJoint2D.set_rest_length(variable1)

	if randi() % 2 == 0:
		print("Executing DampedSpringJoint2D.get_rest_length")
		print("Parameters[]")
		q_DampedSpringJoint2D.get_rest_length()

	if randi() % 2 == 0:
		print("Executing DampedSpringJoint2D.set_stiffness")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_DampedSpringJoint2D.set_stiffness(variable1)

	if randi() % 2 == 0:
		print("Executing DampedSpringJoint2D.get_stiffness")
		print("Parameters[]")
		q_DampedSpringJoint2D.get_stiffness()

	if randi() % 2 == 0:
		print("Executing DampedSpringJoint2D.set_damping")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_DampedSpringJoint2D.set_damping(variable1)

	if randi() % 2 == 0:
		print("Executing DampedSpringJoint2D.get_damping")
		print("Parameters[]")
		q_DampedSpringJoint2D.get_damping()

	pass

