extends Node2D

var q_GrooveJoint2D : GrooveJoint2D = GrooveJoint2D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_GrooveJoint2D.queue_free()
		return

	add_child(q_GrooveJoint2D)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_GrooveJoint2D.queue_free()
		q_GrooveJoint2D = GrooveJoint2D.new()
		add_child(q_GrooveJoint2D)

	modify_object(q_GrooveJoint2D)

static func modify_object(q_GrooveJoint2D : GrooveJoint2D) -> void:
	if randi() % 2 == 0:
		print("Executing GrooveJoint2D.set_length")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GrooveJoint2D.set_length(variable1)

	if randi() % 2 == 0:
		print("Executing GrooveJoint2D.get_length")
		print("Parameters[]")
		q_GrooveJoint2D.get_length()

	if randi() % 2 == 0:
		print("Executing GrooveJoint2D.set_initial_offset")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GrooveJoint2D.set_initial_offset(variable1)

	if randi() % 2 == 0:
		print("Executing GrooveJoint2D.get_initial_offset")
		print("Parameters[]")
		q_GrooveJoint2D.get_initial_offset()

	pass

