extends Node2D

var q_MultiMeshInstance2D : MultiMeshInstance2D = MultiMeshInstance2D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_MultiMeshInstance2D.queue_free()
		return

	add_child(q_MultiMeshInstance2D)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_MultiMeshInstance2D.queue_free()
		q_MultiMeshInstance2D = MultiMeshInstance2D.new()
		add_child(q_MultiMeshInstance2D)

	modify_object(q_MultiMeshInstance2D)

static func modify_object(q_MultiMeshInstance2D : MultiMeshInstance2D) -> void:
	if randi() % 2 == 0:
		print("Executing MultiMeshInstance2D.set_multimesh")
		var variable1: MultiMesh = MultiMesh.new()
		print("Parameters[" + str(variable1) + "]")
		q_MultiMeshInstance2D.set_multimesh(variable1)

	if randi() % 2 == 0:
		print("Executing MultiMeshInstance2D.get_multimesh")
		print("Parameters[]")
		q_MultiMeshInstance2D.get_multimesh()

	if randi() % 2 == 0:
		print("Executing MultiMeshInstance2D.set_texture")
		var variable1: CameraTexture = CameraTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_MultiMeshInstance2D.set_texture(variable1)

	if randi() % 2 == 0:
		print("Executing MultiMeshInstance2D.get_texture")
		print("Parameters[]")
		q_MultiMeshInstance2D.get_texture()

	if randi() % 2 == 0:
		print("Executing MultiMeshInstance2D.set_normal_map")
		var variable1: ExternalTexture = ExternalTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_MultiMeshInstance2D.set_normal_map(variable1)

	if randi() % 2 == 0:
		print("Executing MultiMeshInstance2D.get_normal_map")
		print("Parameters[]")
		q_MultiMeshInstance2D.get_normal_map()

	pass

