extends Node2D

var q_NavigationPolygonInstance : NavigationPolygonInstance = NavigationPolygonInstance.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_NavigationPolygonInstance.queue_free()
		return

	add_child(q_NavigationPolygonInstance)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_NavigationPolygonInstance.queue_free()
		q_NavigationPolygonInstance = NavigationPolygonInstance.new()
		add_child(q_NavigationPolygonInstance)

	modify_object(q_NavigationPolygonInstance)

static func modify_object(q_NavigationPolygonInstance : NavigationPolygonInstance) -> void:
	if randi() % 2 == 0:
		print("Executing NavigationPolygonInstance.set_navigation_polygon")
		var variable1: NavigationPolygon = NavigationPolygon.new()
		print("Parameters[" + str(variable1) + "]")
		q_NavigationPolygonInstance.set_navigation_polygon(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationPolygonInstance.get_navigation_polygon")
		print("Parameters[]")
		q_NavigationPolygonInstance.get_navigation_polygon()

	if randi() % 2 == 0:
		print("Executing NavigationPolygonInstance.set_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_NavigationPolygonInstance.set_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationPolygonInstance.is_enabled")
		print("Parameters[]")
		q_NavigationPolygonInstance.is_enabled()

	if randi() % 2 == 0:
		print("Executing NavigationPolygonInstance._navpoly_changed")
		print("Parameters[]")
		q_NavigationPolygonInstance._navpoly_changed()

	pass

