extends Node2D

var q_Path2D : Path2D = Path2D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Path2D.queue_free()
		return

	add_child(q_Path2D)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Path2D.queue_free()
		q_Path2D = Path2D.new()
		add_child(q_Path2D)

	modify_object(q_Path2D)

static func modify_object(q_Path2D : Path2D) -> void:
	if randi() % 2 == 0:
		print("Executing Path2D.set_curve")
		var variable1: Curve2D = Curve2D.new()
		print("Parameters[" + str(variable1) + "]")
		q_Path2D.set_curve(variable1)

	if randi() % 2 == 0:
		print("Executing Path2D.get_curve")
		print("Parameters[]")
		q_Path2D.get_curve()

	if randi() % 2 == 0:
		print("Executing Path2D._curve_changed")
		print("Parameters[]")
		q_Path2D._curve_changed()

	pass

