extends Node2D

var q_PinJoint2D : PinJoint2D = PinJoint2D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_PinJoint2D.queue_free()
		return

	add_child(q_PinJoint2D)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_PinJoint2D.queue_free()
		q_PinJoint2D = PinJoint2D.new()
		add_child(q_PinJoint2D)

	modify_object(q_PinJoint2D)

static func modify_object(q_PinJoint2D : PinJoint2D) -> void:
	if randi() % 2 == 0:
		print("Executing PinJoint2D.set_softness")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PinJoint2D.set_softness(variable1)

	if randi() % 2 == 0:
		print("Executing PinJoint2D.get_softness")
		print("Parameters[]")
		q_PinJoint2D.get_softness()

	pass

