extends Node2D

var q_Polygon2D : Polygon2D = Polygon2D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Polygon2D.queue_free()
		return

	add_child(q_Polygon2D)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Polygon2D.queue_free()
		q_Polygon2D = Polygon2D.new()
		add_child(q_Polygon2D)

	modify_object(q_Polygon2D)

static func modify_object(q_Polygon2D : Polygon2D) -> void:
	if randi() % 2 == 0:
		print("Executing Polygon2D.set_polygon")
		var variable1: PoolVector2Array = PoolVector2Array([])
		print("Parameters[" + str(variable1) + "]")
		q_Polygon2D.set_polygon(variable1)

	if randi() % 2 == 0:
		print("Executing Polygon2D.get_polygon")
		print("Parameters[]")
		q_Polygon2D.get_polygon()

	if randi() % 2 == 0:
		print("Executing Polygon2D.set_uv")
		var variable1: PoolVector2Array = PoolVector2Array([])
		print("Parameters[" + str(variable1) + "]")
		q_Polygon2D.set_uv(variable1)

	if randi() % 2 == 0:
		print("Executing Polygon2D.get_uv")
		print("Parameters[]")
		q_Polygon2D.get_uv()

	if randi() % 2 == 0:
		print("Executing Polygon2D.set_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Polygon2D.set_color(variable1)

	if randi() % 2 == 0:
		print("Executing Polygon2D.get_color")
		print("Parameters[]")
		q_Polygon2D.get_color()

	if randi() % 2 == 0:
		print("Executing Polygon2D.set_polygons")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_Polygon2D.set_polygons(variable1)

	if randi() % 2 == 0:
		print("Executing Polygon2D.get_polygons")
		print("Parameters[]")
		q_Polygon2D.get_polygons()

	if randi() % 2 == 0:
		print("Executing Polygon2D.set_vertex_colors")
		var variable1: PoolColorArray = PoolColorArray([])
		print("Parameters[" + str(variable1) + "]")
		q_Polygon2D.set_vertex_colors(variable1)

	if randi() % 2 == 0:
		print("Executing Polygon2D.get_vertex_colors")
		print("Parameters[]")
		q_Polygon2D.get_vertex_colors()

	if randi() % 2 == 0:
		print("Executing Polygon2D.set_texture")
		var variable1: ViewportTexture = ViewportTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_Polygon2D.set_texture(variable1)

	if randi() % 2 == 0:
		print("Executing Polygon2D.get_texture")
		print("Parameters[]")
		q_Polygon2D.get_texture()

	if randi() % 2 == 0:
		print("Executing Polygon2D.set_texture_offset")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Polygon2D.set_texture_offset(variable1)

	if randi() % 2 == 0:
		print("Executing Polygon2D.get_texture_offset")
		print("Parameters[]")
		q_Polygon2D.get_texture_offset()

	if randi() % 2 == 0:
		print("Executing Polygon2D.set_texture_rotation")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Polygon2D.set_texture_rotation(variable1)

	if randi() % 2 == 0:
		print("Executing Polygon2D.get_texture_rotation")
		print("Parameters[]")
		q_Polygon2D.get_texture_rotation()

	if randi() % 2 == 0:
		print("Executing Polygon2D.set_texture_rotation_degrees")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Polygon2D.set_texture_rotation_degrees(variable1)

	if randi() % 2 == 0:
		print("Executing Polygon2D.get_texture_rotation_degrees")
		print("Parameters[]")
		q_Polygon2D.get_texture_rotation_degrees()

	if randi() % 2 == 0:
		print("Executing Polygon2D.set_texture_scale")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Polygon2D.set_texture_scale(variable1)

	if randi() % 2 == 0:
		print("Executing Polygon2D.get_texture_scale")
		print("Parameters[]")
		q_Polygon2D.get_texture_scale()

	if randi() % 2 == 0:
		print("Executing Polygon2D.set_invert")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Polygon2D.set_invert(variable1)

	if randi() % 2 == 0:
		print("Executing Polygon2D.get_invert")
		print("Parameters[]")
		q_Polygon2D.get_invert()

	if randi() % 2 == 0:
		print("Executing Polygon2D.set_antialiased")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Polygon2D.set_antialiased(variable1)

	if randi() % 2 == 0:
		print("Executing Polygon2D.get_antialiased")
		print("Parameters[]")
		q_Polygon2D.get_antialiased()

	if randi() % 2 == 0:
		print("Executing Polygon2D.set_invert_border")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Polygon2D.set_invert_border(variable1)

	if randi() % 2 == 0:
		print("Executing Polygon2D.get_invert_border")
		print("Parameters[]")
		q_Polygon2D.get_invert_border()

	if randi() % 2 == 0:
		print("Executing Polygon2D.set_offset")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Polygon2D.set_offset(variable1)

	if randi() % 2 == 0:
		print("Executing Polygon2D.get_offset")
		print("Parameters[]")
		q_Polygon2D.get_offset()

	if randi() % 2 == 0:
		print("Executing Polygon2D.add_bone")
		var variable1: NodePath = NodePath(".")
		var variable2: PoolRealArray = PoolRealArray([])
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Polygon2D.add_bone(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Polygon2D.get_bone_count")
		print("Parameters[]")
		q_Polygon2D.get_bone_count()

	if randi() % 2 == 0:
		print("Executing Polygon2D.get_bone_path")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Polygon2D.get_bone_path(variable1)

	if randi() % 2 == 0:
		print("Executing Polygon2D.get_bone_weights")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Polygon2D.get_bone_weights(variable1)

	if randi() % 2 == 0:
		print("Executing Polygon2D.erase_bone")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Polygon2D.erase_bone(variable1)

	if randi() % 2 == 0:
		print("Executing Polygon2D.clear_bones")
		print("Parameters[]")
		q_Polygon2D.clear_bones()

	if randi() % 2 == 0:
		print("Executing Polygon2D.set_bone_path")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Polygon2D.set_bone_path(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Polygon2D.set_bone_weights")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: PoolRealArray = PoolRealArray([])
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Polygon2D.set_bone_weights(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Polygon2D.set_skeleton")
		var variable1: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + "]")
		q_Polygon2D.set_skeleton(variable1)

	if randi() % 2 == 0:
		print("Executing Polygon2D.get_skeleton")
		print("Parameters[]")
		q_Polygon2D.get_skeleton()

	if randi() % 2 == 0:
		print("Executing Polygon2D.set_internal_vertex_count")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Polygon2D.set_internal_vertex_count(variable1)

	if randi() % 2 == 0:
		print("Executing Polygon2D.get_internal_vertex_count")
		print("Parameters[]")
		q_Polygon2D.get_internal_vertex_count()

	if randi() % 2 == 0:
		print("Executing Polygon2D._set_bones")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_Polygon2D._set_bones(variable1)

	if randi() % 2 == 0:
		print("Executing Polygon2D._get_bones")
		print("Parameters[]")
		q_Polygon2D._get_bones()

	if randi() % 2 == 0:
		print("Executing Polygon2D._skeleton_bone_setup_changed")
		print("Parameters[]")
		q_Polygon2D._skeleton_bone_setup_changed()

	pass

