extends Node2D

var q_Position2D : Position2D = Position2D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Position2D.queue_free()
		return

	add_child(q_Position2D)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Position2D.queue_free()
		q_Position2D = Position2D.new()
		add_child(q_Position2D)

	modify_object(q_Position2D)

static func modify_object(q_Position2D : Position2D) -> void:
	if randi() % 2 == 0:
		print("Executing Position2D._set_gizmo_extents")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Position2D._set_gizmo_extents(variable1)

	if randi() % 2 == 0:
		print("Executing Position2D._get_gizmo_extents")
		print("Parameters[]")
		q_Position2D._get_gizmo_extents()

	pass

