extends Node2D

var q_RigidBody2D : RigidBody2D = RigidBody2D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_RigidBody2D.queue_free()
		return

	add_child(q_RigidBody2D)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_RigidBody2D.queue_free()
		q_RigidBody2D = RigidBody2D.new()
		add_child(q_RigidBody2D)

	modify_object(q_RigidBody2D)

static func modify_object(q_RigidBody2D : RigidBody2D) -> void:
	if randi() % 2 == 0:
		print("Executing RigidBody2D.set_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody2D.set_mode(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody2D.get_mode")
		print("Parameters[]")
		q_RigidBody2D.get_mode()

	if randi() % 2 == 0:
		print("Executing RigidBody2D.set_mass")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody2D.set_mass(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody2D.get_mass")
		print("Parameters[]")
		q_RigidBody2D.get_mass()

	if randi() % 2 == 0:
		print("Executing RigidBody2D.get_inertia")
		print("Parameters[]")
		q_RigidBody2D.get_inertia()

	if randi() % 2 == 0:
		print("Executing RigidBody2D.set_inertia")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody2D.set_inertia(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody2D.set_weight")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody2D.set_weight(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody2D.get_weight")
		print("Parameters[]")
		q_RigidBody2D.get_weight()

	if randi() % 2 == 0:
		print("Executing RigidBody2D.set_friction")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody2D.set_friction(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody2D.get_friction")
		print("Parameters[]")
		q_RigidBody2D.get_friction()

	if randi() % 2 == 0:
		print("Executing RigidBody2D.set_bounce")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody2D.set_bounce(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody2D.get_bounce")
		print("Parameters[]")
		q_RigidBody2D.get_bounce()

	if randi() % 2 == 0:
		print("Executing RigidBody2D.set_physics_material_override")
		var variable1: PhysicsMaterial = PhysicsMaterial.new()
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody2D.set_physics_material_override(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody2D.get_physics_material_override")
		print("Parameters[]")
		q_RigidBody2D.get_physics_material_override()

	if randi() % 2 == 0:
		print("Executing RigidBody2D._reload_physics_characteristics")
		print("Parameters[]")
		q_RigidBody2D._reload_physics_characteristics()

	if randi() % 2 == 0:
		print("Executing RigidBody2D.set_gravity_scale")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody2D.set_gravity_scale(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody2D.get_gravity_scale")
		print("Parameters[]")
		q_RigidBody2D.get_gravity_scale()

	if randi() % 2 == 0:
		print("Executing RigidBody2D.set_linear_damp")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody2D.set_linear_damp(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody2D.get_linear_damp")
		print("Parameters[]")
		q_RigidBody2D.get_linear_damp()

	if randi() % 2 == 0:
		print("Executing RigidBody2D.set_angular_damp")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody2D.set_angular_damp(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody2D.get_angular_damp")
		print("Parameters[]")
		q_RigidBody2D.get_angular_damp()

	if randi() % 2 == 0:
		print("Executing RigidBody2D.set_linear_velocity")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody2D.set_linear_velocity(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody2D.get_linear_velocity")
		print("Parameters[]")
		q_RigidBody2D.get_linear_velocity()

	if randi() % 2 == 0:
		print("Executing RigidBody2D.set_angular_velocity")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody2D.set_angular_velocity(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody2D.get_angular_velocity")
		print("Parameters[]")
		q_RigidBody2D.get_angular_velocity()

	if randi() % 2 == 0:
		print("Executing RigidBody2D.set_max_contacts_reported")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody2D.set_max_contacts_reported(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody2D.get_max_contacts_reported")
		print("Parameters[]")
		q_RigidBody2D.get_max_contacts_reported()

	if randi() % 2 == 0:
		print("Executing RigidBody2D.set_use_custom_integrator")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody2D.set_use_custom_integrator(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody2D.is_using_custom_integrator")
		print("Parameters[]")
		q_RigidBody2D.is_using_custom_integrator()

	if randi() % 2 == 0:
		print("Executing RigidBody2D.set_contact_monitor")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody2D.set_contact_monitor(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody2D.is_contact_monitor_enabled")
		print("Parameters[]")
		q_RigidBody2D.is_contact_monitor_enabled()

	if randi() % 2 == 0:
		print("Executing RigidBody2D.set_continuous_collision_detection_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody2D.set_continuous_collision_detection_mode(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody2D.get_continuous_collision_detection_mode")
		print("Parameters[]")
		q_RigidBody2D.get_continuous_collision_detection_mode()

	if randi() % 2 == 0:
		print("Executing RigidBody2D.set_axis_velocity")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody2D.set_axis_velocity(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody2D.apply_central_impulse")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody2D.apply_central_impulse(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody2D.apply_impulse")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_RigidBody2D.apply_impulse(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing RigidBody2D.apply_torque_impulse")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody2D.apply_torque_impulse(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody2D.set_applied_force")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody2D.set_applied_force(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody2D.get_applied_force")
		print("Parameters[]")
		q_RigidBody2D.get_applied_force()

	if randi() % 2 == 0:
		print("Executing RigidBody2D.set_applied_torque")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody2D.set_applied_torque(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody2D.get_applied_torque")
		print("Parameters[]")
		q_RigidBody2D.get_applied_torque()

	if randi() % 2 == 0:
		print("Executing RigidBody2D.add_central_force")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody2D.add_central_force(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody2D.add_force")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_RigidBody2D.add_force(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing RigidBody2D.add_torque")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody2D.add_torque(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody2D.set_sleeping")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody2D.set_sleeping(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody2D.is_sleeping")
		print("Parameters[]")
		q_RigidBody2D.is_sleeping()

	if randi() % 2 == 0:
		print("Executing RigidBody2D.set_can_sleep")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody2D.set_can_sleep(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody2D.is_able_to_sleep")
		print("Parameters[]")
		q_RigidBody2D.is_able_to_sleep()

	if randi() % 2 == 0:
		print("Executing RigidBody2D.test_motion")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: bool = bool(randi() % 2)
		var variable3: float = (randf() * 10) - (10 / 2.0)
		var variable4: Physics2DTestMotionResult = Physics2DTestMotionResult.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_RigidBody2D.test_motion(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing RigidBody2D._body_enter_tree")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody2D._body_enter_tree(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody2D._body_exit_tree")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RigidBody2D._body_exit_tree(variable1)

	if randi() % 2 == 0:
		print("Executing RigidBody2D.get_colliding_bodies")
		print("Parameters[]")
		q_RigidBody2D.get_colliding_bodies()

	pass

