extends Node2D

var q_Skeleton2D : Skeleton2D = Skeleton2D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Skeleton2D.queue_free()
		return

	add_child(q_Skeleton2D)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Skeleton2D.queue_free()
		q_Skeleton2D = Skeleton2D.new()
		add_child(q_Skeleton2D)

	modify_object(q_Skeleton2D)

static func modify_object(q_Skeleton2D : Skeleton2D) -> void:
	if randi() % 2 == 0:
		print("Executing Skeleton2D._update_bone_setup")
		print("Parameters[]")
		q_Skeleton2D._update_bone_setup()

	if randi() % 2 == 0:
		print("Executing Skeleton2D._update_transform")
		print("Parameters[]")
		q_Skeleton2D._update_transform()

	if randi() % 2 == 0:
		print("Executing Skeleton2D.get_bone_count")
		print("Parameters[]")
		q_Skeleton2D.get_bone_count()

	if randi() % 2 == 0:
		print("Executing Skeleton2D.get_bone")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Skeleton2D.get_bone(variable1)

	if randi() % 2 == 0:
		print("Executing Skeleton2D.get_skeleton")
		print("Parameters[]")
		q_Skeleton2D.get_skeleton()

	pass

