extends Node2D

var q_Sprite : Sprite = Sprite.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Sprite.queue_free()
		return

	add_child(q_Sprite)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Sprite.queue_free()
		q_Sprite = Sprite.new()
		add_child(q_Sprite)

	modify_object(q_Sprite)

static func modify_object(q_Sprite : Sprite) -> void:
	if randi() % 2 == 0:
		print("Executing Sprite.set_texture")
		var variable1: LargeTexture = LargeTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_Sprite.set_texture(variable1)

	if randi() % 2 == 0:
		print("Executing Sprite.get_texture")
		print("Parameters[]")
		q_Sprite.get_texture()

	if randi() % 2 == 0:
		print("Executing Sprite.set_normal_map")
		var variable1: NoiseTexture = NoiseTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_Sprite.set_normal_map(variable1)

	if randi() % 2 == 0:
		print("Executing Sprite.get_normal_map")
		print("Parameters[]")
		q_Sprite.get_normal_map()

	if randi() % 2 == 0:
		print("Executing Sprite.set_centered")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Sprite.set_centered(variable1)

	if randi() % 2 == 0:
		print("Executing Sprite.is_centered")
		print("Parameters[]")
		q_Sprite.is_centered()

	if randi() % 2 == 0:
		print("Executing Sprite.set_offset")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Sprite.set_offset(variable1)

	if randi() % 2 == 0:
		print("Executing Sprite.get_offset")
		print("Parameters[]")
		q_Sprite.get_offset()

	if randi() % 2 == 0:
		print("Executing Sprite.set_flip_h")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Sprite.set_flip_h(variable1)

	if randi() % 2 == 0:
		print("Executing Sprite.is_flipped_h")
		print("Parameters[]")
		q_Sprite.is_flipped_h()

	if randi() % 2 == 0:
		print("Executing Sprite.set_flip_v")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Sprite.set_flip_v(variable1)

	if randi() % 2 == 0:
		print("Executing Sprite.is_flipped_v")
		print("Parameters[]")
		q_Sprite.is_flipped_v()

	if randi() % 2 == 0:
		print("Executing Sprite.set_region")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Sprite.set_region(variable1)

	if randi() % 2 == 0:
		print("Executing Sprite.is_region")
		print("Parameters[]")
		q_Sprite.is_region()

	if randi() % 2 == 0:
		print("Executing Sprite.is_pixel_opaque")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Sprite.is_pixel_opaque(variable1)

	if randi() % 2 == 0:
		print("Executing Sprite.set_region_rect")
		var variable1: Rect2 = Rect2(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		print("Parameters[" + str(variable1) + "]")
		q_Sprite.set_region_rect(variable1)

	if randi() % 2 == 0:
		print("Executing Sprite.get_region_rect")
		print("Parameters[]")
		q_Sprite.get_region_rect()

	if randi() % 2 == 0:
		print("Executing Sprite.set_region_filter_clip")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Sprite.set_region_filter_clip(variable1)

	if randi() % 2 == 0:
		print("Executing Sprite.is_region_filter_clip_enabled")
		print("Parameters[]")
		q_Sprite.is_region_filter_clip_enabled()

	if randi() % 2 == 0:
		print("Executing Sprite.set_frame")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Sprite.set_frame(variable1)

	if randi() % 2 == 0:
		print("Executing Sprite.get_frame")
		print("Parameters[]")
		q_Sprite.get_frame()

	if randi() % 2 == 0:
		print("Executing Sprite.set_frame_coords")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Sprite.set_frame_coords(variable1)

	if randi() % 2 == 0:
		print("Executing Sprite.get_frame_coords")
		print("Parameters[]")
		q_Sprite.get_frame_coords()

	if randi() % 2 == 0:
		print("Executing Sprite.set_vframes")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Sprite.set_vframes(variable1)

	if randi() % 2 == 0:
		print("Executing Sprite.get_vframes")
		print("Parameters[]")
		q_Sprite.get_vframes()

	if randi() % 2 == 0:
		print("Executing Sprite.set_hframes")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Sprite.set_hframes(variable1)

	if randi() % 2 == 0:
		print("Executing Sprite.get_hframes")
		print("Parameters[]")
		q_Sprite.get_hframes()

	if randi() % 2 == 0:
		print("Executing Sprite.get_rect")
		print("Parameters[]")
		q_Sprite.get_rect()

	if randi() % 2 == 0:
		print("Executing Sprite._texture_changed")
		print("Parameters[]")
		q_Sprite._texture_changed()

	pass

