extends Node2D

var q_StaticBody2D : StaticBody2D = StaticBody2D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_StaticBody2D.queue_free()
		return

	add_child(q_StaticBody2D)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_StaticBody2D.queue_free()
		q_StaticBody2D = StaticBody2D.new()
		add_child(q_StaticBody2D)

	modify_object(q_StaticBody2D)

static func modify_object(q_StaticBody2D : StaticBody2D) -> void:
	if randi() % 2 == 0:
		print("Executing StaticBody2D.set_constant_linear_velocity")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_StaticBody2D.set_constant_linear_velocity(variable1)

	if randi() % 2 == 0:
		print("Executing StaticBody2D.set_constant_angular_velocity")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StaticBody2D.set_constant_angular_velocity(variable1)

	if randi() % 2 == 0:
		print("Executing StaticBody2D.get_constant_linear_velocity")
		print("Parameters[]")
		q_StaticBody2D.get_constant_linear_velocity()

	if randi() % 2 == 0:
		print("Executing StaticBody2D.get_constant_angular_velocity")
		print("Parameters[]")
		q_StaticBody2D.get_constant_angular_velocity()

	if randi() % 2 == 0:
		print("Executing StaticBody2D.set_friction")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StaticBody2D.set_friction(variable1)

	if randi() % 2 == 0:
		print("Executing StaticBody2D.get_friction")
		print("Parameters[]")
		q_StaticBody2D.get_friction()

	if randi() % 2 == 0:
		print("Executing StaticBody2D.set_bounce")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StaticBody2D.set_bounce(variable1)

	if randi() % 2 == 0:
		print("Executing StaticBody2D.get_bounce")
		print("Parameters[]")
		q_StaticBody2D.get_bounce()

	if randi() % 2 == 0:
		print("Executing StaticBody2D.set_physics_material_override")
		var variable1: PhysicsMaterial = PhysicsMaterial.new()
		print("Parameters[" + str(variable1) + "]")
		q_StaticBody2D.set_physics_material_override(variable1)

	if randi() % 2 == 0:
		print("Executing StaticBody2D.get_physics_material_override")
		print("Parameters[]")
		q_StaticBody2D.get_physics_material_override()

	if randi() % 2 == 0:
		print("Executing StaticBody2D._reload_physics_characteristics")
		print("Parameters[]")
		q_StaticBody2D._reload_physics_characteristics()

	pass

