extends Node2D

var q_VisibilityNotifier2D : VisibilityNotifier2D = VisibilityNotifier2D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_VisibilityNotifier2D.queue_free()
		return

	add_child(q_VisibilityNotifier2D)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_VisibilityNotifier2D.queue_free()
		q_VisibilityNotifier2D = VisibilityNotifier2D.new()
		add_child(q_VisibilityNotifier2D)

	modify_object(q_VisibilityNotifier2D)

static func modify_object(q_VisibilityNotifier2D : VisibilityNotifier2D) -> void:
	if randi() % 2 == 0:
		print("Executing VisibilityNotifier2D.set_rect")
		var variable1: Rect2 = Rect2(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		print("Parameters[" + str(variable1) + "]")
		q_VisibilityNotifier2D.set_rect(variable1)

	if randi() % 2 == 0:
		print("Executing VisibilityNotifier2D.get_rect")
		print("Parameters[]")
		q_VisibilityNotifier2D.get_rect()

	pass

