extends Node2D

var q_ARVROrigin : ARVROrigin = ARVROrigin.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_ARVROrigin.queue_free()
		return

	add_child(q_ARVROrigin)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_ARVROrigin.queue_free()
		q_ARVROrigin = ARVROrigin.new()
		add_child(q_ARVROrigin)

	modify_object(q_ARVROrigin)

static func modify_object(q_ARVROrigin : ARVROrigin) -> void:
	if randi() % 2 == 0:
		print("Executing ARVROrigin.set_world_scale")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ARVROrigin.set_world_scale(variable1)

	if randi() % 2 == 0:
		print("Executing ARVROrigin.get_world_scale")
		print("Parameters[]")
		q_ARVROrigin.get_world_scale()

	pass

