extends Node2D

var q_AudioStreamPlayer3D : AudioStreamPlayer3D = AudioStreamPlayer3D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_AudioStreamPlayer3D.queue_free()
		return

	add_child(q_AudioStreamPlayer3D)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AudioStreamPlayer3D.queue_free()
		q_AudioStreamPlayer3D = AudioStreamPlayer3D.new()
		add_child(q_AudioStreamPlayer3D)

	modify_object(q_AudioStreamPlayer3D)

static func modify_object(q_AudioStreamPlayer3D : AudioStreamPlayer3D) -> void:
	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.set_stream")
		var variable1: AudioStreamRandomPitch = AudioStreamRandomPitch.new()
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer3D.set_stream(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.get_stream")
		print("Parameters[]")
		q_AudioStreamPlayer3D.get_stream()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.set_unit_db")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer3D.set_unit_db(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.get_unit_db")
		print("Parameters[]")
		q_AudioStreamPlayer3D.get_unit_db()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.set_unit_size")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer3D.set_unit_size(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.get_unit_size")
		print("Parameters[]")
		q_AudioStreamPlayer3D.get_unit_size()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.set_max_db")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer3D.set_max_db(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.get_max_db")
		print("Parameters[]")
		q_AudioStreamPlayer3D.get_max_db()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.set_pitch_scale")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer3D.set_pitch_scale(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.get_pitch_scale")
		print("Parameters[]")
		q_AudioStreamPlayer3D.get_pitch_scale()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.play")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer3D.play(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.seek")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer3D.seek(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.stop")
		print("Parameters[]")
		q_AudioStreamPlayer3D.stop()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.is_playing")
		print("Parameters[]")
		q_AudioStreamPlayer3D.is_playing()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.get_playback_position")
		print("Parameters[]")
		q_AudioStreamPlayer3D.get_playback_position()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.set_bus")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer3D.set_bus(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.get_bus")
		print("Parameters[]")
		q_AudioStreamPlayer3D.get_bus()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.set_autoplay")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer3D.set_autoplay(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.is_autoplay_enabled")
		print("Parameters[]")
		q_AudioStreamPlayer3D.is_autoplay_enabled()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D._set_playing")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer3D._set_playing(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D._is_active")
		print("Parameters[]")
		q_AudioStreamPlayer3D._is_active()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.set_max_distance")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer3D.set_max_distance(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.get_max_distance")
		print("Parameters[]")
		q_AudioStreamPlayer3D.get_max_distance()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.set_area_mask")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer3D.set_area_mask(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.get_area_mask")
		print("Parameters[]")
		q_AudioStreamPlayer3D.get_area_mask()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.set_emission_angle")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer3D.set_emission_angle(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.get_emission_angle")
		print("Parameters[]")
		q_AudioStreamPlayer3D.get_emission_angle()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.set_emission_angle_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer3D.set_emission_angle_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.is_emission_angle_enabled")
		print("Parameters[]")
		q_AudioStreamPlayer3D.is_emission_angle_enabled()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.set_emission_angle_filter_attenuation_db")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer3D.set_emission_angle_filter_attenuation_db(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.get_emission_angle_filter_attenuation_db")
		print("Parameters[]")
		q_AudioStreamPlayer3D.get_emission_angle_filter_attenuation_db()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.set_attenuation_filter_cutoff_hz")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer3D.set_attenuation_filter_cutoff_hz(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.get_attenuation_filter_cutoff_hz")
		print("Parameters[]")
		q_AudioStreamPlayer3D.get_attenuation_filter_cutoff_hz()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.set_attenuation_filter_db")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer3D.set_attenuation_filter_db(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.get_attenuation_filter_db")
		print("Parameters[]")
		q_AudioStreamPlayer3D.get_attenuation_filter_db()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.set_attenuation_model")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer3D.set_attenuation_model(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.get_attenuation_model")
		print("Parameters[]")
		q_AudioStreamPlayer3D.get_attenuation_model()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.set_out_of_range_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer3D.set_out_of_range_mode(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.get_out_of_range_mode")
		print("Parameters[]")
		q_AudioStreamPlayer3D.get_out_of_range_mode()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.set_doppler_tracking")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer3D.set_doppler_tracking(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.get_doppler_tracking")
		print("Parameters[]")
		q_AudioStreamPlayer3D.get_doppler_tracking()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.set_stream_paused")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer3D.set_stream_paused(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.get_stream_paused")
		print("Parameters[]")
		q_AudioStreamPlayer3D.get_stream_paused()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D.get_stream_playback")
		print("Parameters[]")
		q_AudioStreamPlayer3D.get_stream_playback()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer3D._bus_layout_changed")
		print("Parameters[]")
		q_AudioStreamPlayer3D._bus_layout_changed()

	pass

