extends Node2D

var q_CPUParticles : CPUParticles = CPUParticles.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_CPUParticles.queue_free()
		return

	add_child(q_CPUParticles)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_CPUParticles.queue_free()
		q_CPUParticles = CPUParticles.new()
		add_child(q_CPUParticles)

	modify_object(q_CPUParticles)

static func modify_object(q_CPUParticles : CPUParticles) -> void:
	if randi() % 2 == 0:
		print("Executing CPUParticles.set_emitting")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.set_emitting(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_lifetime")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.set_lifetime(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_one_shot")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.set_one_shot(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_pre_process_time")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.set_pre_process_time(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_explosiveness_ratio")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.set_explosiveness_ratio(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_randomness_ratio")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.set_randomness_ratio(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_lifetime_randomness")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.set_lifetime_randomness(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_use_local_coordinates")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.set_use_local_coordinates(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_fixed_fps")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.set_fixed_fps(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_fractional_delta")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.set_fractional_delta(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_speed_scale")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.set_speed_scale(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.is_emitting")
		print("Parameters[]")
		q_CPUParticles.is_emitting()

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_amount")
		print("Parameters[]")
		q_CPUParticles.get_amount()

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_lifetime")
		print("Parameters[]")
		q_CPUParticles.get_lifetime()

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_one_shot")
		print("Parameters[]")
		q_CPUParticles.get_one_shot()

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_pre_process_time")
		print("Parameters[]")
		q_CPUParticles.get_pre_process_time()

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_explosiveness_ratio")
		print("Parameters[]")
		q_CPUParticles.get_explosiveness_ratio()

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_randomness_ratio")
		print("Parameters[]")
		q_CPUParticles.get_randomness_ratio()

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_lifetime_randomness")
		print("Parameters[]")
		q_CPUParticles.get_lifetime_randomness()

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_use_local_coordinates")
		print("Parameters[]")
		q_CPUParticles.get_use_local_coordinates()

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_fixed_fps")
		print("Parameters[]")
		q_CPUParticles.get_fixed_fps()

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_fractional_delta")
		print("Parameters[]")
		q_CPUParticles.get_fractional_delta()

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_speed_scale")
		print("Parameters[]")
		q_CPUParticles.get_speed_scale()

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_draw_order")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.set_draw_order(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_draw_order")
		print("Parameters[]")
		q_CPUParticles.get_draw_order()

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_mesh")
		var variable1: PrismMesh = PrismMesh.new()
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.set_mesh(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_mesh")
		print("Parameters[]")
		q_CPUParticles.get_mesh()

	if randi() % 2 == 0:
		print("Executing CPUParticles.restart")
		print("Parameters[]")
		q_CPUParticles.restart()

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_direction")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.set_direction(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_direction")
		print("Parameters[]")
		q_CPUParticles.get_direction()

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_spread")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.set_spread(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_spread")
		print("Parameters[]")
		q_CPUParticles.get_spread()

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_flatness")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.set_flatness(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_flatness")
		print("Parameters[]")
		q_CPUParticles.get_flatness()

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_param")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_CPUParticles.set_param(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_param")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.get_param(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_param_randomness")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_CPUParticles.set_param_randomness(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_param_randomness")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.get_param_randomness(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_param_curve")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Curve = Curve.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_CPUParticles.set_param_curve(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_param_curve")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.get_param_curve(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.set_color(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_color")
		print("Parameters[]")
		q_CPUParticles.get_color()

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_color_ramp")
		var variable1: Gradient = Gradient.new()
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.set_color_ramp(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_color_ramp")
		print("Parameters[]")
		q_CPUParticles.get_color_ramp()

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_particle_flag")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_CPUParticles.set_particle_flag(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_particle_flag")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.get_particle_flag(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_emission_shape")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.set_emission_shape(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_emission_shape")
		print("Parameters[]")
		q_CPUParticles.get_emission_shape()

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_emission_sphere_radius")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.set_emission_sphere_radius(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_emission_sphere_radius")
		print("Parameters[]")
		q_CPUParticles.get_emission_sphere_radius()

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_emission_box_extents")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.set_emission_box_extents(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_emission_box_extents")
		print("Parameters[]")
		q_CPUParticles.get_emission_box_extents()

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_emission_points")
		var variable1: PoolVector3Array = PoolVector3Array([])
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.set_emission_points(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_emission_points")
		print("Parameters[]")
		q_CPUParticles.get_emission_points()

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_emission_normals")
		var variable1: PoolVector3Array = PoolVector3Array([])
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.set_emission_normals(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_emission_normals")
		print("Parameters[]")
		q_CPUParticles.get_emission_normals()

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_emission_colors")
		var variable1: PoolColorArray = PoolColorArray([])
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.set_emission_colors(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_emission_colors")
		print("Parameters[]")
		q_CPUParticles.get_emission_colors()

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_emission_ring_radius")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.set_emission_ring_radius(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_emission_ring_radius")
		print("Parameters[]")
		q_CPUParticles.get_emission_ring_radius()

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_emission_ring_inner_radius")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.set_emission_ring_inner_radius(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_emission_ring_inner_radius")
		print("Parameters[]")
		q_CPUParticles.get_emission_ring_inner_radius()

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_emission_ring_height")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.set_emission_ring_height(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_emission_ring_height")
		print("Parameters[]")
		q_CPUParticles.get_emission_ring_height()

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_emission_ring_axis")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.set_emission_ring_axis(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_emission_ring_axis")
		print("Parameters[]")
		q_CPUParticles.get_emission_ring_axis()

	if randi() % 2 == 0:
		print("Executing CPUParticles.get_gravity")
		print("Parameters[]")
		q_CPUParticles.get_gravity()

	if randi() % 2 == 0:
		print("Executing CPUParticles.set_gravity")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.set_gravity(variable1)

	if randi() % 2 == 0:
		print("Executing CPUParticles.convert_from_particles")
		var variable1: ConeTwistJoint = ConeTwistJoint.new()
		print("Parameters[" + str(variable1) + "]")
		q_CPUParticles.convert_from_particles(variable1)
		variable1.queue_free()

	if randi() % 2 == 0:
		print("Executing CPUParticles._update_render_thread")
		print("Parameters[]")
		q_CPUParticles._update_render_thread()

	pass

