extends Node2D

var q_CSGCylinder : CSGCylinder = CSGCylinder.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_CSGCylinder.queue_free()
		return

	add_child(q_CSGCylinder)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_CSGCylinder.queue_free()
		q_CSGCylinder = CSGCylinder.new()
		add_child(q_CSGCylinder)

	modify_object(q_CSGCylinder)

static func modify_object(q_CSGCylinder : CSGCylinder) -> void:
	if randi() % 2 == 0:
		print("Executing CSGCylinder.set_radius")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CSGCylinder.set_radius(variable1)

	if randi() % 2 == 0:
		print("Executing CSGCylinder.get_radius")
		print("Parameters[]")
		q_CSGCylinder.get_radius()

	if randi() % 2 == 0:
		print("Executing CSGCylinder.set_height")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CSGCylinder.set_height(variable1)

	if randi() % 2 == 0:
		print("Executing CSGCylinder.get_height")
		print("Parameters[]")
		q_CSGCylinder.get_height()

	if randi() % 2 == 0:
		print("Executing CSGCylinder.set_sides")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CSGCylinder.set_sides(variable1)

	if randi() % 2 == 0:
		print("Executing CSGCylinder.get_sides")
		print("Parameters[]")
		q_CSGCylinder.get_sides()

	if randi() % 2 == 0:
		print("Executing CSGCylinder.set_cone")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_CSGCylinder.set_cone(variable1)

	if randi() % 2 == 0:
		print("Executing CSGCylinder.is_cone")
		print("Parameters[]")
		q_CSGCylinder.is_cone()

	if randi() % 2 == 0:
		print("Executing CSGCylinder.set_material")
		var variable1: ParticlesMaterial = ParticlesMaterial.new()
		print("Parameters[" + str(variable1) + "]")
		q_CSGCylinder.set_material(variable1)

	if randi() % 2 == 0:
		print("Executing CSGCylinder.get_material")
		print("Parameters[]")
		q_CSGCylinder.get_material()

	if randi() % 2 == 0:
		print("Executing CSGCylinder.set_smooth_faces")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_CSGCylinder.set_smooth_faces(variable1)

	if randi() % 2 == 0:
		print("Executing CSGCylinder.get_smooth_faces")
		print("Parameters[]")
		q_CSGCylinder.get_smooth_faces()

	pass

