extends Node2D

var q_CSGMesh : CSGMesh = CSGMesh.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_CSGMesh.queue_free()
		return

	add_child(q_CSGMesh)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_CSGMesh.queue_free()
		q_CSGMesh = CSGMesh.new()
		add_child(q_CSGMesh)

	modify_object(q_CSGMesh)

static func modify_object(q_CSGMesh : CSGMesh) -> void:
	if randi() % 2 == 0:
		print("Executing CSGMesh.set_mesh")
		var variable1: PlaneMesh = PlaneMesh.new()
		print("Parameters[" + str(variable1) + "]")
		q_CSGMesh.set_mesh(variable1)

	if randi() % 2 == 0:
		print("Executing CSGMesh.get_mesh")
		print("Parameters[]")
		q_CSGMesh.get_mesh()

	if randi() % 2 == 0:
		print("Executing CSGMesh._mesh_changed")
		print("Parameters[]")
		q_CSGMesh._mesh_changed()

	if randi() % 2 == 0:
		print("Executing CSGMesh.set_material")
		var variable1: SpatialMaterial = SpatialMaterial.new()
		print("Parameters[" + str(variable1) + "]")
		q_CSGMesh.set_material(variable1)

	if randi() % 2 == 0:
		print("Executing CSGMesh.get_material")
		print("Parameters[]")
		q_CSGMesh.get_material()

	pass

