extends Node2D

var q_ClippedCamera : ClippedCamera = ClippedCamera.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_ClippedCamera.queue_free()
		return

	add_child(q_ClippedCamera)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_ClippedCamera.queue_free()
		q_ClippedCamera = ClippedCamera.new()
		add_child(q_ClippedCamera)

	modify_object(q_ClippedCamera)

static func modify_object(q_ClippedCamera : ClippedCamera) -> void:
	if randi() % 2 == 0:
		print("Executing ClippedCamera.set_margin")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ClippedCamera.set_margin(variable1)

	if randi() % 2 == 0:
		print("Executing ClippedCamera.get_margin")
		print("Parameters[]")
		q_ClippedCamera.get_margin()

	if randi() % 2 == 0:
		print("Executing ClippedCamera.set_process_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ClippedCamera.set_process_mode(variable1)

	if randi() % 2 == 0:
		print("Executing ClippedCamera.get_process_mode")
		print("Parameters[]")
		q_ClippedCamera.get_process_mode()

	if randi() % 2 == 0:
		print("Executing ClippedCamera.set_collision_mask")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ClippedCamera.set_collision_mask(variable1)

	if randi() % 2 == 0:
		print("Executing ClippedCamera.get_collision_mask")
		print("Parameters[]")
		q_ClippedCamera.get_collision_mask()

	if randi() % 2 == 0:
		print("Executing ClippedCamera.set_collision_mask_bit")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ClippedCamera.set_collision_mask_bit(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ClippedCamera.get_collision_mask_bit")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ClippedCamera.get_collision_mask_bit(variable1)

	if randi() % 2 == 0:
		print("Executing ClippedCamera.add_exception_rid")
		var variable1: RID = RID()
		print("Parameters[" + str(variable1) + "]")
		q_ClippedCamera.add_exception_rid(variable1)

	if randi() % 2 == 0:
		print("Executing ClippedCamera.add_exception")
		var variable1: AnimationNodeAdd3 = AnimationNodeAdd3.new()
		print("Parameters[" + str(variable1) + "]")
		q_ClippedCamera.add_exception(variable1)

	if randi() % 2 == 0:
		print("Executing ClippedCamera.remove_exception_rid")
		var variable1: RID = RID()
		print("Parameters[" + str(variable1) + "]")
		q_ClippedCamera.remove_exception_rid(variable1)

	if randi() % 2 == 0:
		print("Executing ClippedCamera.remove_exception")
		var variable1: BoxShape = BoxShape.new()
		print("Parameters[" + str(variable1) + "]")
		q_ClippedCamera.remove_exception(variable1)

	if randi() % 2 == 0:
		print("Executing ClippedCamera.set_clip_to_areas")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_ClippedCamera.set_clip_to_areas(variable1)

	if randi() % 2 == 0:
		print("Executing ClippedCamera.is_clip_to_areas_enabled")
		print("Parameters[]")
		q_ClippedCamera.is_clip_to_areas_enabled()

	if randi() % 2 == 0:
		print("Executing ClippedCamera.get_clip_offset")
		print("Parameters[]")
		q_ClippedCamera.get_clip_offset()

	if randi() % 2 == 0:
		print("Executing ClippedCamera.set_clip_to_bodies")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_ClippedCamera.set_clip_to_bodies(variable1)

	if randi() % 2 == 0:
		print("Executing ClippedCamera.is_clip_to_bodies_enabled")
		print("Parameters[]")
		q_ClippedCamera.is_clip_to_bodies_enabled()

	if randi() % 2 == 0:
		print("Executing ClippedCamera.clear_exceptions")
		print("Parameters[]")
		q_ClippedCamera.clear_exceptions()

	pass

