extends Node2D

var q_CollisionShape : CollisionShape = CollisionShape.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_CollisionShape.queue_free()
		return

	add_child(q_CollisionShape)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_CollisionShape.queue_free()
		q_CollisionShape = CollisionShape.new()
		add_child(q_CollisionShape)

	modify_object(q_CollisionShape)

static func modify_object(q_CollisionShape : CollisionShape) -> void:
	if randi() % 2 == 0:
		print("Executing CollisionShape.resource_changed")
		var variable1: VisualShaderNodeScalarInterp = VisualShaderNodeScalarInterp.new()
		print("Parameters[" + str(variable1) + "]")
		q_CollisionShape.resource_changed(variable1)

	if randi() % 2 == 0:
		print("Executing CollisionShape.set_shape")
		var variable1: ConcavePolygonShape = ConcavePolygonShape.new()
		print("Parameters[" + str(variable1) + "]")
		q_CollisionShape.set_shape(variable1)

	if randi() % 2 == 0:
		print("Executing CollisionShape.get_shape")
		print("Parameters[]")
		q_CollisionShape.get_shape()

	if randi() % 2 == 0:
		print("Executing CollisionShape.set_disabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_CollisionShape.set_disabled(variable1)

	if randi() % 2 == 0:
		print("Executing CollisionShape.is_disabled")
		print("Parameters[]")
		q_CollisionShape.is_disabled()

	if randi() % 2 == 0:
		print("Executing CollisionShape.make_convex_from_brothers")
		print("Parameters[]")
		q_CollisionShape.make_convex_from_brothers()

	pass

