extends Node2D

var q_ConeTwistJoint : ConeTwistJoint = ConeTwistJoint.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_ConeTwistJoint.queue_free()
		return

	add_child(q_ConeTwistJoint)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_ConeTwistJoint.queue_free()
		q_ConeTwistJoint = ConeTwistJoint.new()
		add_child(q_ConeTwistJoint)

	modify_object(q_ConeTwistJoint)

static func modify_object(q_ConeTwistJoint : ConeTwistJoint) -> void:
	if randi() % 2 == 0:
		print("Executing ConeTwistJoint.set_param")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ConeTwistJoint.set_param(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ConeTwistJoint.get_param")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ConeTwistJoint.get_param(variable1)

	if randi() % 2 == 0:
		print("Executing ConeTwistJoint._set_swing_span")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ConeTwistJoint._set_swing_span(variable1)

	if randi() % 2 == 0:
		print("Executing ConeTwistJoint._get_swing_span")
		print("Parameters[]")
		q_ConeTwistJoint._get_swing_span()

	if randi() % 2 == 0:
		print("Executing ConeTwistJoint._set_twist_span")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ConeTwistJoint._set_twist_span(variable1)

	if randi() % 2 == 0:
		print("Executing ConeTwistJoint._get_twist_span")
		print("Parameters[]")
		q_ConeTwistJoint._get_twist_span()

	pass

