extends Node2D

var q_DirectionalLight : DirectionalLight = DirectionalLight.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_DirectionalLight.queue_free()
		return

	add_child(q_DirectionalLight)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_DirectionalLight.queue_free()
		q_DirectionalLight = DirectionalLight.new()
		add_child(q_DirectionalLight)

	modify_object(q_DirectionalLight)

static func modify_object(q_DirectionalLight : DirectionalLight) -> void:
	if randi() % 2 == 0:
		print("Executing DirectionalLight.set_shadow_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_DirectionalLight.set_shadow_mode(variable1)

	if randi() % 2 == 0:
		print("Executing DirectionalLight.get_shadow_mode")
		print("Parameters[]")
		q_DirectionalLight.get_shadow_mode()

	if randi() % 2 == 0:
		print("Executing DirectionalLight.set_shadow_depth_range")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_DirectionalLight.set_shadow_depth_range(variable1)

	if randi() % 2 == 0:
		print("Executing DirectionalLight.get_shadow_depth_range")
		print("Parameters[]")
		q_DirectionalLight.get_shadow_depth_range()

	if randi() % 2 == 0:
		print("Executing DirectionalLight.set_blend_splits")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_DirectionalLight.set_blend_splits(variable1)

	if randi() % 2 == 0:
		print("Executing DirectionalLight.is_blend_splits_enabled")
		print("Parameters[]")
		q_DirectionalLight.is_blend_splits_enabled()

	pass

