extends Node2D

var q_HingeJoint : HingeJoint = HingeJoint.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_HingeJoint.queue_free()
		return

	add_child(q_HingeJoint)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_HingeJoint.queue_free()
		q_HingeJoint = HingeJoint.new()
		add_child(q_HingeJoint)

	modify_object(q_HingeJoint)

static func modify_object(q_HingeJoint : HingeJoint) -> void:
	if randi() % 2 == 0:
		print("Executing HingeJoint.set_param")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_HingeJoint.set_param(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing HingeJoint.get_param")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_HingeJoint.get_param(variable1)

	if randi() % 2 == 0:
		print("Executing HingeJoint.set_flag")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_HingeJoint.set_flag(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing HingeJoint.get_flag")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_HingeJoint.get_flag(variable1)

	if randi() % 2 == 0:
		print("Executing HingeJoint._set_upper_limit")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_HingeJoint._set_upper_limit(variable1)

	if randi() % 2 == 0:
		print("Executing HingeJoint._get_upper_limit")
		print("Parameters[]")
		q_HingeJoint._get_upper_limit()

	if randi() % 2 == 0:
		print("Executing HingeJoint._set_lower_limit")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_HingeJoint._set_lower_limit(variable1)

	if randi() % 2 == 0:
		print("Executing HingeJoint._get_lower_limit")
		print("Parameters[]")
		q_HingeJoint._get_lower_limit()

	pass

