extends Node2D

var q_NavigationMeshInstance : NavigationMeshInstance = NavigationMeshInstance.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_NavigationMeshInstance.queue_free()
		return

	add_child(q_NavigationMeshInstance)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_NavigationMeshInstance.queue_free()
		q_NavigationMeshInstance = NavigationMeshInstance.new()
		add_child(q_NavigationMeshInstance)

	modify_object(q_NavigationMeshInstance)

static func modify_object(q_NavigationMeshInstance : NavigationMeshInstance) -> void:
	if randi() % 2 == 0:
		print("Executing NavigationMeshInstance.set_navigation_mesh")
		var variable1: NavigationMesh = NavigationMesh.new()
		print("Parameters[" + str(variable1) + "]")
		q_NavigationMeshInstance.set_navigation_mesh(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationMeshInstance.get_navigation_mesh")
		print("Parameters[]")
		q_NavigationMeshInstance.get_navigation_mesh()

	if randi() % 2 == 0:
		print("Executing NavigationMeshInstance.set_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_NavigationMeshInstance.set_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationMeshInstance.is_enabled")
		print("Parameters[]")
		q_NavigationMeshInstance.is_enabled()

	pass

