extends Node2D

var q_OmniLight : OmniLight = OmniLight.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_OmniLight.queue_free()
		return

	add_child(q_OmniLight)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_OmniLight.queue_free()
		q_OmniLight = OmniLight.new()
		add_child(q_OmniLight)

	modify_object(q_OmniLight)

static func modify_object(q_OmniLight : OmniLight) -> void:
	if randi() % 2 == 0:
		print("Executing OmniLight.set_shadow_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_OmniLight.set_shadow_mode(variable1)

	if randi() % 2 == 0:
		print("Executing OmniLight.get_shadow_mode")
		print("Parameters[]")
		q_OmniLight.get_shadow_mode()

	if randi() % 2 == 0:
		print("Executing OmniLight.set_shadow_detail")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_OmniLight.set_shadow_detail(variable1)

	if randi() % 2 == 0:
		print("Executing OmniLight.get_shadow_detail")
		print("Parameters[]")
		q_OmniLight.get_shadow_detail()

	pass

