extends Node2D

var q_Particles : Particles = Particles.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Particles.queue_free()
		return

	add_child(q_Particles)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Particles.queue_free()
		q_Particles = Particles.new()
		add_child(q_Particles)

	modify_object(q_Particles)

static func modify_object(q_Particles : Particles) -> void:
	if randi() % 2 == 0:
		print("Executing Particles.set_emitting")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Particles.set_emitting(variable1)

	if randi() % 2 == 0:
		print("Executing Particles.set_lifetime")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Particles.set_lifetime(variable1)

	if randi() % 2 == 0:
		print("Executing Particles.set_one_shot")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Particles.set_one_shot(variable1)

	if randi() % 2 == 0:
		print("Executing Particles.set_pre_process_time")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Particles.set_pre_process_time(variable1)

	if randi() % 2 == 0:
		print("Executing Particles.set_explosiveness_ratio")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Particles.set_explosiveness_ratio(variable1)

	if randi() % 2 == 0:
		print("Executing Particles.set_randomness_ratio")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Particles.set_randomness_ratio(variable1)

	if randi() % 2 == 0:
		print("Executing Particles.set_visibility_aabb")
		var variable1: AABB = AABB(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		print("Parameters[" + str(variable1) + "]")
		q_Particles.set_visibility_aabb(variable1)

	if randi() % 2 == 0:
		print("Executing Particles.set_use_local_coordinates")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Particles.set_use_local_coordinates(variable1)

	if randi() % 2 == 0:
		print("Executing Particles.set_fixed_fps")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Particles.set_fixed_fps(variable1)

	if randi() % 2 == 0:
		print("Executing Particles.set_fractional_delta")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Particles.set_fractional_delta(variable1)

	if randi() % 2 == 0:
		print("Executing Particles.set_process_material")
		var variable1: ShaderMaterial = ShaderMaterial.new()
		print("Parameters[" + str(variable1) + "]")
		q_Particles.set_process_material(variable1)

	if randi() % 2 == 0:
		print("Executing Particles.set_speed_scale")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Particles.set_speed_scale(variable1)

	if randi() % 2 == 0:
		print("Executing Particles.is_emitting")
		print("Parameters[]")
		q_Particles.is_emitting()

	if randi() % 2 == 0:
		print("Executing Particles.get_amount")
		print("Parameters[]")
		q_Particles.get_amount()

	if randi() % 2 == 0:
		print("Executing Particles.get_lifetime")
		print("Parameters[]")
		q_Particles.get_lifetime()

	if randi() % 2 == 0:
		print("Executing Particles.get_one_shot")
		print("Parameters[]")
		q_Particles.get_one_shot()

	if randi() % 2 == 0:
		print("Executing Particles.get_pre_process_time")
		print("Parameters[]")
		q_Particles.get_pre_process_time()

	if randi() % 2 == 0:
		print("Executing Particles.get_explosiveness_ratio")
		print("Parameters[]")
		q_Particles.get_explosiveness_ratio()

	if randi() % 2 == 0:
		print("Executing Particles.get_randomness_ratio")
		print("Parameters[]")
		q_Particles.get_randomness_ratio()

	if randi() % 2 == 0:
		print("Executing Particles.get_visibility_aabb")
		print("Parameters[]")
		q_Particles.get_visibility_aabb()

	if randi() % 2 == 0:
		print("Executing Particles.get_use_local_coordinates")
		print("Parameters[]")
		q_Particles.get_use_local_coordinates()

	if randi() % 2 == 0:
		print("Executing Particles.get_fixed_fps")
		print("Parameters[]")
		q_Particles.get_fixed_fps()

	if randi() % 2 == 0:
		print("Executing Particles.get_fractional_delta")
		print("Parameters[]")
		q_Particles.get_fractional_delta()

	if randi() % 2 == 0:
		print("Executing Particles.get_process_material")
		print("Parameters[]")
		q_Particles.get_process_material()

	if randi() % 2 == 0:
		print("Executing Particles.get_speed_scale")
		print("Parameters[]")
		q_Particles.get_speed_scale()

	if randi() % 2 == 0:
		print("Executing Particles.set_draw_order")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Particles.set_draw_order(variable1)

	if randi() % 2 == 0:
		print("Executing Particles.get_draw_order")
		print("Parameters[]")
		q_Particles.get_draw_order()

	if randi() % 2 == 0:
		print("Executing Particles.set_draw_passes")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Particles.set_draw_passes(variable1)

	if randi() % 2 == 0:
		print("Executing Particles.set_draw_pass_mesh")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: CubeMesh = CubeMesh.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Particles.set_draw_pass_mesh(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Particles.get_draw_passes")
		print("Parameters[]")
		q_Particles.get_draw_passes()

	if randi() % 2 == 0:
		print("Executing Particles.get_draw_pass_mesh")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Particles.get_draw_pass_mesh(variable1)

	if randi() % 2 == 0:
		print("Executing Particles.restart")
		print("Parameters[]")
		q_Particles.restart()

	if randi() % 2 == 0:
		print("Executing Particles.capture_aabb")
		print("Parameters[]")
		q_Particles.capture_aabb()

	pass

