extends Node2D

var q_Path : Path = Path.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Path.queue_free()
		return

	add_child(q_Path)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Path.queue_free()
		q_Path = Path.new()
		add_child(q_Path)

	modify_object(q_Path)

static func modify_object(q_Path : Path) -> void:
	if randi() % 2 == 0:
		print("Executing Path.set_curve")
		var variable1: Curve3D = Curve3D.new()
		print("Parameters[" + str(variable1) + "]")
		q_Path.set_curve(variable1)

	if randi() % 2 == 0:
		print("Executing Path.get_curve")
		print("Parameters[]")
		q_Path.get_curve()

	if randi() % 2 == 0:
		print("Executing Path._curve_changed")
		print("Parameters[]")
		q_Path._curve_changed()

	pass

