extends Node2D

var q_PathFollow : PathFollow = PathFollow.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_PathFollow.queue_free()
		return

	add_child(q_PathFollow)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_PathFollow.queue_free()
		q_PathFollow = PathFollow.new()
		add_child(q_PathFollow)

	modify_object(q_PathFollow)

static func modify_object(q_PathFollow : PathFollow) -> void:
	if randi() % 2 == 0:
		print("Executing PathFollow.set_offset")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PathFollow.set_offset(variable1)

	if randi() % 2 == 0:
		print("Executing PathFollow.get_offset")
		print("Parameters[]")
		q_PathFollow.get_offset()

	if randi() % 2 == 0:
		print("Executing PathFollow.set_h_offset")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PathFollow.set_h_offset(variable1)

	if randi() % 2 == 0:
		print("Executing PathFollow.get_h_offset")
		print("Parameters[]")
		q_PathFollow.get_h_offset()

	if randi() % 2 == 0:
		print("Executing PathFollow.set_v_offset")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PathFollow.set_v_offset(variable1)

	if randi() % 2 == 0:
		print("Executing PathFollow.get_v_offset")
		print("Parameters[]")
		q_PathFollow.get_v_offset()

	if randi() % 2 == 0:
		print("Executing PathFollow.set_unit_offset")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PathFollow.set_unit_offset(variable1)

	if randi() % 2 == 0:
		print("Executing PathFollow.get_unit_offset")
		print("Parameters[]")
		q_PathFollow.get_unit_offset()

	if randi() % 2 == 0:
		print("Executing PathFollow.set_rotation_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PathFollow.set_rotation_mode(variable1)

	if randi() % 2 == 0:
		print("Executing PathFollow.get_rotation_mode")
		print("Parameters[]")
		q_PathFollow.get_rotation_mode()

	if randi() % 2 == 0:
		print("Executing PathFollow.set_cubic_interpolation")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_PathFollow.set_cubic_interpolation(variable1)

	if randi() % 2 == 0:
		print("Executing PathFollow.get_cubic_interpolation")
		print("Parameters[]")
		q_PathFollow.get_cubic_interpolation()

	if randi() % 2 == 0:
		print("Executing PathFollow.set_loop")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_PathFollow.set_loop(variable1)

	if randi() % 2 == 0:
		print("Executing PathFollow.has_loop")
		print("Parameters[]")
		q_PathFollow.has_loop()

	pass

