extends Node2D

var q_RayCast : RayCast = RayCast.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_RayCast.queue_free()
		return

	add_child(q_RayCast)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_RayCast.queue_free()
		q_RayCast = RayCast.new()
		add_child(q_RayCast)

	modify_object(q_RayCast)

static func modify_object(q_RayCast : RayCast) -> void:
	if randi() % 2 == 0:
		print("Executing RayCast.set_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RayCast.set_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing RayCast.is_enabled")
		print("Parameters[]")
		q_RayCast.is_enabled()

	if randi() % 2 == 0:
		print("Executing RayCast.set_cast_to")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_RayCast.set_cast_to(variable1)

	if randi() % 2 == 0:
		print("Executing RayCast.get_cast_to")
		print("Parameters[]")
		q_RayCast.get_cast_to()

	if randi() % 2 == 0:
		print("Executing RayCast.is_colliding")
		print("Parameters[]")
		q_RayCast.is_colliding()

	if randi() % 2 == 0:
		print("Executing RayCast.force_raycast_update")
		print("Parameters[]")
		q_RayCast.force_raycast_update()

	if randi() % 2 == 0:
		print("Executing RayCast.get_collider")
		print("Parameters[]")
		q_RayCast.get_collider()

	if randi() % 2 == 0:
		print("Executing RayCast.get_collider_shape")
		print("Parameters[]")
		q_RayCast.get_collider_shape()

	if randi() % 2 == 0:
		print("Executing RayCast.get_collision_point")
		print("Parameters[]")
		q_RayCast.get_collision_point()

	if randi() % 2 == 0:
		print("Executing RayCast.get_collision_normal")
		print("Parameters[]")
		q_RayCast.get_collision_normal()

	if randi() % 2 == 0:
		print("Executing RayCast.add_exception_rid")
		var variable1: RID = RID()
		print("Parameters[" + str(variable1) + "]")
		q_RayCast.add_exception_rid(variable1)

	if randi() % 2 == 0:
		print("Executing RayCast.add_exception")
		var variable1: ReflectionProbe = ReflectionProbe.new()
		print("Parameters[" + str(variable1) + "]")
		q_RayCast.add_exception(variable1)
		variable1.queue_free()

	if randi() % 2 == 0:
		print("Executing RayCast.remove_exception_rid")
		var variable1: RID = RID()
		print("Parameters[" + str(variable1) + "]")
		q_RayCast.remove_exception_rid(variable1)

	if randi() % 2 == 0:
		print("Executing RayCast.remove_exception")
		var variable1: AnimationNodeBlend3 = AnimationNodeBlend3.new()
		print("Parameters[" + str(variable1) + "]")
		q_RayCast.remove_exception(variable1)

	if randi() % 2 == 0:
		print("Executing RayCast.clear_exceptions")
		print("Parameters[]")
		q_RayCast.clear_exceptions()

	if randi() % 2 == 0:
		print("Executing RayCast.set_collision_mask")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RayCast.set_collision_mask(variable1)

	if randi() % 2 == 0:
		print("Executing RayCast.get_collision_mask")
		print("Parameters[]")
		q_RayCast.get_collision_mask()

	if randi() % 2 == 0:
		print("Executing RayCast.set_collision_mask_bit")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_RayCast.set_collision_mask_bit(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing RayCast.get_collision_mask_bit")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RayCast.get_collision_mask_bit(variable1)

	if randi() % 2 == 0:
		print("Executing RayCast.set_exclude_parent_body")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RayCast.set_exclude_parent_body(variable1)

	if randi() % 2 == 0:
		print("Executing RayCast.get_exclude_parent_body")
		print("Parameters[]")
		q_RayCast.get_exclude_parent_body()

	if randi() % 2 == 0:
		print("Executing RayCast.set_collide_with_areas")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RayCast.set_collide_with_areas(variable1)

	if randi() % 2 == 0:
		print("Executing RayCast.is_collide_with_areas_enabled")
		print("Parameters[]")
		q_RayCast.is_collide_with_areas_enabled()

	if randi() % 2 == 0:
		print("Executing RayCast.set_collide_with_bodies")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RayCast.set_collide_with_bodies(variable1)

	if randi() % 2 == 0:
		print("Executing RayCast.is_collide_with_bodies_enabled")
		print("Parameters[]")
		q_RayCast.is_collide_with_bodies_enabled()

	if randi() % 2 == 0:
		print("Executing RayCast.set_debug_shape_custom_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_RayCast.set_debug_shape_custom_color(variable1)

	if randi() % 2 == 0:
		print("Executing RayCast.get_debug_shape_custom_color")
		print("Parameters[]")
		q_RayCast.get_debug_shape_custom_color()

	if randi() % 2 == 0:
		print("Executing RayCast.set_debug_shape_thickness")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RayCast.set_debug_shape_thickness(variable1)

	if randi() % 2 == 0:
		print("Executing RayCast.get_debug_shape_thickness")
		print("Parameters[]")
		q_RayCast.get_debug_shape_thickness()

	pass

