extends Node2D

var q_RoomManager : RoomManager = RoomManager.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_RoomManager.queue_free()
		return

	add_child(q_RoomManager)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_RoomManager.queue_free()
		q_RoomManager = RoomManager.new()
		add_child(q_RoomManager)

	modify_object(q_RoomManager)

static func modify_object(q_RoomManager : RoomManager) -> void:
	if randi() % 2 == 0:
		print("Executing RoomManager.rooms_convert")
		print("Parameters[]")
		q_RoomManager.rooms_convert()

	if randi() % 2 == 0:
		print("Executing RoomManager.rooms_clear")
		print("Parameters[]")
		q_RoomManager.rooms_clear()

	if randi() % 2 == 0:
		print("Executing RoomManager.set_pvs_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RoomManager.set_pvs_mode(variable1)

	if randi() % 2 == 0:
		print("Executing RoomManager.get_pvs_mode")
		print("Parameters[]")
		q_RoomManager.get_pvs_mode()

	if randi() % 2 == 0:
		print("Executing RoomManager.set_roomlist_path")
		var variable1: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + "]")
		q_RoomManager.set_roomlist_path(variable1)

	if randi() % 2 == 0:
		print("Executing RoomManager.get_roomlist_path")
		print("Parameters[]")
		q_RoomManager.get_roomlist_path()

	if randi() % 2 == 0:
		print("Executing RoomManager.rooms_set_active")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RoomManager.rooms_set_active(variable1)

	if randi() % 2 == 0:
		print("Executing RoomManager.rooms_get_active")
		print("Parameters[]")
		q_RoomManager.rooms_get_active()

	if randi() % 2 == 0:
		print("Executing RoomManager.set_gameplay_monitor_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RoomManager.set_gameplay_monitor_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing RoomManager.get_gameplay_monitor_enabled")
		print("Parameters[]")
		q_RoomManager.get_gameplay_monitor_enabled()

	if randi() % 2 == 0:
		print("Executing RoomManager.set_use_secondary_pvs")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RoomManager.set_use_secondary_pvs(variable1)

	if randi() % 2 == 0:
		print("Executing RoomManager.get_use_secondary_pvs")
		print("Parameters[]")
		q_RoomManager.get_use_secondary_pvs()

	if randi() % 2 == 0:
		print("Executing RoomManager.set_use_signals")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RoomManager.set_use_signals(variable1)

	if randi() % 2 == 0:
		print("Executing RoomManager.get_use_signals")
		print("Parameters[]")
		q_RoomManager.get_use_signals()

	if randi() % 2 == 0:
		print("Executing RoomManager.set_merge_meshes")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RoomManager.set_merge_meshes(variable1)

	if randi() % 2 == 0:
		print("Executing RoomManager.get_merge_meshes")
		print("Parameters[]")
		q_RoomManager.get_merge_meshes()

	if randi() % 2 == 0:
		print("Executing RoomManager.set_remove_danglers")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RoomManager.set_remove_danglers(variable1)

	if randi() % 2 == 0:
		print("Executing RoomManager.get_remove_danglers")
		print("Parameters[]")
		q_RoomManager.get_remove_danglers()

	if randi() % 2 == 0:
		print("Executing RoomManager.set_show_debug")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RoomManager.set_show_debug(variable1)

	if randi() % 2 == 0:
		print("Executing RoomManager.get_show_debug")
		print("Parameters[]")
		q_RoomManager.get_show_debug()

	if randi() % 2 == 0:
		print("Executing RoomManager.set_show_margins")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RoomManager.set_show_margins(variable1)

	if randi() % 2 == 0:
		print("Executing RoomManager.get_show_margins")
		print("Parameters[]")
		q_RoomManager.get_show_margins()

	if randi() % 2 == 0:
		print("Executing RoomManager.set_debug_sprawl")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RoomManager.set_debug_sprawl(variable1)

	if randi() % 2 == 0:
		print("Executing RoomManager.get_debug_sprawl")
		print("Parameters[]")
		q_RoomManager.get_debug_sprawl()

	if randi() % 2 == 0:
		print("Executing RoomManager.set_overlap_warning_threshold")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RoomManager.set_overlap_warning_threshold(variable1)

	if randi() % 2 == 0:
		print("Executing RoomManager.get_overlap_warning_threshold")
		print("Parameters[]")
		q_RoomManager.get_overlap_warning_threshold()

	if randi() % 2 == 0:
		print("Executing RoomManager.set_preview_camera_path")
		var variable1: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + "]")
		q_RoomManager.set_preview_camera_path(variable1)

	if randi() % 2 == 0:
		print("Executing RoomManager.get_preview_camera_path")
		print("Parameters[]")
		q_RoomManager.get_preview_camera_path()

	if randi() % 2 == 0:
		print("Executing RoomManager.set_flip_portal_meshes")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_RoomManager.set_flip_portal_meshes(variable1)

	if randi() % 2 == 0:
		print("Executing RoomManager.get_flip_portal_meshes")
		print("Parameters[]")
		q_RoomManager.get_flip_portal_meshes()

	if randi() % 2 == 0:
		print("Executing RoomManager.set_portal_depth_limit")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RoomManager.set_portal_depth_limit(variable1)

	if randi() % 2 == 0:
		print("Executing RoomManager.get_portal_depth_limit")
		print("Parameters[]")
		q_RoomManager.get_portal_depth_limit()

	if randi() % 2 == 0:
		print("Executing RoomManager.set_room_simplify")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RoomManager.set_room_simplify(variable1)

	if randi() % 2 == 0:
		print("Executing RoomManager.get_room_simplify")
		print("Parameters[]")
		q_RoomManager.get_room_simplify()

	if randi() % 2 == 0:
		print("Executing RoomManager.set_default_portal_margin")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_RoomManager.set_default_portal_margin(variable1)

	if randi() % 2 == 0:
		print("Executing RoomManager.get_default_portal_margin")
		print("Parameters[]")
		q_RoomManager.get_default_portal_margin()

	pass

