extends Node2D

var q_SliderJoint : SliderJoint = SliderJoint.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_SliderJoint.queue_free()
		return

	add_child(q_SliderJoint)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_SliderJoint.queue_free()
		q_SliderJoint = SliderJoint.new()
		add_child(q_SliderJoint)

	modify_object(q_SliderJoint)

static func modify_object(q_SliderJoint : SliderJoint) -> void:
	if randi() % 2 == 0:
		print("Executing SliderJoint.set_param")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_SliderJoint.set_param(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing SliderJoint.get_param")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SliderJoint.get_param(variable1)

	if randi() % 2 == 0:
		print("Executing SliderJoint._set_upper_limit_angular")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SliderJoint._set_upper_limit_angular(variable1)

	if randi() % 2 == 0:
		print("Executing SliderJoint._get_upper_limit_angular")
		print("Parameters[]")
		q_SliderJoint._get_upper_limit_angular()

	if randi() % 2 == 0:
		print("Executing SliderJoint._set_lower_limit_angular")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SliderJoint._set_lower_limit_angular(variable1)

	if randi() % 2 == 0:
		print("Executing SliderJoint._get_lower_limit_angular")
		print("Parameters[]")
		q_SliderJoint._get_lower_limit_angular()

	pass

