extends Node2D

var q_SpringArm : SpringArm = SpringArm.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_SpringArm.queue_free()
		return

	add_child(q_SpringArm)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_SpringArm.queue_free()
		q_SpringArm = SpringArm.new()
		add_child(q_SpringArm)

	modify_object(q_SpringArm)

static func modify_object(q_SpringArm : SpringArm) -> void:
	if randi() % 2 == 0:
		print("Executing SpringArm.get_hit_length")
		print("Parameters[]")
		q_SpringArm.get_hit_length()

	if randi() % 2 == 0:
		print("Executing SpringArm.set_length")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpringArm.set_length(variable1)

	if randi() % 2 == 0:
		print("Executing SpringArm.get_length")
		print("Parameters[]")
		q_SpringArm.get_length()

	if randi() % 2 == 0:
		print("Executing SpringArm.set_shape")
		var variable1: ConvexPolygonShape = ConvexPolygonShape.new()
		print("Parameters[" + str(variable1) + "]")
		q_SpringArm.set_shape(variable1)

	if randi() % 2 == 0:
		print("Executing SpringArm.get_shape")
		print("Parameters[]")
		q_SpringArm.get_shape()

	if randi() % 2 == 0:
		print("Executing SpringArm.add_excluded_object")
		var variable1: RID = RID()
		print("Parameters[" + str(variable1) + "]")
		q_SpringArm.add_excluded_object(variable1)

	if randi() % 2 == 0:
		print("Executing SpringArm.remove_excluded_object")
		var variable1: RID = RID()
		print("Parameters[" + str(variable1) + "]")
		q_SpringArm.remove_excluded_object(variable1)

	if randi() % 2 == 0:
		print("Executing SpringArm.clear_excluded_objects")
		print("Parameters[]")
		q_SpringArm.clear_excluded_objects()

	if randi() % 2 == 0:
		print("Executing SpringArm.set_collision_mask")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpringArm.set_collision_mask(variable1)

	if randi() % 2 == 0:
		print("Executing SpringArm.get_collision_mask")
		print("Parameters[]")
		q_SpringArm.get_collision_mask()

	if randi() % 2 == 0:
		print("Executing SpringArm.set_margin")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpringArm.set_margin(variable1)

	if randi() % 2 == 0:
		print("Executing SpringArm.get_margin")
		print("Parameters[]")
		q_SpringArm.get_margin()

	pass

