extends Node2D

var q_Sprite3D : Sprite3D = Sprite3D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Sprite3D.queue_free()
		return

	add_child(q_Sprite3D)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Sprite3D.queue_free()
		q_Sprite3D = Sprite3D.new()
		add_child(q_Sprite3D)

	modify_object(q_Sprite3D)

static func modify_object(q_Sprite3D : Sprite3D) -> void:
	if randi() % 2 == 0:
		print("Executing Sprite3D.set_texture")
		var variable1: ExternalTexture = ExternalTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_Sprite3D.set_texture(variable1)

	if randi() % 2 == 0:
		print("Executing Sprite3D.get_texture")
		print("Parameters[]")
		q_Sprite3D.get_texture()

	if randi() % 2 == 0:
		print("Executing Sprite3D.set_region")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Sprite3D.set_region(variable1)

	if randi() % 2 == 0:
		print("Executing Sprite3D.is_region")
		print("Parameters[]")
		q_Sprite3D.is_region()

	if randi() % 2 == 0:
		print("Executing Sprite3D.set_region_rect")
		var variable1: Rect2 = Rect2(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		print("Parameters[" + str(variable1) + "]")
		q_Sprite3D.set_region_rect(variable1)

	if randi() % 2 == 0:
		print("Executing Sprite3D.get_region_rect")
		print("Parameters[]")
		q_Sprite3D.get_region_rect()

	if randi() % 2 == 0:
		print("Executing Sprite3D.set_frame")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Sprite3D.set_frame(variable1)

	if randi() % 2 == 0:
		print("Executing Sprite3D.get_frame")
		print("Parameters[]")
		q_Sprite3D.get_frame()

	if randi() % 2 == 0:
		print("Executing Sprite3D.set_frame_coords")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Sprite3D.set_frame_coords(variable1)

	if randi() % 2 == 0:
		print("Executing Sprite3D.get_frame_coords")
		print("Parameters[]")
		q_Sprite3D.get_frame_coords()

	if randi() % 2 == 0:
		print("Executing Sprite3D.set_vframes")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Sprite3D.set_vframes(variable1)

	if randi() % 2 == 0:
		print("Executing Sprite3D.get_vframes")
		print("Parameters[]")
		q_Sprite3D.get_vframes()

	if randi() % 2 == 0:
		print("Executing Sprite3D.set_hframes")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Sprite3D.set_hframes(variable1)

	if randi() % 2 == 0:
		print("Executing Sprite3D.get_hframes")
		print("Parameters[]")
		q_Sprite3D.get_hframes()

	pass

