extends Node2D

var q_VehicleBody : VehicleBody = VehicleBody.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_VehicleBody.queue_free()
		return

	add_child(q_VehicleBody)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_VehicleBody.queue_free()
		q_VehicleBody = VehicleBody.new()
		add_child(q_VehicleBody)

	modify_object(q_VehicleBody)

static func modify_object(q_VehicleBody : VehicleBody) -> void:
	if randi() % 2 == 0:
		print("Executing VehicleBody.set_engine_force")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VehicleBody.set_engine_force(variable1)

	if randi() % 2 == 0:
		print("Executing VehicleBody.get_engine_force")
		print("Parameters[]")
		q_VehicleBody.get_engine_force()

	if randi() % 2 == 0:
		print("Executing VehicleBody.set_brake")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VehicleBody.set_brake(variable1)

	if randi() % 2 == 0:
		print("Executing VehicleBody.get_brake")
		print("Parameters[]")
		q_VehicleBody.get_brake()

	if randi() % 2 == 0:
		print("Executing VehicleBody.set_steering")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VehicleBody.set_steering(variable1)

	if randi() % 2 == 0:
		print("Executing VehicleBody.get_steering")
		print("Parameters[]")
		q_VehicleBody.get_steering()

	pass

