extends Node2D

var q_VehicleWheel : VehicleWheel = VehicleWheel.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_VehicleWheel.queue_free()
		return

	add_child(q_VehicleWheel)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_VehicleWheel.queue_free()
		q_VehicleWheel = VehicleWheel.new()
		add_child(q_VehicleWheel)

	modify_object(q_VehicleWheel)

static func modify_object(q_VehicleWheel : VehicleWheel) -> void:
	if randi() % 2 == 0:
		print("Executing VehicleWheel.set_radius")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VehicleWheel.set_radius(variable1)

	if randi() % 2 == 0:
		print("Executing VehicleWheel.get_radius")
		print("Parameters[]")
		q_VehicleWheel.get_radius()

	if randi() % 2 == 0:
		print("Executing VehicleWheel.set_suspension_rest_length")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VehicleWheel.set_suspension_rest_length(variable1)

	if randi() % 2 == 0:
		print("Executing VehicleWheel.get_suspension_rest_length")
		print("Parameters[]")
		q_VehicleWheel.get_suspension_rest_length()

	if randi() % 2 == 0:
		print("Executing VehicleWheel.set_suspension_travel")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VehicleWheel.set_suspension_travel(variable1)

	if randi() % 2 == 0:
		print("Executing VehicleWheel.get_suspension_travel")
		print("Parameters[]")
		q_VehicleWheel.get_suspension_travel()

	if randi() % 2 == 0:
		print("Executing VehicleWheel.set_suspension_stiffness")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VehicleWheel.set_suspension_stiffness(variable1)

	if randi() % 2 == 0:
		print("Executing VehicleWheel.get_suspension_stiffness")
		print("Parameters[]")
		q_VehicleWheel.get_suspension_stiffness()

	if randi() % 2 == 0:
		print("Executing VehicleWheel.set_suspension_max_force")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VehicleWheel.set_suspension_max_force(variable1)

	if randi() % 2 == 0:
		print("Executing VehicleWheel.get_suspension_max_force")
		print("Parameters[]")
		q_VehicleWheel.get_suspension_max_force()

	if randi() % 2 == 0:
		print("Executing VehicleWheel.set_damping_compression")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VehicleWheel.set_damping_compression(variable1)

	if randi() % 2 == 0:
		print("Executing VehicleWheel.get_damping_compression")
		print("Parameters[]")
		q_VehicleWheel.get_damping_compression()

	if randi() % 2 == 0:
		print("Executing VehicleWheel.set_damping_relaxation")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VehicleWheel.set_damping_relaxation(variable1)

	if randi() % 2 == 0:
		print("Executing VehicleWheel.get_damping_relaxation")
		print("Parameters[]")
		q_VehicleWheel.get_damping_relaxation()

	if randi() % 2 == 0:
		print("Executing VehicleWheel.set_use_as_traction")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_VehicleWheel.set_use_as_traction(variable1)

	if randi() % 2 == 0:
		print("Executing VehicleWheel.is_used_as_traction")
		print("Parameters[]")
		q_VehicleWheel.is_used_as_traction()

	if randi() % 2 == 0:
		print("Executing VehicleWheel.set_use_as_steering")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_VehicleWheel.set_use_as_steering(variable1)

	if randi() % 2 == 0:
		print("Executing VehicleWheel.is_used_as_steering")
		print("Parameters[]")
		q_VehicleWheel.is_used_as_steering()

	if randi() % 2 == 0:
		print("Executing VehicleWheel.set_friction_slip")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VehicleWheel.set_friction_slip(variable1)

	if randi() % 2 == 0:
		print("Executing VehicleWheel.get_friction_slip")
		print("Parameters[]")
		q_VehicleWheel.get_friction_slip()

	if randi() % 2 == 0:
		print("Executing VehicleWheel.is_in_contact")
		print("Parameters[]")
		q_VehicleWheel.is_in_contact()

	if randi() % 2 == 0:
		print("Executing VehicleWheel.set_roll_influence")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VehicleWheel.set_roll_influence(variable1)

	if randi() % 2 == 0:
		print("Executing VehicleWheel.get_roll_influence")
		print("Parameters[]")
		q_VehicleWheel.get_roll_influence()

	if randi() % 2 == 0:
		print("Executing VehicleWheel.get_skidinfo")
		print("Parameters[]")
		q_VehicleWheel.get_skidinfo()

	if randi() % 2 == 0:
		print("Executing VehicleWheel.get_rpm")
		print("Parameters[]")
		q_VehicleWheel.get_rpm()

	if randi() % 2 == 0:
		print("Executing VehicleWheel.set_engine_force")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VehicleWheel.set_engine_force(variable1)

	if randi() % 2 == 0:
		print("Executing VehicleWheel.get_engine_force")
		print("Parameters[]")
		q_VehicleWheel.get_engine_force()

	if randi() % 2 == 0:
		print("Executing VehicleWheel.set_brake")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VehicleWheel.set_brake(variable1)

	if randi() % 2 == 0:
		print("Executing VehicleWheel.get_brake")
		print("Parameters[]")
		q_VehicleWheel.get_brake()

	if randi() % 2 == 0:
		print("Executing VehicleWheel.set_steering")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VehicleWheel.set_steering(variable1)

	if randi() % 2 == 0:
		print("Executing VehicleWheel.get_steering")
		print("Parameters[]")
		q_VehicleWheel.get_steering()

	pass

