extends Node2D

var q_Button : Button = Button.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Button.queue_free()
		return

	add_child(q_Button)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Button.queue_free()
		q_Button = Button.new()
		add_child(q_Button)

	modify_object(q_Button)

static func modify_object(q_Button : Button) -> void:
	if randi() % 2 == 0:
		print("Executing Button.set_text")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_Button.set_text(variable1)

	if randi() % 2 == 0:
		print("Executing Button.get_text")
		print("Parameters[]")
		q_Button.get_text()

	if randi() % 2 == 0:
		print("Executing Button.set_button_icon")
		var variable1: ProxyTexture = ProxyTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_Button.set_button_icon(variable1)

	if randi() % 2 == 0:
		print("Executing Button.get_button_icon")
		print("Parameters[]")
		q_Button.get_button_icon()

	if randi() % 2 == 0:
		print("Executing Button.set_expand_icon")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Button.set_expand_icon(variable1)

	if randi() % 2 == 0:
		print("Executing Button.is_expand_icon")
		print("Parameters[]")
		q_Button.is_expand_icon()

	if randi() % 2 == 0:
		print("Executing Button.set_flat")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Button.set_flat(variable1)

	if randi() % 2 == 0:
		print("Executing Button.set_clip_text")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Button.set_clip_text(variable1)

	if randi() % 2 == 0:
		print("Executing Button.get_clip_text")
		print("Parameters[]")
		q_Button.get_clip_text()

	if randi() % 2 == 0:
		print("Executing Button.set_text_align")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Button.set_text_align(variable1)

	if randi() % 2 == 0:
		print("Executing Button.get_text_align")
		print("Parameters[]")
		q_Button.get_text_align()

	if randi() % 2 == 0:
		print("Executing Button.is_flat")
		print("Parameters[]")
		q_Button.is_flat()

	pass

