extends Node2D

var q_ColorPicker : ColorPicker = ColorPicker.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_ColorPicker.queue_free()
		return

	add_child(q_ColorPicker)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_ColorPicker.queue_free()
		q_ColorPicker = ColorPicker.new()
		add_child(q_ColorPicker)

	modify_object(q_ColorPicker)

static func modify_object(q_ColorPicker : ColorPicker) -> void:
	if randi() % 2 == 0:
		print("Executing ColorPicker.set_pick_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_ColorPicker.set_pick_color(variable1)

	if randi() % 2 == 0:
		print("Executing ColorPicker.get_pick_color")
		print("Parameters[]")
		q_ColorPicker.get_pick_color()

	if randi() % 2 == 0:
		print("Executing ColorPicker.set_hsv_mode")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_ColorPicker.set_hsv_mode(variable1)

	if randi() % 2 == 0:
		print("Executing ColorPicker.is_hsv_mode")
		print("Parameters[]")
		q_ColorPicker.is_hsv_mode()

	if randi() % 2 == 0:
		print("Executing ColorPicker.set_raw_mode")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_ColorPicker.set_raw_mode(variable1)

	if randi() % 2 == 0:
		print("Executing ColorPicker.is_raw_mode")
		print("Parameters[]")
		q_ColorPicker.is_raw_mode()

	if randi() % 2 == 0:
		print("Executing ColorPicker.set_deferred_mode")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_ColorPicker.set_deferred_mode(variable1)

	if randi() % 2 == 0:
		print("Executing ColorPicker.is_deferred_mode")
		print("Parameters[]")
		q_ColorPicker.is_deferred_mode()

	if randi() % 2 == 0:
		print("Executing ColorPicker.set_edit_alpha")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_ColorPicker.set_edit_alpha(variable1)

	if randi() % 2 == 0:
		print("Executing ColorPicker.is_editing_alpha")
		print("Parameters[]")
		q_ColorPicker.is_editing_alpha()

	if randi() % 2 == 0:
		print("Executing ColorPicker.set_presets_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_ColorPicker.set_presets_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing ColorPicker.are_presets_enabled")
		print("Parameters[]")
		q_ColorPicker.are_presets_enabled()

	if randi() % 2 == 0:
		print("Executing ColorPicker.set_presets_visible")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_ColorPicker.set_presets_visible(variable1)

	if randi() % 2 == 0:
		print("Executing ColorPicker.are_presets_visible")
		print("Parameters[]")
		q_ColorPicker.are_presets_visible()

	if randi() % 2 == 0:
		print("Executing ColorPicker.add_preset")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_ColorPicker.add_preset(variable1)

	if randi() % 2 == 0:
		print("Executing ColorPicker.erase_preset")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_ColorPicker.erase_preset(variable1)

	if randi() % 2 == 0:
		print("Executing ColorPicker.get_presets")
		print("Parameters[]")
		q_ColorPicker.get_presets()

	if randi() % 2 == 0:
		print("Executing ColorPicker._value_changed")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ColorPicker._value_changed(variable1)

	if randi() % 2 == 0:
		print("Executing ColorPicker._html_entered")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_ColorPicker._html_entered(variable1)

	if randi() % 2 == 0:
		print("Executing ColorPicker._text_type_toggled")
		print("Parameters[]")
		q_ColorPicker._text_type_toggled()

	if randi() % 2 == 0:
		print("Executing ColorPicker._add_preset_pressed")
		print("Parameters[]")
		q_ColorPicker._add_preset_pressed()

	if randi() % 2 == 0:
		print("Executing ColorPicker._screen_pick_pressed")
		print("Parameters[]")
		q_ColorPicker._screen_pick_pressed()

	if randi() % 2 == 0:
		print("Executing ColorPicker._sample_input")
		var variable1: InputEventJoypadMotion = InputEventJoypadMotion.new()
		print("Parameters[" + str(variable1) + "]")
		q_ColorPicker._sample_input(variable1)

	if randi() % 2 == 0:
		print("Executing ColorPicker._sample_draw")
		print("Parameters[]")
		q_ColorPicker._sample_draw()

	if randi() % 2 == 0:
		print("Executing ColorPicker._update_presets")
		print("Parameters[]")
		q_ColorPicker._update_presets()

	if randi() % 2 == 0:
		print("Executing ColorPicker._hsv_draw")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: HScrollBar = HScrollBar.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ColorPicker._hsv_draw(variable1, variable2)
		variable2.queue_free()

	if randi() % 2 == 0:
		print("Executing ColorPicker._uv_input")
		var variable1: InputEventScreenTouch = InputEventScreenTouch.new()
		print("Parameters[" + str(variable1) + "]")
		q_ColorPicker._uv_input(variable1)

	if randi() % 2 == 0:
		print("Executing ColorPicker._w_input")
		var variable1: InputEventScreenDrag = InputEventScreenDrag.new()
		print("Parameters[" + str(variable1) + "]")
		q_ColorPicker._w_input(variable1)

	if randi() % 2 == 0:
		print("Executing ColorPicker._preset_input")
		var variable1: InputEventMouseButton = InputEventMouseButton.new()
		print("Parameters[" + str(variable1) + "]")
		q_ColorPicker._preset_input(variable1)

	if randi() % 2 == 0:
		print("Executing ColorPicker._screen_input")
		var variable1: InputEventMIDI = InputEventMIDI.new()
		print("Parameters[" + str(variable1) + "]")
		q_ColorPicker._screen_input(variable1)

	if randi() % 2 == 0:
		print("Executing ColorPicker._focus_enter")
		print("Parameters[]")
		q_ColorPicker._focus_enter()

	if randi() % 2 == 0:
		print("Executing ColorPicker._focus_exit")
		print("Parameters[]")
		q_ColorPicker._focus_exit()

	if randi() % 2 == 0:
		print("Executing ColorPicker._html_focus_exit")
		print("Parameters[]")
		q_ColorPicker._html_focus_exit()

	pass

