extends Node2D

var q_ColorRect : ColorRect = ColorRect.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_ColorRect.queue_free()
		return

	add_child(q_ColorRect)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_ColorRect.queue_free()
		q_ColorRect = ColorRect.new()
		add_child(q_ColorRect)

	modify_object(q_ColorRect)

static func modify_object(q_ColorRect : ColorRect) -> void:
	if randi() % 2 == 0:
		print("Executing ColorRect.set_frame_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_ColorRect.set_frame_color(variable1)

	if randi() % 2 == 0:
		print("Executing ColorRect.get_frame_color")
		print("Parameters[]")
		q_ColorRect.get_frame_color()

	pass

