extends Node2D

var q_FileDialog : FileDialog = FileDialog.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_FileDialog.queue_free()
		return

	add_child(q_FileDialog)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_FileDialog.queue_free()
		q_FileDialog = FileDialog.new()
		add_child(q_FileDialog)

	modify_object(q_FileDialog)

static func modify_object(q_FileDialog : FileDialog) -> void:
	if randi() % 2 == 0:
		print("Executing FileDialog._tree_multi_selected")
		var variable1: InputEventKey = InputEventKey.new()
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_FileDialog._tree_multi_selected(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing FileDialog._tree_selected")
		print("Parameters[]")
		q_FileDialog._tree_selected()

	if randi() % 2 == 0:
		print("Executing FileDialog._tree_item_activated")
		print("Parameters[]")
		q_FileDialog._tree_item_activated()

	if randi() % 2 == 0:
		print("Executing FileDialog._dir_entered")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_FileDialog._dir_entered(variable1)

	if randi() % 2 == 0:
		print("Executing FileDialog._file_entered")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_FileDialog._file_entered(variable1)

	if randi() % 2 == 0:
		print("Executing FileDialog._action_pressed")
		print("Parameters[]")
		q_FileDialog._action_pressed()

	if randi() % 2 == 0:
		print("Executing FileDialog._cancel_pressed")
		print("Parameters[]")
		q_FileDialog._cancel_pressed()

	if randi() % 2 == 0:
		print("Executing FileDialog._filter_selected")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_FileDialog._filter_selected(variable1)

	if randi() % 2 == 0:
		print("Executing FileDialog._save_confirm_pressed")
		print("Parameters[]")
		q_FileDialog._save_confirm_pressed()

	if randi() % 2 == 0:
		print("Executing FileDialog.clear_filters")
		print("Parameters[]")
		q_FileDialog.clear_filters()

	if randi() % 2 == 0:
		print("Executing FileDialog.add_filter")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_FileDialog.add_filter(variable1)

	if randi() % 2 == 0:
		print("Executing FileDialog.set_filters")
		var variable1: PoolStringArray = PoolStringArray([])
		print("Parameters[" + str(variable1) + "]")
		q_FileDialog.set_filters(variable1)

	if randi() % 2 == 0:
		print("Executing FileDialog.get_filters")
		print("Parameters[]")
		q_FileDialog.get_filters()

	if randi() % 2 == 0:
		print("Executing FileDialog.get_current_dir")
		print("Parameters[]")
		q_FileDialog.get_current_dir()

	if randi() % 2 == 0:
		print("Executing FileDialog.get_current_file")
		print("Parameters[]")
		q_FileDialog.get_current_file()

	if randi() % 2 == 0:
		print("Executing FileDialog.get_current_path")
		print("Parameters[]")
		q_FileDialog.get_current_path()

	if randi() % 2 == 0:
		print("Executing FileDialog.set_current_dir")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_FileDialog.set_current_dir(variable1)

	if randi() % 2 == 0:
		print("Executing FileDialog.set_current_file")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_FileDialog.set_current_file(variable1)

	if randi() % 2 == 0:
		print("Executing FileDialog.set_current_path")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_FileDialog.set_current_path(variable1)

	if randi() % 2 == 0:
		print("Executing FileDialog.set_mode_overrides_title")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_FileDialog.set_mode_overrides_title(variable1)

	if randi() % 2 == 0:
		print("Executing FileDialog.is_mode_overriding_title")
		print("Parameters[]")
		q_FileDialog.is_mode_overriding_title()

	if randi() % 2 == 0:
		print("Executing FileDialog.set_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_FileDialog.set_mode(variable1)

	if randi() % 2 == 0:
		print("Executing FileDialog.get_mode")
		print("Parameters[]")
		q_FileDialog.get_mode()

	if randi() % 2 == 0:
		print("Executing FileDialog.get_vbox")
		print("Parameters[]")
		q_FileDialog.get_vbox()

	if randi() % 2 == 0:
		print("Executing FileDialog.get_line_edit")
		print("Parameters[]")
		q_FileDialog.get_line_edit()

	if randi() % 2 == 0:
		print("Executing FileDialog.set_access")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_FileDialog.set_access(variable1)

	if randi() % 2 == 0:
		print("Executing FileDialog.get_access")
		print("Parameters[]")
		q_FileDialog.get_access()

	if randi() % 2 == 0:
		print("Executing FileDialog.set_show_hidden_files")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_FileDialog.set_show_hidden_files(variable1)

	if randi() % 2 == 0:
		print("Executing FileDialog.is_showing_hidden_files")
		print("Parameters[]")
		q_FileDialog.is_showing_hidden_files()

	if randi() % 2 == 0:
		print("Executing FileDialog._select_drive")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_FileDialog._select_drive(variable1)

	if randi() % 2 == 0:
		print("Executing FileDialog._make_dir")
		print("Parameters[]")
		q_FileDialog._make_dir()

	if randi() % 2 == 0:
		print("Executing FileDialog._make_dir_confirm")
		print("Parameters[]")
		q_FileDialog._make_dir_confirm()

	if randi() % 2 == 0:
		print("Executing FileDialog._update_file_name")
		print("Parameters[]")
		q_FileDialog._update_file_name()

	if randi() % 2 == 0:
		print("Executing FileDialog._update_file_list")
		print("Parameters[]")
		q_FileDialog._update_file_list()

	if randi() % 2 == 0:
		print("Executing FileDialog._update_dir")
		print("Parameters[]")
		q_FileDialog._update_dir()

	if randi() % 2 == 0:
		print("Executing FileDialog._go_up")
		print("Parameters[]")
		q_FileDialog._go_up()

	if randi() % 2 == 0:
		print("Executing FileDialog.deselect_items")
		print("Parameters[]")
		q_FileDialog.deselect_items()

	if randi() % 2 == 0:
		print("Executing FileDialog.invalidate")
		print("Parameters[]")
		q_FileDialog.invalidate()

	pass

