extends Node2D

var q_ItemList : ItemList = ItemList.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_ItemList.queue_free()
		return

	add_child(q_ItemList)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_ItemList.queue_free()
		q_ItemList = ItemList.new()
		add_child(q_ItemList)

	modify_object(q_ItemList)

static func modify_object(q_ItemList : ItemList) -> void:
	if randi() % 2 == 0:
		print("Executing ItemList.add_item")
		var variable1: String = ""
		var variable2: ExternalTexture = ExternalTexture.new()
		var variable3: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_ItemList.add_item(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing ItemList.add_icon_item")
		var variable1: CurveTexture = CurveTexture.new()
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ItemList.add_icon_item(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ItemList.set_item_text")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ItemList.set_item_text(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ItemList.get_item_text")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ItemList.get_item_text(variable1)

	if randi() % 2 == 0:
		print("Executing ItemList.set_item_icon")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: ProxyTexture = ProxyTexture.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ItemList.set_item_icon(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ItemList.get_item_icon")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ItemList.get_item_icon(variable1)

	if randi() % 2 == 0:
		print("Executing ItemList.set_item_icon_transposed")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ItemList.set_item_icon_transposed(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ItemList.is_item_icon_transposed")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ItemList.is_item_icon_transposed(variable1)

	if randi() % 2 == 0:
		print("Executing ItemList.set_item_icon_region")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Rect2 = Rect2(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ItemList.set_item_icon_region(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ItemList.get_item_icon_region")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ItemList.get_item_icon_region(variable1)

	if randi() % 2 == 0:
		print("Executing ItemList.set_item_icon_modulate")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ItemList.set_item_icon_modulate(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ItemList.get_item_icon_modulate")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ItemList.get_item_icon_modulate(variable1)

	if randi() % 2 == 0:
		print("Executing ItemList.set_item_selectable")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ItemList.set_item_selectable(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ItemList.is_item_selectable")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ItemList.is_item_selectable(variable1)

	if randi() % 2 == 0:
		print("Executing ItemList.set_item_disabled")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ItemList.set_item_disabled(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ItemList.is_item_disabled")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ItemList.is_item_disabled(variable1)

	if randi() % 2 == 0:
		print("Executing ItemList.set_item_metadata")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2 = false
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ItemList.set_item_metadata(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ItemList.get_item_metadata")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ItemList.get_item_metadata(variable1)

	if randi() % 2 == 0:
		print("Executing ItemList.set_item_custom_bg_color")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ItemList.set_item_custom_bg_color(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ItemList.get_item_custom_bg_color")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ItemList.get_item_custom_bg_color(variable1)

	if randi() % 2 == 0:
		print("Executing ItemList.set_item_custom_fg_color")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ItemList.set_item_custom_fg_color(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ItemList.get_item_custom_fg_color")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ItemList.get_item_custom_fg_color(variable1)

	if randi() % 2 == 0:
		print("Executing ItemList.set_item_tooltip_enabled")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ItemList.set_item_tooltip_enabled(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ItemList.is_item_tooltip_enabled")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ItemList.is_item_tooltip_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing ItemList.set_item_tooltip")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ItemList.set_item_tooltip(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ItemList.get_item_tooltip")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ItemList.get_item_tooltip(variable1)

	if randi() % 2 == 0:
		print("Executing ItemList.select")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ItemList.select(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ItemList.unselect")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ItemList.unselect(variable1)

	if randi() % 2 == 0:
		print("Executing ItemList.unselect_all")
		print("Parameters[]")
		q_ItemList.unselect_all()

	if randi() % 2 == 0:
		print("Executing ItemList.is_selected")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ItemList.is_selected(variable1)

	if randi() % 2 == 0:
		print("Executing ItemList.get_selected_items")
		print("Parameters[]")
		q_ItemList.get_selected_items()

	if randi() % 2 == 0:
		print("Executing ItemList.move_item")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ItemList.move_item(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ItemList.get_item_count")
		print("Parameters[]")
		q_ItemList.get_item_count()

	if randi() % 2 == 0:
		print("Executing ItemList.remove_item")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ItemList.remove_item(variable1)

	if randi() % 2 == 0:
		print("Executing ItemList.clear")
		print("Parameters[]")
		q_ItemList.clear()

	if randi() % 2 == 0:
		print("Executing ItemList.sort_items_by_text")
		print("Parameters[]")
		q_ItemList.sort_items_by_text()

	if randi() % 2 == 0:
		print("Executing ItemList.set_fixed_column_width")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ItemList.set_fixed_column_width(variable1)

	if randi() % 2 == 0:
		print("Executing ItemList.get_fixed_column_width")
		print("Parameters[]")
		q_ItemList.get_fixed_column_width()

	if randi() % 2 == 0:
		print("Executing ItemList.set_same_column_width")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_ItemList.set_same_column_width(variable1)

	if randi() % 2 == 0:
		print("Executing ItemList.is_same_column_width")
		print("Parameters[]")
		q_ItemList.is_same_column_width()

	if randi() % 2 == 0:
		print("Executing ItemList.set_max_text_lines")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ItemList.set_max_text_lines(variable1)

	if randi() % 2 == 0:
		print("Executing ItemList.get_max_text_lines")
		print("Parameters[]")
		q_ItemList.get_max_text_lines()

	if randi() % 2 == 0:
		print("Executing ItemList.set_max_columns")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ItemList.set_max_columns(variable1)

	if randi() % 2 == 0:
		print("Executing ItemList.get_max_columns")
		print("Parameters[]")
		q_ItemList.get_max_columns()

	if randi() % 2 == 0:
		print("Executing ItemList.set_select_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ItemList.set_select_mode(variable1)

	if randi() % 2 == 0:
		print("Executing ItemList.get_select_mode")
		print("Parameters[]")
		q_ItemList.get_select_mode()

	if randi() % 2 == 0:
		print("Executing ItemList.set_icon_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ItemList.set_icon_mode(variable1)

	if randi() % 2 == 0:
		print("Executing ItemList.get_icon_mode")
		print("Parameters[]")
		q_ItemList.get_icon_mode()

	if randi() % 2 == 0:
		print("Executing ItemList.set_fixed_icon_size")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_ItemList.set_fixed_icon_size(variable1)

	if randi() % 2 == 0:
		print("Executing ItemList.get_fixed_icon_size")
		print("Parameters[]")
		q_ItemList.get_fixed_icon_size()

	if randi() % 2 == 0:
		print("Executing ItemList.set_icon_scale")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ItemList.set_icon_scale(variable1)

	if randi() % 2 == 0:
		print("Executing ItemList.get_icon_scale")
		print("Parameters[]")
		q_ItemList.get_icon_scale()

	if randi() % 2 == 0:
		print("Executing ItemList.set_allow_rmb_select")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_ItemList.set_allow_rmb_select(variable1)

	if randi() % 2 == 0:
		print("Executing ItemList.get_allow_rmb_select")
		print("Parameters[]")
		q_ItemList.get_allow_rmb_select()

	if randi() % 2 == 0:
		print("Executing ItemList.set_allow_reselect")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_ItemList.set_allow_reselect(variable1)

	if randi() % 2 == 0:
		print("Executing ItemList.get_allow_reselect")
		print("Parameters[]")
		q_ItemList.get_allow_reselect()

	if randi() % 2 == 0:
		print("Executing ItemList.set_auto_height")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_ItemList.set_auto_height(variable1)

	if randi() % 2 == 0:
		print("Executing ItemList.has_auto_height")
		print("Parameters[]")
		q_ItemList.has_auto_height()

	if randi() % 2 == 0:
		print("Executing ItemList.is_anything_selected")
		print("Parameters[]")
		q_ItemList.is_anything_selected()

	if randi() % 2 == 0:
		print("Executing ItemList.get_item_at_position")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ItemList.get_item_at_position(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ItemList.ensure_current_is_visible")
		print("Parameters[]")
		q_ItemList.ensure_current_is_visible()

	if randi() % 2 == 0:
		print("Executing ItemList.get_v_scroll")
		print("Parameters[]")
		q_ItemList.get_v_scroll()

	if randi() % 2 == 0:
		print("Executing ItemList._scroll_changed")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ItemList._scroll_changed(variable1)

	if randi() % 2 == 0:
		print("Executing ItemList._set_items")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_ItemList._set_items(variable1)

	if randi() % 2 == 0:
		print("Executing ItemList._get_items")
		print("Parameters[]")
		q_ItemList._get_items()

	pass

