extends Node2D

var q_LineEdit : LineEdit = LineEdit.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_LineEdit.queue_free()
		return

	add_child(q_LineEdit)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_LineEdit.queue_free()
		q_LineEdit = LineEdit.new()
		add_child(q_LineEdit)

	modify_object(q_LineEdit)

static func modify_object(q_LineEdit : LineEdit) -> void:
	if randi() % 2 == 0:
		print("Executing LineEdit._text_changed")
		print("Parameters[]")
		q_LineEdit._text_changed()

	if randi() % 2 == 0:
		print("Executing LineEdit._toggle_draw_caret")
		print("Parameters[]")
		q_LineEdit._toggle_draw_caret()

	if randi() % 2 == 0:
		print("Executing LineEdit.set_align")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_LineEdit.set_align(variable1)

	if randi() % 2 == 0:
		print("Executing LineEdit.get_align")
		print("Parameters[]")
		q_LineEdit.get_align()

	if randi() % 2 == 0:
		print("Executing LineEdit.clear")
		print("Parameters[]")
		q_LineEdit.clear()

	if randi() % 2 == 0:
		print("Executing LineEdit.select")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_LineEdit.select(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing LineEdit.select_all")
		print("Parameters[]")
		q_LineEdit.select_all()

	if randi() % 2 == 0:
		print("Executing LineEdit.deselect")
		print("Parameters[]")
		q_LineEdit.deselect()

	if randi() % 2 == 0:
		print("Executing LineEdit.set_text")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_LineEdit.set_text(variable1)

	if randi() % 2 == 0:
		print("Executing LineEdit.get_text")
		print("Parameters[]")
		q_LineEdit.get_text()

	if randi() % 2 == 0:
		print("Executing LineEdit.set_placeholder")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_LineEdit.set_placeholder(variable1)

	if randi() % 2 == 0:
		print("Executing LineEdit.get_placeholder")
		print("Parameters[]")
		q_LineEdit.get_placeholder()

	if randi() % 2 == 0:
		print("Executing LineEdit.set_placeholder_alpha")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_LineEdit.set_placeholder_alpha(variable1)

	if randi() % 2 == 0:
		print("Executing LineEdit.get_placeholder_alpha")
		print("Parameters[]")
		q_LineEdit.get_placeholder_alpha()

	if randi() % 2 == 0:
		print("Executing LineEdit.set_cursor_position")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_LineEdit.set_cursor_position(variable1)

	if randi() % 2 == 0:
		print("Executing LineEdit.get_cursor_position")
		print("Parameters[]")
		q_LineEdit.get_cursor_position()

	if randi() % 2 == 0:
		print("Executing LineEdit.get_scroll_offset")
		print("Parameters[]")
		q_LineEdit.get_scroll_offset()

	if randi() % 2 == 0:
		print("Executing LineEdit.set_expand_to_text_length")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_LineEdit.set_expand_to_text_length(variable1)

	if randi() % 2 == 0:
		print("Executing LineEdit.get_expand_to_text_length")
		print("Parameters[]")
		q_LineEdit.get_expand_to_text_length()

	if randi() % 2 == 0:
		print("Executing LineEdit.cursor_set_blink_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_LineEdit.cursor_set_blink_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing LineEdit.cursor_get_blink_enabled")
		print("Parameters[]")
		q_LineEdit.cursor_get_blink_enabled()

	if randi() % 2 == 0:
		print("Executing LineEdit.cursor_set_blink_speed")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_LineEdit.cursor_set_blink_speed(variable1)

	if randi() % 2 == 0:
		print("Executing LineEdit.cursor_get_blink_speed")
		print("Parameters[]")
		q_LineEdit.cursor_get_blink_speed()

	if randi() % 2 == 0:
		print("Executing LineEdit.set_max_length")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_LineEdit.set_max_length(variable1)

	if randi() % 2 == 0:
		print("Executing LineEdit.get_max_length")
		print("Parameters[]")
		q_LineEdit.get_max_length()

	if randi() % 2 == 0:
		print("Executing LineEdit.append_at_cursor")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_LineEdit.append_at_cursor(variable1)

	if randi() % 2 == 0:
		print("Executing LineEdit.delete_char_at_cursor")
		print("Parameters[]")
		q_LineEdit.delete_char_at_cursor()

	if randi() % 2 == 0:
		print("Executing LineEdit.delete_text")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_LineEdit.delete_text(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing LineEdit.set_editable")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_LineEdit.set_editable(variable1)

	if randi() % 2 == 0:
		print("Executing LineEdit.is_editable")
		print("Parameters[]")
		q_LineEdit.is_editable()

	if randi() % 2 == 0:
		print("Executing LineEdit.set_secret")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_LineEdit.set_secret(variable1)

	if randi() % 2 == 0:
		print("Executing LineEdit.is_secret")
		print("Parameters[]")
		q_LineEdit.is_secret()

	if randi() % 2 == 0:
		print("Executing LineEdit.set_secret_character")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_LineEdit.set_secret_character(variable1)

	if randi() % 2 == 0:
		print("Executing LineEdit.get_secret_character")
		print("Parameters[]")
		q_LineEdit.get_secret_character()

	if randi() % 2 == 0:
		print("Executing LineEdit.menu_option")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_LineEdit.menu_option(variable1)

	if randi() % 2 == 0:
		print("Executing LineEdit.get_menu")
		print("Parameters[]")
		q_LineEdit.get_menu()

	if randi() % 2 == 0:
		print("Executing LineEdit.set_context_menu_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_LineEdit.set_context_menu_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing LineEdit.is_context_menu_enabled")
		print("Parameters[]")
		q_LineEdit.is_context_menu_enabled()

	if randi() % 2 == 0:
		print("Executing LineEdit.set_virtual_keyboard_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_LineEdit.set_virtual_keyboard_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing LineEdit.is_virtual_keyboard_enabled")
		print("Parameters[]")
		q_LineEdit.is_virtual_keyboard_enabled()

	if randi() % 2 == 0:
		print("Executing LineEdit.set_clear_button_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_LineEdit.set_clear_button_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing LineEdit.is_clear_button_enabled")
		print("Parameters[]")
		q_LineEdit.is_clear_button_enabled()

	if randi() % 2 == 0:
		print("Executing LineEdit.set_shortcut_keys_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_LineEdit.set_shortcut_keys_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing LineEdit.is_shortcut_keys_enabled")
		print("Parameters[]")
		q_LineEdit.is_shortcut_keys_enabled()

	if randi() % 2 == 0:
		print("Executing LineEdit.set_selecting_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_LineEdit.set_selecting_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing LineEdit.is_selecting_enabled")
		print("Parameters[]")
		q_LineEdit.is_selecting_enabled()

	if randi() % 2 == 0:
		print("Executing LineEdit.set_right_icon")
		var variable1: CameraTexture = CameraTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_LineEdit.set_right_icon(variable1)

	if randi() % 2 == 0:
		print("Executing LineEdit.get_right_icon")
		print("Parameters[]")
		q_LineEdit.get_right_icon()

	pass

