extends Node2D

var q_LinkButton : LinkButton = LinkButton.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_LinkButton.queue_free()
		return

	add_child(q_LinkButton)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_LinkButton.queue_free()
		q_LinkButton = LinkButton.new()
		add_child(q_LinkButton)

	modify_object(q_LinkButton)

static func modify_object(q_LinkButton : LinkButton) -> void:
	if randi() % 2 == 0:
		print("Executing LinkButton.set_text")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_LinkButton.set_text(variable1)

	if randi() % 2 == 0:
		print("Executing LinkButton.get_text")
		print("Parameters[]")
		q_LinkButton.get_text()

	if randi() % 2 == 0:
		print("Executing LinkButton.set_underline_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_LinkButton.set_underline_mode(variable1)

	if randi() % 2 == 0:
		print("Executing LinkButton.get_underline_mode")
		print("Parameters[]")
		q_LinkButton.get_underline_mode()

	pass

