extends Node2D

var q_MenuButton : MenuButton = MenuButton.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_MenuButton.queue_free()
		return

	add_child(q_MenuButton)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_MenuButton.queue_free()
		q_MenuButton = MenuButton.new()
		add_child(q_MenuButton)

	modify_object(q_MenuButton)

static func modify_object(q_MenuButton : MenuButton) -> void:
	if randi() % 2 == 0:
		print("Executing MenuButton.get_popup")
		print("Parameters[]")
		q_MenuButton.get_popup()

	if randi() % 2 == 0:
		print("Executing MenuButton._set_items")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_MenuButton._set_items(variable1)

	if randi() % 2 == 0:
		print("Executing MenuButton._get_items")
		print("Parameters[]")
		q_MenuButton._get_items()

	if randi() % 2 == 0:
		print("Executing MenuButton.set_switch_on_hover")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_MenuButton.set_switch_on_hover(variable1)

	if randi() % 2 == 0:
		print("Executing MenuButton.is_switch_on_hover")
		print("Parameters[]")
		q_MenuButton.is_switch_on_hover()

	if randi() % 2 == 0:
		print("Executing MenuButton.set_disable_shortcuts")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_MenuButton.set_disable_shortcuts(variable1)

	pass

