extends Node2D

var q_NinePatchRect : NinePatchRect = NinePatchRect.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_NinePatchRect.queue_free()
		return

	add_child(q_NinePatchRect)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_NinePatchRect.queue_free()
		q_NinePatchRect = NinePatchRect.new()
		add_child(q_NinePatchRect)

	modify_object(q_NinePatchRect)

static func modify_object(q_NinePatchRect : NinePatchRect) -> void:
	if randi() % 2 == 0:
		print("Executing NinePatchRect.set_texture")
		var variable1: GradientTexture = GradientTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_NinePatchRect.set_texture(variable1)

	if randi() % 2 == 0:
		print("Executing NinePatchRect.get_texture")
		print("Parameters[]")
		q_NinePatchRect.get_texture()

	if randi() % 2 == 0:
		print("Executing NinePatchRect.set_patch_margin")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_NinePatchRect.set_patch_margin(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing NinePatchRect.get_patch_margin")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NinePatchRect.get_patch_margin(variable1)

	if randi() % 2 == 0:
		print("Executing NinePatchRect.set_region_rect")
		var variable1: Rect2 = Rect2(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		print("Parameters[" + str(variable1) + "]")
		q_NinePatchRect.set_region_rect(variable1)

	if randi() % 2 == 0:
		print("Executing NinePatchRect.get_region_rect")
		print("Parameters[]")
		q_NinePatchRect.get_region_rect()

	if randi() % 2 == 0:
		print("Executing NinePatchRect.set_draw_center")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_NinePatchRect.set_draw_center(variable1)

	if randi() % 2 == 0:
		print("Executing NinePatchRect.is_draw_center_enabled")
		print("Parameters[]")
		q_NinePatchRect.is_draw_center_enabled()

	if randi() % 2 == 0:
		print("Executing NinePatchRect.set_h_axis_stretch_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NinePatchRect.set_h_axis_stretch_mode(variable1)

	if randi() % 2 == 0:
		print("Executing NinePatchRect.get_h_axis_stretch_mode")
		print("Parameters[]")
		q_NinePatchRect.get_h_axis_stretch_mode()

	if randi() % 2 == 0:
		print("Executing NinePatchRect.set_v_axis_stretch_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NinePatchRect.set_v_axis_stretch_mode(variable1)

	if randi() % 2 == 0:
		print("Executing NinePatchRect.get_v_axis_stretch_mode")
		print("Parameters[]")
		q_NinePatchRect.get_v_axis_stretch_mode()

	pass

