extends Node2D

var q_ProgressBar : ProgressBar = ProgressBar.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_ProgressBar.queue_free()
		return

	add_child(q_ProgressBar)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_ProgressBar.queue_free()
		q_ProgressBar = ProgressBar.new()
		add_child(q_ProgressBar)

	modify_object(q_ProgressBar)

static func modify_object(q_ProgressBar : ProgressBar) -> void:
	if randi() % 2 == 0:
		print("Executing ProgressBar.set_percent_visible")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_ProgressBar.set_percent_visible(variable1)

	if randi() % 2 == 0:
		print("Executing ProgressBar.is_percent_visible")
		print("Parameters[]")
		q_ProgressBar.is_percent_visible()

	pass

