extends Node2D

var q_SpinBox : SpinBox = SpinBox.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_SpinBox.queue_free()
		return

	add_child(q_SpinBox)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_SpinBox.queue_free()
		q_SpinBox = SpinBox.new()
		add_child(q_SpinBox)

	modify_object(q_SpinBox)

static func modify_object(q_SpinBox : SpinBox) -> void:
	if randi() % 2 == 0:
		print("Executing SpinBox._text_entered")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_SpinBox._text_entered(variable1)

	if randi() % 2 == 0:
		print("Executing SpinBox.set_align")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpinBox.set_align(variable1)

	if randi() % 2 == 0:
		print("Executing SpinBox.get_align")
		print("Parameters[]")
		q_SpinBox.get_align()

	if randi() % 2 == 0:
		print("Executing SpinBox.set_suffix")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_SpinBox.set_suffix(variable1)

	if randi() % 2 == 0:
		print("Executing SpinBox.get_suffix")
		print("Parameters[]")
		q_SpinBox.get_suffix()

	if randi() % 2 == 0:
		print("Executing SpinBox.set_prefix")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_SpinBox.set_prefix(variable1)

	if randi() % 2 == 0:
		print("Executing SpinBox.get_prefix")
		print("Parameters[]")
		q_SpinBox.get_prefix()

	if randi() % 2 == 0:
		print("Executing SpinBox.set_editable")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_SpinBox.set_editable(variable1)

	if randi() % 2 == 0:
		print("Executing SpinBox.is_editable")
		print("Parameters[]")
		q_SpinBox.is_editable()

	if randi() % 2 == 0:
		print("Executing SpinBox.apply")
		print("Parameters[]")
		q_SpinBox.apply()

	if randi() % 2 == 0:
		print("Executing SpinBox._line_edit_focus_exit")
		print("Parameters[]")
		q_SpinBox._line_edit_focus_exit()

	if randi() % 2 == 0:
		print("Executing SpinBox.get_line_edit")
		print("Parameters[]")
		q_SpinBox.get_line_edit()

	if randi() % 2 == 0:
		print("Executing SpinBox._line_edit_input")
		var variable1: InputEventMouseButton = InputEventMouseButton.new()
		print("Parameters[" + str(variable1) + "]")
		q_SpinBox._line_edit_input(variable1)

	pass

