extends Node2D

var q_TabContainer : TabContainer = TabContainer.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_TabContainer.queue_free()
		return

	add_child(q_TabContainer)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_TabContainer.queue_free()
		q_TabContainer = TabContainer.new()
		add_child(q_TabContainer)

	modify_object(q_TabContainer)

static func modify_object(q_TabContainer : TabContainer) -> void:
	if randi() % 2 == 0:
		print("Executing TabContainer.get_tab_count")
		print("Parameters[]")
		q_TabContainer.get_tab_count()

	if randi() % 2 == 0:
		print("Executing TabContainer.set_current_tab")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TabContainer.set_current_tab(variable1)

	if randi() % 2 == 0:
		print("Executing TabContainer.get_current_tab")
		print("Parameters[]")
		q_TabContainer.get_current_tab()

	if randi() % 2 == 0:
		print("Executing TabContainer.get_previous_tab")
		print("Parameters[]")
		q_TabContainer.get_previous_tab()

	if randi() % 2 == 0:
		print("Executing TabContainer.get_current_tab_control")
		print("Parameters[]")
		q_TabContainer.get_current_tab_control()

	if randi() % 2 == 0:
		print("Executing TabContainer.get_tab_control")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TabContainer.get_tab_control(variable1)

	if randi() % 2 == 0:
		print("Executing TabContainer.set_tab_align")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TabContainer.set_tab_align(variable1)

	if randi() % 2 == 0:
		print("Executing TabContainer.get_tab_align")
		print("Parameters[]")
		q_TabContainer.get_tab_align()

	if randi() % 2 == 0:
		print("Executing TabContainer.set_tabs_visible")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TabContainer.set_tabs_visible(variable1)

	if randi() % 2 == 0:
		print("Executing TabContainer.are_tabs_visible")
		print("Parameters[]")
		q_TabContainer.are_tabs_visible()

	if randi() % 2 == 0:
		print("Executing TabContainer.set_all_tabs_in_front")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TabContainer.set_all_tabs_in_front(variable1)

	if randi() % 2 == 0:
		print("Executing TabContainer.is_all_tabs_in_front")
		print("Parameters[]")
		q_TabContainer.is_all_tabs_in_front()

	if randi() % 2 == 0:
		print("Executing TabContainer.set_tab_title")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = ""
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TabContainer.set_tab_title(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TabContainer.get_tab_title")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TabContainer.get_tab_title(variable1)

	if randi() % 2 == 0:
		print("Executing TabContainer.set_tab_icon")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: ImageTexture = ImageTexture.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TabContainer.set_tab_icon(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TabContainer.get_tab_icon")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TabContainer.get_tab_icon(variable1)

	if randi() % 2 == 0:
		print("Executing TabContainer.set_tab_disabled")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TabContainer.set_tab_disabled(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TabContainer.get_tab_disabled")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TabContainer.get_tab_disabled(variable1)

	if randi() % 2 == 0:
		print("Executing TabContainer.set_popup")
		var variable1: AnimatedSprite = AnimatedSprite.new()
		print("Parameters[" + str(variable1) + "]")
		q_TabContainer.set_popup(variable1)
		variable1.queue_free()

	if randi() % 2 == 0:
		print("Executing TabContainer.get_popup")
		print("Parameters[]")
		q_TabContainer.get_popup()

	if randi() % 2 == 0:
		print("Executing TabContainer.set_drag_to_rearrange_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TabContainer.set_drag_to_rearrange_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing TabContainer.get_drag_to_rearrange_enabled")
		print("Parameters[]")
		q_TabContainer.get_drag_to_rearrange_enabled()

	if randi() % 2 == 0:
		print("Executing TabContainer.set_tabs_rearrange_group")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TabContainer.set_tabs_rearrange_group(variable1)

	if randi() % 2 == 0:
		print("Executing TabContainer.get_tabs_rearrange_group")
		print("Parameters[]")
		q_TabContainer.get_tabs_rearrange_group()

	if randi() % 2 == 0:
		print("Executing TabContainer.set_use_hidden_tabs_for_min_size")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TabContainer.set_use_hidden_tabs_for_min_size(variable1)

	if randi() % 2 == 0:
		print("Executing TabContainer.get_use_hidden_tabs_for_min_size")
		print("Parameters[]")
		q_TabContainer.get_use_hidden_tabs_for_min_size()

	if randi() % 2 == 0:
		print("Executing TabContainer._child_renamed_callback")
		print("Parameters[]")
		q_TabContainer._child_renamed_callback()

	if randi() % 2 == 0:
		print("Executing TabContainer._on_theme_changed")
		print("Parameters[]")
		q_TabContainer._on_theme_changed()

	if randi() % 2 == 0:
		print("Executing TabContainer._on_mouse_exited")
		print("Parameters[]")
		q_TabContainer._on_mouse_exited()

	if randi() % 2 == 0:
		print("Executing TabContainer._update_current_tab")
		print("Parameters[]")
		q_TabContainer._update_current_tab()

	pass

