extends Node2D

var q_TextEdit : TextEdit = TextEdit.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_TextEdit.queue_free()
		return

	add_child(q_TextEdit)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_TextEdit.queue_free()
		q_TextEdit = TextEdit.new()
		add_child(q_TextEdit)

	modify_object(q_TextEdit)

static func modify_object(q_TextEdit : TextEdit) -> void:
	if randi() % 2 == 0:
		print("Executing TextEdit._scroll_moved")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit._scroll_moved(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit._cursor_changed_emit")
		print("Parameters[]")
		q_TextEdit._cursor_changed_emit()

	if randi() % 2 == 0:
		print("Executing TextEdit._text_changed_emit")
		print("Parameters[]")
		q_TextEdit._text_changed_emit()

	if randi() % 2 == 0:
		print("Executing TextEdit._push_current_op")
		print("Parameters[]")
		q_TextEdit._push_current_op()

	if randi() % 2 == 0:
		print("Executing TextEdit._click_selection_held")
		print("Parameters[]")
		q_TextEdit._click_selection_held()

	if randi() % 2 == 0:
		print("Executing TextEdit._toggle_draw_caret")
		print("Parameters[]")
		q_TextEdit._toggle_draw_caret()

	if randi() % 2 == 0:
		print("Executing TextEdit._v_scroll_input")
		print("Parameters[]")
		q_TextEdit._v_scroll_input()

	if randi() % 2 == 0:
		print("Executing TextEdit._update_wrap_at")
		print("Parameters[]")
		q_TextEdit._update_wrap_at()

	if randi() % 2 == 0:
		print("Executing TextEdit.set_text")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.set_text(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.insert_text_at_cursor")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.insert_text_at_cursor(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.get_line_count")
		print("Parameters[]")
		q_TextEdit.get_line_count()

	if randi() % 2 == 0:
		print("Executing TextEdit.get_text")
		print("Parameters[]")
		q_TextEdit.get_text()

	if randi() % 2 == 0:
		print("Executing TextEdit.get_line")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.get_line(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.set_line")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TextEdit.set_line(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TextEdit.center_viewport_to_cursor")
		print("Parameters[]")
		q_TextEdit.center_viewport_to_cursor()

	if randi() % 2 == 0:
		print("Executing TextEdit.cursor_set_column")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TextEdit.cursor_set_column(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TextEdit.cursor_set_line")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		var variable3: bool = bool(randi() % 2)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_TextEdit.cursor_set_line(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing TextEdit.cursor_get_column")
		print("Parameters[]")
		q_TextEdit.cursor_get_column()

	if randi() % 2 == 0:
		print("Executing TextEdit.cursor_get_line")
		print("Parameters[]")
		q_TextEdit.cursor_get_line()

	if randi() % 2 == 0:
		print("Executing TextEdit.cursor_set_blink_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.cursor_set_blink_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.cursor_get_blink_enabled")
		print("Parameters[]")
		q_TextEdit.cursor_get_blink_enabled()

	if randi() % 2 == 0:
		print("Executing TextEdit.cursor_set_blink_speed")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.cursor_set_blink_speed(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.cursor_get_blink_speed")
		print("Parameters[]")
		q_TextEdit.cursor_get_blink_speed()

	if randi() % 2 == 0:
		print("Executing TextEdit.cursor_set_block_mode")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.cursor_set_block_mode(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.cursor_is_block_mode")
		print("Parameters[]")
		q_TextEdit.cursor_is_block_mode()

	if randi() % 2 == 0:
		print("Executing TextEdit.set_right_click_moves_caret")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.set_right_click_moves_caret(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.is_right_click_moving_caret")
		print("Parameters[]")
		q_TextEdit.is_right_click_moving_caret()

	if randi() % 2 == 0:
		print("Executing TextEdit.set_readonly")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.set_readonly(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.is_readonly")
		print("Parameters[]")
		q_TextEdit.is_readonly()

	if randi() % 2 == 0:
		print("Executing TextEdit.set_wrap_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.set_wrap_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.is_wrap_enabled")
		print("Parameters[]")
		q_TextEdit.is_wrap_enabled()

	if randi() % 2 == 0:
		print("Executing TextEdit.set_context_menu_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.set_context_menu_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.is_context_menu_enabled")
		print("Parameters[]")
		q_TextEdit.is_context_menu_enabled()

	if randi() % 2 == 0:
		print("Executing TextEdit.set_shortcut_keys_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.set_shortcut_keys_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.is_shortcut_keys_enabled")
		print("Parameters[]")
		q_TextEdit.is_shortcut_keys_enabled()

	if randi() % 2 == 0:
		print("Executing TextEdit.set_virtual_keyboard_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.set_virtual_keyboard_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.is_virtual_keyboard_enabled")
		print("Parameters[]")
		q_TextEdit.is_virtual_keyboard_enabled()

	if randi() % 2 == 0:
		print("Executing TextEdit.set_selecting_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.set_selecting_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.is_selecting_enabled")
		print("Parameters[]")
		q_TextEdit.is_selecting_enabled()

	if randi() % 2 == 0:
		print("Executing TextEdit.is_line_set_as_safe")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.is_line_set_as_safe(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.set_line_as_safe")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TextEdit.set_line_as_safe(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TextEdit.is_line_set_as_bookmark")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.is_line_set_as_bookmark(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.set_line_as_bookmark")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TextEdit.set_line_as_bookmark(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TextEdit.set_line_as_breakpoint")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TextEdit.set_line_as_breakpoint(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TextEdit.is_line_set_as_breakpoint")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.is_line_set_as_breakpoint(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.cut")
		print("Parameters[]")
		q_TextEdit.cut()

	if randi() % 2 == 0:
		print("Executing TextEdit.copy")
		print("Parameters[]")
		q_TextEdit.copy()

	if randi() % 2 == 0:
		print("Executing TextEdit.paste")
		print("Parameters[]")
		q_TextEdit.paste()

	if randi() % 2 == 0:
		print("Executing TextEdit.select")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_TextEdit.select(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing TextEdit.select_all")
		print("Parameters[]")
		q_TextEdit.select_all()

	if randi() % 2 == 0:
		print("Executing TextEdit.deselect")
		print("Parameters[]")
		q_TextEdit.deselect()

	if randi() % 2 == 0:
		print("Executing TextEdit.is_selection_active")
		print("Parameters[]")
		q_TextEdit.is_selection_active()

	if randi() % 2 == 0:
		print("Executing TextEdit.get_selection_from_line")
		print("Parameters[]")
		q_TextEdit.get_selection_from_line()

	if randi() % 2 == 0:
		print("Executing TextEdit.get_selection_from_column")
		print("Parameters[]")
		q_TextEdit.get_selection_from_column()

	if randi() % 2 == 0:
		print("Executing TextEdit.get_selection_to_line")
		print("Parameters[]")
		q_TextEdit.get_selection_to_line()

	if randi() % 2 == 0:
		print("Executing TextEdit.get_selection_to_column")
		print("Parameters[]")
		q_TextEdit.get_selection_to_column()

	if randi() % 2 == 0:
		print("Executing TextEdit.get_selection_text")
		print("Parameters[]")
		q_TextEdit.get_selection_text()

	if randi() % 2 == 0:
		print("Executing TextEdit.get_word_under_cursor")
		print("Parameters[]")
		q_TextEdit.get_word_under_cursor()

	if randi() % 2 == 0:
		print("Executing TextEdit.search")
		var variable1: String = str(randi() / 100)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_TextEdit.search(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing TextEdit.undo")
		print("Parameters[]")
		q_TextEdit.undo()

	if randi() % 2 == 0:
		print("Executing TextEdit.redo")
		print("Parameters[]")
		q_TextEdit.redo()

	if randi() % 2 == 0:
		print("Executing TextEdit.clear_undo_history")
		print("Parameters[]")
		q_TextEdit.clear_undo_history()

	if randi() % 2 == 0:
		print("Executing TextEdit.set_show_line_numbers")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.set_show_line_numbers(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.is_show_line_numbers_enabled")
		print("Parameters[]")
		q_TextEdit.is_show_line_numbers_enabled()

	if randi() % 2 == 0:
		print("Executing TextEdit.set_draw_tabs")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.set_draw_tabs(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.is_drawing_tabs")
		print("Parameters[]")
		q_TextEdit.is_drawing_tabs()

	if randi() % 2 == 0:
		print("Executing TextEdit.set_draw_spaces")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.set_draw_spaces(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.is_drawing_spaces")
		print("Parameters[]")
		q_TextEdit.is_drawing_spaces()

	if randi() % 2 == 0:
		print("Executing TextEdit.set_breakpoint_gutter_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.set_breakpoint_gutter_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.is_breakpoint_gutter_enabled")
		print("Parameters[]")
		q_TextEdit.is_breakpoint_gutter_enabled()

	if randi() % 2 == 0:
		print("Executing TextEdit.set_draw_fold_gutter")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.set_draw_fold_gutter(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.is_drawing_fold_gutter")
		print("Parameters[]")
		q_TextEdit.is_drawing_fold_gutter()

	if randi() % 2 == 0:
		print("Executing TextEdit.set_hiding_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.set_hiding_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.is_hiding_enabled")
		print("Parameters[]")
		q_TextEdit.is_hiding_enabled()

	if randi() % 2 == 0:
		print("Executing TextEdit.set_line_as_hidden")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TextEdit.set_line_as_hidden(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TextEdit.is_line_hidden")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.is_line_hidden(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.fold_all_lines")
		print("Parameters[]")
		q_TextEdit.fold_all_lines()

	if randi() % 2 == 0:
		print("Executing TextEdit.unhide_all_lines")
		print("Parameters[]")
		q_TextEdit.unhide_all_lines()

	if randi() % 2 == 0:
		print("Executing TextEdit.fold_line")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.fold_line(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.unfold_line")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.unfold_line(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.toggle_fold_line")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.toggle_fold_line(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.can_fold")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.can_fold(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.is_folded")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.is_folded(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.set_highlight_all_occurrences")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.set_highlight_all_occurrences(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.is_highlight_all_occurrences_enabled")
		print("Parameters[]")
		q_TextEdit.is_highlight_all_occurrences_enabled()

	if randi() % 2 == 0:
		print("Executing TextEdit.set_override_selected_font_color")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.set_override_selected_font_color(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.is_overriding_selected_font_color")
		print("Parameters[]")
		q_TextEdit.is_overriding_selected_font_color()

	if randi() % 2 == 0:
		print("Executing TextEdit.set_syntax_coloring")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.set_syntax_coloring(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.is_syntax_coloring_enabled")
		print("Parameters[]")
		q_TextEdit.is_syntax_coloring_enabled()

	if randi() % 2 == 0:
		print("Executing TextEdit.set_highlight_current_line")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.set_highlight_current_line(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.is_highlight_current_line_enabled")
		print("Parameters[]")
		q_TextEdit.is_highlight_current_line_enabled()

	if randi() % 2 == 0:
		print("Executing TextEdit.set_smooth_scroll_enable")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.set_smooth_scroll_enable(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.is_smooth_scroll_enabled")
		print("Parameters[]")
		q_TextEdit.is_smooth_scroll_enabled()

	if randi() % 2 == 0:
		print("Executing TextEdit.set_v_scroll_speed")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.set_v_scroll_speed(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.get_v_scroll_speed")
		print("Parameters[]")
		q_TextEdit.get_v_scroll_speed()

	if randi() % 2 == 0:
		print("Executing TextEdit.set_v_scroll")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.set_v_scroll(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.get_v_scroll")
		print("Parameters[]")
		q_TextEdit.get_v_scroll()

	if randi() % 2 == 0:
		print("Executing TextEdit.set_h_scroll")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.set_h_scroll(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.get_h_scroll")
		print("Parameters[]")
		q_TextEdit.get_h_scroll()

	if randi() % 2 == 0:
		print("Executing TextEdit.add_keyword_color")
		var variable1: String = ""
		var variable2: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TextEdit.add_keyword_color(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TextEdit.has_keyword_color")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.has_keyword_color(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.get_keyword_color")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.get_keyword_color(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.add_color_region")
		var variable1: String = str(randi() / 100)
		var variable2: String = ""
		var variable3: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable4: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_TextEdit.add_color_region(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing TextEdit.clear_colors")
		print("Parameters[]")
		q_TextEdit.clear_colors()

	if randi() % 2 == 0:
		print("Executing TextEdit.menu_option")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.menu_option(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.get_menu")
		print("Parameters[]")
		q_TextEdit.get_menu()

	if randi() % 2 == 0:
		print("Executing TextEdit.get_breakpoints")
		print("Parameters[]")
		q_TextEdit.get_breakpoints()

	if randi() % 2 == 0:
		print("Executing TextEdit.remove_breakpoints")
		print("Parameters[]")
		q_TextEdit.remove_breakpoints()

	if randi() % 2 == 0:
		print("Executing TextEdit.draw_minimap")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.draw_minimap(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.is_drawing_minimap")
		print("Parameters[]")
		q_TextEdit.is_drawing_minimap()

	if randi() % 2 == 0:
		print("Executing TextEdit.set_minimap_width")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TextEdit.set_minimap_width(variable1)

	if randi() % 2 == 0:
		print("Executing TextEdit.get_minimap_width")
		print("Parameters[]")
		q_TextEdit.get_minimap_width()

	pass

