extends Node2D

var q_TextureButton : TextureButton = TextureButton.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_TextureButton.queue_free()
		return

	add_child(q_TextureButton)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_TextureButton.queue_free()
		q_TextureButton = TextureButton.new()
		add_child(q_TextureButton)

	modify_object(q_TextureButton)

static func modify_object(q_TextureButton : TextureButton) -> void:
	if randi() % 2 == 0:
		print("Executing TextureButton.set_normal_texture")
		var variable1: ViewportTexture = ViewportTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_TextureButton.set_normal_texture(variable1)

	if randi() % 2 == 0:
		print("Executing TextureButton.set_pressed_texture")
		var variable1: CurveTexture = CurveTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_TextureButton.set_pressed_texture(variable1)

	if randi() % 2 == 0:
		print("Executing TextureButton.set_hover_texture")
		var variable1: LargeTexture = LargeTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_TextureButton.set_hover_texture(variable1)

	if randi() % 2 == 0:
		print("Executing TextureButton.set_disabled_texture")
		var variable1: ExternalTexture = ExternalTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_TextureButton.set_disabled_texture(variable1)

	if randi() % 2 == 0:
		print("Executing TextureButton.set_focused_texture")
		var variable1: ViewportTexture = ViewportTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_TextureButton.set_focused_texture(variable1)

	if randi() % 2 == 0:
		print("Executing TextureButton.set_click_mask")
		var variable1: BitMap = BitMap.new()
		print("Parameters[" + str(variable1) + "]")
		q_TextureButton.set_click_mask(variable1)

	if randi() % 2 == 0:
		print("Executing TextureButton.set_expand")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TextureButton.set_expand(variable1)

	if randi() % 2 == 0:
		print("Executing TextureButton.set_stretch_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TextureButton.set_stretch_mode(variable1)

	if randi() % 2 == 0:
		print("Executing TextureButton.set_flip_h")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TextureButton.set_flip_h(variable1)

	if randi() % 2 == 0:
		print("Executing TextureButton.is_flipped_h")
		print("Parameters[]")
		q_TextureButton.is_flipped_h()

	if randi() % 2 == 0:
		print("Executing TextureButton.set_flip_v")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TextureButton.set_flip_v(variable1)

	if randi() % 2 == 0:
		print("Executing TextureButton.is_flipped_v")
		print("Parameters[]")
		q_TextureButton.is_flipped_v()

	if randi() % 2 == 0:
		print("Executing TextureButton.get_normal_texture")
		print("Parameters[]")
		q_TextureButton.get_normal_texture()

	if randi() % 2 == 0:
		print("Executing TextureButton.get_pressed_texture")
		print("Parameters[]")
		q_TextureButton.get_pressed_texture()

	if randi() % 2 == 0:
		print("Executing TextureButton.get_hover_texture")
		print("Parameters[]")
		q_TextureButton.get_hover_texture()

	if randi() % 2 == 0:
		print("Executing TextureButton.get_disabled_texture")
		print("Parameters[]")
		q_TextureButton.get_disabled_texture()

	if randi() % 2 == 0:
		print("Executing TextureButton.get_focused_texture")
		print("Parameters[]")
		q_TextureButton.get_focused_texture()

	if randi() % 2 == 0:
		print("Executing TextureButton.get_click_mask")
		print("Parameters[]")
		q_TextureButton.get_click_mask()

	if randi() % 2 == 0:
		print("Executing TextureButton.get_expand")
		print("Parameters[]")
		q_TextureButton.get_expand()

	if randi() % 2 == 0:
		print("Executing TextureButton.get_stretch_mode")
		print("Parameters[]")
		q_TextureButton.get_stretch_mode()

	pass

