extends Node2D

var q_TextureRect : TextureRect = TextureRect.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_TextureRect.queue_free()
		return

	add_child(q_TextureRect)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_TextureRect.queue_free()
		q_TextureRect = TextureRect.new()
		add_child(q_TextureRect)

	modify_object(q_TextureRect)

static func modify_object(q_TextureRect : TextureRect) -> void:
	if randi() % 2 == 0:
		print("Executing TextureRect.set_texture")
		var variable1: ProxyTexture = ProxyTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_TextureRect.set_texture(variable1)

	if randi() % 2 == 0:
		print("Executing TextureRect.get_texture")
		print("Parameters[]")
		q_TextureRect.get_texture()

	if randi() % 2 == 0:
		print("Executing TextureRect.set_expand")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TextureRect.set_expand(variable1)

	if randi() % 2 == 0:
		print("Executing TextureRect.has_expand")
		print("Parameters[]")
		q_TextureRect.has_expand()

	if randi() % 2 == 0:
		print("Executing TextureRect.set_flip_h")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TextureRect.set_flip_h(variable1)

	if randi() % 2 == 0:
		print("Executing TextureRect.is_flipped_h")
		print("Parameters[]")
		q_TextureRect.is_flipped_h()

	if randi() % 2 == 0:
		print("Executing TextureRect.set_flip_v")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TextureRect.set_flip_v(variable1)

	if randi() % 2 == 0:
		print("Executing TextureRect.is_flipped_v")
		print("Parameters[]")
		q_TextureRect.is_flipped_v()

	if randi() % 2 == 0:
		print("Executing TextureRect.set_stretch_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TextureRect.set_stretch_mode(variable1)

	if randi() % 2 == 0:
		print("Executing TextureRect.get_stretch_mode")
		print("Parameters[]")
		q_TextureRect.get_stretch_mode()

	if randi() % 2 == 0:
		print("Executing TextureRect._texture_changed")
		print("Parameters[]")
		q_TextureRect._texture_changed()

	pass

