extends Node2D

var q_VideoPlayer : VideoPlayer = VideoPlayer.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_VideoPlayer.queue_free()
		return

	add_child(q_VideoPlayer)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_VideoPlayer.queue_free()
		q_VideoPlayer = VideoPlayer.new()
		add_child(q_VideoPlayer)

	modify_object(q_VideoPlayer)

static func modify_object(q_VideoPlayer : VideoPlayer) -> void:
	if randi() % 2 == 0:
		print("Executing VideoPlayer.set_stream")
		var variable1: VideoStreamWebm = VideoStreamWebm.new()
		print("Parameters[" + str(variable1) + "]")
		q_VideoPlayer.set_stream(variable1)

	if randi() % 2 == 0:
		print("Executing VideoPlayer.get_stream")
		print("Parameters[]")
		q_VideoPlayer.get_stream()

	if randi() % 2 == 0:
		print("Executing VideoPlayer.play")
		print("Parameters[]")
		q_VideoPlayer.play()

	if randi() % 2 == 0:
		print("Executing VideoPlayer.stop")
		print("Parameters[]")
		q_VideoPlayer.stop()

	if randi() % 2 == 0:
		print("Executing VideoPlayer.is_playing")
		print("Parameters[]")
		q_VideoPlayer.is_playing()

	if randi() % 2 == 0:
		print("Executing VideoPlayer.set_paused")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_VideoPlayer.set_paused(variable1)

	if randi() % 2 == 0:
		print("Executing VideoPlayer.is_paused")
		print("Parameters[]")
		q_VideoPlayer.is_paused()

	if randi() % 2 == 0:
		print("Executing VideoPlayer.set_volume")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VideoPlayer.set_volume(variable1)

	if randi() % 2 == 0:
		print("Executing VideoPlayer.get_volume")
		print("Parameters[]")
		q_VideoPlayer.get_volume()

	if randi() % 2 == 0:
		print("Executing VideoPlayer.set_volume_db")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VideoPlayer.set_volume_db(variable1)

	if randi() % 2 == 0:
		print("Executing VideoPlayer.get_volume_db")
		print("Parameters[]")
		q_VideoPlayer.get_volume_db()

	if randi() % 2 == 0:
		print("Executing VideoPlayer.set_audio_track")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VideoPlayer.set_audio_track(variable1)

	if randi() % 2 == 0:
		print("Executing VideoPlayer.get_audio_track")
		print("Parameters[]")
		q_VideoPlayer.get_audio_track()

	if randi() % 2 == 0:
		print("Executing VideoPlayer.get_stream_name")
		print("Parameters[]")
		q_VideoPlayer.get_stream_name()

	if randi() % 2 == 0:
		print("Executing VideoPlayer.set_stream_position")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VideoPlayer.set_stream_position(variable1)

	if randi() % 2 == 0:
		print("Executing VideoPlayer.get_stream_position")
		print("Parameters[]")
		q_VideoPlayer.get_stream_position()

	if randi() % 2 == 0:
		print("Executing VideoPlayer.set_autoplay")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_VideoPlayer.set_autoplay(variable1)

	if randi() % 2 == 0:
		print("Executing VideoPlayer.has_autoplay")
		print("Parameters[]")
		q_VideoPlayer.has_autoplay()

	if randi() % 2 == 0:
		print("Executing VideoPlayer.set_expand")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_VideoPlayer.set_expand(variable1)

	if randi() % 2 == 0:
		print("Executing VideoPlayer.has_expand")
		print("Parameters[]")
		q_VideoPlayer.has_expand()

	if randi() % 2 == 0:
		print("Executing VideoPlayer.set_buffering_msec")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VideoPlayer.set_buffering_msec(variable1)

	if randi() % 2 == 0:
		print("Executing VideoPlayer.get_buffering_msec")
		print("Parameters[]")
		q_VideoPlayer.get_buffering_msec()

	if randi() % 2 == 0:
		print("Executing VideoPlayer.set_bus")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_VideoPlayer.set_bus(variable1)

	if randi() % 2 == 0:
		print("Executing VideoPlayer.get_bus")
		print("Parameters[]")
		q_VideoPlayer.get_bus()

	if randi() % 2 == 0:
		print("Executing VideoPlayer.get_video_texture")
		print("Parameters[]")
		q_VideoPlayer.get_video_texture()

	pass

