extends Node2D

var q_WindowDialog : WindowDialog = WindowDialog.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_WindowDialog.queue_free()
		return

	add_child(q_WindowDialog)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_WindowDialog.queue_free()
		q_WindowDialog = WindowDialog.new()
		add_child(q_WindowDialog)

	modify_object(q_WindowDialog)

static func modify_object(q_WindowDialog : WindowDialog) -> void:
	if randi() % 2 == 0:
		print("Executing WindowDialog.set_title")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_WindowDialog.set_title(variable1)

	if randi() % 2 == 0:
		print("Executing WindowDialog.get_title")
		print("Parameters[]")
		q_WindowDialog.get_title()

	if randi() % 2 == 0:
		print("Executing WindowDialog.set_resizable")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_WindowDialog.set_resizable(variable1)

	if randi() % 2 == 0:
		print("Executing WindowDialog.get_resizable")
		print("Parameters[]")
		q_WindowDialog.get_resizable()

	if randi() % 2 == 0:
		print("Executing WindowDialog._closed")
		print("Parameters[]")
		q_WindowDialog._closed()

	if randi() % 2 == 0:
		print("Executing WindowDialog.get_close_button")
		print("Parameters[]")
		q_WindowDialog.get_close_button()

	pass

