extends Node2D

var q_AnimationTree : AnimationTree = AnimationTree.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_AnimationTree.queue_free()
		return

	add_child(q_AnimationTree)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AnimationTree.queue_free()
		q_AnimationTree = AnimationTree.new()
		add_child(q_AnimationTree)

	modify_object(q_AnimationTree)

static func modify_object(q_AnimationTree : AnimationTree) -> void:
	if randi() % 2 == 0:
		print("Executing AnimationTree.set_active")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTree.set_active(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTree.is_active")
		print("Parameters[]")
		q_AnimationTree.is_active()

	if randi() % 2 == 0:
		print("Executing AnimationTree.set_tree_root")
		var variable1: AnimationNodeTimeSeek = AnimationNodeTimeSeek.new()
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTree.set_tree_root(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTree.get_tree_root")
		print("Parameters[]")
		q_AnimationTree.get_tree_root()

	if randi() % 2 == 0:
		print("Executing AnimationTree.set_process_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTree.set_process_mode(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTree.get_process_mode")
		print("Parameters[]")
		q_AnimationTree.get_process_mode()

	if randi() % 2 == 0:
		print("Executing AnimationTree.set_animation_player")
		var variable1: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTree.set_animation_player(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTree.get_animation_player")
		print("Parameters[]")
		q_AnimationTree.get_animation_player()

	if randi() % 2 == 0:
		print("Executing AnimationTree.set_root_motion_track")
		var variable1: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTree.set_root_motion_track(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTree.get_root_motion_track")
		print("Parameters[]")
		q_AnimationTree.get_root_motion_track()

	if randi() % 2 == 0:
		print("Executing AnimationTree.get_root_motion_transform")
		print("Parameters[]")
		q_AnimationTree.get_root_motion_transform()

	if randi() % 2 == 0:
		print("Executing AnimationTree._tree_changed")
		print("Parameters[]")
		q_AnimationTree._tree_changed()

	if randi() % 2 == 0:
		print("Executing AnimationTree._update_properties")
		print("Parameters[]")
		q_AnimationTree._update_properties()

	if randi() % 2 == 0:
		print("Executing AnimationTree.rename_parameter")
		var variable1: String = ""
		var variable2: String = ""
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationTree.rename_parameter(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationTree.advance")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTree.advance(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationTree._node_removed")
		var variable1: CheckButton = CheckButton.new()
		print("Parameters[" + str(variable1) + "]")
		q_AnimationTree._node_removed(variable1)
		variable1.queue_free()

	if randi() % 2 == 0:
		print("Executing AnimationTree._clear_caches")
		print("Parameters[]")
		q_AnimationTree._clear_caches()

	pass

