extends Node2D

var q_AudioStreamPlayer : AudioStreamPlayer = AudioStreamPlayer.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_AudioStreamPlayer.queue_free()
		return

	add_child(q_AudioStreamPlayer)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AudioStreamPlayer.queue_free()
		q_AudioStreamPlayer = AudioStreamPlayer.new()
		add_child(q_AudioStreamPlayer)

	modify_object(q_AudioStreamPlayer)

static func modify_object(q_AudioStreamPlayer : AudioStreamPlayer) -> void:
	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer.set_stream")
		var variable1: AudioStreamMicrophone = AudioStreamMicrophone.new()
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer.set_stream(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer.get_stream")
		print("Parameters[]")
		q_AudioStreamPlayer.get_stream()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer.set_volume_db")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer.set_volume_db(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer.get_volume_db")
		print("Parameters[]")
		q_AudioStreamPlayer.get_volume_db()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer.set_pitch_scale")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer.set_pitch_scale(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer.get_pitch_scale")
		print("Parameters[]")
		q_AudioStreamPlayer.get_pitch_scale()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer.play")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer.play(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer.seek")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer.seek(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer.stop")
		print("Parameters[]")
		q_AudioStreamPlayer.stop()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer.is_playing")
		print("Parameters[]")
		q_AudioStreamPlayer.is_playing()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer.get_playback_position")
		print("Parameters[]")
		q_AudioStreamPlayer.get_playback_position()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer.set_bus")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer.set_bus(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer.get_bus")
		print("Parameters[]")
		q_AudioStreamPlayer.get_bus()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer.set_autoplay")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer.set_autoplay(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer.is_autoplay_enabled")
		print("Parameters[]")
		q_AudioStreamPlayer.is_autoplay_enabled()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer.set_mix_target")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer.set_mix_target(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer.get_mix_target")
		print("Parameters[]")
		q_AudioStreamPlayer.get_mix_target()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer._set_playing")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer._set_playing(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer._is_active")
		print("Parameters[]")
		q_AudioStreamPlayer._is_active()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer._bus_layout_changed")
		print("Parameters[]")
		q_AudioStreamPlayer._bus_layout_changed()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer.set_stream_paused")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamPlayer.set_stream_paused(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer.get_stream_paused")
		print("Parameters[]")
		q_AudioStreamPlayer.get_stream_paused()

	if randi() % 2 == 0:
		print("Executing AudioStreamPlayer.get_stream_playback")
		print("Parameters[]")
		q_AudioStreamPlayer.get_stream_playback()

	pass

