extends Node2D

var q_CanvasLayer : CanvasLayer = CanvasLayer.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_CanvasLayer.queue_free()
		return

	add_child(q_CanvasLayer)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_CanvasLayer.queue_free()
		q_CanvasLayer = CanvasLayer.new()
		add_child(q_CanvasLayer)

	modify_object(q_CanvasLayer)

static func modify_object(q_CanvasLayer : CanvasLayer) -> void:
	if randi() % 2 == 0:
		print("Executing CanvasLayer.set_layer")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CanvasLayer.set_layer(variable1)

	if randi() % 2 == 0:
		print("Executing CanvasLayer.get_layer")
		print("Parameters[]")
		q_CanvasLayer.get_layer()

	if randi() % 2 == 0:
		print("Executing CanvasLayer.set_transform")
		var variable1: Transform2D = Transform2D(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		print("Parameters[" + str(variable1) + "]")
		q_CanvasLayer.set_transform(variable1)

	if randi() % 2 == 0:
		print("Executing CanvasLayer.get_transform")
		print("Parameters[]")
		q_CanvasLayer.get_transform()

	if randi() % 2 == 0:
		print("Executing CanvasLayer.set_offset")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_CanvasLayer.set_offset(variable1)

	if randi() % 2 == 0:
		print("Executing CanvasLayer.get_offset")
		print("Parameters[]")
		q_CanvasLayer.get_offset()

	if randi() % 2 == 0:
		print("Executing CanvasLayer.set_rotation")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CanvasLayer.set_rotation(variable1)

	if randi() % 2 == 0:
		print("Executing CanvasLayer.get_rotation")
		print("Parameters[]")
		q_CanvasLayer.get_rotation()

	if randi() % 2 == 0:
		print("Executing CanvasLayer.set_rotation_degrees")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CanvasLayer.set_rotation_degrees(variable1)

	if randi() % 2 == 0:
		print("Executing CanvasLayer.get_rotation_degrees")
		print("Parameters[]")
		q_CanvasLayer.get_rotation_degrees()

	if randi() % 2 == 0:
		print("Executing CanvasLayer.set_scale")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_CanvasLayer.set_scale(variable1)

	if randi() % 2 == 0:
		print("Executing CanvasLayer.get_scale")
		print("Parameters[]")
		q_CanvasLayer.get_scale()

	if randi() % 2 == 0:
		print("Executing CanvasLayer.set_follow_viewport")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_CanvasLayer.set_follow_viewport(variable1)

	if randi() % 2 == 0:
		print("Executing CanvasLayer.is_following_viewport")
		print("Parameters[]")
		q_CanvasLayer.is_following_viewport()

	if randi() % 2 == 0:
		print("Executing CanvasLayer.set_follow_viewport_scale")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CanvasLayer.set_follow_viewport_scale(variable1)

	if randi() % 2 == 0:
		print("Executing CanvasLayer.get_follow_viewport_scale")
		print("Parameters[]")
		q_CanvasLayer.get_follow_viewport_scale()

	if randi() % 2 == 0:
		print("Executing CanvasLayer.set_custom_viewport")
		var variable1: CPUParticles = CPUParticles.new()
		print("Parameters[" + str(variable1) + "]")
		q_CanvasLayer.set_custom_viewport(variable1)
		variable1.queue_free()

	if randi() % 2 == 0:
		print("Executing CanvasLayer.get_custom_viewport")
		print("Parameters[]")
		q_CanvasLayer.get_custom_viewport()

	if randi() % 2 == 0:
		print("Executing CanvasLayer.get_canvas")
		print("Parameters[]")
		q_CanvasLayer.get_canvas()

	pass

