extends Node2D

var q_Node : Node = Node.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Node.queue_free()
		return

	add_child(q_Node)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Node.queue_free()
		q_Node = Node.new()
		add_child(q_Node)

	modify_object(q_Node)

static func modify_object(q_Node : Node) -> void:
	if randi() % 2 == 0:
		print("Executing Node.set_name")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_Node.set_name(variable1)

	if randi() % 2 == 0:
		print("Executing Node.get_name")
		print("Parameters[]")
		q_Node.get_name()

	if randi() % 2 == 0:
		print("Executing Node.get_child_count")
		print("Parameters[]")
		q_Node.get_child_count()

	if randi() % 2 == 0:
		print("Executing Node.get_children")
		print("Parameters[]")
		q_Node.get_children()

	if randi() % 2 == 0:
		print("Executing Node.get_child")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Node.get_child(variable1)

	if randi() % 2 == 0:
		print("Executing Node.has_node")
		var variable1: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + "]")
		q_Node.has_node(variable1)

	if randi() % 2 == 0:
		print("Executing Node.get_node")
		var variable1: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + "]")
		q_Node.get_node(variable1)

	if randi() % 2 == 0:
		print("Executing Node.get_node_or_null")
		var variable1: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + "]")
		q_Node.get_node_or_null(variable1)

	if randi() % 2 == 0:
		print("Executing Node.get_parent")
		print("Parameters[]")
		q_Node.get_parent()

	if randi() % 2 == 0:
		print("Executing Node.find_node")
		var variable1: String = str(randi() / 100)
		var variable2: bool = bool(randi() % 2)
		var variable3: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Node.find_node(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Node.find_parent")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_Node.find_parent(variable1)

	if randi() % 2 == 0:
		print("Executing Node.has_node_and_resource")
		var variable1: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + "]")
		q_Node.has_node_and_resource(variable1)

	if randi() % 2 == 0:
		print("Executing Node.get_node_and_resource")
		var variable1: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + "]")
		q_Node.get_node_and_resource(variable1)

	if randi() % 2 == 0:
		print("Executing Node.is_inside_tree")
		print("Parameters[]")
		q_Node.is_inside_tree()

	if randi() % 2 == 0:
		print("Executing Node.is_a_parent_of")
		var variable1: RigidBody2D = RigidBody2D.new()
		print("Parameters[" + str(variable1) + "]")
		q_Node.is_a_parent_of(variable1)
		variable1.queue_free()

	if randi() % 2 == 0:
		print("Executing Node.is_greater_than")
		var variable1: VSplitContainer = VSplitContainer.new()
		print("Parameters[" + str(variable1) + "]")
		q_Node.is_greater_than(variable1)
		variable1.queue_free()

	if randi() % 2 == 0:
		print("Executing Node.get_path")
		print("Parameters[]")
		q_Node.get_path()

	if randi() % 2 == 0:
		print("Executing Node.get_path_to")
		var variable1: Skeleton = Skeleton.new()
		print("Parameters[" + str(variable1) + "]")
		q_Node.get_path_to(variable1)
		variable1.queue_free()

	if randi() % 2 == 0:
		print("Executing Node.add_to_group")
		var variable1: String = ""
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Node.add_to_group(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Node.remove_from_group")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_Node.remove_from_group(variable1)

	if randi() % 2 == 0:
		print("Executing Node.is_in_group")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_Node.is_in_group(variable1)

	if randi() % 2 == 0:
		print("Executing Node.get_groups")
		print("Parameters[]")
		q_Node.get_groups()

	if randi() % 2 == 0:
		print("Executing Node.get_owner")
		print("Parameters[]")
		q_Node.get_owner()

	if randi() % 2 == 0:
		print("Executing Node.get_index")
		print("Parameters[]")
		q_Node.get_index()

	if randi() % 2 == 0:
		print("Executing Node.set_filename")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_Node.set_filename(variable1)

	if randi() % 2 == 0:
		print("Executing Node.get_filename")
		print("Parameters[]")
		q_Node.get_filename()

	if randi() % 2 == 0:
		print("Executing Node.propagate_call")
		var variable1: String = str(randi() / 100)
		var variable2: Array = []
		var variable3: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Node.propagate_call(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Node.set_physics_process")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Node.set_physics_process(variable1)

	if randi() % 2 == 0:
		print("Executing Node.get_physics_process_delta_time")
		print("Parameters[]")
		q_Node.get_physics_process_delta_time()

	if randi() % 2 == 0:
		print("Executing Node.is_physics_processing")
		print("Parameters[]")
		q_Node.is_physics_processing()

	if randi() % 2 == 0:
		print("Executing Node.get_process_delta_time")
		print("Parameters[]")
		q_Node.get_process_delta_time()

	if randi() % 2 == 0:
		print("Executing Node.set_process")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Node.set_process(variable1)

	if randi() % 2 == 0:
		print("Executing Node.set_process_priority")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Node.set_process_priority(variable1)

	if randi() % 2 == 0:
		print("Executing Node.get_process_priority")
		print("Parameters[]")
		q_Node.get_process_priority()

	if randi() % 2 == 0:
		print("Executing Node.is_processing")
		print("Parameters[]")
		q_Node.is_processing()

	if randi() % 2 == 0:
		print("Executing Node.set_process_input")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Node.set_process_input(variable1)

	if randi() % 2 == 0:
		print("Executing Node.is_processing_input")
		print("Parameters[]")
		q_Node.is_processing_input()

	if randi() % 2 == 0:
		print("Executing Node.set_process_unhandled_input")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Node.set_process_unhandled_input(variable1)

	if randi() % 2 == 0:
		print("Executing Node.is_processing_unhandled_input")
		print("Parameters[]")
		q_Node.is_processing_unhandled_input()

	if randi() % 2 == 0:
		print("Executing Node.set_process_unhandled_key_input")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Node.set_process_unhandled_key_input(variable1)

	if randi() % 2 == 0:
		print("Executing Node.is_processing_unhandled_key_input")
		print("Parameters[]")
		q_Node.is_processing_unhandled_key_input()

	if randi() % 2 == 0:
		print("Executing Node.set_pause_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Node.set_pause_mode(variable1)

	if randi() % 2 == 0:
		print("Executing Node.get_pause_mode")
		print("Parameters[]")
		q_Node.get_pause_mode()

	if randi() % 2 == 0:
		print("Executing Node.can_process")
		print("Parameters[]")
		q_Node.can_process()

	if randi() % 2 == 0:
		print("Executing Node.get_position_in_parent")
		print("Parameters[]")
		q_Node.get_position_in_parent()

	if randi() % 2 == 0:
		print("Executing Node.set_display_folded")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Node.set_display_folded(variable1)

	if randi() % 2 == 0:
		print("Executing Node.is_displayed_folded")
		print("Parameters[]")
		q_Node.is_displayed_folded()

	if randi() % 2 == 0:
		print("Executing Node.set_process_internal")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Node.set_process_internal(variable1)

	if randi() % 2 == 0:
		print("Executing Node.is_processing_internal")
		print("Parameters[]")
		q_Node.is_processing_internal()

	if randi() % 2 == 0:
		print("Executing Node.set_physics_process_internal")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Node.set_physics_process_internal(variable1)

	if randi() % 2 == 0:
		print("Executing Node.is_physics_processing_internal")
		print("Parameters[]")
		q_Node.is_physics_processing_internal()

	if randi() % 2 == 0:
		print("Executing Node.get_tree")
		print("Parameters[]")
		q_Node.get_tree()

	if randi() % 2 == 0:
		print("Executing Node.set_scene_instance_load_placeholder")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Node.set_scene_instance_load_placeholder(variable1)

	if randi() % 2 == 0:
		print("Executing Node.get_scene_instance_load_placeholder")
		print("Parameters[]")
		q_Node.get_scene_instance_load_placeholder()

	if randi() % 2 == 0:
		print("Executing Node.get_viewport")
		print("Parameters[]")
		q_Node.get_viewport()

	if randi() % 2 == 0:
		print("Executing Node.request_ready")
		print("Parameters[]")
		q_Node.request_ready()

	if randi() % 2 == 0:
		print("Executing Node.set_network_master")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Node.set_network_master(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Node.get_network_master")
		print("Parameters[]")
		q_Node.get_network_master()

	if randi() % 2 == 0:
		print("Executing Node.is_network_master")
		print("Parameters[]")
		q_Node.is_network_master()

	if randi() % 2 == 0:
		print("Executing Node.get_multiplayer")
		print("Parameters[]")
		q_Node.get_multiplayer()

	if randi() % 2 == 0:
		print("Executing Node.get_custom_multiplayer")
		print("Parameters[]")
		q_Node.get_custom_multiplayer()

	if randi() % 2 == 0:
		print("Executing Node.set_custom_multiplayer")
		var variable1: MultiplayerAPI = MultiplayerAPI.new()
		print("Parameters[" + str(variable1) + "]")
		q_Node.set_custom_multiplayer(variable1)

	if randi() % 2 == 0:
		print("Executing Node.rpc_config")
		var variable1: String = "."
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Node.rpc_config(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Node.rset_config")
		var variable1: String = str(randi() / 100)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Node.rset_config(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Node._set_editor_description")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_Node._set_editor_description(variable1)

	if randi() % 2 == 0:
		print("Executing Node._get_editor_description")
		print("Parameters[]")
		q_Node._get_editor_description()

	if randi() % 2 == 0:
		print("Executing Node._set_import_path")
		var variable1: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + "]")
		q_Node._set_import_path(variable1)

	if randi() % 2 == 0:
		print("Executing Node._get_import_path")
		print("Parameters[]")
		q_Node._get_import_path()

	if randi() % 2 == 0:
		print("Executing Node.rset")
		var variable1: String = "."
		var variable2 = false
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Node.rset(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Node.rset_id")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = str(randi() / 100)
		var variable3 = false
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Node.rset_id(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Node.rset_unreliable")
		var variable1: String = "."
		var variable2 = false
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Node.rset_unreliable(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Node.rset_unreliable_id")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = ""
		var variable3 = false
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Node.rset_unreliable_id(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Node.update_configuration_warning")
		print("Parameters[]")
		q_Node.update_configuration_warning()

	pass

