extends Node2D

var q_ParallaxBackground : ParallaxBackground = ParallaxBackground.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_ParallaxBackground.queue_free()
		return

	add_child(q_ParallaxBackground)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_ParallaxBackground.queue_free()
		q_ParallaxBackground = ParallaxBackground.new()
		add_child(q_ParallaxBackground)

	modify_object(q_ParallaxBackground)

static func modify_object(q_ParallaxBackground : ParallaxBackground) -> void:
	if randi() % 2 == 0:
		print("Executing ParallaxBackground._camera_moved")
		var variable1: Transform2D = Transform2D(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ParallaxBackground._camera_moved(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ParallaxBackground.set_scroll_offset")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_ParallaxBackground.set_scroll_offset(variable1)

	if randi() % 2 == 0:
		print("Executing ParallaxBackground.get_scroll_offset")
		print("Parameters[]")
		q_ParallaxBackground.get_scroll_offset()

	if randi() % 2 == 0:
		print("Executing ParallaxBackground.set_scroll_base_offset")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_ParallaxBackground.set_scroll_base_offset(variable1)

	if randi() % 2 == 0:
		print("Executing ParallaxBackground.get_scroll_base_offset")
		print("Parameters[]")
		q_ParallaxBackground.get_scroll_base_offset()

	if randi() % 2 == 0:
		print("Executing ParallaxBackground.set_scroll_base_scale")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_ParallaxBackground.set_scroll_base_scale(variable1)

	if randi() % 2 == 0:
		print("Executing ParallaxBackground.get_scroll_base_scale")
		print("Parameters[]")
		q_ParallaxBackground.get_scroll_base_scale()

	if randi() % 2 == 0:
		print("Executing ParallaxBackground.set_limit_begin")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_ParallaxBackground.set_limit_begin(variable1)

	if randi() % 2 == 0:
		print("Executing ParallaxBackground.get_limit_begin")
		print("Parameters[]")
		q_ParallaxBackground.get_limit_begin()

	if randi() % 2 == 0:
		print("Executing ParallaxBackground.set_limit_end")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_ParallaxBackground.set_limit_end(variable1)

	if randi() % 2 == 0:
		print("Executing ParallaxBackground.get_limit_end")
		print("Parameters[]")
		q_ParallaxBackground.get_limit_end()

	if randi() % 2 == 0:
		print("Executing ParallaxBackground.set_ignore_camera_zoom")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_ParallaxBackground.set_ignore_camera_zoom(variable1)

	if randi() % 2 == 0:
		print("Executing ParallaxBackground.is_ignore_camera_zoom")
		print("Parameters[]")
		q_ParallaxBackground.is_ignore_camera_zoom()

	pass

