extends Node2D

var q_ResourcePreloader : ResourcePreloader = ResourcePreloader.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_ResourcePreloader.queue_free()
		return

	add_child(q_ResourcePreloader)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_ResourcePreloader.queue_free()
		q_ResourcePreloader = ResourcePreloader.new()
		add_child(q_ResourcePreloader)

	modify_object(q_ResourcePreloader)

static func modify_object(q_ResourcePreloader : ResourcePreloader) -> void:
	if randi() % 2 == 0:
		print("Executing ResourcePreloader._set_resources")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_ResourcePreloader._set_resources(variable1)

	if randi() % 2 == 0:
		print("Executing ResourcePreloader._get_resources")
		print("Parameters[]")
		q_ResourcePreloader._get_resources()

	if randi() % 2 == 0:
		print("Executing ResourcePreloader.add_resource")
		var variable1: String = ""
		var variable2: VisualShaderNodeDeterminant = VisualShaderNodeDeterminant.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ResourcePreloader.add_resource(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ResourcePreloader.remove_resource")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_ResourcePreloader.remove_resource(variable1)

	if randi() % 2 == 0:
		print("Executing ResourcePreloader.rename_resource")
		var variable1: String = str(randi() / 100)
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ResourcePreloader.rename_resource(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ResourcePreloader.has_resource")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_ResourcePreloader.has_resource(variable1)

	if randi() % 2 == 0:
		print("Executing ResourcePreloader.get_resource")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_ResourcePreloader.get_resource(variable1)

	if randi() % 2 == 0:
		print("Executing ResourcePreloader.get_resource_list")
		print("Parameters[]")
		q_ResourcePreloader.get_resource_list()

	pass

