extends Node2D

var q_Timer : Timer = Timer.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Timer.queue_free()
		return

	add_child(q_Timer)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Timer.queue_free()
		q_Timer = Timer.new()
		add_child(q_Timer)

	modify_object(q_Timer)

static func modify_object(q_Timer : Timer) -> void:
	if randi() % 2 == 0:
		print("Executing Timer.set_wait_time")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Timer.set_wait_time(variable1)

	if randi() % 2 == 0:
		print("Executing Timer.get_wait_time")
		print("Parameters[]")
		q_Timer.get_wait_time()

	if randi() % 2 == 0:
		print("Executing Timer.set_one_shot")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Timer.set_one_shot(variable1)

	if randi() % 2 == 0:
		print("Executing Timer.is_one_shot")
		print("Parameters[]")
		q_Timer.is_one_shot()

	if randi() % 2 == 0:
		print("Executing Timer.set_autostart")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Timer.set_autostart(variable1)

	if randi() % 2 == 0:
		print("Executing Timer.has_autostart")
		print("Parameters[]")
		q_Timer.has_autostart()

	if randi() % 2 == 0:
		print("Executing Timer.stop")
		print("Parameters[]")
		q_Timer.stop()

	if randi() % 2 == 0:
		print("Executing Timer.set_paused")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Timer.set_paused(variable1)

	if randi() % 2 == 0:
		print("Executing Timer.is_paused")
		print("Parameters[]")
		q_Timer.is_paused()

	if randi() % 2 == 0:
		print("Executing Timer.is_stopped")
		print("Parameters[]")
		q_Timer.is_stopped()

	if randi() % 2 == 0:
		print("Executing Timer.get_time_left")
		print("Parameters[]")
		q_Timer.get_time_left()

	if randi() % 2 == 0:
		print("Executing Timer.set_timer_process_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Timer.set_timer_process_mode(variable1)

	if randi() % 2 == 0:
		print("Executing Timer.get_timer_process_mode")
		print("Parameters[]")
		q_Timer.get_timer_process_mode()

	pass

