extends Node2D

var q_Viewport : Viewport = Viewport.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Viewport.queue_free()
		return

	add_child(q_Viewport)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Viewport.queue_free()
		q_Viewport = Viewport.new()
		add_child(q_Viewport)

	modify_object(q_Viewport)

static func modify_object(q_Viewport : Viewport) -> void:
	if randi() % 2 == 0:
		print("Executing Viewport.set_use_arvr")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.set_use_arvr(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.use_arvr")
		print("Parameters[]")
		q_Viewport.use_arvr()

	if randi() % 2 == 0:
		print("Executing Viewport.set_size")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.set_size(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.get_size")
		print("Parameters[]")
		q_Viewport.get_size()

	if randi() % 2 == 0:
		print("Executing Viewport.set_world_2d")
		var variable1: World2D = World2D.new()
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.set_world_2d(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.get_world_2d")
		print("Parameters[]")
		q_Viewport.get_world_2d()

	if randi() % 2 == 0:
		print("Executing Viewport.find_world_2d")
		print("Parameters[]")
		q_Viewport.find_world_2d()

	if randi() % 2 == 0:
		print("Executing Viewport.set_world")
		var variable1: World = World.new()
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.set_world(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.get_world")
		print("Parameters[]")
		q_Viewport.get_world()

	if randi() % 2 == 0:
		print("Executing Viewport.find_world")
		print("Parameters[]")
		q_Viewport.find_world()

	if randi() % 2 == 0:
		print("Executing Viewport.set_canvas_transform")
		var variable1: Transform2D = Transform2D(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.set_canvas_transform(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.get_canvas_transform")
		print("Parameters[]")
		q_Viewport.get_canvas_transform()

	if randi() % 2 == 0:
		print("Executing Viewport.set_global_canvas_transform")
		var variable1: Transform2D = Transform2D(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.set_global_canvas_transform(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.get_global_canvas_transform")
		print("Parameters[]")
		q_Viewport.get_global_canvas_transform()

	if randi() % 2 == 0:
		print("Executing Viewport.get_final_transform")
		print("Parameters[]")
		q_Viewport.get_final_transform()

	if randi() % 2 == 0:
		print("Executing Viewport.get_visible_rect")
		print("Parameters[]")
		q_Viewport.get_visible_rect()

	if randi() % 2 == 0:
		print("Executing Viewport.set_transparent_background")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.set_transparent_background(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.has_transparent_background")
		print("Parameters[]")
		q_Viewport.has_transparent_background()

	if randi() % 2 == 0:
		print("Executing Viewport._vp_input_text")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_Viewport._vp_input_text(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.set_size_override")
		var variable1: bool = bool(randi() % 2)
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable3: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Viewport.set_size_override(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Viewport.get_size_override")
		print("Parameters[]")
		q_Viewport.get_size_override()

	if randi() % 2 == 0:
		print("Executing Viewport.is_size_override_enabled")
		print("Parameters[]")
		q_Viewport.is_size_override_enabled()

	if randi() % 2 == 0:
		print("Executing Viewport.set_size_override_stretch")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.set_size_override_stretch(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.is_size_override_stretch_enabled")
		print("Parameters[]")
		q_Viewport.is_size_override_stretch_enabled()

	if randi() % 2 == 0:
		print("Executing Viewport.set_vflip")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.set_vflip(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.get_vflip")
		print("Parameters[]")
		q_Viewport.get_vflip()

	if randi() % 2 == 0:
		print("Executing Viewport.set_clear_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.set_clear_mode(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.get_clear_mode")
		print("Parameters[]")
		q_Viewport.get_clear_mode()

	if randi() % 2 == 0:
		print("Executing Viewport.set_update_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.set_update_mode(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.get_update_mode")
		print("Parameters[]")
		q_Viewport.get_update_mode()

	if randi() % 2 == 0:
		print("Executing Viewport.set_msaa")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.set_msaa(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.get_msaa")
		print("Parameters[]")
		q_Viewport.get_msaa()

	if randi() % 2 == 0:
		print("Executing Viewport.set_use_fxaa")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.set_use_fxaa(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.get_use_fxaa")
		print("Parameters[]")
		q_Viewport.get_use_fxaa()

	if randi() % 2 == 0:
		print("Executing Viewport.set_use_debanding")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.set_use_debanding(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.get_use_debanding")
		print("Parameters[]")
		q_Viewport.get_use_debanding()

	if randi() % 2 == 0:
		print("Executing Viewport.set_hdr")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.set_hdr(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.get_hdr")
		print("Parameters[]")
		q_Viewport.get_hdr()

	if randi() % 2 == 0:
		print("Executing Viewport.set_usage")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.set_usage(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.get_usage")
		print("Parameters[]")
		q_Viewport.get_usage()

	if randi() % 2 == 0:
		print("Executing Viewport.set_debug_draw")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.set_debug_draw(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.get_debug_draw")
		print("Parameters[]")
		q_Viewport.get_debug_draw()

	if randi() % 2 == 0:
		print("Executing Viewport.get_render_info")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.get_render_info(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.get_texture")
		print("Parameters[]")
		q_Viewport.get_texture()

	if randi() % 2 == 0:
		print("Executing Viewport.set_physics_object_picking")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.set_physics_object_picking(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.get_physics_object_picking")
		print("Parameters[]")
		q_Viewport.get_physics_object_picking()

	if randi() % 2 == 0:
		print("Executing Viewport.get_viewport_rid")
		print("Parameters[]")
		q_Viewport.get_viewport_rid()

	if randi() % 2 == 0:
		print("Executing Viewport.input")
		var variable1: InputEventMouseButton = InputEventMouseButton.new()
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.input(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.unhandled_input")
		var variable1: InputEventAction = InputEventAction.new()
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.unhandled_input(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.update_worlds")
		print("Parameters[]")
		q_Viewport.update_worlds()

	if randi() % 2 == 0:
		print("Executing Viewport.set_use_own_world")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.set_use_own_world(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.is_using_own_world")
		print("Parameters[]")
		q_Viewport.is_using_own_world()

	if randi() % 2 == 0:
		print("Executing Viewport.get_camera")
		print("Parameters[]")
		q_Viewport.get_camera()

	if randi() % 2 == 0:
		print("Executing Viewport.set_as_audio_listener")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.set_as_audio_listener(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.is_audio_listener")
		print("Parameters[]")
		q_Viewport.is_audio_listener()

	if randi() % 2 == 0:
		print("Executing Viewport.set_as_audio_listener_2d")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.set_as_audio_listener_2d(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.is_audio_listener_2d")
		print("Parameters[]")
		q_Viewport.is_audio_listener_2d()

	if randi() % 2 == 0:
		print("Executing Viewport.set_attach_to_screen_rect")
		var variable1: Rect2 = Rect2(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.set_attach_to_screen_rect(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.set_use_render_direct_to_screen")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.set_use_render_direct_to_screen(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.is_using_render_direct_to_screen")
		print("Parameters[]")
		q_Viewport.is_using_render_direct_to_screen()

	if randi() % 2 == 0:
		print("Executing Viewport.get_mouse_position")
		print("Parameters[]")
		q_Viewport.get_mouse_position()

	if randi() % 2 == 0:
		print("Executing Viewport.gui_has_modal_stack")
		print("Parameters[]")
		q_Viewport.gui_has_modal_stack()

	if randi() % 2 == 0:
		print("Executing Viewport.gui_get_drag_data")
		print("Parameters[]")
		q_Viewport.gui_get_drag_data()

	if randi() % 2 == 0:
		print("Executing Viewport.gui_is_dragging")
		print("Parameters[]")
		q_Viewport.gui_is_dragging()

	if randi() % 2 == 0:
		print("Executing Viewport.get_modal_stack_top")
		print("Parameters[]")
		q_Viewport.get_modal_stack_top()

	if randi() % 2 == 0:
		print("Executing Viewport.set_disable_input")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.set_disable_input(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.is_input_disabled")
		print("Parameters[]")
		q_Viewport.is_input_disabled()

	if randi() % 2 == 0:
		print("Executing Viewport.set_disable_3d")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.set_disable_3d(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.is_3d_disabled")
		print("Parameters[]")
		q_Viewport.is_3d_disabled()

	if randi() % 2 == 0:
		print("Executing Viewport.set_keep_3d_linear")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.set_keep_3d_linear(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.get_keep_3d_linear")
		print("Parameters[]")
		q_Viewport.get_keep_3d_linear()

	if randi() % 2 == 0:
		print("Executing Viewport._gui_show_tooltip")
		print("Parameters[]")
		q_Viewport._gui_show_tooltip()

	if randi() % 2 == 0:
		print("Executing Viewport._gui_remove_focus")
		print("Parameters[]")
		q_Viewport._gui_remove_focus()

	if randi() % 2 == 0:
		print("Executing Viewport._post_gui_grab_click_focus")
		print("Parameters[]")
		q_Viewport._post_gui_grab_click_focus()

	if randi() % 2 == 0:
		print("Executing Viewport.set_shadow_atlas_size")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.set_shadow_atlas_size(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.get_shadow_atlas_size")
		print("Parameters[]")
		q_Viewport.get_shadow_atlas_size()

	if randi() % 2 == 0:
		print("Executing Viewport.set_snap_controls_to_pixels")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.set_snap_controls_to_pixels(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.is_snap_controls_to_pixels_enabled")
		print("Parameters[]")
		q_Viewport.is_snap_controls_to_pixels_enabled()

	if randi() % 2 == 0:
		print("Executing Viewport.set_shadow_atlas_quadrant_subdiv")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Viewport.set_shadow_atlas_quadrant_subdiv(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Viewport.get_shadow_atlas_quadrant_subdiv")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.get_shadow_atlas_quadrant_subdiv(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.set_input_as_handled")
		print("Parameters[]")
		q_Viewport.set_input_as_handled()

	if randi() % 2 == 0:
		print("Executing Viewport.is_input_handled")
		print("Parameters[]")
		q_Viewport.is_input_handled()

	if randi() % 2 == 0:
		print("Executing Viewport.set_handle_input_locally")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Viewport.set_handle_input_locally(variable1)

	if randi() % 2 == 0:
		print("Executing Viewport.is_handling_input_locally")
		print("Parameters[]")
		q_Viewport.is_handling_input_locally()

	if randi() % 2 == 0:
		print("Executing Viewport._subwindow_visibility_changed")
		print("Parameters[]")
		q_Viewport._subwindow_visibility_changed()

	if randi() % 2 == 0:
		print("Executing Viewport._own_world_changed")
		print("Parameters[]")
		q_Viewport._own_world_changed()

	if randi() % 2 == 0:
		print("Executing Viewport._process_picking")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Viewport._process_picking(variable1)

	pass

