extends Node2D

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	modify_object()

static func modify_object() -> void:
	if randi() % 2 == 0:
		print("Executing Marshalls.variant_to_base64")
		var variable1 = false
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		Marshalls.variant_to_base64(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Marshalls.base64_to_variant")
		var variable1: String = ""
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		Marshalls.base64_to_variant(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Marshalls.raw_to_base64")
		var variable1: PoolByteArray = PoolByteArray([])
		print("Parameters[" + str(variable1) + "]")
		Marshalls.raw_to_base64(variable1)

	if randi() % 2 == 0:
		print("Executing Marshalls.base64_to_raw")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		Marshalls.base64_to_raw(variable1)

	if randi() % 2 == 0:
		print("Executing Marshalls.utf8_to_base64")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		Marshalls.utf8_to_base64(variable1)

	if randi() % 2 == 0:
		print("Executing Marshalls.base64_to_utf8")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		Marshalls.base64_to_utf8(variable1)

	pass

