extends Node2D

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	modify_object()

static func modify_object() -> void:
	if randi() % 2 == 0:
		print("Executing ResourceLoader.load_interactive")
		var variable1: String = str(randi() / 100)
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		ResourceLoader.load_interactive(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ResourceLoader.load")
		var variable1: String = str(randi() / 100)
		var variable2: String = str(randi() / 100)
		var variable3: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		ResourceLoader.load(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing ResourceLoader.get_recognized_extensions_for_type")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		ResourceLoader.get_recognized_extensions_for_type(variable1)

	if randi() % 2 == 0:
		print("Executing ResourceLoader.set_abort_on_missing_resources")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		ResourceLoader.set_abort_on_missing_resources(variable1)

	if randi() % 2 == 0:
		print("Executing ResourceLoader.get_dependencies")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		ResourceLoader.get_dependencies(variable1)

	if randi() % 2 == 0:
		print("Executing ResourceLoader.has_cached")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		ResourceLoader.has_cached(variable1)

	if randi() % 2 == 0:
		print("Executing ResourceLoader.exists")
		var variable1: String = "."
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		ResourceLoader.exists(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ResourceLoader.has")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		ResourceLoader.has(variable1)

	pass

