extends Node2D

var q_AStar : AStar = AStar.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AStar = AStar.new()
	modify_object(q_AStar)

static func modify_object(q_AStar : AStar) -> void:
	if randi() % 2 == 0:
		print("Executing AStar.get_available_point_id")
		print("Parameters[]")
		q_AStar.get_available_point_id()

	if randi() % 2 == 0:
		print("Executing AStar.add_point")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable3: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_AStar.add_point(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing AStar.get_point_position")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AStar.get_point_position(variable1)

	if randi() % 2 == 0:
		print("Executing AStar.set_point_position")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AStar.set_point_position(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AStar.get_point_weight_scale")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AStar.get_point_weight_scale(variable1)

	if randi() % 2 == 0:
		print("Executing AStar.set_point_weight_scale")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AStar.set_point_weight_scale(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AStar.remove_point")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AStar.remove_point(variable1)

	if randi() % 2 == 0:
		print("Executing AStar.has_point")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AStar.has_point(variable1)

	if randi() % 2 == 0:
		print("Executing AStar.get_point_connections")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AStar.get_point_connections(variable1)

	if randi() % 2 == 0:
		print("Executing AStar.get_points")
		print("Parameters[]")
		q_AStar.get_points()

	if randi() % 2 == 0:
		print("Executing AStar.set_point_disabled")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AStar.set_point_disabled(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AStar.is_point_disabled")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AStar.is_point_disabled(variable1)

	if randi() % 2 == 0:
		print("Executing AStar.connect_points")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_AStar.connect_points(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing AStar.disconnect_points")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_AStar.disconnect_points(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing AStar.are_points_connected")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_AStar.are_points_connected(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing AStar.get_point_count")
		print("Parameters[]")
		q_AStar.get_point_count()

	if randi() % 2 == 0:
		print("Executing AStar.get_point_capacity")
		print("Parameters[]")
		q_AStar.get_point_capacity()

	if randi() % 2 == 0:
		print("Executing AStar.reserve_space")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AStar.reserve_space(variable1)

	if randi() % 2 == 0:
		print("Executing AStar.clear")
		print("Parameters[]")
		q_AStar.clear()

	if randi() % 2 == 0:
		print("Executing AStar.get_closest_position_in_segment")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_AStar.get_closest_position_in_segment(variable1)

	if randi() % 2 == 0:
		print("Executing AStar.get_point_path")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AStar.get_point_path(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AStar.get_id_path")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AStar.get_id_path(variable1, variable2)

	pass

