extends Node2D

var q_CharFXTransform : CharFXTransform = CharFXTransform.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_CharFXTransform = CharFXTransform.new()
	modify_object(q_CharFXTransform)

static func modify_object(q_CharFXTransform : CharFXTransform) -> void:
	if randi() % 2 == 0:
		print("Executing CharFXTransform.get_relative_index")
		print("Parameters[]")
		q_CharFXTransform.get_relative_index()

	if randi() % 2 == 0:
		print("Executing CharFXTransform.set_relative_index")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CharFXTransform.set_relative_index(variable1)

	if randi() % 2 == 0:
		print("Executing CharFXTransform.get_absolute_index")
		print("Parameters[]")
		q_CharFXTransform.get_absolute_index()

	if randi() % 2 == 0:
		print("Executing CharFXTransform.set_absolute_index")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CharFXTransform.set_absolute_index(variable1)

	if randi() % 2 == 0:
		print("Executing CharFXTransform.get_elapsed_time")
		print("Parameters[]")
		q_CharFXTransform.get_elapsed_time()

	if randi() % 2 == 0:
		print("Executing CharFXTransform.set_elapsed_time")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CharFXTransform.set_elapsed_time(variable1)

	if randi() % 2 == 0:
		print("Executing CharFXTransform.is_visible")
		print("Parameters[]")
		q_CharFXTransform.is_visible()

	if randi() % 2 == 0:
		print("Executing CharFXTransform.set_visibility")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_CharFXTransform.set_visibility(variable1)

	if randi() % 2 == 0:
		print("Executing CharFXTransform.get_offset")
		print("Parameters[]")
		q_CharFXTransform.get_offset()

	if randi() % 2 == 0:
		print("Executing CharFXTransform.set_offset")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_CharFXTransform.set_offset(variable1)

	if randi() % 2 == 0:
		print("Executing CharFXTransform.get_color")
		print("Parameters[]")
		q_CharFXTransform.get_color()

	if randi() % 2 == 0:
		print("Executing CharFXTransform.set_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_CharFXTransform.set_color(variable1)

	if randi() % 2 == 0:
		print("Executing CharFXTransform.get_environment")
		print("Parameters[]")
		q_CharFXTransform.get_environment()

	if randi() % 2 == 0:
		print("Executing CharFXTransform.set_environment")
		var variable1: Dictionary = {}
		print("Parameters[" + str(variable1) + "]")
		q_CharFXTransform.set_environment(variable1)

	if randi() % 2 == 0:
		print("Executing CharFXTransform.get_character")
		print("Parameters[]")
		q_CharFXTransform.get_character()

	if randi() % 2 == 0:
		print("Executing CharFXTransform.set_character")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CharFXTransform.set_character(variable1)

	pass

