extends Node2D

var q_ConfigFile : ConfigFile = ConfigFile.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_ConfigFile = ConfigFile.new()
	modify_object(q_ConfigFile)

static func modify_object(q_ConfigFile : ConfigFile) -> void:
	if randi() % 2 == 0:
		print("Executing ConfigFile.set_value")
		var variable1: String = str(randi() / 100)
		var variable2: String = "."
		var variable3 = false
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_ConfigFile.set_value(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing ConfigFile.get_value")
		var variable1: String = str(randi() / 100)
		var variable2: String = ""
		var variable3 = false
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_ConfigFile.get_value(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing ConfigFile.has_section")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_ConfigFile.has_section(variable1)

	if randi() % 2 == 0:
		print("Executing ConfigFile.has_section_key")
		var variable1: String = ""
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ConfigFile.has_section_key(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ConfigFile.get_sections")
		print("Parameters[]")
		q_ConfigFile.get_sections()

	if randi() % 2 == 0:
		print("Executing ConfigFile.get_section_keys")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_ConfigFile.get_section_keys(variable1)

	if randi() % 2 == 0:
		print("Executing ConfigFile.erase_section")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_ConfigFile.erase_section(variable1)

	if randi() % 2 == 0:
		print("Executing ConfigFile.erase_section_key")
		var variable1: String = str(randi() / 100)
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ConfigFile.erase_section_key(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ConfigFile.load")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_ConfigFile.load(variable1)

	if randi() % 2 == 0:
		print("Executing ConfigFile.parse")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_ConfigFile.parse(variable1)

	if randi() % 2 == 0:
		print("Executing ConfigFile.load_encrypted")
		var variable1: String = "."
		var variable2: PoolByteArray = PoolByteArray([])
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ConfigFile.load_encrypted(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ConfigFile.load_encrypted_pass")
		var variable1: String = "."
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ConfigFile.load_encrypted_pass(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ConfigFile.clear")
		print("Parameters[]")
		q_ConfigFile.clear()

	pass

