extends Node2D

var q_DTLSServer : DTLSServer = DTLSServer.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_DTLSServer = DTLSServer.new()
	modify_object(q_DTLSServer)

static func modify_object(q_DTLSServer : DTLSServer) -> void:
	if randi() % 2 == 0:
		print("Executing DTLSServer.setup")
		var variable1: CryptoKey = CryptoKey.new()
		var variable2: X509Certificate = X509Certificate.new()
		var variable3: X509Certificate = X509Certificate.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_DTLSServer.setup(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing DTLSServer.take_connection")
		var variable1: PacketPeerUDP = PacketPeerUDP.new()
		print("Parameters[" + str(variable1) + "]")
		q_DTLSServer.take_connection(variable1)

	pass

