extends Node2D

var q_MeshDataTool : MeshDataTool = MeshDataTool.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_MeshDataTool = MeshDataTool.new()
	modify_object(q_MeshDataTool)

static func modify_object(q_MeshDataTool : MeshDataTool) -> void:
	if randi() % 2 == 0:
		print("Executing MeshDataTool.clear")
		print("Parameters[]")
		q_MeshDataTool.clear()

	if randi() % 2 == 0:
		print("Executing MeshDataTool.create_from_surface")
		var variable1: ArrayMesh = ArrayMesh.new()
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_MeshDataTool.create_from_surface(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.commit_to_surface")
		var variable1: ArrayMesh = ArrayMesh.new()
		print("Parameters[" + str(variable1) + "]")
		q_MeshDataTool.commit_to_surface(variable1)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.get_format")
		print("Parameters[]")
		q_MeshDataTool.get_format()

	if randi() % 2 == 0:
		print("Executing MeshDataTool.get_vertex_count")
		print("Parameters[]")
		q_MeshDataTool.get_vertex_count()

	if randi() % 2 == 0:
		print("Executing MeshDataTool.get_edge_count")
		print("Parameters[]")
		q_MeshDataTool.get_edge_count()

	if randi() % 2 == 0:
		print("Executing MeshDataTool.get_face_count")
		print("Parameters[]")
		q_MeshDataTool.get_face_count()

	if randi() % 2 == 0:
		print("Executing MeshDataTool.set_vertex")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_MeshDataTool.set_vertex(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.get_vertex")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MeshDataTool.get_vertex(variable1)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.set_vertex_normal")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_MeshDataTool.set_vertex_normal(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.get_vertex_normal")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MeshDataTool.get_vertex_normal(variable1)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.set_vertex_tangent")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Plane = Plane(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_MeshDataTool.set_vertex_tangent(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.get_vertex_tangent")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MeshDataTool.get_vertex_tangent(variable1)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.set_vertex_uv")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_MeshDataTool.set_vertex_uv(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.get_vertex_uv")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MeshDataTool.get_vertex_uv(variable1)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.set_vertex_uv2")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_MeshDataTool.set_vertex_uv2(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.get_vertex_uv2")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MeshDataTool.get_vertex_uv2(variable1)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.set_vertex_color")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_MeshDataTool.set_vertex_color(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.get_vertex_color")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MeshDataTool.get_vertex_color(variable1)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.set_vertex_bones")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: PoolIntArray = PoolIntArray([])
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_MeshDataTool.set_vertex_bones(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.get_vertex_bones")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MeshDataTool.get_vertex_bones(variable1)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.set_vertex_weights")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: PoolRealArray = PoolRealArray([])
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_MeshDataTool.set_vertex_weights(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.get_vertex_weights")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MeshDataTool.get_vertex_weights(variable1)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.set_vertex_meta")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2 = false
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_MeshDataTool.set_vertex_meta(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.get_vertex_meta")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MeshDataTool.get_vertex_meta(variable1)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.get_vertex_edges")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MeshDataTool.get_vertex_edges(variable1)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.get_vertex_faces")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MeshDataTool.get_vertex_faces(variable1)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.get_edge_vertex")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_MeshDataTool.get_edge_vertex(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.get_edge_faces")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MeshDataTool.get_edge_faces(variable1)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.set_edge_meta")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2 = false
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_MeshDataTool.set_edge_meta(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.get_edge_meta")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MeshDataTool.get_edge_meta(variable1)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.get_face_vertex")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_MeshDataTool.get_face_vertex(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.get_face_edge")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_MeshDataTool.get_face_edge(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.set_face_meta")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2 = false
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_MeshDataTool.set_face_meta(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.get_face_meta")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MeshDataTool.get_face_meta(variable1)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.get_face_normal")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MeshDataTool.get_face_normal(variable1)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.set_material")
		var variable1: SpatialMaterial = SpatialMaterial.new()
		print("Parameters[" + str(variable1) + "]")
		q_MeshDataTool.set_material(variable1)

	if randi() % 2 == 0:
		print("Executing MeshDataTool.get_material")
		print("Parameters[]")
		q_MeshDataTool.get_material()

	pass

