extends Node2D

var q_MultiplayerAPI : MultiplayerAPI = MultiplayerAPI.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_MultiplayerAPI = MultiplayerAPI.new()
	modify_object(q_MultiplayerAPI)

static func modify_object(q_MultiplayerAPI : MultiplayerAPI) -> void:
	if randi() % 2 == 0:
		print("Executing MultiplayerAPI.get_root_node")
		print("Parameters[]")
		q_MultiplayerAPI.get_root_node()

	if randi() % 2 == 0:
		print("Executing MultiplayerAPI.send_bytes")
		var variable1: PoolByteArray = PoolByteArray([])
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_MultiplayerAPI.send_bytes(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing MultiplayerAPI.has_network_peer")
		print("Parameters[]")
		q_MultiplayerAPI.has_network_peer()

	if randi() % 2 == 0:
		print("Executing MultiplayerAPI.get_network_peer")
		print("Parameters[]")
		q_MultiplayerAPI.get_network_peer()

	if randi() % 2 == 0:
		print("Executing MultiplayerAPI.get_network_unique_id")
		print("Parameters[]")
		q_MultiplayerAPI.get_network_unique_id()

	if randi() % 2 == 0:
		print("Executing MultiplayerAPI.is_network_server")
		print("Parameters[]")
		q_MultiplayerAPI.is_network_server()

	if randi() % 2 == 0:
		print("Executing MultiplayerAPI.get_rpc_sender_id")
		print("Parameters[]")
		q_MultiplayerAPI.get_rpc_sender_id()

	if randi() % 2 == 0:
		print("Executing MultiplayerAPI._add_peer")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MultiplayerAPI._add_peer(variable1)

	if randi() % 2 == 0:
		print("Executing MultiplayerAPI._del_peer")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MultiplayerAPI._del_peer(variable1)

	if randi() % 2 == 0:
		print("Executing MultiplayerAPI.set_network_peer")
		var variable1: WebSocketServer = WebSocketServer.new()
		print("Parameters[" + str(variable1) + "]")
		q_MultiplayerAPI.set_network_peer(variable1)

	if randi() % 2 == 0:
		print("Executing MultiplayerAPI.poll")
		print("Parameters[]")
		q_MultiplayerAPI.poll()

	if randi() % 2 == 0:
		print("Executing MultiplayerAPI.clear")
		print("Parameters[]")
		q_MultiplayerAPI.clear()

	if randi() % 2 == 0:
		print("Executing MultiplayerAPI._connected_to_server")
		print("Parameters[]")
		q_MultiplayerAPI._connected_to_server()

	if randi() % 2 == 0:
		print("Executing MultiplayerAPI._connection_failed")
		print("Parameters[]")
		q_MultiplayerAPI._connection_failed()

	if randi() % 2 == 0:
		print("Executing MultiplayerAPI._server_disconnected")
		print("Parameters[]")
		q_MultiplayerAPI._server_disconnected()

	if randi() % 2 == 0:
		print("Executing MultiplayerAPI.get_network_connected_peers")
		print("Parameters[]")
		q_MultiplayerAPI.get_network_connected_peers()

	if randi() % 2 == 0:
		print("Executing MultiplayerAPI.set_refuse_new_network_connections")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_MultiplayerAPI.set_refuse_new_network_connections(variable1)

	if randi() % 2 == 0:
		print("Executing MultiplayerAPI.is_refusing_new_network_connections")
		print("Parameters[]")
		q_MultiplayerAPI.is_refusing_new_network_connections()

	if randi() % 2 == 0:
		print("Executing MultiplayerAPI.set_allow_object_decoding")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_MultiplayerAPI.set_allow_object_decoding(variable1)

	if randi() % 2 == 0:
		print("Executing MultiplayerAPI.is_object_decoding_allowed")
		print("Parameters[]")
		q_MultiplayerAPI.is_object_decoding_allowed()

	pass

