extends Node2D

var q_PacketPeerStream : PacketPeerStream = PacketPeerStream.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_PacketPeerStream = PacketPeerStream.new()
	modify_object(q_PacketPeerStream)

static func modify_object(q_PacketPeerStream : PacketPeerStream) -> void:
	if randi() % 2 == 0:
		print("Executing PacketPeerStream.set_stream_peer")
		var variable1: StreamPeerTCP = StreamPeerTCP.new()
		print("Parameters[" + str(variable1) + "]")
		q_PacketPeerStream.set_stream_peer(variable1)

	if randi() % 2 == 0:
		print("Executing PacketPeerStream.get_stream_peer")
		print("Parameters[]")
		q_PacketPeerStream.get_stream_peer()

	if randi() % 2 == 0:
		print("Executing PacketPeerStream.set_input_buffer_max_size")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PacketPeerStream.set_input_buffer_max_size(variable1)

	if randi() % 2 == 0:
		print("Executing PacketPeerStream.set_output_buffer_max_size")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PacketPeerStream.set_output_buffer_max_size(variable1)

	if randi() % 2 == 0:
		print("Executing PacketPeerStream.get_input_buffer_max_size")
		print("Parameters[]")
		q_PacketPeerStream.get_input_buffer_max_size()

	if randi() % 2 == 0:
		print("Executing PacketPeerStream.get_output_buffer_max_size")
		print("Parameters[]")
		q_PacketPeerStream.get_output_buffer_max_size()

	pass

