extends Node2D

var q_RegEx : RegEx = RegEx.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_RegEx = RegEx.new()
	modify_object(q_RegEx)

static func modify_object(q_RegEx : RegEx) -> void:
	if randi() % 2 == 0:
		print("Executing RegEx.clear")
		print("Parameters[]")
		q_RegEx.clear()

	if randi() % 2 == 0:
		print("Executing RegEx.compile")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_RegEx.compile(variable1)

	if randi() % 2 == 0:
		print("Executing RegEx.search")
		var variable1: String = "."
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_RegEx.search(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing RegEx.search_all")
		var variable1: String = ""
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_RegEx.search_all(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing RegEx.sub")
		var variable1: String = str(randi() / 100)
		var variable2: String = ""
		var variable3: bool = bool(randi() % 2)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		var variable5: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_RegEx.sub(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing RegEx.is_valid")
		print("Parameters[]")
		q_RegEx.is_valid()

	if randi() % 2 == 0:
		print("Executing RegEx.get_pattern")
		print("Parameters[]")
		q_RegEx.get_pattern()

	if randi() % 2 == 0:
		print("Executing RegEx.get_group_count")
		print("Parameters[]")
		q_RegEx.get_group_count()

	if randi() % 2 == 0:
		print("Executing RegEx.get_names")
		print("Parameters[]")
		q_RegEx.get_names()

	pass

