extends Node2D

var q_SpatialVelocityTracker : SpatialVelocityTracker = SpatialVelocityTracker.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_SpatialVelocityTracker = SpatialVelocityTracker.new()
	modify_object(q_SpatialVelocityTracker)

static func modify_object(q_SpatialVelocityTracker : SpatialVelocityTracker) -> void:
	if randi() % 2 == 0:
		print("Executing SpatialVelocityTracker.set_track_physics_step")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialVelocityTracker.set_track_physics_step(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialVelocityTracker.is_tracking_physics_step")
		print("Parameters[]")
		q_SpatialVelocityTracker.is_tracking_physics_step()

	if randi() % 2 == 0:
		print("Executing SpatialVelocityTracker.update_position")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_SpatialVelocityTracker.update_position(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialVelocityTracker.get_tracked_linear_velocity")
		print("Parameters[]")
		q_SpatialVelocityTracker.get_tracked_linear_velocity()

	if randi() % 2 == 0:
		print("Executing SpatialVelocityTracker.reset")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_SpatialVelocityTracker.reset(variable1)

	pass

