extends Node2D

static func modify_object(q_StreamPeer : StreamPeer) -> void:
	if randi() % 2 == 0:
		print("Executing StreamPeer.put_data")
		var variable1: PoolByteArray = PoolByteArray([])
		print("Parameters[" + str(variable1) + "]")
		q_StreamPeer.put_data(variable1)

	if randi() % 2 == 0:
		print("Executing StreamPeer.put_partial_data")
		var variable1: PoolByteArray = PoolByteArray([])
		print("Parameters[" + str(variable1) + "]")
		q_StreamPeer.put_partial_data(variable1)

	if randi() % 2 == 0:
		print("Executing StreamPeer.get_data")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StreamPeer.get_data(variable1)

	if randi() % 2 == 0:
		print("Executing StreamPeer.get_partial_data")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StreamPeer.get_partial_data(variable1)

	if randi() % 2 == 0:
		print("Executing StreamPeer.get_available_bytes")
		print("Parameters[]")
		q_StreamPeer.get_available_bytes()

	if randi() % 2 == 0:
		print("Executing StreamPeer.set_big_endian")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_StreamPeer.set_big_endian(variable1)

	if randi() % 2 == 0:
		print("Executing StreamPeer.is_big_endian_enabled")
		print("Parameters[]")
		q_StreamPeer.is_big_endian_enabled()

	if randi() % 2 == 0:
		print("Executing StreamPeer.put_8")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StreamPeer.put_8(variable1)

	if randi() % 2 == 0:
		print("Executing StreamPeer.put_u8")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StreamPeer.put_u8(variable1)

	if randi() % 2 == 0:
		print("Executing StreamPeer.put_16")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StreamPeer.put_16(variable1)

	if randi() % 2 == 0:
		print("Executing StreamPeer.put_u16")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StreamPeer.put_u16(variable1)

	if randi() % 2 == 0:
		print("Executing StreamPeer.put_32")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StreamPeer.put_32(variable1)

	if randi() % 2 == 0:
		print("Executing StreamPeer.put_u32")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StreamPeer.put_u32(variable1)

	if randi() % 2 == 0:
		print("Executing StreamPeer.put_64")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StreamPeer.put_64(variable1)

	if randi() % 2 == 0:
		print("Executing StreamPeer.put_u64")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StreamPeer.put_u64(variable1)

	if randi() % 2 == 0:
		print("Executing StreamPeer.put_float")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StreamPeer.put_float(variable1)

	if randi() % 2 == 0:
		print("Executing StreamPeer.put_double")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StreamPeer.put_double(variable1)

	if randi() % 2 == 0:
		print("Executing StreamPeer.put_string")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_StreamPeer.put_string(variable1)

	if randi() % 2 == 0:
		print("Executing StreamPeer.put_utf8_string")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_StreamPeer.put_utf8_string(variable1)

	if randi() % 2 == 0:
		print("Executing StreamPeer.put_var")
		var variable1 = false
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_StreamPeer.put_var(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing StreamPeer.get_8")
		print("Parameters[]")
		q_StreamPeer.get_8()

	if randi() % 2 == 0:
		print("Executing StreamPeer.get_u8")
		print("Parameters[]")
		q_StreamPeer.get_u8()

	if randi() % 2 == 0:
		print("Executing StreamPeer.get_16")
		print("Parameters[]")
		q_StreamPeer.get_16()

	if randi() % 2 == 0:
		print("Executing StreamPeer.get_u16")
		print("Parameters[]")
		q_StreamPeer.get_u16()

	if randi() % 2 == 0:
		print("Executing StreamPeer.get_32")
		print("Parameters[]")
		q_StreamPeer.get_32()

	if randi() % 2 == 0:
		print("Executing StreamPeer.get_u32")
		print("Parameters[]")
		q_StreamPeer.get_u32()

	if randi() % 2 == 0:
		print("Executing StreamPeer.get_64")
		print("Parameters[]")
		q_StreamPeer.get_64()

	if randi() % 2 == 0:
		print("Executing StreamPeer.get_u64")
		print("Parameters[]")
		q_StreamPeer.get_u64()

	if randi() % 2 == 0:
		print("Executing StreamPeer.get_float")
		print("Parameters[]")
		q_StreamPeer.get_float()

	if randi() % 2 == 0:
		print("Executing StreamPeer.get_double")
		print("Parameters[]")
		q_StreamPeer.get_double()

	if randi() % 2 == 0:
		print("Executing StreamPeer.get_string")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StreamPeer.get_string(variable1)

	if randi() % 2 == 0:
		print("Executing StreamPeer.get_utf8_string")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StreamPeer.get_utf8_string(variable1)

	if randi() % 2 == 0:
		print("Executing StreamPeer.get_var")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_StreamPeer.get_var(variable1)

	pass

