extends Node2D

var q_StreamPeerSSL : StreamPeerSSL = StreamPeerSSL.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_StreamPeerSSL = StreamPeerSSL.new()
	modify_object(q_StreamPeerSSL)

static func modify_object(q_StreamPeerSSL : StreamPeerSSL) -> void:
	if randi() % 2 == 0:
		print("Executing StreamPeerSSL.poll")
		print("Parameters[]")
		q_StreamPeerSSL.poll()

	if randi() % 2 == 0:
		print("Executing StreamPeerSSL.get_status")
		print("Parameters[]")
		q_StreamPeerSSL.get_status()

	if randi() % 2 == 0:
		print("Executing StreamPeerSSL.disconnect_from_stream")
		print("Parameters[]")
		q_StreamPeerSSL.disconnect_from_stream()

	if randi() % 2 == 0:
		print("Executing StreamPeerSSL.set_blocking_handshake_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_StreamPeerSSL.set_blocking_handshake_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing StreamPeerSSL.is_blocking_handshake_enabled")
		print("Parameters[]")
		q_StreamPeerSSL.is_blocking_handshake_enabled()

	pass

