extends Node2D

var q_StreamPeerTCP : StreamPeerTCP = StreamPeerTCP.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_StreamPeerTCP = StreamPeerTCP.new()
	modify_object(q_StreamPeerTCP)

static func modify_object(q_StreamPeerTCP : StreamPeerTCP) -> void:
	if randi() % 2 == 0:
		print("Executing StreamPeerTCP.connect_to_host")
		var variable1: String = str(randi() / 100)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_StreamPeerTCP.connect_to_host(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing StreamPeerTCP.is_connected_to_host")
		print("Parameters[]")
		q_StreamPeerTCP.is_connected_to_host()

	if randi() % 2 == 0:
		print("Executing StreamPeerTCP.get_status")
		print("Parameters[]")
		q_StreamPeerTCP.get_status()

	if randi() % 2 == 0:
		print("Executing StreamPeerTCP.get_connected_host")
		print("Parameters[]")
		q_StreamPeerTCP.get_connected_host()

	if randi() % 2 == 0:
		print("Executing StreamPeerTCP.get_connected_port")
		print("Parameters[]")
		q_StreamPeerTCP.get_connected_port()

	if randi() % 2 == 0:
		print("Executing StreamPeerTCP.disconnect_from_host")
		print("Parameters[]")
		q_StreamPeerTCP.disconnect_from_host()

	if randi() % 2 == 0:
		print("Executing StreamPeerTCP.set_no_delay")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_StreamPeerTCP.set_no_delay(variable1)

	pass

