extends Node2D

var q_UDPServer : UDPServer = UDPServer.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_UDPServer = UDPServer.new()
	modify_object(q_UDPServer)

static func modify_object(q_UDPServer : UDPServer) -> void:
	if randi() % 2 == 0:
		print("Executing UDPServer.listen")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_UDPServer.listen(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing UDPServer.poll")
		print("Parameters[]")
		q_UDPServer.poll()

	if randi() % 2 == 0:
		print("Executing UDPServer.is_connection_available")
		print("Parameters[]")
		q_UDPServer.is_connection_available()

	if randi() % 2 == 0:
		print("Executing UDPServer.is_listening")
		print("Parameters[]")
		q_UDPServer.is_listening()

	if randi() % 2 == 0:
		print("Executing UDPServer.take_connection")
		print("Parameters[]")
		q_UDPServer.take_connection()

	if randi() % 2 == 0:
		print("Executing UDPServer.stop")
		print("Parameters[]")
		q_UDPServer.stop()

	if randi() % 2 == 0:
		print("Executing UDPServer.set_max_pending_connections")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_UDPServer.set_max_pending_connections(variable1)

	if randi() % 2 == 0:
		print("Executing UDPServer.get_max_pending_connections")
		print("Parameters[]")
		q_UDPServer.get_max_pending_connections()

	pass

