extends Node2D

var q_XMLParser : XMLParser = XMLParser.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_XMLParser = XMLParser.new()
	modify_object(q_XMLParser)

static func modify_object(q_XMLParser : XMLParser) -> void:
	if randi() % 2 == 0:
		print("Executing XMLParser.read")
		print("Parameters[]")
		q_XMLParser.read()

	if randi() % 2 == 0:
		print("Executing XMLParser.get_node_type")
		print("Parameters[]")
		q_XMLParser.get_node_type()

	if randi() % 2 == 0:
		print("Executing XMLParser.get_node_name")
		print("Parameters[]")
		q_XMLParser.get_node_name()

	if randi() % 2 == 0:
		print("Executing XMLParser.get_node_data")
		print("Parameters[]")
		q_XMLParser.get_node_data()

	if randi() % 2 == 0:
		print("Executing XMLParser.get_node_offset")
		print("Parameters[]")
		q_XMLParser.get_node_offset()

	if randi() % 2 == 0:
		print("Executing XMLParser.get_attribute_count")
		print("Parameters[]")
		q_XMLParser.get_attribute_count()

	if randi() % 2 == 0:
		print("Executing XMLParser.get_attribute_name")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_XMLParser.get_attribute_name(variable1)

	if randi() % 2 == 0:
		print("Executing XMLParser.get_attribute_value")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_XMLParser.get_attribute_value(variable1)

	if randi() % 2 == 0:
		print("Executing XMLParser.has_attribute")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_XMLParser.has_attribute(variable1)

	if randi() % 2 == 0:
		print("Executing XMLParser.get_named_attribute_value")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_XMLParser.get_named_attribute_value(variable1)

	if randi() % 2 == 0:
		print("Executing XMLParser.get_named_attribute_value_safe")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_XMLParser.get_named_attribute_value_safe(variable1)

	if randi() % 2 == 0:
		print("Executing XMLParser.is_empty")
		print("Parameters[]")
		q_XMLParser.is_empty()

	if randi() % 2 == 0:
		print("Executing XMLParser.get_current_line")
		print("Parameters[]")
		q_XMLParser.get_current_line()

	if randi() % 2 == 0:
		print("Executing XMLParser.skip_section")
		print("Parameters[]")
		q_XMLParser.skip_section()

	if randi() % 2 == 0:
		print("Executing XMLParser.seek")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_XMLParser.seek(variable1)

	if randi() % 2 == 0:
		print("Executing XMLParser.open_buffer")
		var variable1: PoolByteArray = PoolByteArray([])
		print("Parameters[" + str(variable1) + "]")
		q_XMLParser.open_buffer(variable1)

	pass

