extends Node2D

var q_Directory : Directory = Directory.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Directory = Directory.new()
	modify_object(q_Directory)

static func modify_object(q_Directory : Directory) -> void:
	if randi() % 2 == 0:
		print("Executing Directory.list_dir_begin")
		var variable1: bool = bool(randi() % 2)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Directory.list_dir_begin(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Directory.get_next")
		print("Parameters[]")
		q_Directory.get_next()

	if randi() % 2 == 0:
		print("Executing Directory.current_is_dir")
		print("Parameters[]")
		q_Directory.current_is_dir()

	if randi() % 2 == 0:
		print("Executing Directory.list_dir_end")
		print("Parameters[]")
		q_Directory.list_dir_end()

	if randi() % 2 == 0:
		print("Executing Directory.get_drive_count")
		print("Parameters[]")
		q_Directory.get_drive_count()

	if randi() % 2 == 0:
		print("Executing Directory.get_drive")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Directory.get_drive(variable1)

	if randi() % 2 == 0:
		print("Executing Directory.get_current_drive")
		print("Parameters[]")
		q_Directory.get_current_drive()

	if randi() % 2 == 0:
		print("Executing Directory.change_dir")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_Directory.change_dir(variable1)

	if randi() % 2 == 0:
		print("Executing Directory.get_current_dir")
		print("Parameters[]")
		q_Directory.get_current_dir()

	if randi() % 2 == 0:
		print("Executing Directory.file_exists")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_Directory.file_exists(variable1)

	if randi() % 2 == 0:
		print("Executing Directory.dir_exists")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_Directory.dir_exists(variable1)

	if randi() % 2 == 0:
		print("Executing Directory.get_space_left")
		print("Parameters[]")
		q_Directory.get_space_left()

	if randi() % 2 == 0:
		print("Executing Directory.copy")
		var variable1: String = str(randi() / 100)
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Directory.copy(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Directory.rename")
		var variable1: String = str(randi() / 100)
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Directory.rename(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Directory.remove")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_Directory.remove(variable1)

	pass

