extends Node2D

var q_AnimatedTexture : AnimatedTexture = AnimatedTexture.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AnimatedTexture = AnimatedTexture.new()
	modify_object(q_AnimatedTexture)

static func modify_object(q_AnimatedTexture : AnimatedTexture) -> void:
	if randi() % 2 == 0:
		print("Executing AnimatedTexture.set_frames")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimatedTexture.set_frames(variable1)

	if randi() % 2 == 0:
		print("Executing AnimatedTexture.get_frames")
		print("Parameters[]")
		q_AnimatedTexture.get_frames()

	if randi() % 2 == 0:
		print("Executing AnimatedTexture.set_current_frame")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimatedTexture.set_current_frame(variable1)

	if randi() % 2 == 0:
		print("Executing AnimatedTexture.get_current_frame")
		print("Parameters[]")
		q_AnimatedTexture.get_current_frame()

	if randi() % 2 == 0:
		print("Executing AnimatedTexture.set_pause")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AnimatedTexture.set_pause(variable1)

	if randi() % 2 == 0:
		print("Executing AnimatedTexture.get_pause")
		print("Parameters[]")
		q_AnimatedTexture.get_pause()

	if randi() % 2 == 0:
		print("Executing AnimatedTexture.set_oneshot")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AnimatedTexture.set_oneshot(variable1)

	if randi() % 2 == 0:
		print("Executing AnimatedTexture.get_oneshot")
		print("Parameters[]")
		q_AnimatedTexture.get_oneshot()

	if randi() % 2 == 0:
		print("Executing AnimatedTexture.set_fps")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimatedTexture.set_fps(variable1)

	if randi() % 2 == 0:
		print("Executing AnimatedTexture.get_fps")
		print("Parameters[]")
		q_AnimatedTexture.get_fps()

	if randi() % 2 == 0:
		print("Executing AnimatedTexture.set_frame_texture")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: CameraTexture = CameraTexture.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimatedTexture.set_frame_texture(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimatedTexture.get_frame_texture")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimatedTexture.get_frame_texture(variable1)

	if randi() % 2 == 0:
		print("Executing AnimatedTexture.set_frame_delay")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimatedTexture.set_frame_delay(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimatedTexture.get_frame_delay")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimatedTexture.get_frame_delay(variable1)

	if randi() % 2 == 0:
		print("Executing AnimatedTexture._update_proxy")
		print("Parameters[]")
		q_AnimatedTexture._update_proxy()

	pass

