extends Node2D

var q_Animation : Animation = Animation.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Animation = Animation.new()
	modify_object(q_Animation)

static func modify_object(q_Animation : Animation) -> void:
	if randi() % 2 == 0:
		print("Executing Animation.add_track")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Animation.add_track(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Animation.remove_track")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Animation.remove_track(variable1)

	if randi() % 2 == 0:
		print("Executing Animation.get_track_count")
		print("Parameters[]")
		q_Animation.get_track_count()

	if randi() % 2 == 0:
		print("Executing Animation.track_get_type")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Animation.track_get_type(variable1)

	if randi() % 2 == 0:
		print("Executing Animation.track_get_path")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Animation.track_get_path(variable1)

	if randi() % 2 == 0:
		print("Executing Animation.track_set_path")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Animation.track_set_path(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Animation.find_track")
		var variable1: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + "]")
		q_Animation.find_track(variable1)

	if randi() % 2 == 0:
		print("Executing Animation.track_move_up")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Animation.track_move_up(variable1)

	if randi() % 2 == 0:
		print("Executing Animation.track_move_down")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Animation.track_move_down(variable1)

	if randi() % 2 == 0:
		print("Executing Animation.track_move_to")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Animation.track_move_to(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Animation.track_swap")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Animation.track_swap(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Animation.track_set_imported")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Animation.track_set_imported(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Animation.track_is_imported")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Animation.track_is_imported(variable1)

	if randi() % 2 == 0:
		print("Executing Animation.track_set_enabled")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Animation.track_set_enabled(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Animation.track_is_enabled")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Animation.track_is_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing Animation.transform_track_insert_key")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		var variable3: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable4: Quat = Quat(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		var variable5: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_Animation.transform_track_insert_key(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing Animation.track_insert_key")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		var variable3 = false
		var variable4: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_Animation.track_insert_key(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing Animation.track_remove_key")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Animation.track_remove_key(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Animation.track_remove_key_at_position")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Animation.track_remove_key_at_position(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Animation.track_set_key_value")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3 = false
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Animation.track_set_key_value(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Animation.track_set_key_transition")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Animation.track_set_key_transition(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Animation.track_set_key_time")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Animation.track_set_key_time(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Animation.track_get_key_transition")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Animation.track_get_key_transition(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Animation.track_get_key_count")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Animation.track_get_key_count(variable1)

	if randi() % 2 == 0:
		print("Executing Animation.track_get_key_value")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Animation.track_get_key_value(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Animation.track_get_key_time")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Animation.track_get_key_time(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Animation.track_find_key")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		var variable3: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Animation.track_find_key(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Animation.track_set_interpolation_type")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Animation.track_set_interpolation_type(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Animation.track_get_interpolation_type")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Animation.track_get_interpolation_type(variable1)

	if randi() % 2 == 0:
		print("Executing Animation.track_set_interpolation_loop_wrap")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Animation.track_set_interpolation_loop_wrap(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Animation.track_get_interpolation_loop_wrap")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Animation.track_get_interpolation_loop_wrap(variable1)

	if randi() % 2 == 0:
		print("Executing Animation.transform_track_interpolate")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Animation.transform_track_interpolate(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Animation.value_track_set_update_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Animation.value_track_set_update_mode(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Animation.value_track_get_update_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Animation.value_track_get_update_mode(variable1)

	if randi() % 2 == 0:
		print("Executing Animation.value_track_get_key_indices")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		var variable3: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Animation.value_track_get_key_indices(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Animation.value_track_interpolate")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Animation.value_track_interpolate(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Animation.method_track_get_key_indices")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		var variable3: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Animation.method_track_get_key_indices(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Animation.method_track_get_name")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Animation.method_track_get_name(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Animation.method_track_get_params")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Animation.method_track_get_params(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Animation.bezier_track_insert_key")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		var variable3: float = (randf() * 10) - (10 / 2.0)
		var variable4: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable5: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_Animation.bezier_track_insert_key(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing Animation.bezier_track_set_key_value")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Animation.bezier_track_set_key_value(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Animation.bezier_track_set_key_in_handle")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Animation.bezier_track_set_key_in_handle(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Animation.bezier_track_set_key_out_handle")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Animation.bezier_track_set_key_out_handle(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Animation.bezier_track_get_key_value")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Animation.bezier_track_get_key_value(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Animation.bezier_track_get_key_in_handle")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Animation.bezier_track_get_key_in_handle(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Animation.bezier_track_get_key_out_handle")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Animation.bezier_track_get_key_out_handle(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Animation.bezier_track_interpolate")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Animation.bezier_track_interpolate(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Animation.audio_track_insert_key")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		var variable3: StyleBoxEmpty = StyleBoxEmpty.new()
		var variable4: float = (randf() * 10) - (10 / 2.0)
		var variable5: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_Animation.audio_track_insert_key(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing Animation.audio_track_set_key_stream")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: InputEventScreenTouch = InputEventScreenTouch.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Animation.audio_track_set_key_stream(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Animation.audio_track_set_key_start_offset")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Animation.audio_track_set_key_start_offset(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Animation.audio_track_set_key_end_offset")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Animation.audio_track_set_key_end_offset(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Animation.audio_track_get_key_stream")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Animation.audio_track_get_key_stream(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Animation.audio_track_get_key_start_offset")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Animation.audio_track_get_key_start_offset(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Animation.audio_track_get_key_end_offset")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Animation.audio_track_get_key_end_offset(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Animation.animation_track_insert_key")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		var variable3: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Animation.animation_track_insert_key(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Animation.animation_track_set_key_animation")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: String = ""
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Animation.animation_track_set_key_animation(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Animation.animation_track_get_key_animation")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Animation.animation_track_get_key_animation(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Animation.set_length")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Animation.set_length(variable1)

	if randi() % 2 == 0:
		print("Executing Animation.get_length")
		print("Parameters[]")
		q_Animation.get_length()

	if randi() % 2 == 0:
		print("Executing Animation.set_loop")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Animation.set_loop(variable1)

	if randi() % 2 == 0:
		print("Executing Animation.has_loop")
		print("Parameters[]")
		q_Animation.has_loop()

	if randi() % 2 == 0:
		print("Executing Animation.set_step")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Animation.set_step(variable1)

	if randi() % 2 == 0:
		print("Executing Animation.get_step")
		print("Parameters[]")
		q_Animation.get_step()

	if randi() % 2 == 0:
		print("Executing Animation.clear")
		print("Parameters[]")
		q_Animation.clear()

	if randi() % 2 == 0:
		print("Executing Animation.copy_track")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Animation = Animation.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Animation.copy_track(variable1, variable2)

	pass

