extends Node2D

var q_AnimationNode : AnimationNode = AnimationNode.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AnimationNode = AnimationNode.new()
	modify_object(q_AnimationNode)

static func modify_object(q_AnimationNode : AnimationNode) -> void:
	if randi() % 2 == 0:
		print("Executing AnimationNode.get_input_count")
		print("Parameters[]")
		q_AnimationNode.get_input_count()

	if randi() % 2 == 0:
		print("Executing AnimationNode.get_input_name")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNode.get_input_name(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNode.add_input")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNode.add_input(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNode.remove_input")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNode.remove_input(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNode.set_filter_path")
		var variable1: NodePath = NodePath(".")
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationNode.set_filter_path(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationNode.is_path_filtered")
		var variable1: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNode.is_path_filtered(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNode.set_filter_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNode.set_filter_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNode.is_filter_enabled")
		print("Parameters[]")
		q_AnimationNode.is_filter_enabled()

	if randi() % 2 == 0:
		print("Executing AnimationNode._set_filters")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNode._set_filters(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNode._get_filters")
		print("Parameters[]")
		q_AnimationNode._get_filters()

	if randi() % 2 == 0:
		print("Executing AnimationNode.blend_animation")
		var variable1: String = "."
		var variable2: float = (randf() * 10) - (10 / 2.0)
		var variable3: float = (randf() * 10) - (10 / 2.0)
		var variable4: bool = bool(randi() % 2)
		var variable5: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_AnimationNode.blend_animation(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing AnimationNode.blend_node")
		var variable1: String = ""
		var variable2: AnimationNodeOneShot = AnimationNodeOneShot.new()
		var variable3: float = (randf() * 10) - (10 / 2.0)
		var variable4: bool = bool(randi() % 2)
		var variable5: float = (randf() * 10) - (10 / 2.0)
		var variable6: int = (randi() % int(10)) - int(10 / 2.0)
		var variable7: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + ", " + str(variable6) + ", " + str(variable7) + "]")
		q_AnimationNode.blend_node(variable1, variable2, variable3, variable4, variable5, variable6, variable7)

	if randi() % 2 == 0:
		print("Executing AnimationNode.blend_input")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		var variable3: bool = bool(randi() % 2)
		var variable4: float = (randf() * 10) - (10 / 2.0)
		var variable5: int = (randi() % int(10)) - int(10 / 2.0)
		var variable6: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + ", " + str(variable6) + "]")
		q_AnimationNode.blend_input(variable1, variable2, variable3, variable4, variable5, variable6)

	if randi() % 2 == 0:
		print("Executing AnimationNode.set_parameter")
		var variable1: String = str(randi() / 100)
		var variable2 = false
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationNode.set_parameter(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationNode.get_parameter")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNode.get_parameter(variable1)

	pass

