extends Node2D

var q_AnimationNodeBlendSpace1D : AnimationNodeBlendSpace1D = AnimationNodeBlendSpace1D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AnimationNodeBlendSpace1D = AnimationNodeBlendSpace1D.new()
	modify_object(q_AnimationNodeBlendSpace1D)

static func modify_object(q_AnimationNodeBlendSpace1D : AnimationNodeBlendSpace1D) -> void:
	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace1D.add_blend_point")
		var variable1: AnimationRootNode = AnimationRootNode.new()
		var variable2: float = (randf() * 10) - (10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_AnimationNodeBlendSpace1D.add_blend_point(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace1D.set_blend_point_position")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationNodeBlendSpace1D.set_blend_point_position(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace1D.get_blend_point_position")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeBlendSpace1D.get_blend_point_position(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace1D.set_blend_point_node")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: AnimationNodeBlendSpace2D = AnimationNodeBlendSpace2D.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationNodeBlendSpace1D.set_blend_point_node(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace1D.get_blend_point_node")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeBlendSpace1D.get_blend_point_node(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace1D.remove_blend_point")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeBlendSpace1D.remove_blend_point(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace1D.get_blend_point_count")
		print("Parameters[]")
		q_AnimationNodeBlendSpace1D.get_blend_point_count()

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace1D.set_min_space")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeBlendSpace1D.set_min_space(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace1D.get_min_space")
		print("Parameters[]")
		q_AnimationNodeBlendSpace1D.get_min_space()

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace1D.set_max_space")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeBlendSpace1D.set_max_space(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace1D.get_max_space")
		print("Parameters[]")
		q_AnimationNodeBlendSpace1D.get_max_space()

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace1D.set_snap")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeBlendSpace1D.set_snap(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace1D.get_snap")
		print("Parameters[]")
		q_AnimationNodeBlendSpace1D.get_snap()

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace1D.set_value_label")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeBlendSpace1D.set_value_label(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace1D.get_value_label")
		print("Parameters[]")
		q_AnimationNodeBlendSpace1D.get_value_label()

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace1D._add_blend_point")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: AnimationNodeBlendSpace1D = AnimationNodeBlendSpace1D.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationNodeBlendSpace1D._add_blend_point(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendSpace1D._tree_changed")
		print("Parameters[]")
		q_AnimationNodeBlendSpace1D._tree_changed()

	pass

