extends Node2D

var q_AnimationNodeBlendTree : AnimationNodeBlendTree = AnimationNodeBlendTree.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AnimationNodeBlendTree = AnimationNodeBlendTree.new()
	modify_object(q_AnimationNodeBlendTree)

static func modify_object(q_AnimationNodeBlendTree : AnimationNodeBlendTree) -> void:
	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendTree.add_node")
		var variable1: String = str(randi() / 100)
		var variable2: AnimationNodeTimeScale = AnimationNodeTimeScale.new()
		var variable3: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_AnimationNodeBlendTree.add_node(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendTree.get_node")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeBlendTree.get_node(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendTree.remove_node")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeBlendTree.remove_node(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendTree.rename_node")
		var variable1: String = str(randi() / 100)
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationNodeBlendTree.rename_node(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendTree.has_node")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeBlendTree.has_node(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendTree.connect_node")
		var variable1: String = str(randi() / 100)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_AnimationNodeBlendTree.connect_node(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendTree.disconnect_node")
		var variable1: String = "."
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationNodeBlendTree.disconnect_node(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendTree.set_node_position")
		var variable1: String = ""
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationNodeBlendTree.set_node_position(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendTree.get_node_position")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeBlendTree.get_node_position(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendTree.set_graph_offset")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeBlendTree.set_graph_offset(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendTree.get_graph_offset")
		print("Parameters[]")
		q_AnimationNodeBlendTree.get_graph_offset()

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendTree._tree_changed")
		print("Parameters[]")
		q_AnimationNodeBlendTree._tree_changed()

	if randi() % 2 == 0:
		print("Executing AnimationNodeBlendTree._node_changed")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeBlendTree._node_changed(variable1)

	pass

