extends Node2D

var q_AnimationNodeOneShot : AnimationNodeOneShot = AnimationNodeOneShot.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AnimationNodeOneShot = AnimationNodeOneShot.new()
	modify_object(q_AnimationNodeOneShot)

static func modify_object(q_AnimationNodeOneShot : AnimationNodeOneShot) -> void:
	if randi() % 2 == 0:
		print("Executing AnimationNodeOneShot.set_fadein_time")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeOneShot.set_fadein_time(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeOneShot.get_fadein_time")
		print("Parameters[]")
		q_AnimationNodeOneShot.get_fadein_time()

	if randi() % 2 == 0:
		print("Executing AnimationNodeOneShot.set_fadeout_time")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeOneShot.set_fadeout_time(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeOneShot.get_fadeout_time")
		print("Parameters[]")
		q_AnimationNodeOneShot.get_fadeout_time()

	if randi() % 2 == 0:
		print("Executing AnimationNodeOneShot.set_autorestart")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeOneShot.set_autorestart(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeOneShot.has_autorestart")
		print("Parameters[]")
		q_AnimationNodeOneShot.has_autorestart()

	if randi() % 2 == 0:
		print("Executing AnimationNodeOneShot.set_autorestart_delay")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeOneShot.set_autorestart_delay(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeOneShot.get_autorestart_delay")
		print("Parameters[]")
		q_AnimationNodeOneShot.get_autorestart_delay()

	if randi() % 2 == 0:
		print("Executing AnimationNodeOneShot.set_autorestart_random_delay")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeOneShot.set_autorestart_random_delay(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeOneShot.get_autorestart_random_delay")
		print("Parameters[]")
		q_AnimationNodeOneShot.get_autorestart_random_delay()

	if randi() % 2 == 0:
		print("Executing AnimationNodeOneShot.set_mix_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeOneShot.set_mix_mode(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeOneShot.get_mix_mode")
		print("Parameters[]")
		q_AnimationNodeOneShot.get_mix_mode()

	if randi() % 2 == 0:
		print("Executing AnimationNodeOneShot.set_use_sync")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationNodeOneShot.set_use_sync(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationNodeOneShot.is_using_sync")
		print("Parameters[]")
		q_AnimationNodeOneShot.is_using_sync()

	pass

