extends Node2D

var q_ArrayMesh : ArrayMesh = ArrayMesh.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_ArrayMesh = ArrayMesh.new()
	modify_object(q_ArrayMesh)

static func modify_object(q_ArrayMesh : ArrayMesh) -> void:
	if randi() % 2 == 0:
		print("Executing ArrayMesh.add_blend_shape")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_ArrayMesh.add_blend_shape(variable1)

	if randi() % 2 == 0:
		print("Executing ArrayMesh.get_blend_shape_count")
		print("Parameters[]")
		q_ArrayMesh.get_blend_shape_count()

	if randi() % 2 == 0:
		print("Executing ArrayMesh.get_blend_shape_name")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ArrayMesh.get_blend_shape_name(variable1)

	if randi() % 2 == 0:
		print("Executing ArrayMesh.set_blend_shape_name")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = ""
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ArrayMesh.set_blend_shape_name(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ArrayMesh.clear_blend_shapes")
		print("Parameters[]")
		q_ArrayMesh.clear_blend_shapes()

	if randi() % 2 == 0:
		print("Executing ArrayMesh.set_blend_shape_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ArrayMesh.set_blend_shape_mode(variable1)

	if randi() % 2 == 0:
		print("Executing ArrayMesh.get_blend_shape_mode")
		print("Parameters[]")
		q_ArrayMesh.get_blend_shape_mode()

	if randi() % 2 == 0:
		print("Executing ArrayMesh.add_surface_from_arrays")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Array = []
		var variable3: Array = []
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_ArrayMesh.add_surface_from_arrays(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing ArrayMesh.clear_surfaces")
		print("Parameters[]")
		q_ArrayMesh.clear_surfaces()

	if randi() % 2 == 0:
		print("Executing ArrayMesh.surface_remove")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ArrayMesh.surface_remove(variable1)

	if randi() % 2 == 0:
		print("Executing ArrayMesh.surface_update_region")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: PoolByteArray = PoolByteArray([])
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_ArrayMesh.surface_update_region(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing ArrayMesh.surface_get_array_len")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ArrayMesh.surface_get_array_len(variable1)

	if randi() % 2 == 0:
		print("Executing ArrayMesh.surface_get_array_index_len")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ArrayMesh.surface_get_array_index_len(variable1)

	if randi() % 2 == 0:
		print("Executing ArrayMesh.surface_get_format")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ArrayMesh.surface_get_format(variable1)

	if randi() % 2 == 0:
		print("Executing ArrayMesh.surface_get_primitive_type")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ArrayMesh.surface_get_primitive_type(variable1)

	if randi() % 2 == 0:
		print("Executing ArrayMesh.surface_find_by_name")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_ArrayMesh.surface_find_by_name(variable1)

	if randi() % 2 == 0:
		print("Executing ArrayMesh.surface_set_name")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ArrayMesh.surface_set_name(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ArrayMesh.surface_get_name")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ArrayMesh.surface_get_name(variable1)

	if randi() % 2 == 0:
		print("Executing ArrayMesh.regen_normalmaps")
		print("Parameters[]")
		q_ArrayMesh.regen_normalmaps()

	if randi() % 2 == 0:
		print("Executing ArrayMesh.lightmap_unwrap")
		var variable1: Transform = Transform(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ArrayMesh.lightmap_unwrap(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ArrayMesh.set_custom_aabb")
		var variable1: AABB = AABB(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		print("Parameters[" + str(variable1) + "]")
		q_ArrayMesh.set_custom_aabb(variable1)

	if randi() % 2 == 0:
		print("Executing ArrayMesh.get_custom_aabb")
		print("Parameters[]")
		q_ArrayMesh.get_custom_aabb()

	pass

