extends Node2D

var q_AtlasTexture : AtlasTexture = AtlasTexture.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AtlasTexture = AtlasTexture.new()
	modify_object(q_AtlasTexture)

static func modify_object(q_AtlasTexture : AtlasTexture) -> void:
	if randi() % 2 == 0:
		print("Executing AtlasTexture.set_atlas")
		var variable1: AnimatedTexture = AnimatedTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_AtlasTexture.set_atlas(variable1)

	if randi() % 2 == 0:
		print("Executing AtlasTexture.get_atlas")
		print("Parameters[]")
		q_AtlasTexture.get_atlas()

	if randi() % 2 == 0:
		print("Executing AtlasTexture.set_region")
		var variable1: Rect2 = Rect2(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		print("Parameters[" + str(variable1) + "]")
		q_AtlasTexture.set_region(variable1)

	if randi() % 2 == 0:
		print("Executing AtlasTexture.get_region")
		print("Parameters[]")
		q_AtlasTexture.get_region()

	if randi() % 2 == 0:
		print("Executing AtlasTexture.set_margin")
		var variable1: Rect2 = Rect2(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		print("Parameters[" + str(variable1) + "]")
		q_AtlasTexture.set_margin(variable1)

	if randi() % 2 == 0:
		print("Executing AtlasTexture.get_margin")
		print("Parameters[]")
		q_AtlasTexture.get_margin()

	if randi() % 2 == 0:
		print("Executing AtlasTexture.set_filter_clip")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AtlasTexture.set_filter_clip(variable1)

	if randi() % 2 == 0:
		print("Executing AtlasTexture.has_filter_clip")
		print("Parameters[]")
		q_AtlasTexture.has_filter_clip()

	pass

