extends Node2D

var q_AudioEffectChorus : AudioEffectChorus = AudioEffectChorus.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AudioEffectChorus = AudioEffectChorus.new()
	modify_object(q_AudioEffectChorus)

static func modify_object(q_AudioEffectChorus : AudioEffectChorus) -> void:
	if randi() % 2 == 0:
		print("Executing AudioEffectChorus.set_voice_count")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectChorus.set_voice_count(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectChorus.get_voice_count")
		print("Parameters[]")
		q_AudioEffectChorus.get_voice_count()

	if randi() % 2 == 0:
		print("Executing AudioEffectChorus.set_voice_delay_ms")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AudioEffectChorus.set_voice_delay_ms(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AudioEffectChorus.get_voice_delay_ms")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectChorus.get_voice_delay_ms(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectChorus.set_voice_rate_hz")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AudioEffectChorus.set_voice_rate_hz(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AudioEffectChorus.get_voice_rate_hz")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectChorus.get_voice_rate_hz(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectChorus.set_voice_depth_ms")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AudioEffectChorus.set_voice_depth_ms(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AudioEffectChorus.get_voice_depth_ms")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectChorus.get_voice_depth_ms(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectChorus.set_voice_level_db")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AudioEffectChorus.set_voice_level_db(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AudioEffectChorus.get_voice_level_db")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectChorus.get_voice_level_db(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectChorus.set_voice_cutoff_hz")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AudioEffectChorus.set_voice_cutoff_hz(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AudioEffectChorus.get_voice_cutoff_hz")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectChorus.get_voice_cutoff_hz(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectChorus.set_voice_pan")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AudioEffectChorus.set_voice_pan(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AudioEffectChorus.get_voice_pan")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectChorus.get_voice_pan(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectChorus.set_wet")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectChorus.set_wet(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectChorus.get_wet")
		print("Parameters[]")
		q_AudioEffectChorus.get_wet()

	if randi() % 2 == 0:
		print("Executing AudioEffectChorus.set_dry")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectChorus.set_dry(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectChorus.get_dry")
		print("Parameters[]")
		q_AudioEffectChorus.get_dry()

	pass

