extends Node2D

var q_AudioEffectCompressor : AudioEffectCompressor = AudioEffectCompressor.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AudioEffectCompressor = AudioEffectCompressor.new()
	modify_object(q_AudioEffectCompressor)

static func modify_object(q_AudioEffectCompressor : AudioEffectCompressor) -> void:
	if randi() % 2 == 0:
		print("Executing AudioEffectCompressor.set_threshold")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectCompressor.set_threshold(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectCompressor.get_threshold")
		print("Parameters[]")
		q_AudioEffectCompressor.get_threshold()

	if randi() % 2 == 0:
		print("Executing AudioEffectCompressor.set_ratio")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectCompressor.set_ratio(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectCompressor.get_ratio")
		print("Parameters[]")
		q_AudioEffectCompressor.get_ratio()

	if randi() % 2 == 0:
		print("Executing AudioEffectCompressor.set_gain")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectCompressor.set_gain(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectCompressor.get_gain")
		print("Parameters[]")
		q_AudioEffectCompressor.get_gain()

	if randi() % 2 == 0:
		print("Executing AudioEffectCompressor.set_attack_us")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectCompressor.set_attack_us(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectCompressor.get_attack_us")
		print("Parameters[]")
		q_AudioEffectCompressor.get_attack_us()

	if randi() % 2 == 0:
		print("Executing AudioEffectCompressor.set_release_ms")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectCompressor.set_release_ms(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectCompressor.get_release_ms")
		print("Parameters[]")
		q_AudioEffectCompressor.get_release_ms()

	if randi() % 2 == 0:
		print("Executing AudioEffectCompressor.set_mix")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectCompressor.set_mix(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectCompressor.get_mix")
		print("Parameters[]")
		q_AudioEffectCompressor.get_mix()

	if randi() % 2 == 0:
		print("Executing AudioEffectCompressor.set_sidechain")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectCompressor.set_sidechain(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectCompressor.get_sidechain")
		print("Parameters[]")
		q_AudioEffectCompressor.get_sidechain()

	pass

