extends Node2D

var q_AudioEffectEQ : AudioEffectEQ = AudioEffectEQ.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AudioEffectEQ = AudioEffectEQ.new()
	modify_object(q_AudioEffectEQ)

static func modify_object(q_AudioEffectEQ : AudioEffectEQ) -> void:
	if randi() % 2 == 0:
		print("Executing AudioEffectEQ.set_band_gain_db")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AudioEffectEQ.set_band_gain_db(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AudioEffectEQ.get_band_gain_db")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectEQ.get_band_gain_db(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectEQ.get_band_count")
		print("Parameters[]")
		q_AudioEffectEQ.get_band_count()

	pass

