extends Node2D

var q_AudioEffectPhaser : AudioEffectPhaser = AudioEffectPhaser.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AudioEffectPhaser = AudioEffectPhaser.new()
	modify_object(q_AudioEffectPhaser)

static func modify_object(q_AudioEffectPhaser : AudioEffectPhaser) -> void:
	if randi() % 2 == 0:
		print("Executing AudioEffectPhaser.set_range_min_hz")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectPhaser.set_range_min_hz(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectPhaser.get_range_min_hz")
		print("Parameters[]")
		q_AudioEffectPhaser.get_range_min_hz()

	if randi() % 2 == 0:
		print("Executing AudioEffectPhaser.set_range_max_hz")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectPhaser.set_range_max_hz(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectPhaser.get_range_max_hz")
		print("Parameters[]")
		q_AudioEffectPhaser.get_range_max_hz()

	if randi() % 2 == 0:
		print("Executing AudioEffectPhaser.set_rate_hz")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectPhaser.set_rate_hz(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectPhaser.get_rate_hz")
		print("Parameters[]")
		q_AudioEffectPhaser.get_rate_hz()

	if randi() % 2 == 0:
		print("Executing AudioEffectPhaser.set_feedback")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectPhaser.set_feedback(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectPhaser.get_feedback")
		print("Parameters[]")
		q_AudioEffectPhaser.get_feedback()

	if randi() % 2 == 0:
		print("Executing AudioEffectPhaser.set_depth")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectPhaser.set_depth(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectPhaser.get_depth")
		print("Parameters[]")
		q_AudioEffectPhaser.get_depth()

	pass

