extends Node2D

var q_AudioEffectPitchShift : AudioEffectPitchShift = AudioEffectPitchShift.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AudioEffectPitchShift = AudioEffectPitchShift.new()
	modify_object(q_AudioEffectPitchShift)

static func modify_object(q_AudioEffectPitchShift : AudioEffectPitchShift) -> void:
	if randi() % 2 == 0:
		print("Executing AudioEffectPitchShift.set_pitch_scale")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectPitchShift.set_pitch_scale(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectPitchShift.get_pitch_scale")
		print("Parameters[]")
		q_AudioEffectPitchShift.get_pitch_scale()

	if randi() % 2 == 0:
		print("Executing AudioEffectPitchShift.set_oversampling")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectPitchShift.set_oversampling(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectPitchShift.get_oversampling")
		print("Parameters[]")
		q_AudioEffectPitchShift.get_oversampling()

	if randi() % 2 == 0:
		print("Executing AudioEffectPitchShift.set_fft_size")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectPitchShift.set_fft_size(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectPitchShift.get_fft_size")
		print("Parameters[]")
		q_AudioEffectPitchShift.get_fft_size()

	pass

