extends Node2D

var q_AudioEffectReverb : AudioEffectReverb = AudioEffectReverb.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AudioEffectReverb = AudioEffectReverb.new()
	modify_object(q_AudioEffectReverb)

static func modify_object(q_AudioEffectReverb : AudioEffectReverb) -> void:
	if randi() % 2 == 0:
		print("Executing AudioEffectReverb.set_predelay_msec")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectReverb.set_predelay_msec(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectReverb.get_predelay_msec")
		print("Parameters[]")
		q_AudioEffectReverb.get_predelay_msec()

	if randi() % 2 == 0:
		print("Executing AudioEffectReverb.set_predelay_feedback")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectReverb.set_predelay_feedback(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectReverb.get_predelay_feedback")
		print("Parameters[]")
		q_AudioEffectReverb.get_predelay_feedback()

	if randi() % 2 == 0:
		print("Executing AudioEffectReverb.set_room_size")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectReverb.set_room_size(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectReverb.get_room_size")
		print("Parameters[]")
		q_AudioEffectReverb.get_room_size()

	if randi() % 2 == 0:
		print("Executing AudioEffectReverb.set_damping")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectReverb.set_damping(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectReverb.get_damping")
		print("Parameters[]")
		q_AudioEffectReverb.get_damping()

	if randi() % 2 == 0:
		print("Executing AudioEffectReverb.set_spread")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectReverb.set_spread(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectReverb.get_spread")
		print("Parameters[]")
		q_AudioEffectReverb.get_spread()

	if randi() % 2 == 0:
		print("Executing AudioEffectReverb.set_dry")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectReverb.set_dry(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectReverb.get_dry")
		print("Parameters[]")
		q_AudioEffectReverb.get_dry()

	if randi() % 2 == 0:
		print("Executing AudioEffectReverb.set_wet")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectReverb.set_wet(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectReverb.get_wet")
		print("Parameters[]")
		q_AudioEffectReverb.get_wet()

	if randi() % 2 == 0:
		print("Executing AudioEffectReverb.set_hpf")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectReverb.set_hpf(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectReverb.get_hpf")
		print("Parameters[]")
		q_AudioEffectReverb.get_hpf()

	pass

