extends Node2D

var q_AudioEffectStereoEnhance : AudioEffectStereoEnhance = AudioEffectStereoEnhance.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AudioEffectStereoEnhance = AudioEffectStereoEnhance.new()
	modify_object(q_AudioEffectStereoEnhance)

static func modify_object(q_AudioEffectStereoEnhance : AudioEffectStereoEnhance) -> void:
	if randi() % 2 == 0:
		print("Executing AudioEffectStereoEnhance.set_pan_pullout")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectStereoEnhance.set_pan_pullout(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectStereoEnhance.get_pan_pullout")
		print("Parameters[]")
		q_AudioEffectStereoEnhance.get_pan_pullout()

	if randi() % 2 == 0:
		print("Executing AudioEffectStereoEnhance.set_time_pullout")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectStereoEnhance.set_time_pullout(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectStereoEnhance.get_time_pullout")
		print("Parameters[]")
		q_AudioEffectStereoEnhance.get_time_pullout()

	if randi() % 2 == 0:
		print("Executing AudioEffectStereoEnhance.set_surround")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioEffectStereoEnhance.set_surround(variable1)

	if randi() % 2 == 0:
		print("Executing AudioEffectStereoEnhance.get_surround")
		print("Parameters[]")
		q_AudioEffectStereoEnhance.get_surround()

	pass

