extends Node2D

var q_AudioStreamGenerator : AudioStreamGenerator = AudioStreamGenerator.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AudioStreamGenerator = AudioStreamGenerator.new()
	modify_object(q_AudioStreamGenerator)

static func modify_object(q_AudioStreamGenerator : AudioStreamGenerator) -> void:
	if randi() % 2 == 0:
		print("Executing AudioStreamGenerator.set_mix_rate")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamGenerator.set_mix_rate(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamGenerator.get_mix_rate")
		print("Parameters[]")
		q_AudioStreamGenerator.get_mix_rate()

	if randi() % 2 == 0:
		print("Executing AudioStreamGenerator.set_buffer_length")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AudioStreamGenerator.set_buffer_length(variable1)

	if randi() % 2 == 0:
		print("Executing AudioStreamGenerator.get_buffer_length")
		print("Parameters[]")
		q_AudioStreamGenerator.get_buffer_length()

	pass

