extends Node2D

var q_BakedLightmapData : BakedLightmapData = BakedLightmapData.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_BakedLightmapData = BakedLightmapData.new()
	modify_object(q_BakedLightmapData)

static func modify_object(q_BakedLightmapData : BakedLightmapData) -> void:
	if randi() % 2 == 0:
		print("Executing BakedLightmapData._set_user_data")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmapData._set_user_data(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmapData._get_user_data")
		print("Parameters[]")
		q_BakedLightmapData._get_user_data()

	if randi() % 2 == 0:
		print("Executing BakedLightmapData.set_bounds")
		var variable1: AABB = AABB(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmapData.set_bounds(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmapData.get_bounds")
		print("Parameters[]")
		q_BakedLightmapData.get_bounds()

	if randi() % 2 == 0:
		print("Executing BakedLightmapData.set_cell_space_transform")
		var variable1: Transform = Transform(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmapData.set_cell_space_transform(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmapData.get_cell_space_transform")
		print("Parameters[]")
		q_BakedLightmapData.get_cell_space_transform()

	if randi() % 2 == 0:
		print("Executing BakedLightmapData.set_cell_subdiv")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmapData.set_cell_subdiv(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmapData.get_cell_subdiv")
		print("Parameters[]")
		q_BakedLightmapData.get_cell_subdiv()

	if randi() % 2 == 0:
		print("Executing BakedLightmapData.set_octree")
		var variable1: PoolByteArray = PoolByteArray([])
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmapData.set_octree(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmapData.get_octree")
		print("Parameters[]")
		q_BakedLightmapData.get_octree()

	if randi() % 2 == 0:
		print("Executing BakedLightmapData.set_energy")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmapData.set_energy(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmapData.get_energy")
		print("Parameters[]")
		q_BakedLightmapData.get_energy()

	if randi() % 2 == 0:
		print("Executing BakedLightmapData.set_interior")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmapData.set_interior(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmapData.is_interior")
		print("Parameters[]")
		q_BakedLightmapData.is_interior()

	if randi() % 2 == 0:
		print("Executing BakedLightmapData.add_user")
		var variable1: NodePath = NodePath(".")
		var variable2: PlaneMesh = PlaneMesh.new()
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: Rect2 = Rect2(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		var variable5: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_BakedLightmapData.add_user(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing BakedLightmapData.get_user_count")
		print("Parameters[]")
		q_BakedLightmapData.get_user_count()

	if randi() % 2 == 0:
		print("Executing BakedLightmapData.get_user_path")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmapData.get_user_path(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmapData.get_user_lightmap")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmapData.get_user_lightmap(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmapData.clear_users")
		print("Parameters[]")
		q_BakedLightmapData.clear_users()

	if randi() % 2 == 0:
		print("Executing BakedLightmapData.clear_data")
		print("Parameters[]")
		q_BakedLightmapData.clear_data()

	pass

