extends Node2D

var q_BitmapFont : BitmapFont = BitmapFont.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_BitmapFont = BitmapFont.new()
	modify_object(q_BitmapFont)

static func modify_object(q_BitmapFont : BitmapFont) -> void:
	if randi() % 2 == 0:
		print("Executing BitmapFont.create_from_fnt")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_BitmapFont.create_from_fnt(variable1)

	if randi() % 2 == 0:
		print("Executing BitmapFont.set_height")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_BitmapFont.set_height(variable1)

	if randi() % 2 == 0:
		print("Executing BitmapFont.set_ascent")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_BitmapFont.set_ascent(variable1)

	if randi() % 2 == 0:
		print("Executing BitmapFont.add_kerning_pair")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_BitmapFont.add_kerning_pair(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing BitmapFont.get_kerning_pair")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_BitmapFont.get_kerning_pair(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing BitmapFont.add_texture")
		var variable1: GradientTexture = GradientTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_BitmapFont.add_texture(variable1)

	if randi() % 2 == 0:
		print("Executing BitmapFont.add_char")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: Rect2 = Rect2(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		var variable4: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable5: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_BitmapFont.add_char(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing BitmapFont.get_texture_count")
		print("Parameters[]")
		q_BitmapFont.get_texture_count()

	if randi() % 2 == 0:
		print("Executing BitmapFont.get_texture")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_BitmapFont.get_texture(variable1)

	if randi() % 2 == 0:
		print("Executing BitmapFont.set_distance_field_hint")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_BitmapFont.set_distance_field_hint(variable1)

	if randi() % 2 == 0:
		print("Executing BitmapFont.clear")
		print("Parameters[]")
		q_BitmapFont.clear()

	if randi() % 2 == 0:
		print("Executing BitmapFont._set_chars")
		var variable1: PoolIntArray = PoolIntArray([])
		print("Parameters[" + str(variable1) + "]")
		q_BitmapFont._set_chars(variable1)

	if randi() % 2 == 0:
		print("Executing BitmapFont._get_chars")
		print("Parameters[]")
		q_BitmapFont._get_chars()

	if randi() % 2 == 0:
		print("Executing BitmapFont._set_kernings")
		var variable1: PoolIntArray = PoolIntArray([])
		print("Parameters[" + str(variable1) + "]")
		q_BitmapFont._set_kernings(variable1)

	if randi() % 2 == 0:
		print("Executing BitmapFont._get_kernings")
		print("Parameters[]")
		q_BitmapFont._get_kernings()

	if randi() % 2 == 0:
		print("Executing BitmapFont._set_textures")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_BitmapFont._set_textures(variable1)

	if randi() % 2 == 0:
		print("Executing BitmapFont._get_textures")
		print("Parameters[]")
		q_BitmapFont._get_textures()

	if randi() % 2 == 0:
		print("Executing BitmapFont.set_fallback")
		var variable1: BitmapFont = BitmapFont.new()
		print("Parameters[" + str(variable1) + "]")
		q_BitmapFont.set_fallback(variable1)

	if randi() % 2 == 0:
		print("Executing BitmapFont.get_fallback")
		print("Parameters[]")
		q_BitmapFont.get_fallback()

	pass

