extends Node2D

var q_CapsuleShape : CapsuleShape = CapsuleShape.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_CapsuleShape = CapsuleShape.new()
	modify_object(q_CapsuleShape)

static func modify_object(q_CapsuleShape : CapsuleShape) -> void:
	if randi() % 2 == 0:
		print("Executing CapsuleShape.set_radius")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CapsuleShape.set_radius(variable1)

	if randi() % 2 == 0:
		print("Executing CapsuleShape.get_radius")
		print("Parameters[]")
		q_CapsuleShape.get_radius()

	if randi() % 2 == 0:
		print("Executing CapsuleShape.set_height")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_CapsuleShape.set_height(variable1)

	if randi() % 2 == 0:
		print("Executing CapsuleShape.get_height")
		print("Parameters[]")
		q_CapsuleShape.get_height()

	pass

