extends Node2D

var q_Curve2D : Curve2D = Curve2D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Curve2D = Curve2D.new()
	modify_object(q_Curve2D)

static func modify_object(q_Curve2D : Curve2D) -> void:
	if randi() % 2 == 0:
		print("Executing Curve2D.get_point_count")
		print("Parameters[]")
		q_Curve2D.get_point_count()

	if randi() % 2 == 0:
		print("Executing Curve2D.add_point")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable3: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_Curve2D.add_point(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing Curve2D.set_point_position")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Curve2D.set_point_position(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Curve2D.get_point_position")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Curve2D.get_point_position(variable1)

	if randi() % 2 == 0:
		print("Executing Curve2D.set_point_in")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Curve2D.set_point_in(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Curve2D.get_point_in")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Curve2D.get_point_in(variable1)

	if randi() % 2 == 0:
		print("Executing Curve2D.set_point_out")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Curve2D.set_point_out(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Curve2D.get_point_out")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Curve2D.get_point_out(variable1)

	if randi() % 2 == 0:
		print("Executing Curve2D.remove_point")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Curve2D.remove_point(variable1)

	if randi() % 2 == 0:
		print("Executing Curve2D.clear_points")
		print("Parameters[]")
		q_Curve2D.clear_points()

	if randi() % 2 == 0:
		print("Executing Curve2D.interpolate")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Curve2D.interpolate(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Curve2D.interpolatef")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Curve2D.interpolatef(variable1)

	if randi() % 2 == 0:
		print("Executing Curve2D.set_bake_interval")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Curve2D.set_bake_interval(variable1)

	if randi() % 2 == 0:
		print("Executing Curve2D.get_bake_interval")
		print("Parameters[]")
		q_Curve2D.get_bake_interval()

	if randi() % 2 == 0:
		print("Executing Curve2D._get_data")
		print("Parameters[]")
		q_Curve2D._get_data()

	if randi() % 2 == 0:
		print("Executing Curve2D._set_data")
		var variable1: Dictionary = {}
		print("Parameters[" + str(variable1) + "]")
		q_Curve2D._set_data(variable1)

	pass

