extends Node2D

var q_Curve3D : Curve3D = Curve3D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Curve3D = Curve3D.new()
	modify_object(q_Curve3D)

static func modify_object(q_Curve3D : Curve3D) -> void:
	if randi() % 2 == 0:
		print("Executing Curve3D.get_point_count")
		print("Parameters[]")
		q_Curve3D.get_point_count()

	if randi() % 2 == 0:
		print("Executing Curve3D.add_point")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable3: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_Curve3D.add_point(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing Curve3D.set_point_position")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Curve3D.set_point_position(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Curve3D.get_point_position")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Curve3D.get_point_position(variable1)

	if randi() % 2 == 0:
		print("Executing Curve3D.set_point_tilt")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Curve3D.set_point_tilt(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Curve3D.get_point_tilt")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Curve3D.get_point_tilt(variable1)

	if randi() % 2 == 0:
		print("Executing Curve3D.set_point_in")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Curve3D.set_point_in(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Curve3D.get_point_in")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Curve3D.get_point_in(variable1)

	if randi() % 2 == 0:
		print("Executing Curve3D.set_point_out")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Curve3D.set_point_out(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Curve3D.get_point_out")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Curve3D.get_point_out(variable1)

	if randi() % 2 == 0:
		print("Executing Curve3D.remove_point")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Curve3D.remove_point(variable1)

	if randi() % 2 == 0:
		print("Executing Curve3D.clear_points")
		print("Parameters[]")
		q_Curve3D.clear_points()

	if randi() % 2 == 0:
		print("Executing Curve3D.interpolate")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Curve3D.interpolate(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Curve3D.interpolatef")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Curve3D.interpolatef(variable1)

	if randi() % 2 == 0:
		print("Executing Curve3D.set_bake_interval")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Curve3D.set_bake_interval(variable1)

	if randi() % 2 == 0:
		print("Executing Curve3D.get_bake_interval")
		print("Parameters[]")
		q_Curve3D.get_bake_interval()

	if randi() % 2 == 0:
		print("Executing Curve3D.set_up_vector_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Curve3D.set_up_vector_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing Curve3D.is_up_vector_enabled")
		print("Parameters[]")
		q_Curve3D.is_up_vector_enabled()

	if randi() % 2 == 0:
		print("Executing Curve3D._get_data")
		print("Parameters[]")
		q_Curve3D._get_data()

	if randi() % 2 == 0:
		print("Executing Curve3D._set_data")
		var variable1: Dictionary = {}
		print("Parameters[" + str(variable1) + "]")
		q_Curve3D._set_data(variable1)

	pass

