extends Node2D

var q_GLTFAccessor : GLTFAccessor = GLTFAccessor.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_GLTFAccessor = GLTFAccessor.new()
	modify_object(q_GLTFAccessor)

static func modify_object(q_GLTFAccessor : GLTFAccessor) -> void:
	if randi() % 2 == 0:
		print("Executing GLTFAccessor.get_buffer_view")
		print("Parameters[]")
		q_GLTFAccessor.get_buffer_view()

	if randi() % 2 == 0:
		print("Executing GLTFAccessor.set_buffer_view")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFAccessor.set_buffer_view(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFAccessor.get_byte_offset")
		print("Parameters[]")
		q_GLTFAccessor.get_byte_offset()

	if randi() % 2 == 0:
		print("Executing GLTFAccessor.set_byte_offset")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFAccessor.set_byte_offset(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFAccessor.get_component_type")
		print("Parameters[]")
		q_GLTFAccessor.get_component_type()

	if randi() % 2 == 0:
		print("Executing GLTFAccessor.set_component_type")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFAccessor.set_component_type(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFAccessor.get_normalized")
		print("Parameters[]")
		q_GLTFAccessor.get_normalized()

	if randi() % 2 == 0:
		print("Executing GLTFAccessor.set_normalized")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFAccessor.set_normalized(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFAccessor.get_count")
		print("Parameters[]")
		q_GLTFAccessor.get_count()

	if randi() % 2 == 0:
		print("Executing GLTFAccessor.set_count")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFAccessor.set_count(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFAccessor.get_type")
		print("Parameters[]")
		q_GLTFAccessor.get_type()

	if randi() % 2 == 0:
		print("Executing GLTFAccessor.set_type")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFAccessor.set_type(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFAccessor.get_min")
		print("Parameters[]")
		q_GLTFAccessor.get_min()

	if randi() % 2 == 0:
		print("Executing GLTFAccessor.set_min")
		var variable1: PoolRealArray = PoolRealArray([])
		print("Parameters[" + str(variable1) + "]")
		q_GLTFAccessor.set_min(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFAccessor.get_max")
		print("Parameters[]")
		q_GLTFAccessor.get_max()

	if randi() % 2 == 0:
		print("Executing GLTFAccessor.set_max")
		var variable1: PoolRealArray = PoolRealArray([])
		print("Parameters[" + str(variable1) + "]")
		q_GLTFAccessor.set_max(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFAccessor.get_sparse_count")
		print("Parameters[]")
		q_GLTFAccessor.get_sparse_count()

	if randi() % 2 == 0:
		print("Executing GLTFAccessor.set_sparse_count")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFAccessor.set_sparse_count(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFAccessor.get_sparse_indices_buffer_view")
		print("Parameters[]")
		q_GLTFAccessor.get_sparse_indices_buffer_view()

	if randi() % 2 == 0:
		print("Executing GLTFAccessor.set_sparse_indices_buffer_view")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFAccessor.set_sparse_indices_buffer_view(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFAccessor.get_sparse_indices_byte_offset")
		print("Parameters[]")
		q_GLTFAccessor.get_sparse_indices_byte_offset()

	if randi() % 2 == 0:
		print("Executing GLTFAccessor.set_sparse_indices_byte_offset")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFAccessor.set_sparse_indices_byte_offset(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFAccessor.get_sparse_indices_component_type")
		print("Parameters[]")
		q_GLTFAccessor.get_sparse_indices_component_type()

	if randi() % 2 == 0:
		print("Executing GLTFAccessor.set_sparse_indices_component_type")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFAccessor.set_sparse_indices_component_type(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFAccessor.get_sparse_values_buffer_view")
		print("Parameters[]")
		q_GLTFAccessor.get_sparse_values_buffer_view()

	if randi() % 2 == 0:
		print("Executing GLTFAccessor.set_sparse_values_buffer_view")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFAccessor.set_sparse_values_buffer_view(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFAccessor.get_sparse_values_byte_offset")
		print("Parameters[]")
		q_GLTFAccessor.get_sparse_values_byte_offset()

	if randi() % 2 == 0:
		print("Executing GLTFAccessor.set_sparse_values_byte_offset")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFAccessor.set_sparse_values_byte_offset(variable1)

	pass

