extends Node2D

var q_GLTFBufferView : GLTFBufferView = GLTFBufferView.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_GLTFBufferView = GLTFBufferView.new()
	modify_object(q_GLTFBufferView)

static func modify_object(q_GLTFBufferView : GLTFBufferView) -> void:
	if randi() % 2 == 0:
		print("Executing GLTFBufferView.get_buffer")
		print("Parameters[]")
		q_GLTFBufferView.get_buffer()

	if randi() % 2 == 0:
		print("Executing GLTFBufferView.set_buffer")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFBufferView.set_buffer(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFBufferView.get_byte_offset")
		print("Parameters[]")
		q_GLTFBufferView.get_byte_offset()

	if randi() % 2 == 0:
		print("Executing GLTFBufferView.set_byte_offset")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFBufferView.set_byte_offset(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFBufferView.get_byte_length")
		print("Parameters[]")
		q_GLTFBufferView.get_byte_length()

	if randi() % 2 == 0:
		print("Executing GLTFBufferView.set_byte_length")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFBufferView.set_byte_length(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFBufferView.get_byte_stride")
		print("Parameters[]")
		q_GLTFBufferView.get_byte_stride()

	if randi() % 2 == 0:
		print("Executing GLTFBufferView.set_byte_stride")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFBufferView.set_byte_stride(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFBufferView.get_indices")
		print("Parameters[]")
		q_GLTFBufferView.get_indices()

	if randi() % 2 == 0:
		print("Executing GLTFBufferView.set_indices")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFBufferView.set_indices(variable1)

	pass

