extends Node2D

var q_GLTFCamera : GLTFCamera = GLTFCamera.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_GLTFCamera = GLTFCamera.new()
	modify_object(q_GLTFCamera)

static func modify_object(q_GLTFCamera : GLTFCamera) -> void:
	if randi() % 2 == 0:
		print("Executing GLTFCamera.get_perspective")
		print("Parameters[]")
		q_GLTFCamera.get_perspective()

	if randi() % 2 == 0:
		print("Executing GLTFCamera.set_perspective")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFCamera.set_perspective(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFCamera.get_fov_size")
		print("Parameters[]")
		q_GLTFCamera.get_fov_size()

	if randi() % 2 == 0:
		print("Executing GLTFCamera.set_fov_size")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFCamera.set_fov_size(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFCamera.get_zfar")
		print("Parameters[]")
		q_GLTFCamera.get_zfar()

	if randi() % 2 == 0:
		print("Executing GLTFCamera.set_zfar")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFCamera.set_zfar(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFCamera.get_znear")
		print("Parameters[]")
		q_GLTFCamera.get_znear()

	if randi() % 2 == 0:
		print("Executing GLTFCamera.set_znear")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFCamera.set_znear(variable1)

	pass

