extends Node2D

var q_GLTFLight : GLTFLight = GLTFLight.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_GLTFLight = GLTFLight.new()
	modify_object(q_GLTFLight)

static func modify_object(q_GLTFLight : GLTFLight) -> void:
	if randi() % 2 == 0:
		print("Executing GLTFLight.get_color")
		print("Parameters[]")
		q_GLTFLight.get_color()

	if randi() % 2 == 0:
		print("Executing GLTFLight.set_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_GLTFLight.set_color(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFLight.get_intensity")
		print("Parameters[]")
		q_GLTFLight.get_intensity()

	if randi() % 2 == 0:
		print("Executing GLTFLight.set_intensity")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFLight.set_intensity(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFLight.get_type")
		print("Parameters[]")
		q_GLTFLight.get_type()

	if randi() % 2 == 0:
		print("Executing GLTFLight.set_type")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFLight.set_type(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFLight.get_range")
		print("Parameters[]")
		q_GLTFLight.get_range()

	if randi() % 2 == 0:
		print("Executing GLTFLight.set_range")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFLight.set_range(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFLight.get_inner_cone_angle")
		print("Parameters[]")
		q_GLTFLight.get_inner_cone_angle()

	if randi() % 2 == 0:
		print("Executing GLTFLight.set_inner_cone_angle")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFLight.set_inner_cone_angle(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFLight.get_outer_cone_angle")
		print("Parameters[]")
		q_GLTFLight.get_outer_cone_angle()

	if randi() % 2 == 0:
		print("Executing GLTFLight.set_outer_cone_angle")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFLight.set_outer_cone_angle(variable1)

	pass

