extends Node2D

var q_GLTFSkeleton : GLTFSkeleton = GLTFSkeleton.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_GLTFSkeleton = GLTFSkeleton.new()
	modify_object(q_GLTFSkeleton)

static func modify_object(q_GLTFSkeleton : GLTFSkeleton) -> void:
	if randi() % 2 == 0:
		print("Executing GLTFSkeleton.get_joints")
		print("Parameters[]")
		q_GLTFSkeleton.get_joints()

	if randi() % 2 == 0:
		print("Executing GLTFSkeleton.set_joints")
		var variable1: PoolIntArray = PoolIntArray([])
		print("Parameters[" + str(variable1) + "]")
		q_GLTFSkeleton.set_joints(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFSkeleton.get_roots")
		print("Parameters[]")
		q_GLTFSkeleton.get_roots()

	if randi() % 2 == 0:
		print("Executing GLTFSkeleton.set_roots")
		var variable1: PoolIntArray = PoolIntArray([])
		print("Parameters[" + str(variable1) + "]")
		q_GLTFSkeleton.set_roots(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFSkeleton.get_godot_skeleton")
		print("Parameters[]")
		q_GLTFSkeleton.get_godot_skeleton()

	if randi() % 2 == 0:
		print("Executing GLTFSkeleton.get_unique_names")
		print("Parameters[]")
		q_GLTFSkeleton.get_unique_names()

	if randi() % 2 == 0:
		print("Executing GLTFSkeleton.set_unique_names")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_GLTFSkeleton.set_unique_names(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFSkeleton.get_godot_bone_node")
		print("Parameters[]")
		q_GLTFSkeleton.get_godot_bone_node()

	if randi() % 2 == 0:
		print("Executing GLTFSkeleton.set_godot_bone_node")
		var variable1: Dictionary = {}
		print("Parameters[" + str(variable1) + "]")
		q_GLTFSkeleton.set_godot_bone_node(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFSkeleton.get_bone_attachment_count")
		print("Parameters[]")
		q_GLTFSkeleton.get_bone_attachment_count()

	if randi() % 2 == 0:
		print("Executing GLTFSkeleton.get_bone_attachment")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFSkeleton.get_bone_attachment(variable1)

	pass

