extends Node2D

var q_GLTFSpecGloss : GLTFSpecGloss = GLTFSpecGloss.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_GLTFSpecGloss = GLTFSpecGloss.new()
	modify_object(q_GLTFSpecGloss)

static func modify_object(q_GLTFSpecGloss : GLTFSpecGloss) -> void:
	if randi() % 2 == 0:
		print("Executing GLTFSpecGloss.get_diffuse_img")
		print("Parameters[]")
		q_GLTFSpecGloss.get_diffuse_img()

	if randi() % 2 == 0:
		print("Executing GLTFSpecGloss.set_diffuse_img")
		var variable1: Image = Image.new()
		print("Parameters[" + str(variable1) + "]")
		q_GLTFSpecGloss.set_diffuse_img(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFSpecGloss.get_diffuse_factor")
		print("Parameters[]")
		q_GLTFSpecGloss.get_diffuse_factor()

	if randi() % 2 == 0:
		print("Executing GLTFSpecGloss.set_diffuse_factor")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_GLTFSpecGloss.set_diffuse_factor(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFSpecGloss.get_gloss_factor")
		print("Parameters[]")
		q_GLTFSpecGloss.get_gloss_factor()

	if randi() % 2 == 0:
		print("Executing GLTFSpecGloss.set_gloss_factor")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFSpecGloss.set_gloss_factor(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFSpecGloss.get_specular_factor")
		print("Parameters[]")
		q_GLTFSpecGloss.get_specular_factor()

	if randi() % 2 == 0:
		print("Executing GLTFSpecGloss.set_specular_factor")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_GLTFSpecGloss.set_specular_factor(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFSpecGloss.get_spec_gloss_img")
		print("Parameters[]")
		q_GLTFSpecGloss.get_spec_gloss_img()

	if randi() % 2 == 0:
		print("Executing GLTFSpecGloss.set_spec_gloss_img")
		var variable1: Image = Image.new()
		print("Parameters[" + str(variable1) + "]")
		q_GLTFSpecGloss.set_spec_gloss_img(variable1)

	pass

