extends Node2D

var q_GLTFState : GLTFState = GLTFState.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_GLTFState = GLTFState.new()
	modify_object(q_GLTFState)

static func modify_object(q_GLTFState : GLTFState) -> void:
	if randi() % 2 == 0:
		print("Executing GLTFState.get_json")
		print("Parameters[]")
		q_GLTFState.get_json()

	if randi() % 2 == 0:
		print("Executing GLTFState.set_json")
		var variable1: Dictionary = {}
		print("Parameters[" + str(variable1) + "]")
		q_GLTFState.set_json(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFState.get_major_version")
		print("Parameters[]")
		q_GLTFState.get_major_version()

	if randi() % 2 == 0:
		print("Executing GLTFState.set_major_version")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFState.set_major_version(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFState.get_minor_version")
		print("Parameters[]")
		q_GLTFState.get_minor_version()

	if randi() % 2 == 0:
		print("Executing GLTFState.set_minor_version")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFState.set_minor_version(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFState.get_glb_data")
		print("Parameters[]")
		q_GLTFState.get_glb_data()

	if randi() % 2 == 0:
		print("Executing GLTFState.set_glb_data")
		var variable1: PoolByteArray = PoolByteArray([])
		print("Parameters[" + str(variable1) + "]")
		q_GLTFState.set_glb_data(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFState.get_use_named_skin_binds")
		print("Parameters[]")
		q_GLTFState.get_use_named_skin_binds()

	if randi() % 2 == 0:
		print("Executing GLTFState.set_use_named_skin_binds")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFState.set_use_named_skin_binds(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFState.get_nodes")
		print("Parameters[]")
		q_GLTFState.get_nodes()

	if randi() % 2 == 0:
		print("Executing GLTFState.set_nodes")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_GLTFState.set_nodes(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFState.get_buffers")
		print("Parameters[]")
		q_GLTFState.get_buffers()

	if randi() % 2 == 0:
		print("Executing GLTFState.set_buffers")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_GLTFState.set_buffers(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFState.get_buffer_views")
		print("Parameters[]")
		q_GLTFState.get_buffer_views()

	if randi() % 2 == 0:
		print("Executing GLTFState.set_buffer_views")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_GLTFState.set_buffer_views(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFState.get_accessors")
		print("Parameters[]")
		q_GLTFState.get_accessors()

	if randi() % 2 == 0:
		print("Executing GLTFState.set_accessors")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_GLTFState.set_accessors(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFState.get_meshes")
		print("Parameters[]")
		q_GLTFState.get_meshes()

	if randi() % 2 == 0:
		print("Executing GLTFState.set_meshes")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_GLTFState.set_meshes(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFState.get_animation_players_count")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFState.get_animation_players_count(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFState.get_animation_player")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFState.get_animation_player(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFState.get_materials")
		print("Parameters[]")
		q_GLTFState.get_materials()

	if randi() % 2 == 0:
		print("Executing GLTFState.set_materials")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_GLTFState.set_materials(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFState.get_scene_name")
		print("Parameters[]")
		q_GLTFState.get_scene_name()

	if randi() % 2 == 0:
		print("Executing GLTFState.set_scene_name")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_GLTFState.set_scene_name(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFState.get_root_nodes")
		print("Parameters[]")
		q_GLTFState.get_root_nodes()

	if randi() % 2 == 0:
		print("Executing GLTFState.set_root_nodes")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_GLTFState.set_root_nodes(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFState.get_textures")
		print("Parameters[]")
		q_GLTFState.get_textures()

	if randi() % 2 == 0:
		print("Executing GLTFState.set_textures")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_GLTFState.set_textures(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFState.get_images")
		print("Parameters[]")
		q_GLTFState.get_images()

	if randi() % 2 == 0:
		print("Executing GLTFState.set_images")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_GLTFState.set_images(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFState.get_skins")
		print("Parameters[]")
		q_GLTFState.get_skins()

	if randi() % 2 == 0:
		print("Executing GLTFState.set_skins")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_GLTFState.set_skins(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFState.get_cameras")
		print("Parameters[]")
		q_GLTFState.get_cameras()

	if randi() % 2 == 0:
		print("Executing GLTFState.set_cameras")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_GLTFState.set_cameras(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFState.get_lights")
		print("Parameters[]")
		q_GLTFState.get_lights()

	if randi() % 2 == 0:
		print("Executing GLTFState.set_lights")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_GLTFState.set_lights(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFState.get_unique_names")
		print("Parameters[]")
		q_GLTFState.get_unique_names()

	if randi() % 2 == 0:
		print("Executing GLTFState.set_unique_names")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_GLTFState.set_unique_names(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFState.get_unique_animation_names")
		print("Parameters[]")
		q_GLTFState.get_unique_animation_names()

	if randi() % 2 == 0:
		print("Executing GLTFState.set_unique_animation_names")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_GLTFState.set_unique_animation_names(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFState.get_skeletons")
		print("Parameters[]")
		q_GLTFState.get_skeletons()

	if randi() % 2 == 0:
		print("Executing GLTFState.set_skeletons")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_GLTFState.set_skeletons(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFState.get_skeleton_to_node")
		print("Parameters[]")
		q_GLTFState.get_skeleton_to_node()

	if randi() % 2 == 0:
		print("Executing GLTFState.set_skeleton_to_node")
		var variable1: Dictionary = {}
		print("Parameters[" + str(variable1) + "]")
		q_GLTFState.set_skeleton_to_node(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFState.get_animations")
		print("Parameters[]")
		q_GLTFState.get_animations()

	if randi() % 2 == 0:
		print("Executing GLTFState.set_animations")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_GLTFState.set_animations(variable1)

	if randi() % 2 == 0:
		print("Executing GLTFState.get_scene_node")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_GLTFState.get_scene_node(variable1)

	pass

