extends Node2D

var q_Gradient : Gradient = Gradient.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Gradient = Gradient.new()
	modify_object(q_Gradient)

static func modify_object(q_Gradient : Gradient) -> void:
	if randi() % 2 == 0:
		print("Executing Gradient.add_point")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		var variable2: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Gradient.add_point(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Gradient.remove_point")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Gradient.remove_point(variable1)

	if randi() % 2 == 0:
		print("Executing Gradient.set_offset")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Gradient.set_offset(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Gradient.get_offset")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Gradient.get_offset(variable1)

	if randi() % 2 == 0:
		print("Executing Gradient.set_color")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Gradient.set_color(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Gradient.get_color")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Gradient.get_color(variable1)

	if randi() % 2 == 0:
		print("Executing Gradient.interpolate")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Gradient.interpolate(variable1)

	if randi() % 2 == 0:
		print("Executing Gradient.get_point_count")
		print("Parameters[]")
		q_Gradient.get_point_count()

	if randi() % 2 == 0:
		print("Executing Gradient.set_offsets")
		var variable1: PoolRealArray = PoolRealArray([])
		print("Parameters[" + str(variable1) + "]")
		q_Gradient.set_offsets(variable1)

	if randi() % 2 == 0:
		print("Executing Gradient.get_offsets")
		print("Parameters[]")
		q_Gradient.get_offsets()

	if randi() % 2 == 0:
		print("Executing Gradient.set_colors")
		var variable1: PoolColorArray = PoolColorArray([])
		print("Parameters[" + str(variable1) + "]")
		q_Gradient.set_colors(variable1)

	if randi() % 2 == 0:
		print("Executing Gradient.get_colors")
		print("Parameters[]")
		q_Gradient.get_colors()

	pass

