extends Node2D

var q_InputEventKey : InputEventKey = InputEventKey.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_InputEventKey = InputEventKey.new()
	modify_object(q_InputEventKey)

static func modify_object(q_InputEventKey : InputEventKey) -> void:
	if randi() % 2 == 0:
		print("Executing InputEventKey.set_pressed")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_InputEventKey.set_pressed(variable1)

	if randi() % 2 == 0:
		print("Executing InputEventKey.set_scancode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_InputEventKey.set_scancode(variable1)

	if randi() % 2 == 0:
		print("Executing InputEventKey.get_scancode")
		print("Parameters[]")
		q_InputEventKey.get_scancode()

	if randi() % 2 == 0:
		print("Executing InputEventKey.set_physical_scancode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_InputEventKey.set_physical_scancode(variable1)

	if randi() % 2 == 0:
		print("Executing InputEventKey.get_physical_scancode")
		print("Parameters[]")
		q_InputEventKey.get_physical_scancode()

	if randi() % 2 == 0:
		print("Executing InputEventKey.set_unicode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_InputEventKey.set_unicode(variable1)

	if randi() % 2 == 0:
		print("Executing InputEventKey.get_unicode")
		print("Parameters[]")
		q_InputEventKey.get_unicode()

	if randi() % 2 == 0:
		print("Executing InputEventKey.set_echo")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_InputEventKey.set_echo(variable1)

	if randi() % 2 == 0:
		print("Executing InputEventKey.get_scancode_with_modifiers")
		print("Parameters[]")
		q_InputEventKey.get_scancode_with_modifiers()

	if randi() % 2 == 0:
		print("Executing InputEventKey.get_physical_scancode_with_modifiers")
		print("Parameters[]")
		q_InputEventKey.get_physical_scancode_with_modifiers()

	pass

