extends Node2D

var q_MultiMesh : MultiMesh = MultiMesh.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_MultiMesh = MultiMesh.new()
	modify_object(q_MultiMesh)

static func modify_object(q_MultiMesh : MultiMesh) -> void:
	if randi() % 2 == 0:
		print("Executing MultiMesh.set_mesh")
		var variable1: PrismMesh = PrismMesh.new()
		print("Parameters[" + str(variable1) + "]")
		q_MultiMesh.set_mesh(variable1)

	if randi() % 2 == 0:
		print("Executing MultiMesh.get_mesh")
		print("Parameters[]")
		q_MultiMesh.get_mesh()

	if randi() % 2 == 0:
		print("Executing MultiMesh.set_color_format")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MultiMesh.set_color_format(variable1)

	if randi() % 2 == 0:
		print("Executing MultiMesh.get_color_format")
		print("Parameters[]")
		q_MultiMesh.get_color_format()

	if randi() % 2 == 0:
		print("Executing MultiMesh.set_custom_data_format")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MultiMesh.set_custom_data_format(variable1)

	if randi() % 2 == 0:
		print("Executing MultiMesh.get_custom_data_format")
		print("Parameters[]")
		q_MultiMesh.get_custom_data_format()

	if randi() % 2 == 0:
		print("Executing MultiMesh.set_transform_format")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MultiMesh.set_transform_format(variable1)

	if randi() % 2 == 0:
		print("Executing MultiMesh.get_transform_format")
		print("Parameters[]")
		q_MultiMesh.get_transform_format()

	if randi() % 2 == 0:
		print("Executing MultiMesh.set_instance_count")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MultiMesh.set_instance_count(variable1)

	if randi() % 2 == 0:
		print("Executing MultiMesh.get_instance_count")
		print("Parameters[]")
		q_MultiMesh.get_instance_count()

	if randi() % 2 == 0:
		print("Executing MultiMesh.set_visible_instance_count")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MultiMesh.set_visible_instance_count(variable1)

	if randi() % 2 == 0:
		print("Executing MultiMesh.get_visible_instance_count")
		print("Parameters[]")
		q_MultiMesh.get_visible_instance_count()

	if randi() % 2 == 0:
		print("Executing MultiMesh.set_instance_transform")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Transform = Transform(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_MultiMesh.set_instance_transform(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing MultiMesh.set_instance_transform_2d")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Transform2D = Transform2D(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_MultiMesh.set_instance_transform_2d(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing MultiMesh.get_instance_transform")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MultiMesh.get_instance_transform(variable1)

	if randi() % 2 == 0:
		print("Executing MultiMesh.get_instance_transform_2d")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MultiMesh.get_instance_transform_2d(variable1)

	if randi() % 2 == 0:
		print("Executing MultiMesh.set_instance_color")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_MultiMesh.set_instance_color(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing MultiMesh.get_instance_color")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MultiMesh.get_instance_color(variable1)

	if randi() % 2 == 0:
		print("Executing MultiMesh.set_instance_custom_data")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_MultiMesh.set_instance_custom_data(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing MultiMesh.get_instance_custom_data")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MultiMesh.get_instance_custom_data(variable1)

	if randi() % 2 == 0:
		print("Executing MultiMesh.set_as_bulk_array")
		var variable1: PoolRealArray = PoolRealArray([])
		print("Parameters[" + str(variable1) + "]")
		q_MultiMesh.set_as_bulk_array(variable1)

	if randi() % 2 == 0:
		print("Executing MultiMesh._set_transform_array")
		var variable1: PoolVector3Array = PoolVector3Array([])
		print("Parameters[" + str(variable1) + "]")
		q_MultiMesh._set_transform_array(variable1)

	if randi() % 2 == 0:
		print("Executing MultiMesh._get_transform_array")
		print("Parameters[]")
		q_MultiMesh._get_transform_array()

	if randi() % 2 == 0:
		print("Executing MultiMesh._set_transform_2d_array")
		var variable1: PoolVector2Array = PoolVector2Array([])
		print("Parameters[" + str(variable1) + "]")
		q_MultiMesh._set_transform_2d_array(variable1)

	if randi() % 2 == 0:
		print("Executing MultiMesh._get_transform_2d_array")
		print("Parameters[]")
		q_MultiMesh._get_transform_2d_array()

	if randi() % 2 == 0:
		print("Executing MultiMesh._set_color_array")
		var variable1: PoolColorArray = PoolColorArray([])
		print("Parameters[" + str(variable1) + "]")
		q_MultiMesh._set_color_array(variable1)

	if randi() % 2 == 0:
		print("Executing MultiMesh._get_color_array")
		print("Parameters[]")
		q_MultiMesh._get_color_array()

	if randi() % 2 == 0:
		print("Executing MultiMesh._set_custom_data_array")
		var variable1: PoolColorArray = PoolColorArray([])
		print("Parameters[" + str(variable1) + "]")
		q_MultiMesh._set_custom_data_array(variable1)

	if randi() % 2 == 0:
		print("Executing MultiMesh._get_custom_data_array")
		print("Parameters[]")
		q_MultiMesh._get_custom_data_array()

	pass

