extends Node2D

var q_NavigationPolygon : NavigationPolygon = NavigationPolygon.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_NavigationPolygon = NavigationPolygon.new()
	modify_object(q_NavigationPolygon)

static func modify_object(q_NavigationPolygon : NavigationPolygon) -> void:
	if randi() % 2 == 0:
		print("Executing NavigationPolygon.set_vertices")
		var variable1: PoolVector2Array = PoolVector2Array([])
		print("Parameters[" + str(variable1) + "]")
		q_NavigationPolygon.set_vertices(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationPolygon.get_vertices")
		print("Parameters[]")
		q_NavigationPolygon.get_vertices()

	if randi() % 2 == 0:
		print("Executing NavigationPolygon.add_polygon")
		var variable1: PoolIntArray = PoolIntArray([])
		print("Parameters[" + str(variable1) + "]")
		q_NavigationPolygon.add_polygon(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationPolygon.get_polygon_count")
		print("Parameters[]")
		q_NavigationPolygon.get_polygon_count()

	if randi() % 2 == 0:
		print("Executing NavigationPolygon.get_polygon")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NavigationPolygon.get_polygon(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationPolygon.clear_polygons")
		print("Parameters[]")
		q_NavigationPolygon.clear_polygons()

	if randi() % 2 == 0:
		print("Executing NavigationPolygon.add_outline")
		var variable1: PoolVector2Array = PoolVector2Array([])
		print("Parameters[" + str(variable1) + "]")
		q_NavigationPolygon.add_outline(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationPolygon.add_outline_at_index")
		var variable1: PoolVector2Array = PoolVector2Array([])
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_NavigationPolygon.add_outline_at_index(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing NavigationPolygon.get_outline_count")
		print("Parameters[]")
		q_NavigationPolygon.get_outline_count()

	if randi() % 2 == 0:
		print("Executing NavigationPolygon.set_outline")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: PoolVector2Array = PoolVector2Array([])
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_NavigationPolygon.set_outline(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing NavigationPolygon.get_outline")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NavigationPolygon.get_outline(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationPolygon.remove_outline")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_NavigationPolygon.remove_outline(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationPolygon.clear_outlines")
		print("Parameters[]")
		q_NavigationPolygon.clear_outlines()

	if randi() % 2 == 0:
		print("Executing NavigationPolygon.make_polygons_from_outlines")
		print("Parameters[]")
		q_NavigationPolygon.make_polygons_from_outlines()

	if randi() % 2 == 0:
		print("Executing NavigationPolygon._set_polygons")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_NavigationPolygon._set_polygons(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationPolygon._get_polygons")
		print("Parameters[]")
		q_NavigationPolygon._get_polygons()

	if randi() % 2 == 0:
		print("Executing NavigationPolygon._set_outlines")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_NavigationPolygon._set_outlines(variable1)

	if randi() % 2 == 0:
		print("Executing NavigationPolygon._get_outlines")
		print("Parameters[]")
		q_NavigationPolygon._get_outlines()

	pass

