extends Node2D

var q_PackedSceneGLTF : PackedSceneGLTF = PackedSceneGLTF.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_PackedSceneGLTF = PackedSceneGLTF.new()
	modify_object(q_PackedSceneGLTF)

static func modify_object(q_PackedSceneGLTF : PackedSceneGLTF) -> void:
	if randi() % 2 == 0:
		print("Executing PackedSceneGLTF.export_gltf")
		var variable1: OptionButton = OptionButton.new()
		var variable2: String = ""
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_PackedSceneGLTF.export_gltf(variable1, variable2, variable3, variable4)
		variable1.queue_free()

	if randi() % 2 == 0:
		print("Executing PackedSceneGLTF.pack_gltf")
		var variable1: String = str(randi() / 100)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: float = (randf() * 10) - (10 / 2.0)
		var variable4: GLTFState = GLTFState.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_PackedSceneGLTF.pack_gltf(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing PackedSceneGLTF.import_gltf_scene")
		var variable1: String = "."
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: float = (randf() * 10) - (10 / 2.0)
		var variable4: GLTFState = GLTFState.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_PackedSceneGLTF.import_gltf_scene(variable1, variable2, variable3, variable4)

	pass

