extends Node2D

var q_Resource : Resource = Resource.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Resource = Resource.new()
	modify_object(q_Resource)

static func modify_object(q_Resource : Resource) -> void:
	if randi() % 2 == 0:
		print("Executing Resource.set_path")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_Resource.set_path(variable1)

	if randi() % 2 == 0:
		print("Executing Resource.take_over_path")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_Resource.take_over_path(variable1)

	if randi() % 2 == 0:
		print("Executing Resource.get_path")
		print("Parameters[]")
		q_Resource.get_path()

	if randi() % 2 == 0:
		print("Executing Resource.set_name")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_Resource.set_name(variable1)

	if randi() % 2 == 0:
		print("Executing Resource.get_name")
		print("Parameters[]")
		q_Resource.get_name()

	if randi() % 2 == 0:
		print("Executing Resource.get_rid")
		print("Parameters[]")
		q_Resource.get_rid()

	if randi() % 2 == 0:
		print("Executing Resource.set_local_to_scene")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Resource.set_local_to_scene(variable1)

	if randi() % 2 == 0:
		print("Executing Resource.is_local_to_scene")
		print("Parameters[]")
		q_Resource.is_local_to_scene()

	if randi() % 2 == 0:
		print("Executing Resource.get_local_scene")
		print("Parameters[]")
		q_Resource.get_local_scene()

	if randi() % 2 == 0:
		print("Executing Resource.setup_local_to_scene")
		print("Parameters[]")
		q_Resource.setup_local_to_scene()

	if randi() % 2 == 0:
		print("Executing Resource.emit_changed")
		print("Parameters[]")
		q_Resource.emit_changed()

	pass

