extends Node2D

var q_Skin : Skin = Skin.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Skin = Skin.new()
	modify_object(q_Skin)

static func modify_object(q_Skin : Skin) -> void:
	if randi() % 2 == 0:
		print("Executing Skin.set_bind_count")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Skin.set_bind_count(variable1)

	if randi() % 2 == 0:
		print("Executing Skin.get_bind_count")
		print("Parameters[]")
		q_Skin.get_bind_count()

	if randi() % 2 == 0:
		print("Executing Skin.add_bind")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Transform = Transform(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Skin.add_bind(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Skin.set_bind_pose")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Transform = Transform(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Skin.set_bind_pose(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Skin.set_bind_name")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Skin.set_bind_name(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Skin.set_bind_bone")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Skin.set_bind_bone(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Skin.clear_binds")
		print("Parameters[]")
		q_Skin.clear_binds()

	pass

