extends Node2D

var q_SpatialMaterial : SpatialMaterial = SpatialMaterial.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_SpatialMaterial = SpatialMaterial.new()
	modify_object(q_SpatialMaterial)

static func modify_object(q_SpatialMaterial : SpatialMaterial) -> void:
	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_albedo")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_albedo(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_albedo")
		print("Parameters[]")
		q_SpatialMaterial.get_albedo()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_specular")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_specular(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_specular")
		print("Parameters[]")
		q_SpatialMaterial.get_specular()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_metallic")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_metallic(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_metallic")
		print("Parameters[]")
		q_SpatialMaterial.get_metallic()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_roughness")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_roughness(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_roughness")
		print("Parameters[]")
		q_SpatialMaterial.get_roughness()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_emission")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_emission(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_emission")
		print("Parameters[]")
		q_SpatialMaterial.get_emission()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_emission_energy")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_emission_energy(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_emission_energy")
		print("Parameters[]")
		q_SpatialMaterial.get_emission_energy()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_normal_scale")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_normal_scale(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_normal_scale")
		print("Parameters[]")
		q_SpatialMaterial.get_normal_scale()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_rim")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_rim(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_rim")
		print("Parameters[]")
		q_SpatialMaterial.get_rim()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_rim_tint")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_rim_tint(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_rim_tint")
		print("Parameters[]")
		q_SpatialMaterial.get_rim_tint()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_clearcoat")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_clearcoat(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_clearcoat")
		print("Parameters[]")
		q_SpatialMaterial.get_clearcoat()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_clearcoat_gloss")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_clearcoat_gloss(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_clearcoat_gloss")
		print("Parameters[]")
		q_SpatialMaterial.get_clearcoat_gloss()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_anisotropy")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_anisotropy(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_anisotropy")
		print("Parameters[]")
		q_SpatialMaterial.get_anisotropy()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_depth_scale")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_depth_scale(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_depth_scale")
		print("Parameters[]")
		q_SpatialMaterial.get_depth_scale()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_subsurface_scattering_strength")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_subsurface_scattering_strength(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_subsurface_scattering_strength")
		print("Parameters[]")
		q_SpatialMaterial.get_subsurface_scattering_strength()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_transmission")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_transmission(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_transmission")
		print("Parameters[]")
		q_SpatialMaterial.get_transmission()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_refraction")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_refraction(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_refraction")
		print("Parameters[]")
		q_SpatialMaterial.get_refraction()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_line_width")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_line_width(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_line_width")
		print("Parameters[]")
		q_SpatialMaterial.get_line_width()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_point_size")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_point_size(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_point_size")
		print("Parameters[]")
		q_SpatialMaterial.get_point_size()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_detail_uv")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_detail_uv(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_detail_uv")
		print("Parameters[]")
		q_SpatialMaterial.get_detail_uv()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_blend_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_blend_mode(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_blend_mode")
		print("Parameters[]")
		q_SpatialMaterial.get_blend_mode()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_depth_draw_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_depth_draw_mode(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_depth_draw_mode")
		print("Parameters[]")
		q_SpatialMaterial.get_depth_draw_mode()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_cull_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_cull_mode(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_cull_mode")
		print("Parameters[]")
		q_SpatialMaterial.get_cull_mode()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_diffuse_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_diffuse_mode(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_diffuse_mode")
		print("Parameters[]")
		q_SpatialMaterial.get_diffuse_mode()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_specular_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_specular_mode(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_specular_mode")
		print("Parameters[]")
		q_SpatialMaterial.get_specular_mode()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_flag")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_SpatialMaterial.set_flag(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_flag")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.get_flag(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_feature")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_SpatialMaterial.set_feature(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_feature")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.get_feature(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_texture")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: ViewportTexture = ViewportTexture.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_SpatialMaterial.set_texture(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_texture")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.get_texture(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_detail_blend_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_detail_blend_mode(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_detail_blend_mode")
		print("Parameters[]")
		q_SpatialMaterial.get_detail_blend_mode()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_uv1_scale")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_uv1_scale(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_uv1_scale")
		print("Parameters[]")
		q_SpatialMaterial.get_uv1_scale()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_uv1_offset")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_uv1_offset(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_uv1_offset")
		print("Parameters[]")
		q_SpatialMaterial.get_uv1_offset()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_uv1_triplanar_blend_sharpness")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_uv1_triplanar_blend_sharpness(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_uv1_triplanar_blend_sharpness")
		print("Parameters[]")
		q_SpatialMaterial.get_uv1_triplanar_blend_sharpness()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_uv2_scale")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_uv2_scale(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_uv2_scale")
		print("Parameters[]")
		q_SpatialMaterial.get_uv2_scale()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_uv2_offset")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_uv2_offset(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_uv2_offset")
		print("Parameters[]")
		q_SpatialMaterial.get_uv2_offset()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_uv2_triplanar_blend_sharpness")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_uv2_triplanar_blend_sharpness(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_uv2_triplanar_blend_sharpness")
		print("Parameters[]")
		q_SpatialMaterial.get_uv2_triplanar_blend_sharpness()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_billboard_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_billboard_mode(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_billboard_mode")
		print("Parameters[]")
		q_SpatialMaterial.get_billboard_mode()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_particles_anim_h_frames")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_particles_anim_h_frames(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_particles_anim_h_frames")
		print("Parameters[]")
		q_SpatialMaterial.get_particles_anim_h_frames()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_particles_anim_v_frames")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_particles_anim_v_frames(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_particles_anim_v_frames")
		print("Parameters[]")
		q_SpatialMaterial.get_particles_anim_v_frames()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_particles_anim_loop")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_particles_anim_loop(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_particles_anim_loop")
		print("Parameters[]")
		q_SpatialMaterial.get_particles_anim_loop()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_depth_deep_parallax")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_depth_deep_parallax(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.is_depth_deep_parallax_enabled")
		print("Parameters[]")
		q_SpatialMaterial.is_depth_deep_parallax_enabled()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_depth_deep_parallax_min_layers")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_depth_deep_parallax_min_layers(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_depth_deep_parallax_min_layers")
		print("Parameters[]")
		q_SpatialMaterial.get_depth_deep_parallax_min_layers()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_depth_deep_parallax_max_layers")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_depth_deep_parallax_max_layers(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_depth_deep_parallax_max_layers")
		print("Parameters[]")
		q_SpatialMaterial.get_depth_deep_parallax_max_layers()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_depth_deep_parallax_flip_tangent")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_depth_deep_parallax_flip_tangent(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_depth_deep_parallax_flip_tangent")
		print("Parameters[]")
		q_SpatialMaterial.get_depth_deep_parallax_flip_tangent()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_depth_deep_parallax_flip_binormal")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_depth_deep_parallax_flip_binormal(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_depth_deep_parallax_flip_binormal")
		print("Parameters[]")
		q_SpatialMaterial.get_depth_deep_parallax_flip_binormal()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_grow")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_grow(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_grow")
		print("Parameters[]")
		q_SpatialMaterial.get_grow()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_emission_operator")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_emission_operator(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_emission_operator")
		print("Parameters[]")
		q_SpatialMaterial.get_emission_operator()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_ao_light_affect")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_ao_light_affect(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_ao_light_affect")
		print("Parameters[]")
		q_SpatialMaterial.get_ao_light_affect()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_alpha_scissor_threshold")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_alpha_scissor_threshold(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_alpha_scissor_threshold")
		print("Parameters[]")
		q_SpatialMaterial.get_alpha_scissor_threshold()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_grow_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_grow_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.is_grow_enabled")
		print("Parameters[]")
		q_SpatialMaterial.is_grow_enabled()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_metallic_texture_channel")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_metallic_texture_channel(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_metallic_texture_channel")
		print("Parameters[]")
		q_SpatialMaterial.get_metallic_texture_channel()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_roughness_texture_channel")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_roughness_texture_channel(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_roughness_texture_channel")
		print("Parameters[]")
		q_SpatialMaterial.get_roughness_texture_channel()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_ao_texture_channel")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_ao_texture_channel(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_ao_texture_channel")
		print("Parameters[]")
		q_SpatialMaterial.get_ao_texture_channel()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_refraction_texture_channel")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_refraction_texture_channel(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_refraction_texture_channel")
		print("Parameters[]")
		q_SpatialMaterial.get_refraction_texture_channel()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_proximity_fade")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_proximity_fade(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.is_proximity_fade_enabled")
		print("Parameters[]")
		q_SpatialMaterial.is_proximity_fade_enabled()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_proximity_fade_distance")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_proximity_fade_distance(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_proximity_fade_distance")
		print("Parameters[]")
		q_SpatialMaterial.get_proximity_fade_distance()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_distance_fade")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_distance_fade(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_distance_fade")
		print("Parameters[]")
		q_SpatialMaterial.get_distance_fade()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_distance_fade_max_distance")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_distance_fade_max_distance(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_distance_fade_max_distance")
		print("Parameters[]")
		q_SpatialMaterial.get_distance_fade_max_distance()

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.set_distance_fade_min_distance")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SpatialMaterial.set_distance_fade_min_distance(variable1)

	if randi() % 2 == 0:
		print("Executing SpatialMaterial.get_distance_fade_min_distance")
		print("Parameters[]")
		q_SpatialMaterial.get_distance_fade_min_distance()

	pass

