extends Node2D

var q_SphereMesh : SphereMesh = SphereMesh.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_SphereMesh = SphereMesh.new()
	modify_object(q_SphereMesh)

static func modify_object(q_SphereMesh : SphereMesh) -> void:
	if randi() % 2 == 0:
		print("Executing SphereMesh.set_radius")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SphereMesh.set_radius(variable1)

	if randi() % 2 == 0:
		print("Executing SphereMesh.get_radius")
		print("Parameters[]")
		q_SphereMesh.get_radius()

	if randi() % 2 == 0:
		print("Executing SphereMesh.set_height")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SphereMesh.set_height(variable1)

	if randi() % 2 == 0:
		print("Executing SphereMesh.get_height")
		print("Parameters[]")
		q_SphereMesh.get_height()

	if randi() % 2 == 0:
		print("Executing SphereMesh.set_radial_segments")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SphereMesh.set_radial_segments(variable1)

	if randi() % 2 == 0:
		print("Executing SphereMesh.get_radial_segments")
		print("Parameters[]")
		q_SphereMesh.get_radial_segments()

	if randi() % 2 == 0:
		print("Executing SphereMesh.get_rings")
		print("Parameters[]")
		q_SphereMesh.get_rings()

	if randi() % 2 == 0:
		print("Executing SphereMesh.set_is_hemisphere")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_SphereMesh.set_is_hemisphere(variable1)

	if randi() % 2 == 0:
		print("Executing SphereMesh.get_is_hemisphere")
		print("Parameters[]")
		q_SphereMesh.get_is_hemisphere()

	pass

