extends Node2D

var q_SpriteFrames : SpriteFrames = SpriteFrames.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_SpriteFrames = SpriteFrames.new()
	modify_object(q_SpriteFrames)

static func modify_object(q_SpriteFrames : SpriteFrames) -> void:
	if randi() % 2 == 0:
		print("Executing SpriteFrames.add_animation")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_SpriteFrames.add_animation(variable1)

	if randi() % 2 == 0:
		print("Executing SpriteFrames.has_animation")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_SpriteFrames.has_animation(variable1)

	if randi() % 2 == 0:
		print("Executing SpriteFrames.remove_animation")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_SpriteFrames.remove_animation(variable1)

	if randi() % 2 == 0:
		print("Executing SpriteFrames.rename_animation")
		var variable1: String = str(randi() / 100)
		var variable2: String = ""
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_SpriteFrames.rename_animation(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing SpriteFrames.get_animation_names")
		print("Parameters[]")
		q_SpriteFrames.get_animation_names()

	if randi() % 2 == 0:
		print("Executing SpriteFrames.set_animation_speed")
		var variable1: String = str(randi() / 100)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_SpriteFrames.set_animation_speed(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing SpriteFrames.get_animation_speed")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_SpriteFrames.get_animation_speed(variable1)

	if randi() % 2 == 0:
		print("Executing SpriteFrames.set_animation_loop")
		var variable1: String = "."
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_SpriteFrames.set_animation_loop(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing SpriteFrames.get_animation_loop")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_SpriteFrames.get_animation_loop(variable1)

	if randi() % 2 == 0:
		print("Executing SpriteFrames.add_frame")
		var variable1: String = "."
		var variable2: ProxyTexture = ProxyTexture.new()
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_SpriteFrames.add_frame(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing SpriteFrames.get_frame_count")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_SpriteFrames.get_frame_count(variable1)

	if randi() % 2 == 0:
		print("Executing SpriteFrames.get_frame")
		var variable1: String = "."
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_SpriteFrames.get_frame(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing SpriteFrames.set_frame")
		var variable1: String = str(randi() / 100)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: NoiseTexture = NoiseTexture.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_SpriteFrames.set_frame(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing SpriteFrames.remove_frame")
		var variable1: String = ""
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_SpriteFrames.remove_frame(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing SpriteFrames.clear")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_SpriteFrames.clear(variable1)

	if randi() % 2 == 0:
		print("Executing SpriteFrames.clear_all")
		print("Parameters[]")
		q_SpriteFrames.clear_all()

	if randi() % 2 == 0:
		print("Executing SpriteFrames._set_frames")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_SpriteFrames._set_frames(variable1)

	if randi() % 2 == 0:
		print("Executing SpriteFrames._get_frames")
		print("Parameters[]")
		q_SpriteFrames._get_frames()

	if randi() % 2 == 0:
		print("Executing SpriteFrames._set_animations")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_SpriteFrames._set_animations(variable1)

	if randi() % 2 == 0:
		print("Executing SpriteFrames._get_animations")
		print("Parameters[]")
		q_SpriteFrames._get_animations()

	pass

