extends Node2D

var q_StyleBoxTexture : StyleBoxTexture = StyleBoxTexture.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_StyleBoxTexture = StyleBoxTexture.new()
	modify_object(q_StyleBoxTexture)

static func modify_object(q_StyleBoxTexture : StyleBoxTexture) -> void:
	if randi() % 2 == 0:
		print("Executing StyleBoxTexture.set_texture")
		var variable1: ExternalTexture = ExternalTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_StyleBoxTexture.set_texture(variable1)

	if randi() % 2 == 0:
		print("Executing StyleBoxTexture.get_texture")
		print("Parameters[]")
		q_StyleBoxTexture.get_texture()

	if randi() % 2 == 0:
		print("Executing StyleBoxTexture.set_normal_map")
		var variable1: GradientTexture = GradientTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_StyleBoxTexture.set_normal_map(variable1)

	if randi() % 2 == 0:
		print("Executing StyleBoxTexture.get_normal_map")
		print("Parameters[]")
		q_StyleBoxTexture.get_normal_map()

	if randi() % 2 == 0:
		print("Executing StyleBoxTexture.set_margin_size")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_StyleBoxTexture.set_margin_size(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing StyleBoxTexture.get_margin_size")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StyleBoxTexture.get_margin_size(variable1)

	if randi() % 2 == 0:
		print("Executing StyleBoxTexture.set_expand_margin_size")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_StyleBoxTexture.set_expand_margin_size(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing StyleBoxTexture.set_expand_margin_all")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StyleBoxTexture.set_expand_margin_all(variable1)

	if randi() % 2 == 0:
		print("Executing StyleBoxTexture.set_expand_margin_individual")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		var variable3: float = (randf() * 10) - (10 / 2.0)
		var variable4: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_StyleBoxTexture.set_expand_margin_individual(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing StyleBoxTexture.get_expand_margin_size")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StyleBoxTexture.get_expand_margin_size(variable1)

	if randi() % 2 == 0:
		print("Executing StyleBoxTexture.set_region_rect")
		var variable1: Rect2 = Rect2(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		print("Parameters[" + str(variable1) + "]")
		q_StyleBoxTexture.set_region_rect(variable1)

	if randi() % 2 == 0:
		print("Executing StyleBoxTexture.get_region_rect")
		print("Parameters[]")
		q_StyleBoxTexture.get_region_rect()

	if randi() % 2 == 0:
		print("Executing StyleBoxTexture.set_draw_center")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_StyleBoxTexture.set_draw_center(variable1)

	if randi() % 2 == 0:
		print("Executing StyleBoxTexture.is_draw_center_enabled")
		print("Parameters[]")
		q_StyleBoxTexture.is_draw_center_enabled()

	if randi() % 2 == 0:
		print("Executing StyleBoxTexture.set_modulate")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_StyleBoxTexture.set_modulate(variable1)

	if randi() % 2 == 0:
		print("Executing StyleBoxTexture.get_modulate")
		print("Parameters[]")
		q_StyleBoxTexture.get_modulate()

	if randi() % 2 == 0:
		print("Executing StyleBoxTexture.set_h_axis_stretch_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StyleBoxTexture.set_h_axis_stretch_mode(variable1)

	if randi() % 2 == 0:
		print("Executing StyleBoxTexture.get_h_axis_stretch_mode")
		print("Parameters[]")
		q_StyleBoxTexture.get_h_axis_stretch_mode()

	if randi() % 2 == 0:
		print("Executing StyleBoxTexture.set_v_axis_stretch_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StyleBoxTexture.set_v_axis_stretch_mode(variable1)

	if randi() % 2 == 0:
		print("Executing StyleBoxTexture.get_v_axis_stretch_mode")
		print("Parameters[]")
		q_StyleBoxTexture.get_v_axis_stretch_mode()

	pass

