extends Node2D

var q_TileSet : TileSet = TileSet.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_TileSet = TileSet.new()
	modify_object(q_TileSet)

static func modify_object(q_TileSet : TileSet) -> void:
	if randi() % 2 == 0:
		print("Executing TileSet.create_tile")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileSet.create_tile(variable1)

	if randi() % 2 == 0:
		print("Executing TileSet.autotile_clear_bitmask_map")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileSet.autotile_clear_bitmask_map(variable1)

	if randi() % 2 == 0:
		print("Executing TileSet.autotile_set_icon_coordinate")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileSet.autotile_set_icon_coordinate(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileSet.autotile_get_icon_coordinate")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileSet.autotile_get_icon_coordinate(variable1)

	if randi() % 2 == 0:
		print("Executing TileSet.autotile_set_subtile_priority")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_TileSet.autotile_set_subtile_priority(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing TileSet.autotile_get_subtile_priority")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileSet.autotile_get_subtile_priority(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileSet.autotile_set_z_index")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_TileSet.autotile_set_z_index(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing TileSet.autotile_get_z_index")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileSet.autotile_get_z_index(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileSet.autotile_set_light_occluder")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: OccluderPolygon2D = OccluderPolygon2D.new()
		var variable3: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_TileSet.autotile_set_light_occluder(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing TileSet.autotile_get_light_occluder")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileSet.autotile_get_light_occluder(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileSet.autotile_set_navigation_polygon")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: NavigationPolygon = NavigationPolygon.new()
		var variable3: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_TileSet.autotile_set_navigation_polygon(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing TileSet.autotile_get_navigation_polygon")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileSet.autotile_get_navigation_polygon(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileSet.autotile_set_bitmask")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_TileSet.autotile_set_bitmask(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing TileSet.autotile_get_bitmask")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileSet.autotile_get_bitmask(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileSet.autotile_set_bitmask_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileSet.autotile_set_bitmask_mode(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileSet.autotile_get_bitmask_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileSet.autotile_get_bitmask_mode(variable1)

	if randi() % 2 == 0:
		print("Executing TileSet.autotile_set_spacing")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileSet.autotile_set_spacing(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileSet.autotile_get_spacing")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileSet.autotile_get_spacing(variable1)

	if randi() % 2 == 0:
		print("Executing TileSet.autotile_set_size")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileSet.autotile_set_size(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileSet.autotile_get_size")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileSet.autotile_get_size(variable1)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_set_name")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileSet.tile_set_name(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_get_name")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileSet.tile_get_name(variable1)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_set_texture")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: ProxyTexture = ProxyTexture.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileSet.tile_set_texture(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_get_texture")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileSet.tile_get_texture(variable1)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_set_normal_map")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: StreamTexture = StreamTexture.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileSet.tile_set_normal_map(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_get_normal_map")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileSet.tile_get_normal_map(variable1)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_set_material")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: ShaderMaterial = ShaderMaterial.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileSet.tile_set_material(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_get_material")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileSet.tile_get_material(variable1)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_set_modulate")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileSet.tile_set_modulate(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_get_modulate")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileSet.tile_get_modulate(variable1)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_set_texture_offset")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileSet.tile_set_texture_offset(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_get_texture_offset")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileSet.tile_get_texture_offset(variable1)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_set_region")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Rect2 = Rect2(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileSet.tile_set_region(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_get_region")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileSet.tile_get_region(variable1)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_set_shape")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: RayShape2D = RayShape2D.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_TileSet.tile_set_shape(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_get_shape")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileSet.tile_get_shape(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_set_shape_offset")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_TileSet.tile_set_shape_offset(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_get_shape_offset")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileSet.tile_get_shape_offset(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_set_shape_transform")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: Transform2D = Transform2D(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_TileSet.tile_set_shape_transform(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_get_shape_transform")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileSet.tile_get_shape_transform(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_set_shape_one_way")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_TileSet.tile_set_shape_one_way(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_get_shape_one_way")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileSet.tile_get_shape_one_way(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_set_shape_one_way_margin")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_TileSet.tile_set_shape_one_way_margin(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_get_shape_one_way_margin")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileSet.tile_get_shape_one_way_margin(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_add_shape")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: RectangleShape2D = RectangleShape2D.new()
		var variable3: Transform2D = Transform2D(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		var variable4: bool = bool(randi() % 2)
		var variable5: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_TileSet.tile_add_shape(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_get_shape_count")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileSet.tile_get_shape_count(variable1)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_set_shapes")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Array = []
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileSet.tile_set_shapes(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_get_shapes")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileSet.tile_get_shapes(variable1)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_set_tile_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileSet.tile_set_tile_mode(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_get_tile_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileSet.tile_get_tile_mode(variable1)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_set_navigation_polygon")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: NavigationPolygon = NavigationPolygon.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileSet.tile_set_navigation_polygon(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_get_navigation_polygon")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileSet.tile_get_navigation_polygon(variable1)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_set_navigation_polygon_offset")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileSet.tile_set_navigation_polygon_offset(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_get_navigation_polygon_offset")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileSet.tile_get_navigation_polygon_offset(variable1)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_set_light_occluder")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: OccluderPolygon2D = OccluderPolygon2D.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileSet.tile_set_light_occluder(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_get_light_occluder")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileSet.tile_get_light_occluder(variable1)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_set_occluder_offset")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileSet.tile_set_occluder_offset(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_get_occluder_offset")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileSet.tile_get_occluder_offset(variable1)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_set_z_index")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileSet.tile_set_z_index(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileSet.tile_get_z_index")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileSet.tile_get_z_index(variable1)

	if randi() % 2 == 0:
		print("Executing TileSet.remove_tile")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileSet.remove_tile(variable1)

	if randi() % 2 == 0:
		print("Executing TileSet.clear")
		print("Parameters[]")
		q_TileSet.clear()

	if randi() % 2 == 0:
		print("Executing TileSet.get_last_unused_tile_id")
		print("Parameters[]")
		q_TileSet.get_last_unused_tile_id()

	if randi() % 2 == 0:
		print("Executing TileSet.find_tile_by_name")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_TileSet.find_tile_by_name(variable1)

	if randi() % 2 == 0:
		print("Executing TileSet.get_tiles_ids")
		print("Parameters[]")
		q_TileSet.get_tiles_ids()

	pass

