extends Node2D

var q_Translation : Translation = Translation.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Translation = Translation.new()
	modify_object(q_Translation)

static func modify_object(q_Translation : Translation) -> void:
	if randi() % 2 == 0:
		print("Executing Translation.set_locale")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_Translation.set_locale(variable1)

	if randi() % 2 == 0:
		print("Executing Translation.get_locale")
		print("Parameters[]")
		q_Translation.get_locale()

	if randi() % 2 == 0:
		print("Executing Translation.add_message")
		var variable1: String = "."
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Translation.add_message(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Translation.get_message")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_Translation.get_message(variable1)

	if randi() % 2 == 0:
		print("Executing Translation.erase_message")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_Translation.erase_message(variable1)

	if randi() % 2 == 0:
		print("Executing Translation.get_message_list")
		print("Parameters[]")
		q_Translation.get_message_list()

	if randi() % 2 == 0:
		print("Executing Translation.get_message_count")
		print("Parameters[]")
		q_Translation.get_message_count()

	if randi() % 2 == 0:
		print("Executing Translation._set_messages")
		var variable1: PoolStringArray = PoolStringArray([])
		print("Parameters[" + str(variable1) + "]")
		q_Translation._set_messages(variable1)

	if randi() % 2 == 0:
		print("Executing Translation._get_messages")
		print("Parameters[]")
		q_Translation._get_messages()

	pass

