extends Node2D

var q_VisualScriptFunctionCall : VisualScriptFunctionCall = VisualScriptFunctionCall.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_VisualScriptFunctionCall = VisualScriptFunctionCall.new()
	modify_object(q_VisualScriptFunctionCall)

static func modify_object(q_VisualScriptFunctionCall : VisualScriptFunctionCall) -> void:
	if randi() % 2 == 0:
		print("Executing VisualScriptFunctionCall.set_base_type")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_VisualScriptFunctionCall.set_base_type(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScriptFunctionCall.get_base_type")
		print("Parameters[]")
		q_VisualScriptFunctionCall.get_base_type()

	if randi() % 2 == 0:
		print("Executing VisualScriptFunctionCall.set_base_script")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_VisualScriptFunctionCall.set_base_script(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScriptFunctionCall.get_base_script")
		print("Parameters[]")
		q_VisualScriptFunctionCall.get_base_script()

	if randi() % 2 == 0:
		print("Executing VisualScriptFunctionCall.set_basic_type")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VisualScriptFunctionCall.set_basic_type(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScriptFunctionCall.get_basic_type")
		print("Parameters[]")
		q_VisualScriptFunctionCall.get_basic_type()

	if randi() % 2 == 0:
		print("Executing VisualScriptFunctionCall.set_singleton")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_VisualScriptFunctionCall.set_singleton(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScriptFunctionCall.get_singleton")
		print("Parameters[]")
		q_VisualScriptFunctionCall.get_singleton()

	if randi() % 2 == 0:
		print("Executing VisualScriptFunctionCall.get_function")
		print("Parameters[]")
		q_VisualScriptFunctionCall.get_function()

	if randi() % 2 == 0:
		print("Executing VisualScriptFunctionCall.set_call_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VisualScriptFunctionCall.set_call_mode(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScriptFunctionCall.get_call_mode")
		print("Parameters[]")
		q_VisualScriptFunctionCall.get_call_mode()

	if randi() % 2 == 0:
		print("Executing VisualScriptFunctionCall.set_base_path")
		var variable1: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + "]")
		q_VisualScriptFunctionCall.set_base_path(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScriptFunctionCall.get_base_path")
		print("Parameters[]")
		q_VisualScriptFunctionCall.get_base_path()

	if randi() % 2 == 0:
		print("Executing VisualScriptFunctionCall.set_use_default_args")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VisualScriptFunctionCall.set_use_default_args(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScriptFunctionCall.get_use_default_args")
		print("Parameters[]")
		q_VisualScriptFunctionCall.get_use_default_args()

	if randi() % 2 == 0:
		print("Executing VisualScriptFunctionCall._set_argument_cache")
		var variable1: Dictionary = {}
		print("Parameters[" + str(variable1) + "]")
		q_VisualScriptFunctionCall._set_argument_cache(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScriptFunctionCall._get_argument_cache")
		print("Parameters[]")
		q_VisualScriptFunctionCall._get_argument_cache()

	if randi() % 2 == 0:
		print("Executing VisualScriptFunctionCall.set_rpc_call_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VisualScriptFunctionCall.set_rpc_call_mode(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScriptFunctionCall.get_rpc_call_mode")
		print("Parameters[]")
		q_VisualScriptFunctionCall.get_rpc_call_mode()

	if randi() % 2 == 0:
		print("Executing VisualScriptFunctionCall.set_validate")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_VisualScriptFunctionCall.set_validate(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScriptFunctionCall.get_validate")
		print("Parameters[]")
		q_VisualScriptFunctionCall.get_validate()

	pass

