extends Node2D

var q_VisualScriptPropertySet : VisualScriptPropertySet = VisualScriptPropertySet.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_VisualScriptPropertySet = VisualScriptPropertySet.new()
	modify_object(q_VisualScriptPropertySet)

static func modify_object(q_VisualScriptPropertySet : VisualScriptPropertySet) -> void:
	if randi() % 2 == 0:
		print("Executing VisualScriptPropertySet.set_base_type")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_VisualScriptPropertySet.set_base_type(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScriptPropertySet.get_base_type")
		print("Parameters[]")
		q_VisualScriptPropertySet.get_base_type()

	if randi() % 2 == 0:
		print("Executing VisualScriptPropertySet.set_base_script")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_VisualScriptPropertySet.set_base_script(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScriptPropertySet.get_base_script")
		print("Parameters[]")
		q_VisualScriptPropertySet.get_base_script()

	if randi() % 2 == 0:
		print("Executing VisualScriptPropertySet.set_basic_type")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VisualScriptPropertySet.set_basic_type(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScriptPropertySet.get_basic_type")
		print("Parameters[]")
		q_VisualScriptPropertySet.get_basic_type()

	if randi() % 2 == 0:
		print("Executing VisualScriptPropertySet._set_type_cache")
		var variable1: Dictionary = {}
		print("Parameters[" + str(variable1) + "]")
		q_VisualScriptPropertySet._set_type_cache(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScriptPropertySet._get_type_cache")
		print("Parameters[]")
		q_VisualScriptPropertySet._get_type_cache()

	if randi() % 2 == 0:
		print("Executing VisualScriptPropertySet.set_property")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_VisualScriptPropertySet.set_property(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScriptPropertySet.get_property")
		print("Parameters[]")
		q_VisualScriptPropertySet.get_property()

	if randi() % 2 == 0:
		print("Executing VisualScriptPropertySet.set_call_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VisualScriptPropertySet.set_call_mode(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScriptPropertySet.get_call_mode")
		print("Parameters[]")
		q_VisualScriptPropertySet.get_call_mode()

	if randi() % 2 == 0:
		print("Executing VisualScriptPropertySet.set_base_path")
		var variable1: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + "]")
		q_VisualScriptPropertySet.set_base_path(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScriptPropertySet.get_base_path")
		print("Parameters[]")
		q_VisualScriptPropertySet.get_base_path()

	if randi() % 2 == 0:
		print("Executing VisualScriptPropertySet.set_index")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_VisualScriptPropertySet.set_index(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScriptPropertySet.get_index")
		print("Parameters[]")
		q_VisualScriptPropertySet.get_index()

	if randi() % 2 == 0:
		print("Executing VisualScriptPropertySet.set_assign_op")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_VisualScriptPropertySet.set_assign_op(variable1)

	if randi() % 2 == 0:
		print("Executing VisualScriptPropertySet.get_assign_op")
		print("Parameters[]")
		q_VisualScriptPropertySet.get_assign_op()

	pass

